# file used for specifying different packaging options

SET(SDK_PACKAGE_INCLUDE_GSE 0 CACHE BOOL "Include GSE")
SET(SDK_PACKAGE_INCLUDE_DOCUMENTATION 0 CACHE BOOL "Include documentation")
SET(SDK_PACKAGE_INCLUDE_HOST 0 CACHE BOOL "Include Host files (binary, include, libs, cmake)")
SET(SDK_PACKAGE_INCLUDE_TARGET 0 CACHE BOOL "Include Target Files (include, libs, cmake)")
SET(SDK_PACKAGE_INCLUDE_PREBUILT 0 CACHE BOOL "Include Prebuilt binaries for target and flashing script")
SET(SDK_PACKAGE_INCLUDE_EXPORT 0 CACHE BOOL "Include project export")

SET(SDK_PACKAGE_GENERATOR CACHE BOOL "Generate Guiliani SDK Install Packages")
IF(SDK_PACKAGE_GENERATOR)
  SET(SDK_PACKAGE_TYPE "GSE" CACHE STRING "Include Libraries")
  set_property(CACHE SDK_PACKAGE_TYPE PROPERTY STRINGS GSE TARGET TARGET_WITH_HOST PREBUILT)
  
  MESSAGE(STATUS "Setting packaging variables")
  IF("${SDK_PACKAGE_TYPE}" STREQUAL "GSE")
    SET(SDK_PACKAGE_INCLUDE_GSE 1 CACHE BOOL "Include GSE" FORCE)
    SET(SDK_PACKAGE_INCLUDE_HOST 0 CACHE BOOL "Include Host files (binary, libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_TARGET 0 CACHE BOOL "Include Target Files (libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_PREBUILT 0 CACHE BOOL "Include Prebuilt binaries for target and flashing script" FORCE)
    SET(SDK_PACKAGE_INCLUDE_DOCUMENTATION 0 CACHE BOOL "Include documentation" FORCE)
    SET(SDK_PACKAGE_INCLUDE_EXPORT 0 CACHE BOOL "Include project export" FORCE)
  ELSEIF("${SDK_PACKAGE_TYPE}" STREQUAL "TARGET")
    SET(SDK_PACKAGE_INCLUDE_GSE 0 CACHE BOOL "Include GSE" FORCE)
    SET(SDK_PACKAGE_INCLUDE_HOST 0 CACHE BOOL "Include Host files (binary, libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_TARGET 1 CACHE BOOL "Include Target Files (libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_PREBUILT 1 CACHE BOOL "Include Prebuilt binaries for target and flashing script" FORCE)
    SET(SDK_PACKAGE_INCLUDE_DOCUMENTATION 0 CACHE BOOL "Include documentation" FORCE)
    SET(SDK_PACKAGE_INCLUDE_EXPORT 1 CACHE BOOL "Include project export" FORCE)
  ELSEIF("${SDK_PACKAGE_TYPE}" STREQUAL "TARGET_WITH_HOST")
    SET(SDK_PACKAGE_INCLUDE_GSE 0 CACHE BOOL "Include GSE" FORCE)
    SET(SDK_PACKAGE_INCLUDE_HOST 1 CACHE BOOL "Include Host files (binary, libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_TARGET 1 CACHE BOOL "Include Target Files (libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_PREBUILT 1 CACHE BOOL "Include Prebuilt binaries for target and flashing script" FORCE)
    SET(SDK_PACKAGE_INCLUDE_DOCUMENTATION 1 CACHE BOOL "Include documentation" FORCE)
    SET(SDK_PACKAGE_INCLUDE_EXPORT 1 CACHE BOOL "Include project export" FORCE)
  ELSEIF("${SDK_PACKAGE_TYPE}" STREQUAL "PREBUILT")
    SET(SDK_PACKAGE_INCLUDE_GSE 0 CACHE BOOL "Include GSE" FORCE)
    SET(SDK_PACKAGE_INCLUDE_HOST 0 CACHE BOOL "Include Host files (binary, libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_TARGET 0 CACHE BOOL "Include Target Files (libs, cmake)" FORCE)
    SET(SDK_PACKAGE_INCLUDE_PREBUILT 1 CACHE BOOL "Include Prebuilt binaries for target and flashing script" FORCE)
    SET(SDK_PACKAGE_INCLUDE_DOCUMENTATION 0 CACHE BOOL "Include documentation" FORCE)
    SET(SDK_PACKAGE_INCLUDE_EXPORT 1 CACHE BOOL "Include project export" FORCE)
  ENDIF()
ENDIF()
