#
# Windows-MSVC-AMD64 specific settings
#

#------------------------------------------------------------------------------
# 1. define compiler and linker settings
# Set compiler parameters for VS
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MP /MTd")
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MP /MT")
SET(CMAKE_CXX_FLAGS_DEBUGFIXPOINT "${CMAKE_CXX_FLAGS_DEBUG}")
SET(CMAKE_CXX_FLAGS_RELEASEFIXPOINT "${CMAKE_CXX_FLAGS_RELEASE}")

# Same as for C++
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
SET(CMAKE_C_FLAGS_DEBUGFIXPOINT "${CMAKE_CXX_FLAGS_DEBUGFIXPOINT}")
SET(CMAKE_C_FLAGS_RELEASEFIXPOINT "${CMAKE_CXX_FLAGS_RELEASEFIXPOINT}")

# Set linker flags
SET(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")
SET(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE}")
SET(CMAKE_EXE_LINKER_FLAGS_DEBUGFIXPOINT "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")
SET(CMAKE_EXE_LINKER_FLAGS_RELEASEFIXPOINT "${CMAKE_EXE_LINKER_FLAGS_RELEASE}")

# Set parameters for ADD_EXECUTABLE()
SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE TRUE)
SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES LINK_FLAGS "/ignore:4099")

#------------------------------------------------------------------------------
# export defines
SET(COMMON_DEFINES "UNICODE;WIN32;_CRT_SECURE_NO_DEPRECATE;_WINSOCK_DEPRECATED_NO_WARNINGS;WINVER=0x0602;_WIN32_WINNT=0x0602;WIN32_LEAN_AND_MEAN" CACHE INTERNAL "common defines" FORCE)

# eGaC

# platform specific defines for complex
LIST(APPEND EGAC_DEFINES "eC_TARGET_ENV_WIN32;eC_TARGET_COMPILER_MSVC")
IF("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")
  LIST(APPEND EGAC_DEFINES "eC_TARGET_CPU_X86")
ELSE("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")
  LIST(APPEND EGAC_DEFINES "eC_TARGET_CPU_X64")
ENDIF("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")

# Guiliani
IF(GUILIANI_ADD_VULKAN_PLATFORM)
  LIST(APPEND GUILIANI_DEFINES "VK_USE_PLATFORM_WIN32_KHR;VK_PROTOTYPES;_USE_MATH_DEFINES")
ENDIF()

IF(GUILIANI_ADD_DAVE_PLATFORM)
  LIST(APPEND GUILIANI_DEFINES "SOFTDAVE_WIN32;DAVEHD_USE_SOFTDAVE")
ENDIF()

IF(GUILIANI_ADD_DAVEHD_PLATFORM)
  LIST(APPEND GUILIANI_DEFINES "SOFTDAVE_WIN32;DAVEHD_USE_SOFTDAVE")
ENDIF()