# platform-common

# include common platform-settings
IF("${CMAKE_PLATFORM_NAME}" STREQUAL "")
    SET(CMAKE_COMMON_INCLUDE_FILE "${CMAKE_SYSTEM_NAME}-${CMAKE_CXX_COMPILER_ID}-${CMAKE_SYSTEM_PROCESSOR}_Settings.cmake")
ELSE("${CMAKE_PLATFORM_NAME}" STREQUAL "")
    SET(CMAKE_COMMON_INCLUDE_FILE "${CMAKE_SYSTEM_NAME}-${CMAKE_CXX_COMPILER_ID}-${CMAKE_SYSTEM_PROCESSOR}-${CMAKE_PLATFORM_NAME}_Settings.cmake")
ENDIF("${CMAKE_PLATFORM_NAME}" STREQUAL "")

IF(EXISTS "${PATH_COMMON}/Platform/${CMAKE_COMMON_INCLUDE_FILE}")
    INCLUDE("${PATH_COMMON}/Platform/${CMAKE_COMMON_INCLUDE_FILE}")
ELSE()
    MESSAGE(FATAL_ERROR "common platform-file not found: ${PATH_COMMON}/Platform/${CMAKE_COMMON_INCLUDE_FILE}")
ENDIF()

#We need image decoder if DAVE is active! 
IF(GUILIANI_ADD_DAVE_PLATFORM)
  IF(NOT GUILIANI_ADD_IMAGE_DECODER)
    SET(GUILIANI_ADD_IMAGE_DECODER 1 CACHE BOOL "Must be activated if DAVE is active!" FORCE)
    MESSAGE("GUILIANI_ADD_IMAGE_DECODER has been activated due to GUILIANI_ADD_DAVE_PLATFORM is set!")
  ENDIF()
ELSE()  
    SET(GUILIANI_ADD_IMAGE_DECODER CACHE BOOL "Adds image decoders to project (e.g. for DAVE)")
ENDIF()  

IF(FORCE_ADD_OGL_PLATFORM)
  SET(GUILIANI_ADD_GL_PLATFORM 1 CACHE BOOL "Use GL-platform" FORCE)
ENDIF()

#We need image decoder if GL is active!
IF(GUILIANI_ADD_GL_PLATFORM)
  IF(NOT GUILIANI_ADD_IMAGE_DECODER)
    SET(GUILIANI_ADD_IMAGE_DECODER 1 CACHE BOOL "Must be activated if GL is used!" FORCE)
    MESSAGE(STATUS "GUILIANI_ADD_IMAGE_DECODER has been activated due to GUILIANI_ADD_GL_PLATFORM is set!")
  ENDIF()
ELSE()
    SET(GUILIANI_ADD_IMAGE_DECODER CACHE BOOL "Adds image decoders to project (e.g. for GL)")
ENDIF()

#We need to set RTTI in Guiliani when it is needed by the application.
IF(FORCE_USE_RTTI)
  IF(NOT GUILIANI_USE_RTTI)
    SET(GUILIANI_USE_RTTI 1 CACHE BOOL "Was activated since it is required by the application" FORCE)
    MESSAGE(STATUS "GUILIANI_USE_RTTI has been activated by the application cmake project!")
  ENDIF()
ELSE()
    SET(GUILIANI_USE_RTTI CACHE BOOL "Activates 'run-time type information'")
ENDIF() 

#We need to activate exceptions in Guiliani when it is needed by the application.
IF(FORCE_USE_EXCEPTIONS)
  IF(NOT GUILIANI_USE_EXCEPTIONS)
    SET(GUILIANI_USE_EXCEPTIONS 1 CACHE BOOL "Was activated since it is required by the application" FORCE)
    MESSAGE(STATUS "GUILIANI_USE_EXCEPTIONS has been activated by the application cmake project!")
  ENDIF()
ELSE()
    SET(GUILIANI_USE_EXCEPTIONS CACHE BOOL "Activates 'run-time type information'")
ENDIF()
