/*
* Copyright (C) TES Electronic Solutions GmbH,
* All Rights Reserved.
* Contact: info@guiliani.de
*
* This file is part of the Guiliani HMI framework
* for the development of graphical user interfaces on embedded systems.
*/

#ifndef __DAVETYPES_H__
#define __DAVETYPES_H__

#include "dave_base.h"
#include "dave_driver.h"

// If BSP supports TES own Device driver, then use it
#ifdef __TES_CDC
#define USE_CDC
#endif

#ifdef USE_CDC
#include "cdc_nios.h"
#include "cdc_base.h"
typedef cdc_handle dc_handle;
#else
typedef d1_device* dc_handle;
#endif

typedef d1_device* dc_handle;

// Macros for Dave fixpoint
#define DAVE_FIX_FROM_INT(x) (short)((x)<<4)
#if defined eC_FIXPOINT
#define DAVE_FIX_FROM_EC(x) (short)((x)>>12) //eC_Fixpoint normaly has 32 bits with 16 integer bits,
#else                                               //DAVE uses 16 bits with 12 integer bits.
// NOTE: DAVE_FIX_FROM_EC will overflow at -2049 and 2048
#define DAVE_FIX_FROM_EC(x) (short)(eC_ToInt(eC_Mul(x, eC_FromInt(16))))
#endif

#endif
