/***********************************************************************************************************************
 * Copyright [2020-2023] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : adc_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for adc.
 *********************************************************************************************************************/

#ifndef ADC_IOBITMASK_H
#define ADC_IOBITMASK_H

#define R_ADC_ADM0_ADCE_Msk         (0x00000001UL)
#define R_ADC_ADM0_ADCE_Pos         (0UL)
#define R_ADC_ADM0_ADBSY_Msk        (0x00000002UL)
#define R_ADC_ADM0_ADBSY_Pos        (1UL)
#define R_ADC_ADM0_PWDWNB_Msk       (0x00000004UL)
#define R_ADC_ADM0_PWDWNB_Pos       (2UL)
#define R_ADC_ADM0_SRESB_Msk        (0x00008000UL)
#define R_ADC_ADM0_SRESB_Pos        (15UL)
#define R_ADC_ADM1_TRG_Msk          (0x00000001UL)
#define R_ADC_ADM1_TRG_Pos          (0UL)
#define R_ADC_ADM1_TRGIN_Msk        (0x00000002UL)
#define R_ADC_ADM1_TRGIN_Pos        (1UL)
#define R_ADC_ADM1_MS_Msk           (0x00000004UL)
#define R_ADC_ADM1_MS_Pos           (2UL)
#define R_ADC_ADM1_RPS_Msk          (0x00000008UL)
#define R_ADC_ADM1_RPS_Pos          (3UL)
#define R_ADC_ADM1_BS_Msk           (0x00000010UL)
#define R_ADC_ADM1_BS_Pos           (4UL)
#define R_ADC_ADM1_EGA_Msk          (0x00003000UL)
#define R_ADC_ADM1_EGA_Pos          (12UL)
#define R_ADC_ADM1_TRGEN_Msk        (0x003F0000UL)
#define R_ADC_ADM1_TRGEN_Pos        (16UL)
#define R_ADC_ADM2_CHSEL_Msk        (0x00000003UL)
#define R_ADC_ADM2_CHSEL_Pos        (0UL)
#define R_ADC_ADM3_ADSMP_Msk        (0x0000FFFFUL)
#define R_ADC_ADM3_ADSMP_Pos        (0UL)
#define R_ADC_ADM3_ADCMP_Msk        (0x00FF0000UL)
#define R_ADC_ADM3_ADCMP_Pos        (16UL)
#define R_ADC_ADM3_ADIL_Msk         (0xFF000000UL)
#define R_ADC_ADM3_ADIL_Pos         (24UL)
#define R_ADC_ADINT_INTEN_Msk       (0x0000000FUL)
#define R_ADC_ADINT_INTEN_Pos       (0UL)
#define R_ADC_ADINT_CSEEN_Msk       (0x00010000UL)
#define R_ADC_ADINT_CSEEN_Pos       (16UL)
#define R_ADC_ADINT_INTS_Msk        (0x80000000UL)
#define R_ADC_ADINT_INTS_Pos        (31UL)
#define R_ADC_ADSTS_INTST_Msk       (0x0000000FUL)
#define R_ADC_ADSTS_INTST_Pos       (0UL)
#define R_ADC_ADSTS_CSEST_Msk       (0x00010000UL)
#define R_ADC_ADSTS_CSEST_Pos       (16UL)
#define R_ADC_ADSTS_TRGS_Msk        (0x80000000UL)
#define R_ADC_ADSTS_TRGS_Pos        (31UL)
#define R_ADC_ADIVC_DIVADC_Msk      (0x000001FFUL)
#define R_ADC_ADIVC_DIVADC_Pos      (0UL)
#define R_ADC_ADFIL_FILONOFF_Msk    (0x00000001UL)
#define R_ADC_ADFIL_FILONOFF_Pos    (0UL)
#define R_ADC_ADFIL_FILNUM_Msk      (0x00000030UL)
#define R_ADC_ADFIL_FILNUM_Pos      (4UL)
#define R_ADC_ADCR0_AD0_Msk         (0x00000001UL)
#define R_ADC_ADCR0_AD0_Pos         (0UL)
#define R_ADC_ADCR0_AD1_Msk         (0x00000002UL)
#define R_ADC_ADCR0_AD1_Pos         (1UL)
#define R_ADC_ADCR0_AD2_Msk         (0x00000004UL)
#define R_ADC_ADCR0_AD2_Pos         (2UL)
#define R_ADC_ADCR0_AD3_Msk         (0x00000008UL)
#define R_ADC_ADCR0_AD3_Pos         (3UL)
#define R_ADC_ADCR0_AD4_Msk         (0x00000010UL)
#define R_ADC_ADCR0_AD4_Pos         (4UL)
#define R_ADC_ADCR0_AD5_Msk         (0x00000020UL)
#define R_ADC_ADCR0_AD5_Pos         (5UL)
#define R_ADC_ADCR0_AD6_Msk         (0x00000040UL)
#define R_ADC_ADCR0_AD6_Pos         (6UL)
#define R_ADC_ADCR0_AD7_Msk         (0x00000080UL)
#define R_ADC_ADCR0_AD7_Pos         (7UL)
#define R_ADC_ADCR0_AD8_Msk         (0x00000100UL)
#define R_ADC_ADCR0_AD8_Pos         (8UL)
#define R_ADC_ADCR0_AD9_Msk         (0x00000200UL)
#define R_ADC_ADCR0_AD9_Pos         (9UL)
#define R_ADC_ADCR0_AD10_Msk        (0x00000400UL)
#define R_ADC_ADCR0_AD10_Pos        (10UL)
#define R_ADC_ADCR0_AD11_Msk        (0x00000800UL)
#define R_ADC_ADCR0_AD11_Pos        (11UL)
#define R_ADC_ADCR1_AD0_Msk         (0x00000001UL)
#define R_ADC_ADCR1_AD0_Pos         (0UL)
#define R_ADC_ADCR1_AD1_Msk         (0x00000002UL)
#define R_ADC_ADCR1_AD1_Pos         (1UL)
#define R_ADC_ADCR1_AD2_Msk         (0x00000004UL)
#define R_ADC_ADCR1_AD2_Pos         (2UL)
#define R_ADC_ADCR1_AD3_Msk         (0x00000008UL)
#define R_ADC_ADCR1_AD3_Pos         (3UL)
#define R_ADC_ADCR1_AD4_Msk         (0x00000010UL)
#define R_ADC_ADCR1_AD4_Pos         (4UL)
#define R_ADC_ADCR1_AD5_Msk         (0x00000020UL)
#define R_ADC_ADCR1_AD5_Pos         (5UL)
#define R_ADC_ADCR1_AD6_Msk         (0x00000040UL)
#define R_ADC_ADCR1_AD6_Pos         (6UL)
#define R_ADC_ADCR1_AD7_Msk         (0x00000080UL)
#define R_ADC_ADCR1_AD7_Pos         (7UL)
#define R_ADC_ADCR1_AD8_Msk         (0x00000100UL)
#define R_ADC_ADCR1_AD8_Pos         (8UL)
#define R_ADC_ADCR1_AD9_Msk         (0x00000200UL)
#define R_ADC_ADCR1_AD9_Pos         (9UL)
#define R_ADC_ADCR1_AD10_Msk        (0x00000400UL)
#define R_ADC_ADCR1_AD10_Pos        (10UL)
#define R_ADC_ADCR1_AD11_Msk        (0x00000800UL)
#define R_ADC_ADCR1_AD11_Pos        (11UL)
#define R_ADC_ADCR2_AD0_Msk         (0x00000001UL)
#define R_ADC_ADCR2_AD0_Pos         (0UL)
#define R_ADC_ADCR2_AD1_Msk         (0x00000002UL)
#define R_ADC_ADCR2_AD1_Pos         (1UL)
#define R_ADC_ADCR2_AD2_Msk         (0x00000004UL)
#define R_ADC_ADCR2_AD2_Pos         (2UL)
#define R_ADC_ADCR2_AD3_Msk         (0x00000008UL)
#define R_ADC_ADCR2_AD3_Pos         (3UL)
#define R_ADC_ADCR2_AD4_Msk         (0x00000010UL)
#define R_ADC_ADCR2_AD4_Pos         (4UL)
#define R_ADC_ADCR2_AD5_Msk         (0x00000020UL)
#define R_ADC_ADCR2_AD5_Pos         (5UL)
#define R_ADC_ADCR2_AD6_Msk         (0x00000040UL)
#define R_ADC_ADCR2_AD6_Pos         (6UL)
#define R_ADC_ADCR2_AD7_Msk         (0x00000080UL)
#define R_ADC_ADCR2_AD7_Pos         (7UL)
#define R_ADC_ADCR2_AD8_Msk         (0x00000100UL)
#define R_ADC_ADCR2_AD8_Pos         (8UL)
#define R_ADC_ADCR2_AD9_Msk         (0x00000200UL)
#define R_ADC_ADCR2_AD9_Pos         (9UL)
#define R_ADC_ADCR2_AD10_Msk        (0x00000400UL)
#define R_ADC_ADCR2_AD10_Pos        (10UL)
#define R_ADC_ADCR2_AD11_Msk        (0x00000800UL)
#define R_ADC_ADCR2_AD11_Pos        (11UL)
#define R_ADC_ADCR3_AD0_Msk         (0x00000001UL)
#define R_ADC_ADCR3_AD0_Pos         (0UL)
#define R_ADC_ADCR3_AD1_Msk         (0x00000002UL)
#define R_ADC_ADCR3_AD1_Pos         (1UL)
#define R_ADC_ADCR3_AD2_Msk         (0x00000004UL)
#define R_ADC_ADCR3_AD2_Pos         (2UL)
#define R_ADC_ADCR3_AD3_Msk         (0x00000008UL)
#define R_ADC_ADCR3_AD3_Pos         (3UL)
#define R_ADC_ADCR3_AD4_Msk         (0x00000010UL)
#define R_ADC_ADCR3_AD4_Pos         (4UL)
#define R_ADC_ADCR3_AD5_Msk         (0x00000020UL)
#define R_ADC_ADCR3_AD5_Pos         (5UL)
#define R_ADC_ADCR3_AD6_Msk         (0x00000040UL)
#define R_ADC_ADCR3_AD6_Pos         (6UL)
#define R_ADC_ADCR3_AD7_Msk         (0x00000080UL)
#define R_ADC_ADCR3_AD7_Pos         (7UL)
#define R_ADC_ADCR3_AD8_Msk         (0x00000100UL)
#define R_ADC_ADCR3_AD8_Pos         (8UL)
#define R_ADC_ADCR3_AD9_Msk         (0x00000200UL)
#define R_ADC_ADCR3_AD9_Pos         (9UL)
#define R_ADC_ADCR3_AD10_Msk        (0x00000400UL)
#define R_ADC_ADCR3_AD10_Pos        (10UL)
#define R_ADC_ADCR3_AD11_Msk        (0x00000800UL)
#define R_ADC_ADCR3_AD11_Pos        (11UL)

#endif
