/***********************************************************************************************************************
 * Copyright [2020-2023] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : cru_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for cru.
 *********************************************************************************************************************/

#ifndef CRU_IOBITMASK_H
#define CRU_IOBITMASK_H

#define R_CRU_CRUnCTRL_VINSEL_Msk                    (0x00000001UL)
#define R_CRU_CRUnCTRL_VINSEL_Pos                    (0UL)
#define R_CRU_CRUnIE_FOE_Msk                         (0x00000001UL)
#define R_CRU_CRUnIE_FOE_Pos                         (0UL)
#define R_CRU_CRUnIE_SLVEE_Msk                       (0x00000002UL)
#define R_CRU_CRUnIE_SLVEE_Pos                       (1UL)
#define R_CRU_CRUnIE_DECEE_Msk                       (0x00000004UL)
#define R_CRU_CRUnIE_DECEE_Pos                       (2UL)
#define R_CRU_CRUnIE_FEOVWE_Msk                      (0x00000008UL)
#define R_CRU_CRUnIE_FEOVWE_Pos                      (3UL)
#define R_CRU_CRUnIE_SDFOE_Msk                       (0x00000100UL)
#define R_CRU_CRUnIE_SDFOE_Pos                       (8UL)
#define R_CRU_CRUnIE_SDSLVEE_Msk                     (0x00000200UL)
#define R_CRU_CRUnIE_SDSLVEE_Pos                     (9UL)
#define R_CRU_CRUnIE_SDDECEE_Msk                     (0x00000400UL)
#define R_CRU_CRUnIE_SDDECEE_Pos                     (10UL)
#define R_CRU_CRUnIE_SDFEOVWE_Msk                    (0x00000800UL)
#define R_CRU_CRUnIE_SDFEOVWE_Pos                    (11UL)
#define R_CRU_CRUnIE_SFE_Msk                         (0x00010000UL)
#define R_CRU_CRUnIE_SFE_Pos                         (16UL)
#define R_CRU_CRUnIE_EFE_Msk                         (0x00020000UL)
#define R_CRU_CRUnIE_EFE_Pos                         (17UL)
#define R_CRU_CRUnIE_SIE_Msk                         (0x00040000UL)
#define R_CRU_CRUnIE_SIE_Pos                         (18UL)
#define R_CRU_CRUnIE_WIE_Msk                         (0x00080000UL)
#define R_CRU_CRUnIE_WIE_Pos                         (19UL)
#define R_CRU_CRUnINTS_FOS_Msk                       (0x00000001UL)
#define R_CRU_CRUnINTS_FOS_Pos                       (0UL)
#define R_CRU_CRUnINTS_SLVES_Msk                     (0x00000002UL)
#define R_CRU_CRUnINTS_SLVES_Pos                     (1UL)
#define R_CRU_CRUnINTS_DECES_Msk                     (0x00000004UL)
#define R_CRU_CRUnINTS_DECES_Pos                     (2UL)
#define R_CRU_CRUnINTS_FEOVWS_Msk                    (0x00000008UL)
#define R_CRU_CRUnINTS_FEOVWS_Pos                    (3UL)
#define R_CRU_CRUnINTS_SDFOS_Msk                     (0x00000100UL)
#define R_CRU_CRUnINTS_SDFOS_Pos                     (8UL)
#define R_CRU_CRUnINTS_SDSLVES_Msk                   (0x00000200UL)
#define R_CRU_CRUnINTS_SDSLVES_Pos                   (9UL)
#define R_CRU_CRUnINTS_SDDECES_Msk                   (0x00000400UL)
#define R_CRU_CRUnINTS_SDDECES_Pos                   (10UL)
#define R_CRU_CRUnINTS_SDFEOVWS_Msk                  (0x00000800UL)
#define R_CRU_CRUnINTS_SDFEOVWS_Pos                  (11UL)
#define R_CRU_CRUnINTS_SFS_Msk                       (0x00010000UL)
#define R_CRU_CRUnINTS_SFS_Pos                       (16UL)
#define R_CRU_CRUnINTS_EFS_Msk                       (0x00020000UL)
#define R_CRU_CRUnINTS_EFS_Pos                       (17UL)
#define R_CRU_CRUnINTS_SIS_Msk                       (0x00040000UL)
#define R_CRU_CRUnINTS_SIS_Pos                       (18UL)
#define R_CRU_CRUnINTS_WIS_Msk                       (0x00080000UL)
#define R_CRU_CRUnINTS_WIS_Pos                       (19UL)
#define R_CRU_CRUnINTS_CES_Msk                       (0x00100000UL)
#define R_CRU_CRUnINTS_CES_Pos                       (20UL)
#define R_CRU_CRUnRST_VRESETN_Msk                    (0x00000001UL)
#define R_CRU_CRUnRST_VRESETN_Pos                    (0UL)
#define R_CRU_CRUnCOM_COMMON_Msk                     (0xFFFFFFFFUL)
#define R_CRU_CRUnCOM_COMMON_Pos                     (0UL)
#define R_CRU_AMnMB1ADDRL_MB1ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB1ADDRL_MB1ADDRL_Pos               (9UL)
#define R_CRU_AMnMB1ADDRH_MB1ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB1ADDRH_MB1ADDRH_Pos               (0UL)
#define R_CRU_AMnMB2ADDRL_MB2ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB2ADDRL_MB2ADDRL_Pos               (9UL)
#define R_CRU_AMnMB2ADDRH_MB2ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB2ADDRH_MB2ADDRH_Pos               (0UL)
#define R_CRU_AMnMB3ADDRL_MB3ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB3ADDRL_MB3ADDRL_Pos               (9UL)
#define R_CRU_AMnMB3ADDRH_MB3ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB3ADDRH_MB3ADDRH_Pos               (0UL)
#define R_CRU_AMnMB4ADDRL_MB4ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB4ADDRL_MB4ADDRL_Pos               (9UL)
#define R_CRU_AMnMB4ADDRH_MB4ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB4ADDRH_MB4ADDRH_Pos               (0UL)
#define R_CRU_AMnMB5ADDRL_MB5ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB5ADDRL_MB5ADDRL_Pos               (9UL)
#define R_CRU_AMnMB5ADDRH_MB5ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB5ADDRH_MB5ADDRH_Pos               (0UL)
#define R_CRU_AMnMB6ADDRL_MB6ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB6ADDRL_MB6ADDRL_Pos               (9UL)
#define R_CRU_AMnMB6ADDRH_MB6ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB6ADDRH_MB6ADDRH_Pos               (0UL)
#define R_CRU_AMnMB7ADDRL_MB7ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB7ADDRL_MB7ADDRL_Pos               (9UL)
#define R_CRU_AMnMB7ADDRH_MB7ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB7ADDRH_MB7ADDRH_Pos               (0UL)
#define R_CRU_AMnMB8ADDRL_MB8ADDRL_Msk               (0xFFFFFE00UL)
#define R_CRU_AMnMB8ADDRL_MB8ADDRL_Pos               (9UL)
#define R_CRU_AMnMB8ADDRH_MB8ADDRH_Msk               (0x00000003UL)
#define R_CRU_AMnMB8ADDRH_MB8ADDRH_Pos               (0UL)
#define R_CRU_AMnUVAOFL_UVAOFL_Msk                   (0xFFFFFE00UL)
#define R_CRU_AMnUVAOFL_UVAOFL_Pos                   (9UL)
#define R_CRU_AMnUVAOFH_UVAOFH_Msk                   (0x00000007UL)
#define R_CRU_AMnUVAOFH_UVAOFH_Pos                   (0UL)
#define R_CRU_AMnMBVALID_MBVALID_Msk                 (0x000000FFUL)
#define R_CRU_AMnMBVALID_MBVALID_Pos                 (0UL)
#define R_CRU_AMnMBS_MBSTS_Msk                       (0x00000007UL)
#define R_CRU_AMnMBS_MBSTS_Pos                       (0UL)
#define R_CRU_AMnAXIATTR_AXILEN_Msk                  (0x0000000FUL)
#define R_CRU_AMnAXIATTR_AXILEN_Pos                  (0UL)
#define R_CRU_AMnFIFO_FIFOOVFREC_Msk                 (0x00000001UL)
#define R_CRU_AMnFIFO_FIFOOVFREC_Pos                 (0UL)
#define R_CRU_AMnFIFOTRST_AXI_TRANS_START_Msk        (0x00000001UL)
#define R_CRU_AMnFIFOTRST_AXI_TRANS_START_Pos        (0UL)
#define R_CRU_AMnFIFOPNTR_FIFOWPNTR_Msk              (0x000000FFUL)
#define R_CRU_AMnFIFOPNTR_FIFOWPNTR_Pos              (0UL)
#define R_CRU_AMnFIFOPNTR_FIFORPNTR_Y_Msk            (0x00FF0000UL)
#define R_CRU_AMnFIFOPNTR_FIFORPNTR_Y_Pos            (16UL)
#define R_CRU_AMnFIFOPNTR_FIFORPNTR_UV_Msk           (0xFF000000UL)
#define R_CRU_AMnFIFOPNTR_FIFORPNTR_UV_Pos           (24UL)
#define R_CRU_AMnAXIBID_BIDCHK_Msk                   (0x00000001UL)
#define R_CRU_AMnAXIBID_BIDCHK_Pos                   (0UL)
#define R_CRU_AMnAXISTP_AXI_STOP_Msk                 (0x00000001UL)
#define R_CRU_AMnAXISTP_AXI_STOP_Pos                 (0UL)
#define R_CRU_AMnAXISTPACK_AXI_STOP_ACK_Msk          (0x00000001UL)
#define R_CRU_AMnAXISTPACK_AXI_STOP_ACK_Pos          (0UL)
#define R_CRU_AMnSDMB1ADDRL_SDMB1ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB1ADDRL_SDMB1ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB1ADDRH_SDMB1ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB1ADDRH_SDMB1ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB2ADDRL_SDMB2ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB2ADDRL_SDMB2ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB2ADDRH_SDMB2ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB2ADDRH_SDMB2ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB3ADDRL_SDMB3ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB3ADDRL_SDMB3ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB3ADDRH_SDMB3ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB3ADDRH_SDMB3ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB4ADDRL_SDMB4ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB4ADDRL_SDMB4ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB4ADDRH_SDMB4ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB4ADDRH_SDMB4ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB5ADDRL_SDMB5ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB5ADDRL_SDMB5ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB5ADDRH_SDMB5ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB5ADDRH_SDMB5ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB6ADDRL_SDMB6ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB6ADDRL_SDMB6ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB6ADDRH_SDMB6ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB6ADDRH_SDMB6ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB7ADDRL_SDMB7ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB7ADDRL_SDMB7ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB7ADDRH_SDMB7ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB7ADDRH_SDMB7ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMB8ADDRL_SDMB8ADDRL_Msk           (0xFFFFFE00UL)
#define R_CRU_AMnSDMB8ADDRL_SDMB8ADDRL_Pos           (9UL)
#define R_CRU_AMnSDMB8ADDRH_SDMB8ADDRH_Msk           (0x00000003UL)
#define R_CRU_AMnSDMB8ADDRH_SDMB8ADDRH_Pos           (0UL)
#define R_CRU_AMnSDMBVALID_SDMBVALID_Msk             (0x000000FFUL)
#define R_CRU_AMnSDMBVALID_SDMBVALID_Pos             (0UL)
#define R_CRU_AMnSDMBS_SDMBSTS_Msk                   (0x00000007UL)
#define R_CRU_AMnSDMBS_SDMBSTS_Pos                   (0UL)
#define R_CRU_AMnSDAXIATTR_SDAXILEN_Msk              (0x0000000FUL)
#define R_CRU_AMnSDAXIATTR_SDAXILEN_Pos              (0UL)
#define R_CRU_AMnSDFIFO_SDFIFOOVFREC_Msk             (0x00000001UL)
#define R_CRU_AMnSDFIFO_SDFIFOOVFREC_Pos             (0UL)
#define R_CRU_AMnSDFIFOTRST_SDAXI_TRANS_START_Msk    (0x00000001UL)
#define R_CRU_AMnSDFIFOTRST_SDAXI_TRANS_START_Pos    (0UL)
#define R_CRU_AMnSDFIFOPNTR_SDFIFOWPNTR_Msk          (0x0000001FUL)
#define R_CRU_AMnSDFIFOPNTR_SDFIFOWPNTR_Pos          (0UL)
#define R_CRU_AMnSDFIFOPNTR_SDFIFORPNTR_Msk          (0x001F0000UL)
#define R_CRU_AMnSDFIFOPNTR_SDFIFORPNTR_Pos          (16UL)
#define R_CRU_AMnSDAXIBID_SDBIDCHK_Msk               (0x00000001UL)
#define R_CRU_AMnSDAXIBID_SDBIDCHK_Pos               (0UL)
#define R_CRU_AMnSDAXISTP_SDAXI_STOP_Msk             (0x00000001UL)
#define R_CRU_AMnSDAXISTP_SDAXI_STOP_Pos             (0UL)
#define R_CRU_AMnSDAXISTPACK_SDAXI_STOP_ACK_Msk      (0x00000001UL)
#define R_CRU_AMnSDAXISTPACK_SDAXI_STOP_ACK_Pos      (0UL)
#define R_CRU_ICnEN_ICEN_Msk                         (0x00000001UL)
#define R_CRU_ICnEN_ICEN_Pos                         (0UL)
#define R_CRU_ICnREGC_REFEN_Msk                      (0x00000001UL)
#define R_CRU_ICnREGC_REFEN_Pos                      (0UL)
#define R_CRU_ICnMC_ICTHR_Msk                        (0x00000001UL)
#define R_CRU_ICnMC_ICTHR_Pos                        (0UL)
#define R_CRU_ICnMC_DECTHR_Msk                       (0x00000002UL)
#define R_CRU_ICnMC_DECTHR_Pos                       (1UL)
#define R_CRU_ICnMC_CLPTHR_Msk                       (0x00000004UL)
#define R_CRU_ICnMC_CLPTHR_Pos                       (2UL)
#define R_CRU_ICnMC_DEMTHR_Msk                       (0x00000008UL)
#define R_CRU_ICnMC_DEMTHR_Pos                       (3UL)
#define R_CRU_ICnMC_LMXTHR_Msk                       (0x00000010UL)
#define R_CRU_ICnMC_LMXTHR_Pos                       (4UL)
#define R_CRU_ICnMC_CSCTHR_Msk                       (0x00000020UL)
#define R_CRU_ICnMC_CSCTHR_Pos                       (5UL)
#define R_CRU_ICnMC_LUTTHR_Msk                       (0x00000040UL)
#define R_CRU_ICnMC_LUTTHR_Pos                       (6UL)
#define R_CRU_ICnMC_STITHR_Msk                       (0x00000080UL)
#define R_CRU_ICnMC_STITHR_Pos                       (7UL)
#define R_CRU_ICnMC_CLP_Msk                          (0x00003000UL)
#define R_CRU_ICnMC_CLP_Pos                          (12UL)
#define R_CRU_ICnMC_IBINSEL_Msk                      (0x00004000UL)
#define R_CRU_ICnMC_IBINSEL_Pos                      (14UL)
#define R_CRU_ICnMC_DES0_Msk                         (0x00008000UL)
#define R_CRU_ICnMC_DES0_Pos                         (15UL)
#define R_CRU_ICnMC_INF_Msk                          (0x003F0000UL)
#define R_CRU_ICnMC_INF_Pos                          (16UL)
#define R_CRU_ICnMC_VCSEL_Msk                        (0x00C00000UL)
#define R_CRU_ICnMC_VCSEL_Pos                        (22UL)
#define R_CRU_ICnMC_RAWSTTYP_Msk                     (0x03000000UL)
#define R_CRU_ICnMC_RAWSTTYP_Pos                     (24UL)
#define R_CRU_ICnSLPrC_SLPrC_Msk                     (0x00000FFFUL)
#define R_CRU_ICnSLPrC_SLPrC_Pos                     (0UL)
#define R_CRU_ICnELPrC_ELPrC_Msk                     (0x00000FFFUL)
#define R_CRU_ICnELPrC_ELPrC_Pos                     (0UL)
#define R_CRU_ICnSPPrC_SPPrC_Msk                     (0x00000FFFUL)
#define R_CRU_ICnSPPrC_SPPrC_Pos                     (0UL)
#define R_CRU_ICnEPPrC_EPPrC_Msk                     (0x00000FFFUL)
#define R_CRU_ICnEPPrC_EPPrC_Pos                     (0UL)
#define R_CRU_ICnSI_SI_Msk                           (0x00000FFFUL)
#define R_CRU_ICnSI_SI_Pos                           (0UL)
#define R_CRU_ICnLMXOF_ROF_Msk                       (0x000000FFUL)
#define R_CRU_ICnLMXOF_ROF_Pos                       (0UL)
#define R_CRU_ICnLMXOF_GOF_Msk                       (0x0000FF00UL)
#define R_CRU_ICnLMXOF_GOF_Pos                       (8UL)
#define R_CRU_ICnLMXOF_BOF_Msk                       (0x00FF0000UL)
#define R_CRU_ICnLMXOF_BOF_Pos                       (16UL)
#define R_CRU_ICnLMXRC1_RR_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXRC1_RR_Pos                       (0UL)
#define R_CRU_ICnLMXRC2_RG_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXRC2_RG_Pos                       (0UL)
#define R_CRU_ICnLMXRC2_RB_Msk                       (0x1FFF0000UL)
#define R_CRU_ICnLMXRC2_RB_Pos                       (16UL)
#define R_CRU_ICnLMXGC1_GR_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXGC1_GR_Pos                       (0UL)
#define R_CRU_ICnLMXGC2_GG_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXGC2_GG_Pos                       (0UL)
#define R_CRU_ICnLMXGC2_GB_Msk                       (0x1FFF0000UL)
#define R_CRU_ICnLMXGC2_GB_Pos                       (16UL)
#define R_CRU_ICnLMXBC1_BR_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXBC1_BR_Pos                       (0UL)
#define R_CRU_ICnLMXBC2_BG_Msk                       (0x00001FFFUL)
#define R_CRU_ICnLMXBC2_BG_Pos                       (0UL)
#define R_CRU_ICnLMXBC2_BB_Msk                       (0x1FFF0000UL)
#define R_CRU_ICnLMXBC2_BB_Pos                       (16UL)
#define R_CRU_ICnSTIC1_STUNIT_Msk                    (0x00000003UL)
#define R_CRU_ICnSTIC1_STUNIT_Pos                    (0UL)
#define R_CRU_ICnSTIC1_STSADPOS_Msk                  (0x000F0000UL)
#define R_CRU_ICnSTIC1_STSADPOS_Pos                  (16UL)
#define R_CRU_ICnSTIC2_STHPOS_Msk                    (0x000001FFUL)
#define R_CRU_ICnSTIC2_STHPOS_Pos                    (0UL)
#define R_CRU_ICnPIFC_PINF_Msk                       (0x0000000FUL)
#define R_CRU_ICnPIFC_PINF_Pos                       (0UL)
#define R_CRU_ICnPIFC_ITL_Msk                        (0x00000700UL)
#define R_CRU_ICnPIFC_ITL_Pos                        (8UL)
#define R_CRU_ICnPIFC_EC_Msk                         (0x00001000UL)
#define R_CRU_ICnPIFC_EC_Pos                         (12UL)
#define R_CRU_ICnPIFC_VSPOL_Msk                      (0x00002000UL)
#define R_CRU_ICnPIFC_VSPOL_Pos                      (13UL)
#define R_CRU_ICnPIFC_ENPOL_Msk                      (0x00004000UL)
#define R_CRU_ICnPIFC_ENPOL_Pos                      (14UL)
#define R_CRU_ICnMS_CA_Msk                           (0x00000001UL)
#define R_CRU_ICnMS_CA_Pos                           (0UL)
#define R_CRU_ICnMS_AV_Msk                           (0x00000002UL)
#define R_CRU_ICnMS_AV_Pos                           (1UL)
#define R_CRU_ICnMS_IA_Msk                           (0x00000004UL)
#define R_CRU_ICnMS_IA_Pos                           (2UL)
#define R_CRU_ICnDEC_FRMDEC_Msk                      (0x0000000FUL)
#define R_CRU_ICnDEC_FRMDEC_Pos                      (0UL)
#define R_CRU_ICnLC_LC_Msk                           (0x00000FFFUL)
#define R_CRU_ICnLC_LC_Pos                           (0UL)
#define R_CRU_ICnWC_WCLC_Msk                         (0x00000FFFUL)
#define R_CRU_ICnWC_WCLC_Pos                         (0UL)
#define R_CRU_ICnWC_WC_Msk                           (0xFFFF0000UL)
#define R_CRU_ICnWC_WC_Pos                           (16UL)
#define R_CRU_ICnEWC_EWC_Msk                         (0x0000FFFFUL)
#define R_CRU_ICnEWC_EWC_Pos                         (0UL)
#define R_CRU_ICnINTCTRL_DECINTE_Msk                 (0x00000001UL)
#define R_CRU_ICnINTCTRL_DECINTE_Pos                 (0UL)
#define R_CRU_ICnDMR_RGBMODE_Msk                     (0x00000003UL)
#define R_CRU_ICnDMR_RGBMODE_Pos                     (0UL)
#define R_CRU_ICnDMR_YCMODE_Msk                      (0x00000070UL)
#define R_CRU_ICnDMR_YCMODE_Pos                      (4UL)
#define R_CRU_ICnDMR_OBINSEL_Msk                     (0x00000100UL)
#define R_CRU_ICnDMR_OBINSEL_Pos                     (8UL)
#define R_CRU_ICnDMR_A8BIT_Msk                       (0xFF000000UL)
#define R_CRU_ICnDMR_A8BIT_Pos                       (24UL)
#define R_CRU_ICnCSCC1_YMUL_Msk                      (0x00003FFFUL)
#define R_CRU_ICnCSCC1_YMUL_Pos                      (0UL)
#define R_CRU_ICnCSCC2_CSUB_Msk                      (0x00000FFFUL)
#define R_CRU_ICnCSCC2_CSUB_Pos                      (0UL)
#define R_CRU_ICnCSCC2_YSUB_Msk                      (0x0FFF0000UL)
#define R_CRU_ICnCSCC2_YSUB_Pos                      (16UL)
#define R_CRU_ICnCSCC3_GCRMUL_Msk                    (0x00003FFFUL)
#define R_CRU_ICnCSCC3_GCRMUL_Pos                    (0UL)
#define R_CRU_ICnCSCC3_RCRMUL_Msk                    (0x3FFF0000UL)
#define R_CRU_ICnCSCC3_RCRMUL_Pos                    (16UL)
#define R_CRU_ICnCSCC4_BCBMUL_Msk                    (0x00003FFFUL)
#define R_CRU_ICnCSCC4_BCBMUL_Pos                    (0UL)
#define R_CRU_ICnCSCC4_GCBMUL_Msk                    (0x3FFF0000UL)
#define R_CRU_ICnCSCC4_GCBMUL_Pos                    (16UL)
#define R_CRU_ICnYCCR1_YCLRP_Msk                     (0x00001FFFUL)
#define R_CRU_ICnYCCR1_YCLRP_Pos                     (0UL)
#define R_CRU_ICnYCCR2_YCLGP_Msk                     (0x00001FFFUL)
#define R_CRU_ICnYCCR2_YCLGP_Pos                     (0UL)
#define R_CRU_ICnYCCR2_YCLBP_Msk                     (0x1FFF0000UL)
#define R_CRU_ICnYCCR2_YCLBP_Pos                     (16UL)
#define R_CRU_ICnYCCR3_YCLAP_Msk                     (0x00000FFFUL)
#define R_CRU_ICnYCCR3_YCLAP_Pos                     (0UL)
#define R_CRU_ICnYCCR3_YCLCEN_Msk                    (0x00010000UL)
#define R_CRU_ICnYCCR3_YCLCEN_Pos                    (16UL)
#define R_CRU_ICnYCCR3_YCLSFT_Msk                    (0x1F000000UL)
#define R_CRU_ICnYCCR3_YCLSFT_Pos                    (24UL)
#define R_CRU_ICnYCCR3_YEXPEN_Msk                    (0x80000000UL)
#define R_CRU_ICnYCCR3_YEXPEN_Pos                    (31UL)
#define R_CRU_ICnCBCCR1_CBCLRP_Msk                   (0x00001FFFUL)
#define R_CRU_ICnCBCCR1_CBCLRP_Pos                   (0UL)
#define R_CRU_ICnCBCCR2_CBCLGP_Msk                   (0x00001FFFUL)
#define R_CRU_ICnCBCCR2_CBCLGP_Pos                   (0UL)
#define R_CRU_ICnCBCCR2_CBCLBP_Msk                   (0x1FFF0000UL)
#define R_CRU_ICnCBCCR2_CBCLBP_Pos                   (16UL)
#define R_CRU_ICnCBCCR3_CBCLAP_Msk                   (0x00000FFFUL)
#define R_CRU_ICnCBCCR3_CBCLAP_Pos                   (0UL)
#define R_CRU_ICnCBCCR3_CBCLCEN_Msk                  (0x00010000UL)
#define R_CRU_ICnCBCCR3_CBCLCEN_Pos                  (16UL)
#define R_CRU_ICnCBCCR3_CBCLSFT_Msk                  (0x1F000000UL)
#define R_CRU_ICnCBCCR3_CBCLSFT_Pos                  (24UL)
#define R_CRU_ICnCBCCR3_CBEXPEN_Msk                  (0x80000000UL)
#define R_CRU_ICnCBCCR3_CBEXPEN_Pos                  (31UL)
#define R_CRU_ICnCRCCR1_CRCLRP_Msk                   (0x00001FFFUL)
#define R_CRU_ICnCRCCR1_CRCLRP_Pos                   (0UL)
#define R_CRU_ICnCRCCR2_CRCLGP_Msk                   (0x00001FFFUL)
#define R_CRU_ICnCRCCR2_CRCLGP_Pos                   (0UL)
#define R_CRU_ICnCRCCR2_CRCLBP_Msk                   (0x1FFF0000UL)
#define R_CRU_ICnCRCCR2_CRCLBP_Pos                   (16UL)
#define R_CRU_ICnCRCCR3_CRCLAP_Msk                   (0x00000FFFUL)
#define R_CRU_ICnCRCCR3_CRCLAP_Pos                   (0UL)
#define R_CRU_ICnCRCCR3_CRCLCEN_Msk                  (0x00010000UL)
#define R_CRU_ICnCRCCR3_CRCLCEN_Pos                  (16UL)
#define R_CRU_ICnCRCCR3_CRCLSFT_Msk                  (0x1F000000UL)
#define R_CRU_ICnCRCCR3_CRCLSFT_Pos                  (24UL)
#define R_CRU_ICnCRCCR3_CREXPEN_Msk                  (0x80000000UL)
#define R_CRU_ICnCRCCR3_CREXPEN_Pos                  (31UL)
#define R_CRU_ICnLUT_LUTSEL_Msk                      (0x00000001UL)
#define R_CRU_ICnLUT_LUTSEL_Pos                      (0UL)
#define R_CRU_ICnLUT_LUTWR_Msk                       (0x00000002UL)
#define R_CRU_ICnLUT_LUTWR_Pos                       (1UL)
#define R_CRU_ICnLUTS_LUTREGSEL_Msk                  (0x00000001UL)
#define R_CRU_ICnLUTS_LUTREGSEL_Pos                  (0UL)
#define R_CRU_ICnLUTP_LTCRPR_Msk                     (0x000003FFUL)
#define R_CRU_ICnLUTP_LTCRPR_Pos                     (0UL)
#define R_CRU_ICnLUTP_LTCBPR_Msk                     (0x000FFC00UL)
#define R_CRU_ICnLUTP_LTCBPR_Pos                     (10UL)
#define R_CRU_ICnLUTP_LTYPR_Msk                      (0x3FF00000UL)
#define R_CRU_ICnLUTP_LTYPR_Pos                      (20UL)
#define R_CRU_ICnLUTD_LTCRDT_Msk                     (0x000000FFUL)
#define R_CRU_ICnLUTD_LTCRDT_Pos                     (0UL)
#define R_CRU_ICnLUTD_LTCBDT_Msk                     (0x0000FF00UL)
#define R_CRU_ICnLUTD_LTCBDT_Pos                     (8UL)
#define R_CRU_ICnLUTD_LTYDT_Msk                      (0x00FF0000UL)
#define R_CRU_ICnLUTD_LTYDT_Pos                      (16UL)
#define R_CRU_ICnTICTRL1_TIEN_Msk                    (0x00000001UL)
#define R_CRU_ICnTICTRL1_TIEN_Pos                    (0UL)
#define R_CRU_ICnTICTRL1_TIMODE_Msk                  (0x00000002UL)
#define R_CRU_ICnTICTRL1_TIMODE_Pos                  (1UL)
#define R_CRU_ICnTICTRL1_TIPTNY1_Msk                 (0x000000F0UL)
#define R_CRU_ICnTICTRL1_TIPTNY1_Pos                 (4UL)
#define R_CRU_ICnTICTRL1_TIPTNU1_Msk                 (0x00000F00UL)
#define R_CRU_ICnTICTRL1_TIPTNU1_Pos                 (8UL)
#define R_CRU_ICnTICTRL1_TIPTNV1_Msk                 (0x0000F000UL)
#define R_CRU_ICnTICTRL1_TIPTNV1_Pos                 (12UL)
#define R_CRU_ICnTICTRL1_TIRATE_Msk                  (0x000F8000UL)
#define R_CRU_ICnTICTRL1_TIRATE_Pos                  (15UL)
#define R_CRU_ICnTICTRL2_TIPTNY2_Msk                 (0x000000FFUL)
#define R_CRU_ICnTICTRL2_TIPTNY2_Pos                 (0UL)
#define R_CRU_ICnTICTRL2_TIPTNU2_Msk                 (0x0000FF00UL)
#define R_CRU_ICnTICTRL2_TIPTNU2_Pos                 (8UL)
#define R_CRU_ICnTICTRL2_TIPTNV2_Msk                 (0x00FF0000UL)
#define R_CRU_ICnTICTRL2_TIPTNV2_Pos                 (16UL)
#define R_CRU_ICnTISIZE1_TIPPL_Msk                   (0x00000FFFUL)
#define R_CRU_ICnTISIZE1_TIPPL_Pos                   (0UL)
#define R_CRU_ICnTISIZE2_TIN_Msk                     (0x00000FFFUL)
#define R_CRU_ICnTISIZE2_TIN_Pos                     (0UL)
#define R_CRU_ICnTISIZE2_TIM_Msk                     (0x0FFF0000UL)
#define R_CRU_ICnTISIZE2_TIM_Pos                     (16UL)
#define R_CRU_CSI2nMCG_VER_Msk                       (0x0000000FUL)
#define R_CRU_CSI2nMCG_VER_Pos                       (0UL)
#define R_CRU_CSI2nMCG_SDLN_Msk                      (0x00000F00UL)
#define R_CRU_CSI2nMCG_SDLN_Pos                      (8UL)
#define R_CRU_CSI2nMCG_GSNM_Msk                      (0x00FF0000UL)
#define R_CRU_CSI2nMCG_GSNM_Pos                      (16UL)
#define R_CRU_CSI2nMCT0_VDLN_Msk                     (0x0000000FUL)
#define R_CRU_CSI2nMCT0_VDLN_Pos                     (0UL)
#define R_CRU_CSI2nMCT0_ZLMD_Msk                     (0x00010000UL)
#define R_CRU_CSI2nMCT0_ZLMD_Pos                     (16UL)
#define R_CRU_CSI2nMCT0_EDMD_Msk                     (0x00020000UL)
#define R_CRU_CSI2nMCT0_EDMD_Pos                     (17UL)
#define R_CRU_CSI2nMCT0_RVMD_Msk                     (0x00080000UL)
#define R_CRU_CSI2nMCT0_RVMD_Pos                     (19UL)
#define R_CRU_CSI2nMCT0_ECCV13_Msk                   (0x01000000UL)
#define R_CRU_CSI2nMCT0_ECCV13_Pos                   (24UL)
#define R_CRU_CSI2nMCT0_LFSREN_Msk                   (0x02000000UL)
#define R_CRU_CSI2nMCT0_LFSREN_Pos                   (25UL)
#define R_CRU_CSI2nMCT2_FRRCLK_Msk                   (0x000001FFUL)
#define R_CRU_CSI2nMCT2_FRRCLK_Pos                   (0UL)
#define R_CRU_CSI2nMCT2_FRRSKW_Msk                   (0x01FF0000UL)
#define R_CRU_CSI2nMCT2_FRRSKW_Pos                   (16UL)
#define R_CRU_CSI2nMCT3_RXEN_Msk                     (0x00000001UL)
#define R_CRU_CSI2nMCT3_RXEN_Pos                     (0UL)
#define R_CRU_CSI2nRTCT_VSRST_Msk                    (0x00000001UL)
#define R_CRU_CSI2nRTCT_VSRST_Pos                    (0UL)
#define R_CRU_CSI2nRTST_VSRSTS_Msk                   (0x00000001UL)
#define R_CRU_CSI2nRTST_VSRSTS_Pos                   (0UL)
#define R_CRU_CSI2nEPCT_SLP_Msk                      (0x00007FFFUL)
#define R_CRU_CSI2nEPCT_SLP_Pos                      (0UL)
#define R_CRU_CSI2nEPCT_EPDOP_Msk                    (0x00008000UL)
#define R_CRU_CSI2nEPCT_EPDOP_Pos                    (15UL)
#define R_CRU_CSI2nEPCT_SSP_Msk                      (0x7FFF0000UL)
#define R_CRU_CSI2nEPCT_SSP_Pos                      (16UL)
#define R_CRU_CSI2nEPCT_EPDEN_Msk                    (0x80000000UL)
#define R_CRU_CSI2nEPCT_EPDEN_Pos                    (31UL)
#define R_CRU_CSI2nMIST_DL0S_Msk                     (0x00000001UL)
#define R_CRU_CSI2nMIST_DL0S_Pos                     (0UL)
#define R_CRU_CSI2nMIST_DL1S_Msk                     (0x00000002UL)
#define R_CRU_CSI2nMIST_DL1S_Pos                     (1UL)
#define R_CRU_CSI2nMIST_DL2S_Msk                     (0x00000004UL)
#define R_CRU_CSI2nMIST_DL2S_Pos                     (2UL)
#define R_CRU_CSI2nMIST_DL3S_Msk                     (0x00000008UL)
#define R_CRU_CSI2nMIST_DL3S_Pos                     (3UL)
#define R_CRU_CSI2nMIST_PMS_Msk                      (0x00000100UL)
#define R_CRU_CSI2nMIST_PMS_Pos                      (8UL)
#define R_CRU_CSI2nMIST_GSTS_Msk                     (0x00000200UL)
#define R_CRU_CSI2nMIST_GSTS_Pos                     (9UL)
#define R_CRU_CSI2nMIST_RXS_Msk                      (0x00000400UL)
#define R_CRU_CSI2nMIST_RXS_Pos                      (10UL)
#define R_CRU_CSI2nMIST_VC0S_Msk                     (0x00010000UL)
#define R_CRU_CSI2nMIST_VC0S_Pos                     (16UL)
#define R_CRU_CSI2nMIST_VC1S_Msk                     (0x00020000UL)
#define R_CRU_CSI2nMIST_VC1S_Pos                     (17UL)
#define R_CRU_CSI2nMIST_VC2S_Msk                     (0x00040000UL)
#define R_CRU_CSI2nMIST_VC2S_Pos                     (18UL)
#define R_CRU_CSI2nMIST_VC3S_Msk                     (0x00080000UL)
#define R_CRU_CSI2nMIST_VC3S_Pos                     (19UL)
#define R_CRU_CSI2nDTEL_DTEN_Msk                     (0xFFFFFFFFUL)
#define R_CRU_CSI2nDTEL_DTEN_Pos                     (0UL)
#define R_CRU_CSI2nDTEH_DTEN_Msk                     (0xFFFFFFFFUL)
#define R_CRU_CSI2nDTEH_DTEN_Pos                     (0UL)
#define R_CRU_CSI2nRXST_FRM0_Msk                     (0x00000001UL)
#define R_CRU_CSI2nRXST_FRM0_Pos                     (0UL)
#define R_CRU_CSI2nRXST_FRM1_Msk                     (0x00000002UL)
#define R_CRU_CSI2nRXST_FRM1_Pos                     (1UL)
#define R_CRU_CSI2nRXST_FRM2_Msk                     (0x00000004UL)
#define R_CRU_CSI2nRXST_FRM2_Pos                     (2UL)
#define R_CRU_CSI2nRXST_FRM3_Msk                     (0x00000008UL)
#define R_CRU_CSI2nRXST_FRM3_Pos                     (3UL)
#define R_CRU_CSI2nRXST_RACT_Msk                     (0x00010000UL)
#define R_CRU_CSI2nRXST_RACT_Pos                     (16UL)
#define R_CRU_CSI2nRXST_RACTDET_Msk                  (0x00020000UL)
#define R_CRU_CSI2nRXST_RACTDET_Pos                  (17UL)
#define R_CRU_CSI2nRXSC_RACTDETC_Msk                 (0x00020000UL)
#define R_CRU_CSI2nRXSC_RACTDETC_Pos                 (17UL)
#define R_CRU_CSI2nRXIE_RACTDETE_Msk                 (0x00020000UL)
#define R_CRU_CSI2nRXIE_RACTDETE_Pos                 (17UL)
#define R_CRU_CSI2nDLST0_ESH0_Msk                    (0x00000001UL)
#define R_CRU_CSI2nDLST0_ESH0_Pos                    (0UL)
#define R_CRU_CSI2nDLST0_ESS0_Msk                    (0x00000002UL)
#define R_CRU_CSI2nDLST0_ESS0_Pos                    (1UL)
#define R_CRU_CSI2nDLST0_ECT0_Msk                    (0x00000004UL)
#define R_CRU_CSI2nDLST0_ECT0_Pos                    (2UL)
#define R_CRU_CSI2nDLST0_EES0_Msk                    (0x00000008UL)
#define R_CRU_CSI2nDLST0_EES0_Pos                    (3UL)
#define R_CRU_CSI2nDLST0_EUL0_Msk                    (0x00010000UL)
#define R_CRU_CSI2nDLST0_EUL0_Pos                    (16UL)
#define R_CRU_CSI2nDLST0_RUL0_Msk                    (0x00020000UL)
#define R_CRU_CSI2nDLST0_RUL0_Pos                    (17UL)
#define R_CRU_CSI2nDLST0_ULP0_Msk                    (0x01000000UL)
#define R_CRU_CSI2nDLST0_ULP0_Pos                    (24UL)
#define R_CRU_CSI2nDLSC0_ESHC0_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLSC0_ESHC0_Pos                   (0UL)
#define R_CRU_CSI2nDLSC0_ESSC0_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLSC0_ESSC0_Pos                   (1UL)
#define R_CRU_CSI2nDLSC0_ECTC0_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLSC0_ECTC0_Pos                   (2UL)
#define R_CRU_CSI2nDLSC0_EESC0_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLSC0_EESC0_Pos                   (3UL)
#define R_CRU_CSI2nDLSC0_EULC0_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLSC0_EULC0_Pos                   (16UL)
#define R_CRU_CSI2nDLSC0_RULC0_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLSC0_RULC0_Pos                   (17UL)
#define R_CRU_CSI2nDLIE0_ESHE0_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLIE0_ESHE0_Pos                   (0UL)
#define R_CRU_CSI2nDLIE0_ESSE0_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLIE0_ESSE0_Pos                   (1UL)
#define R_CRU_CSI2nDLIE0_ECTE0_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLIE0_ECTE0_Pos                   (2UL)
#define R_CRU_CSI2nDLIE0_EESE0_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLIE0_EESE0_Pos                   (3UL)
#define R_CRU_CSI2nDLIE0_EULE0_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLIE0_EULE0_Pos                   (16UL)
#define R_CRU_CSI2nDLIE0_RULE0_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLIE0_RULE0_Pos                   (17UL)
#define R_CRU_CSI2nDLST1_ESH1_Msk                    (0x00000001UL)
#define R_CRU_CSI2nDLST1_ESH1_Pos                    (0UL)
#define R_CRU_CSI2nDLST1_ESS1_Msk                    (0x00000002UL)
#define R_CRU_CSI2nDLST1_ESS1_Pos                    (1UL)
#define R_CRU_CSI2nDLST1_ECT1_Msk                    (0x00000004UL)
#define R_CRU_CSI2nDLST1_ECT1_Pos                    (2UL)
#define R_CRU_CSI2nDLST1_EES1_Msk                    (0x00000008UL)
#define R_CRU_CSI2nDLST1_EES1_Pos                    (3UL)
#define R_CRU_CSI2nDLST1_EUL1_Msk                    (0x00010000UL)
#define R_CRU_CSI2nDLST1_EUL1_Pos                    (16UL)
#define R_CRU_CSI2nDLST1_RUL1_Msk                    (0x00020000UL)
#define R_CRU_CSI2nDLST1_RUL1_Pos                    (17UL)
#define R_CRU_CSI2nDLST1_ULP1_Msk                    (0x01000000UL)
#define R_CRU_CSI2nDLST1_ULP1_Pos                    (24UL)
#define R_CRU_CSI2nDLSC1_ESHC1_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLSC1_ESHC1_Pos                   (0UL)
#define R_CRU_CSI2nDLSC1_ESSC1_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLSC1_ESSC1_Pos                   (1UL)
#define R_CRU_CSI2nDLSC1_ECTC1_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLSC1_ECTC1_Pos                   (2UL)
#define R_CRU_CSI2nDLSC1_EESC1_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLSC1_EESC1_Pos                   (3UL)
#define R_CRU_CSI2nDLSC1_EULC1_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLSC1_EULC1_Pos                   (16UL)
#define R_CRU_CSI2nDLSC1_RULC1_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLSC1_RULC1_Pos                   (17UL)
#define R_CRU_CSI2nDLIE1_ESHE1_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLIE1_ESHE1_Pos                   (0UL)
#define R_CRU_CSI2nDLIE1_ESSE1_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLIE1_ESSE1_Pos                   (1UL)
#define R_CRU_CSI2nDLIE1_ECTE1_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLIE1_ECTE1_Pos                   (2UL)
#define R_CRU_CSI2nDLIE1_EESE1_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLIE1_EESE1_Pos                   (3UL)
#define R_CRU_CSI2nDLIE1_EULE1_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLIE1_EULE1_Pos                   (16UL)
#define R_CRU_CSI2nDLIE1_RULE1_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLIE1_RULE1_Pos                   (17UL)
#define R_CRU_CSI2nDLST2_ESH2_Msk                    (0x00000001UL)
#define R_CRU_CSI2nDLST2_ESH2_Pos                    (0UL)
#define R_CRU_CSI2nDLST2_ESS2_Msk                    (0x00000002UL)
#define R_CRU_CSI2nDLST2_ESS2_Pos                    (1UL)
#define R_CRU_CSI2nDLST2_ECT2_Msk                    (0x00000004UL)
#define R_CRU_CSI2nDLST2_ECT2_Pos                    (2UL)
#define R_CRU_CSI2nDLST2_EES2_Msk                    (0x00000008UL)
#define R_CRU_CSI2nDLST2_EES2_Pos                    (3UL)
#define R_CRU_CSI2nDLST2_EUL2_Msk                    (0x00010000UL)
#define R_CRU_CSI2nDLST2_EUL2_Pos                    (16UL)
#define R_CRU_CSI2nDLST2_RUL2_Msk                    (0x00020000UL)
#define R_CRU_CSI2nDLST2_RUL2_Pos                    (17UL)
#define R_CRU_CSI2nDLST2_ULP2_Msk                    (0x01000000UL)
#define R_CRU_CSI2nDLST2_ULP2_Pos                    (24UL)
#define R_CRU_CSI2nDLSC2_ESHC2_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLSC2_ESHC2_Pos                   (0UL)
#define R_CRU_CSI2nDLSC2_ESSC2_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLSC2_ESSC2_Pos                   (1UL)
#define R_CRU_CSI2nDLSC2_ECTC2_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLSC2_ECTC2_Pos                   (2UL)
#define R_CRU_CSI2nDLSC2_EESC2_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLSC2_EESC2_Pos                   (3UL)
#define R_CRU_CSI2nDLSC2_EULC2_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLSC2_EULC2_Pos                   (16UL)
#define R_CRU_CSI2nDLSC2_RULC2_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLSC2_RULC2_Pos                   (17UL)
#define R_CRU_CSI2nDLIE2_ESHE2_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLIE2_ESHE2_Pos                   (0UL)
#define R_CRU_CSI2nDLIE2_ESSE2_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLIE2_ESSE2_Pos                   (1UL)
#define R_CRU_CSI2nDLIE2_ECTE2_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLIE2_ECTE2_Pos                   (2UL)
#define R_CRU_CSI2nDLIE2_EESE2_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLIE2_EESE2_Pos                   (3UL)
#define R_CRU_CSI2nDLIE2_EULE2_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLIE2_EULE2_Pos                   (16UL)
#define R_CRU_CSI2nDLIE2_RULE2_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLIE2_RULE2_Pos                   (17UL)
#define R_CRU_CSI2nDLST3_ESH3_Msk                    (0x00000001UL)
#define R_CRU_CSI2nDLST3_ESH3_Pos                    (0UL)
#define R_CRU_CSI2nDLST3_ESS3_Msk                    (0x00000002UL)
#define R_CRU_CSI2nDLST3_ESS3_Pos                    (1UL)
#define R_CRU_CSI2nDLST3_ECT3_Msk                    (0x00000004UL)
#define R_CRU_CSI2nDLST3_ECT3_Pos                    (2UL)
#define R_CRU_CSI2nDLST3_EES3_Msk                    (0x00000008UL)
#define R_CRU_CSI2nDLST3_EES3_Pos                    (3UL)
#define R_CRU_CSI2nDLST3_EUL3_Msk                    (0x00010000UL)
#define R_CRU_CSI2nDLST3_EUL3_Pos                    (16UL)
#define R_CRU_CSI2nDLST3_RUL3_Msk                    (0x00020000UL)
#define R_CRU_CSI2nDLST3_RUL3_Pos                    (17UL)
#define R_CRU_CSI2nDLST3_ULP3_Msk                    (0x01000000UL)
#define R_CRU_CSI2nDLST3_ULP3_Pos                    (24UL)
#define R_CRU_CSI2nDLSC3_ESHC3_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLSC3_ESHC3_Pos                   (0UL)
#define R_CRU_CSI2nDLSC3_ESSC3_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLSC3_ESSC3_Pos                   (1UL)
#define R_CRU_CSI2nDLSC3_ECTC3_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLSC3_ECTC3_Pos                   (2UL)
#define R_CRU_CSI2nDLSC3_EESC3_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLSC3_EESC3_Pos                   (3UL)
#define R_CRU_CSI2nDLSC3_EULC3_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLSC3_EULC3_Pos                   (16UL)
#define R_CRU_CSI2nDLSC3_RULC3_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLSC3_RULC3_Pos                   (17UL)
#define R_CRU_CSI2nDLIE3_ESHE3_Msk                   (0x00000001UL)
#define R_CRU_CSI2nDLIE3_ESHE3_Pos                   (0UL)
#define R_CRU_CSI2nDLIE3_ESSE3_Msk                   (0x00000002UL)
#define R_CRU_CSI2nDLIE3_ESSE3_Pos                   (1UL)
#define R_CRU_CSI2nDLIE3_ECTE3_Msk                   (0x00000004UL)
#define R_CRU_CSI2nDLIE3_ECTE3_Pos                   (2UL)
#define R_CRU_CSI2nDLIE3_EESE3_Msk                   (0x00000008UL)
#define R_CRU_CSI2nDLIE3_EESE3_Pos                   (3UL)
#define R_CRU_CSI2nDLIE3_EULE3_Msk                   (0x00010000UL)
#define R_CRU_CSI2nDLIE3_EULE3_Pos                   (16UL)
#define R_CRU_CSI2nDLIE3_RULE3_Msk                   (0x00020000UL)
#define R_CRU_CSI2nDLIE3_RULE3_Pos                   (17UL)
#define R_CRU_CSI2nVCST0_MLF0_Msk                    (0x00000001UL)
#define R_CRU_CSI2nVCST0_MLF0_Pos                    (0UL)
#define R_CRU_CSI2nVCST0_ECD0_Msk                    (0x00000002UL)
#define R_CRU_CSI2nVCST0_ECD0_Pos                    (1UL)
#define R_CRU_CSI2nVCST0_CRC0_Msk                    (0x00000004UL)
#define R_CRU_CSI2nVCST0_CRC0_Pos                    (2UL)
#define R_CRU_CSI2nVCST0_IDE0_Msk                    (0x00000008UL)
#define R_CRU_CSI2nVCST0_IDE0_Pos                    (3UL)
#define R_CRU_CSI2nVCST0_WCE0_Msk                    (0x00000010UL)
#define R_CRU_CSI2nVCST0_WCE0_Pos                    (4UL)
#define R_CRU_CSI2nVCST0_ECC0_Msk                    (0x00000020UL)
#define R_CRU_CSI2nVCST0_ECC0_Pos                    (5UL)
#define R_CRU_CSI2nVCST0_ECN0_Msk                    (0x00000040UL)
#define R_CRU_CSI2nVCST0_ECN0_Pos                    (6UL)
#define R_CRU_CSI2nVCST0_FRS0_Msk                    (0x00000100UL)
#define R_CRU_CSI2nVCST0_FRS0_Pos                    (8UL)
#define R_CRU_CSI2nVCST0_FRD0_Msk                    (0x00000200UL)
#define R_CRU_CSI2nVCST0_FRD0_Pos                    (9UL)
#define R_CRU_CSI2nVCST0_OVF0_Msk                    (0x00010000UL)
#define R_CRU_CSI2nVCST0_OVF0_Pos                    (16UL)
#define R_CRU_CSI2nVCST0_FSR0_Msk                    (0x01000000UL)
#define R_CRU_CSI2nVCST0_FSR0_Pos                    (24UL)
#define R_CRU_CSI2nVCST0_FER0_Msk                    (0x02000000UL)
#define R_CRU_CSI2nVCST0_FER0_Pos                    (25UL)
#define R_CRU_CSI2nVCST0_LSR0_Msk                    (0x04000000UL)
#define R_CRU_CSI2nVCST0_LSR0_Pos                    (26UL)
#define R_CRU_CSI2nVCST0_LER0_Msk                    (0x08000000UL)
#define R_CRU_CSI2nVCST0_LER0_Pos                    (27UL)
#define R_CRU_CSI2nVCSC0_MLFC0_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCSC0_MLFC0_Pos                   (0UL)
#define R_CRU_CSI2nVCSC0_ECDC0_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCSC0_ECDC0_Pos                   (1UL)
#define R_CRU_CSI2nVCSC0_CRCC0_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCSC0_CRCC0_Pos                   (2UL)
#define R_CRU_CSI2nVCSC0_IDEC0_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCSC0_IDEC0_Pos                   (3UL)
#define R_CRU_CSI2nVCSC0_WCEC0_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCSC0_WCEC0_Pos                   (4UL)
#define R_CRU_CSI2nVCSC0_ECCC0_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCSC0_ECCC0_Pos                   (5UL)
#define R_CRU_CSI2nVCSC0_ECNC0_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCSC0_ECNC0_Pos                   (6UL)
#define R_CRU_CSI2nVCSC0_FRSC0_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCSC0_FRSC0_Pos                   (8UL)
#define R_CRU_CSI2nVCSC0_FRDC0_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCSC0_FRDC0_Pos                   (9UL)
#define R_CRU_CSI2nVCSC0_ANLFC0_Msk                  (0x00004000UL)
#define R_CRU_CSI2nVCSC0_ANLFC0_Pos                  (14UL)
#define R_CRU_CSI2nVCSC0_AECDC0_Msk                  (0x00008000UL)
#define R_CRU_CSI2nVCSC0_AECDC0_Pos                  (15UL)
#define R_CRU_CSI2nVCSC0_OVFC0_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCSC0_OVFC0_Pos                   (16UL)
#define R_CRU_CSI2nVCSC0_FSRC0_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCSC0_FSRC0_Pos                   (24UL)
#define R_CRU_CSI2nVCSC0_FERC0_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCSC0_FERC0_Pos                   (25UL)
#define R_CRU_CSI2nVCSC0_LSRC0_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCSC0_LSRC0_Pos                   (26UL)
#define R_CRU_CSI2nVCSC0_LERC0_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCSC0_LERC0_Pos                   (27UL)
#define R_CRU_CSI2nVCIE0_MLFE0_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCIE0_MLFE0_Pos                   (0UL)
#define R_CRU_CSI2nVCIE0_ECDE0_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCIE0_ECDE0_Pos                   (1UL)
#define R_CRU_CSI2nVCIE0_CRCE0_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCIE0_CRCE0_Pos                   (2UL)
#define R_CRU_CSI2nVCIE0_IDEE0_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCIE0_IDEE0_Pos                   (3UL)
#define R_CRU_CSI2nVCIE0_WCEE0_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCIE0_WCEE0_Pos                   (4UL)
#define R_CRU_CSI2nVCIE0_ECCE0_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCIE0_ECCE0_Pos                   (5UL)
#define R_CRU_CSI2nVCIE0_ECNE0_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCIE0_ECNE0_Pos                   (6UL)
#define R_CRU_CSI2nVCIE0_FRSE0_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCIE0_FRSE0_Pos                   (8UL)
#define R_CRU_CSI2nVCIE0_FRDE0_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCIE0_FRDE0_Pos                   (9UL)
#define R_CRU_CSI2nVCIE0_OVFE0_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCIE0_OVFE0_Pos                   (16UL)
#define R_CRU_CSI2nVCIE0_FSRE0_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCIE0_FSRE0_Pos                   (24UL)
#define R_CRU_CSI2nVCIE0_FERE0_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCIE0_FERE0_Pos                   (25UL)
#define R_CRU_CSI2nVCIE0_LSRE0_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCIE0_LSRE0_Pos                   (26UL)
#define R_CRU_CSI2nVCIE0_LERE0_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCIE0_LERE0_Pos                   (27UL)
#define R_CRU_CSI2nVCST1_MLF1_Msk                    (0x00000001UL)
#define R_CRU_CSI2nVCST1_MLF1_Pos                    (0UL)
#define R_CRU_CSI2nVCST1_ECD1_Msk                    (0x00000002UL)
#define R_CRU_CSI2nVCST1_ECD1_Pos                    (1UL)
#define R_CRU_CSI2nVCST1_CRC1_Msk                    (0x00000004UL)
#define R_CRU_CSI2nVCST1_CRC1_Pos                    (2UL)
#define R_CRU_CSI2nVCST1_IDE1_Msk                    (0x00000008UL)
#define R_CRU_CSI2nVCST1_IDE1_Pos                    (3UL)
#define R_CRU_CSI2nVCST1_WCE1_Msk                    (0x00000010UL)
#define R_CRU_CSI2nVCST1_WCE1_Pos                    (4UL)
#define R_CRU_CSI2nVCST1_ECC1_Msk                    (0x00000020UL)
#define R_CRU_CSI2nVCST1_ECC1_Pos                    (5UL)
#define R_CRU_CSI2nVCST1_ECN1_Msk                    (0x00000040UL)
#define R_CRU_CSI2nVCST1_ECN1_Pos                    (6UL)
#define R_CRU_CSI2nVCST1_FRS1_Msk                    (0x00000100UL)
#define R_CRU_CSI2nVCST1_FRS1_Pos                    (8UL)
#define R_CRU_CSI2nVCST1_FRD1_Msk                    (0x00000200UL)
#define R_CRU_CSI2nVCST1_FRD1_Pos                    (9UL)
#define R_CRU_CSI2nVCST1_OVF1_Msk                    (0x00010000UL)
#define R_CRU_CSI2nVCST1_OVF1_Pos                    (16UL)
#define R_CRU_CSI2nVCST1_FSR1_Msk                    (0x01000000UL)
#define R_CRU_CSI2nVCST1_FSR1_Pos                    (24UL)
#define R_CRU_CSI2nVCST1_FER1_Msk                    (0x02000000UL)
#define R_CRU_CSI2nVCST1_FER1_Pos                    (25UL)
#define R_CRU_CSI2nVCST1_LSR1_Msk                    (0x04000000UL)
#define R_CRU_CSI2nVCST1_LSR1_Pos                    (26UL)
#define R_CRU_CSI2nVCST1_LER1_Msk                    (0x08000000UL)
#define R_CRU_CSI2nVCST1_LER1_Pos                    (27UL)
#define R_CRU_CSI2nVCSC1_MLFC1_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCSC1_MLFC1_Pos                   (0UL)
#define R_CRU_CSI2nVCSC1_ECDC1_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCSC1_ECDC1_Pos                   (1UL)
#define R_CRU_CSI2nVCSC1_CRCC1_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCSC1_CRCC1_Pos                   (2UL)
#define R_CRU_CSI2nVCSC1_IDEC1_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCSC1_IDEC1_Pos                   (3UL)
#define R_CRU_CSI2nVCSC1_WCEC1_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCSC1_WCEC1_Pos                   (4UL)
#define R_CRU_CSI2nVCSC1_ECCC1_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCSC1_ECCC1_Pos                   (5UL)
#define R_CRU_CSI2nVCSC1_ECNC1_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCSC1_ECNC1_Pos                   (6UL)
#define R_CRU_CSI2nVCSC1_FRSC1_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCSC1_FRSC1_Pos                   (8UL)
#define R_CRU_CSI2nVCSC1_FRDC1_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCSC1_FRDC1_Pos                   (9UL)
#define R_CRU_CSI2nVCSC1_ANLFC1_Msk                  (0x00004000UL)
#define R_CRU_CSI2nVCSC1_ANLFC1_Pos                  (14UL)
#define R_CRU_CSI2nVCSC1_AECDC1_Msk                  (0x00008000UL)
#define R_CRU_CSI2nVCSC1_AECDC1_Pos                  (15UL)
#define R_CRU_CSI2nVCSC1_OVFC1_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCSC1_OVFC1_Pos                   (16UL)
#define R_CRU_CSI2nVCSC1_FSRC1_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCSC1_FSRC1_Pos                   (24UL)
#define R_CRU_CSI2nVCSC1_FERC1_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCSC1_FERC1_Pos                   (25UL)
#define R_CRU_CSI2nVCSC1_LSRC1_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCSC1_LSRC1_Pos                   (26UL)
#define R_CRU_CSI2nVCSC1_LERC1_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCSC1_LERC1_Pos                   (27UL)
#define R_CRU_CSI2nVCIE1_MLFE1_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCIE1_MLFE1_Pos                   (0UL)
#define R_CRU_CSI2nVCIE1_ECDE1_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCIE1_ECDE1_Pos                   (1UL)
#define R_CRU_CSI2nVCIE1_CRCE1_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCIE1_CRCE1_Pos                   (2UL)
#define R_CRU_CSI2nVCIE1_IDEE1_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCIE1_IDEE1_Pos                   (3UL)
#define R_CRU_CSI2nVCIE1_WCEE1_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCIE1_WCEE1_Pos                   (4UL)
#define R_CRU_CSI2nVCIE1_ECCE1_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCIE1_ECCE1_Pos                   (5UL)
#define R_CRU_CSI2nVCIE1_ECNE1_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCIE1_ECNE1_Pos                   (6UL)
#define R_CRU_CSI2nVCIE1_FRSE1_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCIE1_FRSE1_Pos                   (8UL)
#define R_CRU_CSI2nVCIE1_FRDE1_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCIE1_FRDE1_Pos                   (9UL)
#define R_CRU_CSI2nVCIE1_OVFE1_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCIE1_OVFE1_Pos                   (16UL)
#define R_CRU_CSI2nVCIE1_FSRE1_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCIE1_FSRE1_Pos                   (24UL)
#define R_CRU_CSI2nVCIE1_FERE1_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCIE1_FERE1_Pos                   (25UL)
#define R_CRU_CSI2nVCIE1_LSRE1_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCIE1_LSRE1_Pos                   (26UL)
#define R_CRU_CSI2nVCIE1_LERE1_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCIE1_LERE1_Pos                   (27UL)
#define R_CRU_CSI2nVCST2_MLF2_Msk                    (0x00000001UL)
#define R_CRU_CSI2nVCST2_MLF2_Pos                    (0UL)
#define R_CRU_CSI2nVCST2_ECD2_Msk                    (0x00000002UL)
#define R_CRU_CSI2nVCST2_ECD2_Pos                    (1UL)
#define R_CRU_CSI2nVCST2_CRC2_Msk                    (0x00000004UL)
#define R_CRU_CSI2nVCST2_CRC2_Pos                    (2UL)
#define R_CRU_CSI2nVCST2_IDE2_Msk                    (0x00000008UL)
#define R_CRU_CSI2nVCST2_IDE2_Pos                    (3UL)
#define R_CRU_CSI2nVCST2_WCE2_Msk                    (0x00000010UL)
#define R_CRU_CSI2nVCST2_WCE2_Pos                    (4UL)
#define R_CRU_CSI2nVCST2_ECC2_Msk                    (0x00000020UL)
#define R_CRU_CSI2nVCST2_ECC2_Pos                    (5UL)
#define R_CRU_CSI2nVCST2_ECN2_Msk                    (0x00000040UL)
#define R_CRU_CSI2nVCST2_ECN2_Pos                    (6UL)
#define R_CRU_CSI2nVCST2_FRS2_Msk                    (0x00000100UL)
#define R_CRU_CSI2nVCST2_FRS2_Pos                    (8UL)
#define R_CRU_CSI2nVCST2_FRD2_Msk                    (0x00000200UL)
#define R_CRU_CSI2nVCST2_FRD2_Pos                    (9UL)
#define R_CRU_CSI2nVCST2_OVF2_Msk                    (0x00010000UL)
#define R_CRU_CSI2nVCST2_OVF2_Pos                    (16UL)
#define R_CRU_CSI2nVCST2_FSR0_Msk                    (0x01000000UL)
#define R_CRU_CSI2nVCST2_FSR0_Pos                    (24UL)
#define R_CRU_CSI2nVCST2_FER0_Msk                    (0x02000000UL)
#define R_CRU_CSI2nVCST2_FER0_Pos                    (25UL)
#define R_CRU_CSI2nVCST2_LSR0_Msk                    (0x04000000UL)
#define R_CRU_CSI2nVCST2_LSR0_Pos                    (26UL)
#define R_CRU_CSI2nVCST2_LER0_Msk                    (0x08000000UL)
#define R_CRU_CSI2nVCST2_LER0_Pos                    (27UL)
#define R_CRU_CSI2nVCSC2_MLFC2_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCSC2_MLFC2_Pos                   (0UL)
#define R_CRU_CSI2nVCSC2_ECDC2_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCSC2_ECDC2_Pos                   (1UL)
#define R_CRU_CSI2nVCSC2_CRCC2_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCSC2_CRCC2_Pos                   (2UL)
#define R_CRU_CSI2nVCSC2_IDEC2_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCSC2_IDEC2_Pos                   (3UL)
#define R_CRU_CSI2nVCSC2_WCEC2_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCSC2_WCEC2_Pos                   (4UL)
#define R_CRU_CSI2nVCSC2_ECCC2_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCSC2_ECCC2_Pos                   (5UL)
#define R_CRU_CSI2nVCSC2_ECNC2_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCSC2_ECNC2_Pos                   (6UL)
#define R_CRU_CSI2nVCSC2_FRSC2_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCSC2_FRSC2_Pos                   (8UL)
#define R_CRU_CSI2nVCSC2_FRDC2_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCSC2_FRDC2_Pos                   (9UL)
#define R_CRU_CSI2nVCSC2_ANLFC2_Msk                  (0x00004000UL)
#define R_CRU_CSI2nVCSC2_ANLFC2_Pos                  (14UL)
#define R_CRU_CSI2nVCSC2_AECDC2_Msk                  (0x00008000UL)
#define R_CRU_CSI2nVCSC2_AECDC2_Pos                  (15UL)
#define R_CRU_CSI2nVCSC2_OVFC2_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCSC2_OVFC2_Pos                   (16UL)
#define R_CRU_CSI2nVCSC2_FSRC2_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCSC2_FSRC2_Pos                   (24UL)
#define R_CRU_CSI2nVCSC2_FERC2_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCSC2_FERC2_Pos                   (25UL)
#define R_CRU_CSI2nVCSC2_LSRC2_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCSC2_LSRC2_Pos                   (26UL)
#define R_CRU_CSI2nVCSC2_LERC2_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCSC2_LERC2_Pos                   (27UL)
#define R_CRU_CSI2nVCIE2_MLFE2_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCIE2_MLFE2_Pos                   (0UL)
#define R_CRU_CSI2nVCIE2_ECDE2_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCIE2_ECDE2_Pos                   (1UL)
#define R_CRU_CSI2nVCIE2_CRCE2_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCIE2_CRCE2_Pos                   (2UL)
#define R_CRU_CSI2nVCIE2_IDEE2_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCIE2_IDEE2_Pos                   (3UL)
#define R_CRU_CSI2nVCIE2_WCEE2_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCIE2_WCEE2_Pos                   (4UL)
#define R_CRU_CSI2nVCIE2_ECCE2_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCIE2_ECCE2_Pos                   (5UL)
#define R_CRU_CSI2nVCIE2_ECNE2_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCIE2_ECNE2_Pos                   (6UL)
#define R_CRU_CSI2nVCIE2_FRSE2_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCIE2_FRSE2_Pos                   (8UL)
#define R_CRU_CSI2nVCIE2_FRDE2_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCIE2_FRDE2_Pos                   (9UL)
#define R_CRU_CSI2nVCIE2_OVFE2_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCIE2_OVFE2_Pos                   (16UL)
#define R_CRU_CSI2nVCIE2_FSRE2_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCIE2_FSRE2_Pos                   (24UL)
#define R_CRU_CSI2nVCIE2_FERE2_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCIE2_FERE2_Pos                   (25UL)
#define R_CRU_CSI2nVCIE2_LSRE2_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCIE2_LSRE2_Pos                   (26UL)
#define R_CRU_CSI2nVCIE2_LERE2_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCIE2_LERE2_Pos                   (27UL)
#define R_CRU_CSI2nVCST3_MLF3_Msk                    (0x00000001UL)
#define R_CRU_CSI2nVCST3_MLF3_Pos                    (0UL)
#define R_CRU_CSI2nVCST3_ECD3_Msk                    (0x00000002UL)
#define R_CRU_CSI2nVCST3_ECD3_Pos                    (1UL)
#define R_CRU_CSI2nVCST3_CRC3_Msk                    (0x00000004UL)
#define R_CRU_CSI2nVCST3_CRC3_Pos                    (2UL)
#define R_CRU_CSI2nVCST3_IDE3_Msk                    (0x00000008UL)
#define R_CRU_CSI2nVCST3_IDE3_Pos                    (3UL)
#define R_CRU_CSI2nVCST3_WCE3_Msk                    (0x00000010UL)
#define R_CRU_CSI2nVCST3_WCE3_Pos                    (4UL)
#define R_CRU_CSI2nVCST3_ECC3_Msk                    (0x00000020UL)
#define R_CRU_CSI2nVCST3_ECC3_Pos                    (5UL)
#define R_CRU_CSI2nVCST3_ECN3_Msk                    (0x00000040UL)
#define R_CRU_CSI2nVCST3_ECN3_Pos                    (6UL)
#define R_CRU_CSI2nVCST3_FRS3_Msk                    (0x00000100UL)
#define R_CRU_CSI2nVCST3_FRS3_Pos                    (8UL)
#define R_CRU_CSI2nVCST3_FRD3_Msk                    (0x00000200UL)
#define R_CRU_CSI2nVCST3_FRD3_Pos                    (9UL)
#define R_CRU_CSI2nVCST3_OVF3_Msk                    (0x00010000UL)
#define R_CRU_CSI2nVCST3_OVF3_Pos                    (16UL)
#define R_CRU_CSI2nVCST3_FSR3_Msk                    (0x01000000UL)
#define R_CRU_CSI2nVCST3_FSR3_Pos                    (24UL)
#define R_CRU_CSI2nVCST3_FER3_Msk                    (0x02000000UL)
#define R_CRU_CSI2nVCST3_FER3_Pos                    (25UL)
#define R_CRU_CSI2nVCST3_LSR3_Msk                    (0x04000000UL)
#define R_CRU_CSI2nVCST3_LSR3_Pos                    (26UL)
#define R_CRU_CSI2nVCST3_LER3_Msk                    (0x08000000UL)
#define R_CRU_CSI2nVCST3_LER3_Pos                    (27UL)
#define R_CRU_CSI2nVCSC3_MLFC3_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCSC3_MLFC3_Pos                   (0UL)
#define R_CRU_CSI2nVCSC3_ECDC3_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCSC3_ECDC3_Pos                   (1UL)
#define R_CRU_CSI2nVCSC3_CRCC3_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCSC3_CRCC3_Pos                   (2UL)
#define R_CRU_CSI2nVCSC3_IDEC3_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCSC3_IDEC3_Pos                   (3UL)
#define R_CRU_CSI2nVCSC3_WCEC3_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCSC3_WCEC3_Pos                   (4UL)
#define R_CRU_CSI2nVCSC3_ECCC3_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCSC3_ECCC3_Pos                   (5UL)
#define R_CRU_CSI2nVCSC3_ECNC3_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCSC3_ECNC3_Pos                   (6UL)
#define R_CRU_CSI2nVCSC3_FRSC3_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCSC3_FRSC3_Pos                   (8UL)
#define R_CRU_CSI2nVCSC3_FRDC3_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCSC3_FRDC3_Pos                   (9UL)
#define R_CRU_CSI2nVCSC3_ANLFC3_Msk                  (0x00004000UL)
#define R_CRU_CSI2nVCSC3_ANLFC3_Pos                  (14UL)
#define R_CRU_CSI2nVCSC3_AECDC3_Msk                  (0x00008000UL)
#define R_CRU_CSI2nVCSC3_AECDC3_Pos                  (15UL)
#define R_CRU_CSI2nVCSC3_OVFC3_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCSC3_OVFC3_Pos                   (16UL)
#define R_CRU_CSI2nVCSC3_FSRC3_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCSC3_FSRC3_Pos                   (24UL)
#define R_CRU_CSI2nVCSC3_FERC3_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCSC3_FERC3_Pos                   (25UL)
#define R_CRU_CSI2nVCSC3_LSRC3_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCSC3_LSRC3_Pos                   (26UL)
#define R_CRU_CSI2nVCSC3_LERC3_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCSC3_LERC3_Pos                   (27UL)
#define R_CRU_CSI2nVCIE3_MLFE3_Msk                   (0x00000001UL)
#define R_CRU_CSI2nVCIE3_MLFE3_Pos                   (0UL)
#define R_CRU_CSI2nVCIE3_ECDE3_Msk                   (0x00000002UL)
#define R_CRU_CSI2nVCIE3_ECDE3_Pos                   (1UL)
#define R_CRU_CSI2nVCIE3_CRCE3_Msk                   (0x00000004UL)
#define R_CRU_CSI2nVCIE3_CRCE3_Pos                   (2UL)
#define R_CRU_CSI2nVCIE3_IDEE3_Msk                   (0x00000008UL)
#define R_CRU_CSI2nVCIE3_IDEE3_Pos                   (3UL)
#define R_CRU_CSI2nVCIE3_WCEE3_Msk                   (0x00000010UL)
#define R_CRU_CSI2nVCIE3_WCEE3_Pos                   (4UL)
#define R_CRU_CSI2nVCIE3_ECCE3_Msk                   (0x00000020UL)
#define R_CRU_CSI2nVCIE3_ECCE3_Pos                   (5UL)
#define R_CRU_CSI2nVCIE3_ECNE3_Msk                   (0x00000040UL)
#define R_CRU_CSI2nVCIE3_ECNE3_Pos                   (6UL)
#define R_CRU_CSI2nVCIE3_FRSE3_Msk                   (0x00000100UL)
#define R_CRU_CSI2nVCIE3_FRSE3_Pos                   (8UL)
#define R_CRU_CSI2nVCIE3_FRDE3_Msk                   (0x00000200UL)
#define R_CRU_CSI2nVCIE3_FRDE3_Pos                   (9UL)
#define R_CRU_CSI2nVCIE3_OVFE3_Msk                   (0x00010000UL)
#define R_CRU_CSI2nVCIE3_OVFE3_Pos                   (16UL)
#define R_CRU_CSI2nVCIE3_FSRE3_Msk                   (0x01000000UL)
#define R_CRU_CSI2nVCIE3_FSRE3_Pos                   (24UL)
#define R_CRU_CSI2nVCIE3_FERE3_Msk                   (0x02000000UL)
#define R_CRU_CSI2nVCIE3_FERE3_Pos                   (25UL)
#define R_CRU_CSI2nVCIE3_LSRE3_Msk                   (0x04000000UL)
#define R_CRU_CSI2nVCIE3_LSRE3_Pos                   (26UL)
#define R_CRU_CSI2nVCIE3_LERE3_Msk                   (0x08000000UL)
#define R_CRU_CSI2nVCIE3_LERE3_Pos                   (27UL)
#define R_CRU_CSI2nPMST_DSX_Msk                      (0x00000001UL)
#define R_CRU_CSI2nPMST_DSX_Pos                      (0UL)
#define R_CRU_CSI2nPMST_DSN_Msk                      (0x00000002UL)
#define R_CRU_CSI2nPMST_DSN_Pos                      (1UL)
#define R_CRU_CSI2nPMST_CSX_Msk                      (0x00000004UL)
#define R_CRU_CSI2nPMST_CSX_Pos                      (2UL)
#define R_CRU_CSI2nPMST_CSN_Msk                      (0x00000008UL)
#define R_CRU_CSI2nPMST_CSN_Pos                      (3UL)
#define R_CRU_CSI2nPMST_DUX_Msk                      (0x00000010UL)
#define R_CRU_CSI2nPMST_DUX_Pos                      (4UL)
#define R_CRU_CSI2nPMST_DUN_Msk                      (0x00000020UL)
#define R_CRU_CSI2nPMST_DUN_Pos                      (5UL)
#define R_CRU_CSI2nPMST_CUX_Msk                      (0x00000040UL)
#define R_CRU_CSI2nPMST_CUX_Pos                      (6UL)
#define R_CRU_CSI2nPMST_CUN_Msk                      (0x00000080UL)
#define R_CRU_CSI2nPMST_CUN_Pos                      (7UL)
#define R_CRU_CSI2nPMST_CLSS_Msk                     (0x00004000UL)
#define R_CRU_CSI2nPMST_CLSS_Pos                     (14UL)
#define R_CRU_CSI2nPMST_CLUL_Msk                     (0x00008000UL)
#define R_CRU_CSI2nPMST_CLUL_Pos                     (15UL)
#define R_CRU_CSI2nPMST_DLSS_Msk                     (0x000F0000UL)
#define R_CRU_CSI2nPMST_DLSS_Pos                     (16UL)
#define R_CRU_CSI2nPMST_DLUL_Msk                     (0x0F000000UL)
#define R_CRU_CSI2nPMST_DLUL_Pos                     (24UL)
#define R_CRU_CSI2nPMSC_DSXC_Msk                     (0x00000001UL)
#define R_CRU_CSI2nPMSC_DSXC_Pos                     (0UL)
#define R_CRU_CSI2nPMSC_DSNC_Msk                     (0x00000002UL)
#define R_CRU_CSI2nPMSC_DSNC_Pos                     (1UL)
#define R_CRU_CSI2nPMSC_CSXC_Msk                     (0x00000004UL)
#define R_CRU_CSI2nPMSC_CSXC_Pos                     (2UL)
#define R_CRU_CSI2nPMSC_CSNC_Msk                     (0x00000008UL)
#define R_CRU_CSI2nPMSC_CSNC_Pos                     (3UL)
#define R_CRU_CSI2nPMSC_DUXC_Msk                     (0x00000010UL)
#define R_CRU_CSI2nPMSC_DUXC_Pos                     (4UL)
#define R_CRU_CSI2nPMSC_DUNC_Msk                     (0x00000020UL)
#define R_CRU_CSI2nPMSC_DUNC_Pos                     (5UL)
#define R_CRU_CSI2nPMSC_CUXC_Msk                     (0x00000040UL)
#define R_CRU_CSI2nPMSC_CUXC_Pos                     (6UL)
#define R_CRU_CSI2nPMSC_CUNC_Msk                     (0x00000080UL)
#define R_CRU_CSI2nPMSC_CUNC_Pos                     (7UL)
#define R_CRU_CSI2nPMIE_DSXE_Msk                     (0x00000001UL)
#define R_CRU_CSI2nPMIE_DSXE_Pos                     (0UL)
#define R_CRU_CSI2nPMIE_DSNE_Msk                     (0x00000002UL)
#define R_CRU_CSI2nPMIE_DSNE_Pos                     (1UL)
#define R_CRU_CSI2nPMIE_CSXE_Msk                     (0x00000004UL)
#define R_CRU_CSI2nPMIE_CSXE_Pos                     (2UL)
#define R_CRU_CSI2nPMIE_CSNE_Msk                     (0x00000008UL)
#define R_CRU_CSI2nPMIE_CSNE_Pos                     (3UL)
#define R_CRU_CSI2nPMIE_DUXE_Msk                     (0x00000010UL)
#define R_CRU_CSI2nPMIE_DUXE_Pos                     (4UL)
#define R_CRU_CSI2nPMIE_DUNE_Msk                     (0x00000020UL)
#define R_CRU_CSI2nPMIE_DUNE_Pos                     (5UL)
#define R_CRU_CSI2nPMIE_CUXE_Msk                     (0x00000040UL)
#define R_CRU_CSI2nPMIE_CUXE_Pos                     (6UL)
#define R_CRU_CSI2nPMIE_CUNE_Msk                     (0x00000080UL)
#define R_CRU_CSI2nPMIE_CUNE_Pos                     (7UL)
#define R_CRU_CSI2nGSCT_SHITH_Msk                    (0x0000007FUL)
#define R_CRU_CSI2nGSCT_SHITH_Pos                    (0UL)
#define R_CRU_CSI2nGSCT_GFIF_Msk                     (0x00010000UL)
#define R_CRU_CSI2nGSCT_GFIF_Pos                     (16UL)
#define R_CRU_CSI2nGSST_GNE_Msk                      (0x00000001UL)
#define R_CRU_CSI2nGSST_GNE_Pos                      (0UL)
#define R_CRU_CSI2nGSST_GTH_Msk                      (0x00000002UL)
#define R_CRU_CSI2nGSST_GTH_Pos                      (1UL)
#define R_CRU_CSI2nGSST_GOV_Msk                      (0x00000010UL)
#define R_CRU_CSI2nGSST_GOV_Pos                      (4UL)
#define R_CRU_CSI2nGSST_PNUM_Msk                     (0x0000FF00UL)
#define R_CRU_CSI2nGSST_PNUM_Pos                     (8UL)
#define R_CRU_CSI2nGSST_GCD_Msk                      (0x00010000UL)
#define R_CRU_CSI2nGSST_GCD_Pos                      (16UL)
#define R_CRU_CSI2nGSST_STRDS_Msk                    (0x00020000UL)
#define R_CRU_CSI2nGSST_STRDS_Pos                    (17UL)
#define R_CRU_CSI2nGSSC_GOVC_Msk                     (0x00000010UL)
#define R_CRU_CSI2nGSSC_GOVC_Pos                     (4UL)
#define R_CRU_CSI2nGSIE_GNEE_Msk                     (0x00000001UL)
#define R_CRU_CSI2nGSIE_GNEE_Pos                     (0UL)
#define R_CRU_CSI2nGSIE_GTHE_Msk                     (0x00000002UL)
#define R_CRU_CSI2nGSIE_GTHE_Pos                     (1UL)
#define R_CRU_CSI2nGSIE_GOVE_Msk                     (0x00000010UL)
#define R_CRU_CSI2nGSIE_GOVE_Pos                     (4UL)
#define R_CRU_CSI2nGSHT_SPDT_Msk                     (0x0000FFFFUL)
#define R_CRU_CSI2nGSHT_SPDT_Pos                     (0UL)
#define R_CRU_CSI2nGSHT_DTYP_Msk                     (0x003F0000UL)
#define R_CRU_CSI2nGSHT_DTYP_Pos                     (16UL)
#define R_CRU_CSI2nGSHT_SPVC_Msk                     (0x0F000000UL)
#define R_CRU_CSI2nGSHT_SPVC_Pos                     (24UL)
#define R_CRU_CSI2nGSIU_FINC_Msk                     (0x00000001UL)
#define R_CRU_CSI2nGSIU_FINC_Pos                     (0UL)
#define R_CRU_CSI2nGSIU_GFCLR_Msk                    (0x00000100UL)
#define R_CRU_CSI2nGSIU_GFCLR_Pos                    (8UL)
#define R_CRU_CSI2nGSIU_GFEN_Msk                     (0x00010000UL)
#define R_CRU_CSI2nGSIU_GFEN_Pos                     (16UL)
#define R_CRU_CSIDPHYCTRL0_EN_BGR_Msk                (0x00000001UL)
#define R_CRU_CSIDPHYCTRL0_EN_BGR_Pos                (0UL)
#define R_CRU_CSIDPHYCTRL0_EN_LDO1200_Msk            (0x00000002UL)
#define R_CRU_CSIDPHYCTRL0_EN_LDO1200_Pos            (1UL)
#define R_CRU_CSIDPHYCTRL0_CAL_EN_HSRX_OFS_Msk       (0x00010000UL)
#define R_CRU_CSIDPHYCTRL0_CAL_EN_HSRX_OFS_Pos       (16UL)
#define R_CRU_CSIDPHYTIM0_T_INIT_Msk                 (0x0007FFFFUL)
#define R_CRU_CSIDPHYTIM0_T_INIT_Pos                 (0UL)
#define R_CRU_CSIDPHYTIM0_TCLK_MISS_Msk              (0xFF000000UL)
#define R_CRU_CSIDPHYTIM0_TCLK_MISS_Pos              (24UL)
#define R_CRU_CSIDPHYTIM1_TCLK_SETTLE_Msk            (0x000000FFUL)
#define R_CRU_CSIDPHYTIM1_TCLK_SETTLE_Pos            (0UL)
#define R_CRU_CSIDPHYTIM1_THS_SETTLE_Msk             (0x0000FF00UL)
#define R_CRU_CSIDPHYTIM1_THS_SETTLE_Pos             (8UL)
#define R_CRU_CSIDPHYTIM1_TCLK_PREPARE_Msk           (0x00FF0000UL)
#define R_CRU_CSIDPHYTIM1_TCLK_PREPARE_Pos           (16UL)
#define R_CRU_CSIDPHYTIM1_THS_PREPARE_Msk            (0xFF000000UL)
#define R_CRU_CSIDPHYTIM1_THS_PREPARE_Pos            (24UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL0_SKW_ADJ_Msk       (0x00000007UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL0_SKW_ADJ_Pos       (0UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL1_SKW_ADJ_Msk       (0x00000070UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL1_SKW_ADJ_Pos       (4UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL2_SKW_ADJ_Msk       (0x00000700UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL2_SKW_ADJ_Pos       (8UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL3_SKW_ADJ_Msk       (0x00007000UL)
#define R_CRU_CSIDPHYSKW0_UTIL_DL3_SKW_ADJ_Pos       (12UL)

#endif
