/***********************************************************************************************************************
 * Copyright [2020-2022] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : eccram_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for eccram.
 *********************************************************************************************************************/

#ifndef ECCRAM_IOBITMASK_H
#define ECCRAM_IOBITMASK_H

#define R_ECCRAM_ECCRAM0_CTL_0_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_0_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_1_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_2_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_3_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_4_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_5_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_6_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM0_CTL_7_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM0_EAD0_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD0_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD1_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD1_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD2_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD2_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD3_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD3_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD4_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD4_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD5_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD5_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD6_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD6_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM0_EAD7_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM0_EAD7_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_0_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_0_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_0_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_1_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_1_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_1_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_2_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_2_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_2_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_3_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_3_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_3_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_4_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_4_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_4_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_5_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_5_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_5_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_6_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_6_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_6_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER1F_Msk     (0x00000002UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER1F_Pos     (1UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER2F_Msk     (0x00000004UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER2F_Pos     (2UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC1EDIC_Msk    (0x00000008UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC1EDIC_Pos    (3UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC2EDIC_Msk    (0x00000010UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC2EDIC_Pos    (4UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC1ECP_Msk     (0x00000020UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EC1ECP_Pos     (5UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECERVF_Msk     (0x00000040UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECERVF_Pos     (6UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER1C_Msk     (0x00000200UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER1C_Pos     (9UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER2C_Msk     (0x00000400UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECER2C_Pos     (10UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECOVFF_Msk     (0x00000800UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECOVFF_Pos     (11UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EMCA_Msk       (0x0000C000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_EMCA_Pos       (14UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF0_Msk    (0x00010000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF0_Pos    (16UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF0_Msk    (0x00020000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF0_Pos    (17UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF1_Msk    (0x00040000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF1_Pos    (18UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF1_Msk    (0x00080000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF1_Pos    (19UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF2_Msk    (0x00100000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF2_Pos    (20UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF2_Msk    (0x00200000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF2_Pos    (21UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF3_Msk    (0x00400000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF3_Pos    (22UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF3_Msk    (0x00800000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF3_Pos    (23UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF4_Msk    (0x01000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF4_Pos    (24UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF4_Msk    (0x02000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF4_Pos    (25UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF5_Msk    (0x04000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF5_Pos    (26UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF5_Msk    (0x08000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF5_Pos    (27UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF6_Msk    (0x10000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF6_Pos    (28UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF6_Msk    (0x20000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF6_Pos    (29UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF7_Msk    (0x40000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECSEDF7_Pos    (30UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF7_Msk    (0x80000000UL)
#define R_ECCRAM_ECCRAM1_CTL_7_ECDEDF7_Pos    (31UL)
#define R_ECCRAM_ECCRAM1_EAD0_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD0_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD1_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD1_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD2_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD2_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD3_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD3_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD4_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD4_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD5_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD5_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD6_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD6_7_ECEAD0_Pos    (0UL)
#define R_ECCRAM_ECCRAM1_EAD7_7_ECEAD0_Msk    (0xFFFFFFFFUL)
#define R_ECCRAM_ECCRAM1_EAD7_7_ECEAD0_Pos    (0UL)

#endif
