/***********************************************************************************************************************
 * Copyright [2020-2022] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : ether_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for ether.
 *********************************************************************************************************************/

#ifndef ETHER_IOBITMASK_H
#define ETHER_IOBITMASK_H

#define R_ETHER_CXR20_PRM_Msk                      (0x00000001UL)
#define R_ETHER_CXR20_PRM_Pos                      (0UL)
#define R_ETHER_CXR20_DPM_Msk                      (0x00000002UL)
#define R_ETHER_CXR20_DPM_Pos                      (1UL)
#define R_ETHER_CXR20_LPM_Msk                      (0x00000010UL)
#define R_ETHER_CXR20_LPM_Pos                      (4UL)
#define R_ETHER_CXR20_TPE_Msk                      (0x00000020UL)
#define R_ETHER_CXR20_TPE_Pos                      (5UL)
#define R_ETHER_CXR20_RPE_Msk                      (0x00000040UL)
#define R_ETHER_CXR20_RPE_Pos                      (6UL)
#define R_ETHER_CXR20_CER_Msk                      (0x00001000UL)
#define R_ETHER_CXR20_CER_Pos                      (12UL)
#define R_ETHER_CXR20_TXF_Msk                      (0x00010000UL)
#define R_ETHER_CXR20_TXF_Pos                      (16UL)
#define R_ETHER_CXR20_RXF_Msk                      (0x00020000UL)
#define R_ETHER_CXR20_RXF_Pos                      (17UL)
#define R_ETHER_CXR20_PFR_Msk                      (0x00040000UL)
#define R_ETHER_CXR20_PFR_Pos                      (18UL)
#define R_ETHER_CXR20_TZPF_Msk                     (0x00080000UL)
#define R_ETHER_CXR20_TZPF_Pos                     (19UL)
#define R_ETHER_CXR20_RZPF_Msk                     (0x00100000UL)
#define R_ETHER_CXR20_RZPF_Pos                     (20UL)
#define R_ETHER_CXR20_DPAD_Msk                     (0x00200000UL)
#define R_ETHER_CXR20_DPAD_Pos                     (21UL)
#define R_ETHER_CXR20_CXSER_Msk                    (0x00400000UL)
#define R_ETHER_CXR20_CXSER_Pos                    (22UL)
#define R_ETHER_CXR20_RCSC_Msk                     (0x00800000UL)
#define R_ETHER_CXR20_RCSC_Pos                     (23UL)
#define R_ETHER_CXR20_TCPT_Msk                     (0x01000000UL)
#define R_ETHER_CXR20_TCPT_Pos                     (24UL)
#define R_ETHER_CXR20_RCPT_Msk                     (0x02000000UL)
#define R_ETHER_CXR20_RCPT_Pos                     (25UL)
#define R_ETHER_CXR20_TRCCM_Msk                    (0x04000000UL)
#define R_ETHER_CXR20_TRCCM_Pos                    (26UL)
#define R_ETHER_CXR2A_LEN_LMT_Msk                  (0x0003FFFFUL)
#define R_ETHER_CXR2A_LEN_LMT_Pos                  (0UL)
#define R_ETHER_CXR21_FCI_Msk                      (0x00000001UL)
#define R_ETHER_CXR21_FCI_Pos                      (0UL)
#define R_ETHER_CXR21_LINKI_Msk                    (0x00000004UL)
#define R_ETHER_CXR21_LINKI_Pos                    (2UL)
#define R_ETHER_CXR21_PHYI_Msk                     (0x00000008UL)
#define R_ETHER_CXR21_PHYI_Pos                     (3UL)
#define R_ETHER_CXR21_PFRI_Msk                     (0x00000010UL)
#define R_ETHER_CXR21_PFRI_Pos                     (4UL)
#define R_ETHER_CXR22_FCIM_Msk                     (0x00000001UL)
#define R_ETHER_CXR22_FCIM_Pos                     (0UL)
#define R_ETHER_CXR22_LINKIM_Msk                   (0x00000004UL)
#define R_ETHER_CXR22_LINKIM_Pos                   (2UL)
#define R_ETHER_CXR22_PHYIM_Msk                    (0x00000008UL)
#define R_ETHER_CXR22_PHYIM_Pos                    (3UL)
#define R_ETHER_CXR22_PFRIM_Msk                    (0x00000010UL)
#define R_ETHER_CXR22_PFRIM_Pos                    (4UL)
#define R_ETHER_CXR23_MDC_Msk                      (0x00000001UL)
#define R_ETHER_CXR23_MDC_Pos                      (0UL)
#define R_ETHER_CXR23_MM_Msk                       (0x00000002UL)
#define R_ETHER_CXR23_MM_Pos                       (1UL)
#define R_ETHER_CXR23_MDO_Msk                      (0x00000004UL)
#define R_ETHER_CXR23_MDO_Pos                      (2UL)
#define R_ETHER_CXR23_MDI_Msk                      (0x00000008UL)
#define R_ETHER_CXR23_MDI_Pos                      (3UL)
#define R_ETHER_CXR2B_LINK_Msk                     (0x00000001UL)
#define R_ETHER_CXR2B_LINK_Pos                     (0UL)
#define R_ETHER_CXR2B_INBAND_LINK_Msk              (0x00000002UL)
#define R_ETHER_CXR2B_INBAND_LINK_Pos              (1UL)
#define R_ETHER_CXR2B_SIGNAL_LINK_Msk              (0x00000004UL)
#define R_ETHER_CXR2B_SIGNAL_LINK_Pos              (2UL)
#define R_ETHER_CXR2B_SOFT_LINK_Msk                (0x00000008UL)
#define R_ETHER_CXR2B_SOFT_LINK_Pos                (3UL)
#define R_ETHER_CXR2C_PHYIP_Msk                    (0x00000001UL)
#define R_ETHER_CXR2C_PHYIP_Pos                    (0UL)
#define R_ETHER_CXR2C_PHYLINKP_Msk                 (0x00000002UL)
#define R_ETHER_CXR2C_PHYLINKP_Pos                 (1UL)
#define R_ETHER_CXR31_SEL_LINK0_Msk                (0x00000001UL)
#define R_ETHER_CXR31_SEL_LINK0_Pos                (0UL)
#define R_ETHER_CXR31_SEL_DUPLEX_Msk               (0x00000002UL)
#define R_ETHER_CXR31_SEL_DUPLEX_Pos               (1UL)
#define R_ETHER_CXR31_SEL_SPEED_Msk                (0x00000004UL)
#define R_ETHER_CXR31_SEL_SPEED_Pos                (2UL)
#define R_ETHER_CXR31_SEL_LINK1_Msk                (0x00000008UL)
#define R_ETHER_CXR31_SEL_LINK1_Pos                (3UL)
#define R_ETHER_CXR32_INBAND_LINK_Msk              (0x00000001UL)
#define R_ETHER_CXR32_INBAND_LINK_Pos              (0UL)
#define R_ETHER_CXR32_INBAND_DUPLEX_Msk            (0x00000002UL)
#define R_ETHER_CXR32_INBAND_DUPLEX_Pos            (1UL)
#define R_ETHER_CXR32_INBAND_SPEED_Msk             (0x0000000CUL)
#define R_ETHER_CXR32_INBAND_SPEED_Pos             (2UL)
#define R_ETHER_CXR33_LINK_Msk                     (0x00000001UL)
#define R_ETHER_CXR33_LINK_Pos                     (0UL)
#define R_ETHER_CXR33_DUPLEX_Msk                   (0x00000002UL)
#define R_ETHER_CXR33_DUPLEX_Pos                   (1UL)
#define R_ETHER_CXR33_SPEED_Msk                    (0x0000000CUL)
#define R_ETHER_CXR33_SPEED_Pos                    (2UL)
#define R_ETHER_CXR35_SEL_XMII_Msk                 (0x00000003UL)
#define R_ETHER_CXR35_SEL_XMII_Pos                 (0UL)
#define R_ETHER_CXR35_SEL_MODIN_Msk                (0x00000100UL)
#define R_ETHER_CXR35_SEL_MODIN_Pos                (8UL)
#define R_ETHER_CXR35_SEL_MODPOL_Msk               (0x00001000UL)
#define R_ETHER_CXR35_SEL_MODPOL_Pos               (12UL)
#define R_ETHER_CXR35_HALFCYC_CLKSW_Msk            (0xFFFF0000UL)
#define R_ETHER_CXR35_HALFCYC_CLKSW_Pos            (16UL)
#define R_ETHER_CXR36_STS_XMII_Msk                 (0x00000003UL)
#define R_ETHER_CXR36_STS_XMII_Pos                 (0UL)
#define R_ETHER_CXR71_APFTP_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR71_APFTP_Pos                    (0UL)
#define R_ETHER_CXR72_MPFTP_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR72_MPFTP_Pos                    (0UL)
#define R_ETHER_CXR8A_PFTXC_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR8A_PFTXC_Pos                    (0UL)
#define R_ETHER_CXR80_PFRXC_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR80_PFRXC_Pos                    (0UL)
#define R_ETHER_CXR81_PFRTULMT_Msk                 (0x0000FFFFUL)
#define R_ETHER_CXR81_PFRTULMT_Pos                 (0UL)
#define R_ETHER_CXR82_PFRTC_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR82_PFRTC_Pos                    (0UL)
#define R_ETHER_CXR2D_SPEED_Msk                    (0x00000030UL)
#define R_ETHER_CXR2D_SPEED_Pos                    (4UL)
#define R_ETHER_CXR2G_SOFT_LINK_Msk                (0x00000008UL)
#define R_ETHER_CXR2G_SOFT_LINK_Pos                (3UL)
#define R_ETHER_CXR24_UMADR_Msk                    (0xFFFFFFFFUL)
#define R_ETHER_CXR24_UMADR_Pos                    (0UL)
#define R_ETHER_CXR25_LMADR_Msk                    (0x0000FFFFUL)
#define R_ETHER_CXR25_LMADR_Pos                    (0UL)
#define R_ETHER_CXR40_TINT1_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR40_TINT1_CNT_Pos                (0UL)
#define R_ETHER_CXR41_TINT2_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR41_TINT2_CNT_Pos                (0UL)
#define R_ETHER_CXR42_TINT3_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR42_TINT3_CNT_Pos                (0UL)
#define R_ETHER_CXR50_RINT1_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR50_RINT1_CNT_Pos                (0UL)
#define R_ETHER_CXR51_RINT2_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR51_RINT2_CNT_Pos                (0UL)
#define R_ETHER_CXR52_RINT3_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR52_RINT3_CNT_Pos                (0UL)
#define R_ETHER_CXR53_RINT4_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR53_RINT4_CNT_Pos                (0UL)
#define R_ETHER_CXR54_RINT5_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR54_RINT5_CNT_Pos                (0UL)
#define R_ETHER_CXR55_RINT6_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR55_RINT6_CNT_Pos                (0UL)
#define R_ETHER_CXR56_RINT7_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR56_RINT7_CNT_Pos                (0UL)
#define R_ETHER_CXR57_RINT8_CNT_Msk                (0x0000FFFFUL)
#define R_ETHER_CXR57_RINT8_CNT_Pos                (0UL)
#define R_ETHER_MDIOSTS_BSY_Msk                    (0x00000001UL)
#define R_ETHER_MDIOSTS_BSY_Pos                    (0UL)
#define R_ETHER_MDIOCMD_OP_Msk                     (0x00000003UL)
#define R_ETHER_MDIOCMD_OP_Pos                     (0UL)
#define R_ETHER_MDIOADR_A_Msk                      (0x000003FFUL)
#define R_ETHER_MDIOADR_A_Pos                      (0UL)
#define R_ETHER_MDIODAT_D_Msk                      (0x0000FFFFUL)
#define R_ETHER_MDIODAT_D_Pos                      (0UL)
#define R_ETHER_MDIOMOD_CYC_OCLK_Msk               (0x000000FFUL)
#define R_ETHER_MDIOMOD_CYC_OCLK_Pos               (0UL)
#define R_ETHER_MDIOMOD_SEL_MDIO_N_Msk             (0x80000000UL)
#define R_ETHER_MDIOMOD_SEL_MDIO_N_Pos             (31UL)
#define R_ETHER_LPTXMOD1_MCYC_TCSTOP_Msk           (0x00000FFFUL)
#define R_ETHER_LPTXMOD1_MCYC_TCSTOP_Pos           (0UL)
#define R_ETHER_LPTXMOD1_GCYC_TCSTOP_Msk           (0x0FFF0000UL)
#define R_ETHER_LPTXMOD1_GCYC_TCSTOP_Pos           (16UL)
#define R_ETHER_LPTXMOD2_STP_TXC_LPI_Msk           (0x00000001UL)
#define R_ETHER_LPTXMOD2_STP_TXC_LPI_Pos           (0UL)
#define R_ETHER_LPTXMOD2_MAC_TLPI_TYPE_Msk         (0x00000010UL)
#define R_ETHER_LPTXMOD2_MAC_TLPI_TYPE_Pos         (4UL)
#define R_ETHER_LPTXGTH1_LPTX_GSTH1_Msk            (0xFFFFFFFFUL)
#define R_ETHER_LPTXGTH1_LPTX_GSTH1_Pos            (0UL)
#define R_ETHER_LPTXGTH2_LPTX_GSTH2_Msk            (0xFFFFFFFFUL)
#define R_ETHER_LPTXGTH2_LPTX_GSTH2_Pos            (0UL)
#define R_ETHER_LPTXGTH3_LPTX_GRTH_Msk             (0xFFFFFFFFUL)
#define R_ETHER_LPTXGTH3_LPTX_GRTH_Pos             (0UL)
#define R_ETHER_LPTXGTH4_LPTX_GCTH_Msk             (0xFFFFFFFFUL)
#define R_ETHER_LPTXGTH4_LPTX_GCTH_Pos             (0UL)
#define R_ETHER_LPTXMTH1_LPTX_MSTH_Msk             (0xFFFFFFFFUL)
#define R_ETHER_LPTXMTH1_LPTX_MSTH_Pos             (0UL)
#define R_ETHER_LPTXMTH2_LPTX_MSTH2_Msk            (0xFFFFFFFFUL)
#define R_ETHER_LPTXMTH2_LPTX_MSTH2_Pos            (0UL)
#define R_ETHER_LPTXMTH3_LPTX_MRTH_Msk             (0xFFFFFFFFUL)
#define R_ETHER_LPTXMTH3_LPTX_MRTH_Pos             (0UL)
#define R_ETHER_LPTXMTH4_LPTX_MCTH_Msk             (0xFFFFFFFFUL)
#define R_ETHER_LPTXMTH4_LPTX_MCTH_Pos             (0UL)
#define R_ETHER_CCC_OPC_Msk                        (0x00000003UL)
#define R_ETHER_CCC_OPC_Pos                        (0UL)
#define R_ETHER_CCC_DTSR_Msk                       (0x00000100UL)
#define R_ETHER_CCC_DTSR_Pos                       (8UL)
#define R_ETHER_CCC_RDFD_Msk                       (0x00000200UL)
#define R_ETHER_CCC_RDFD_Pos                       (9UL)
#define R_ETHER_CCC_ERCS_Msk                       (0x00040000UL)
#define R_ETHER_CCC_ERCS_Pos                       (18UL)
#define R_ETHER_CCC_BOC_Msk                        (0x00100000UL)
#define R_ETHER_CCC_BOC_Pos                        (20UL)
#define R_ETHER_CCC_FCE_Msk                        (0x02000000UL)
#define R_ETHER_CCC_FCE_Pos                        (25UL)
#define R_ETHER_DBAT_TA_Msk                        (0xFFFFFFFFUL)
#define R_ETHER_DBAT_TA_Pos                        (0UL)
#define R_ETHER_DLR_LBA0_Msk                       (0x00000001UL)
#define R_ETHER_DLR_LBA0_Pos                       (0UL)
#define R_ETHER_DLR_LBA4_Msk                       (0x00000010UL)
#define R_ETHER_DLR_LBA4_Pos                       (4UL)
#define R_ETHER_CSR_OPS_Msk                        (0x0000000FUL)
#define R_ETHER_CSR_OPS_Pos                        (0UL)
#define R_ETHER_CSR_DTS_Msk                        (0x00000100UL)
#define R_ETHER_CSR_DTS_Pos                        (8UL)
#define R_ETHER_CSR_RDFDM_Msk                      (0x00000200UL)
#define R_ETHER_CSR_RDFDM_Pos                      (9UL)
#define R_ETHER_CSR_RCSI_Msk                       (0x00000400UL)
#define R_ETHER_CSR_RCSI_Pos                       (10UL)
#define R_ETHER_CSR_TPO_Msk                        (0x00010000UL)
#define R_ETHER_CSR_TPO_Pos                        (16UL)
#define R_ETHER_CSR_RPO_Msk                        (0x00100000UL)
#define R_ETHER_CSR_RPO_Pos                        (20UL)
#define R_ETHER_CSR_TDUO_Msk                       (0x00200000UL)
#define R_ETHER_CSR_TDUO_Pos                       (21UL)
#define R_ETHER_CDAR0_CDA_Msk                      (0xFFFFFFFFUL)
#define R_ETHER_CDAR0_CDA_Pos                      (0UL)
#define R_ETHER_CDAR4_CDA_Msk                      (0xFFFFFFFFUL)
#define R_ETHER_CDAR4_CDA_Pos                      (0UL)
#define R_ETHER_ESR_EQN_Msk                        (0x0000001FUL)
#define R_ETHER_ESR_EQN_Pos                        (0UL)
#define R_ETHER_ESR_ET_Msk                         (0x00000F00UL)
#define R_ETHER_ESR_ET_Pos                         (8UL)
#define R_ETHER_ESR_EIL_Msk                        (0x00001000UL)
#define R_ETHER_ESR_EIL_Pos                        (12UL)
#define R_ETHER_RCR_EFFS_Msk                       (0x00000001UL)
#define R_ETHER_RCR_EFFS_Pos                       (0UL)
#define R_ETHER_RCR_RFCL_Msk                       (0x7FFF0000UL)
#define R_ETHER_RCR_RFCL_Pos                       (16UL)
#define R_ETHER_RTC_MFL_Msk                        (0x00007FFFUL)
#define R_ETHER_RTC_MFL_Pos                        (0UL)
#define R_ETHER_TGC_TBD_Msk                        (0x00000300UL)
#define R_ETHER_TGC_TBD_Pos                        (8UL)
#define R_ETHER_TCCR_TSRQ_Msk                      (0x00000001UL)
#define R_ETHER_TCCR_TSRQ_Pos                      (0UL)
#define R_ETHER_TCCR_MFEN_Msk                      (0x00010000UL)
#define R_ETHER_TCCR_MFEN_Pos                      (16UL)
#define R_ETHER_TCCR_MFR_Msk                       (0x00020000UL)
#define R_ETHER_TCCR_MFR_Pos                       (17UL)
#define R_ETHER_TCCR_MFEN2_Msk                     (0x00040000UL)
#define R_ETHER_TCCR_MFEN2_Pos                     (18UL)
#define R_ETHER_TCCR_MFR2_Msk                      (0x00080000UL)
#define R_ETHER_TCCR_MFR2_Pos                      (19UL)
#define R_ETHER_TSR_MFFL_Msk                       (0x001F0000UL)
#define R_ETHER_TSR_MFFL_Pos                       (16UL)
#define R_ETHER_TSR_MFFL2_Msk                      (0x1F000000UL)
#define R_ETHER_TSR_MFFL2_Pos                      (24UL)
#define R_ETHER_MFA_MSV_Msk                        (0x000003FFUL)
#define R_ETHER_MFA_MSV_Pos                        (0UL)
#define R_ETHER_MFA_MST_Msk                        (0x03FF0000UL)
#define R_ETHER_MFA_MST_Pos                        (16UL)
#define R_ETHER_MFA2_MSV2_Msk                      (0x000001FFUL)
#define R_ETHER_MFA2_MSV2_Pos                      (0UL)
#define R_ETHER_DIC_DPE1_Msk                       (0x00000002UL)
#define R_ETHER_DIC_DPE1_Pos                       (1UL)
#define R_ETHER_DIC_DPE2_Msk                       (0x00000004UL)
#define R_ETHER_DIC_DPE2_Pos                       (2UL)
#define R_ETHER_DIC_DPE3_Msk                       (0x00000008UL)
#define R_ETHER_DIC_DPE3_Pos                       (3UL)
#define R_ETHER_DIC_DPE4_Msk                       (0x00000010UL)
#define R_ETHER_DIC_DPE4_Pos                       (4UL)
#define R_ETHER_DIC_DPE5_Msk                       (0x00000020UL)
#define R_ETHER_DIC_DPE5_Pos                       (5UL)
#define R_ETHER_DIC_DPE6_Msk                       (0x00000040UL)
#define R_ETHER_DIC_DPE6_Pos                       (6UL)
#define R_ETHER_DIC_DPE7_Msk                       (0x00000080UL)
#define R_ETHER_DIC_DPE7_Pos                       (7UL)
#define R_ETHER_DIC_DPE8_Msk                       (0x00000100UL)
#define R_ETHER_DIC_DPE8_Pos                       (8UL)
#define R_ETHER_DIC_DPE9_Msk                       (0x00000200UL)
#define R_ETHER_DIC_DPE9_Pos                       (9UL)
#define R_ETHER_DIC_DPE10_Msk                      (0x00000400UL)
#define R_ETHER_DIC_DPE10_Pos                      (10UL)
#define R_ETHER_DIC_DPE11_Msk                      (0x00000800UL)
#define R_ETHER_DIC_DPE11_Pos                      (11UL)
#define R_ETHER_DIC_DPE12_Msk                      (0x00001000UL)
#define R_ETHER_DIC_DPE12_Pos                      (12UL)
#define R_ETHER_DIC_DPE13_Msk                      (0x00002000UL)
#define R_ETHER_DIC_DPE13_Pos                      (13UL)
#define R_ETHER_DIC_DPE14_Msk                      (0x00004000UL)
#define R_ETHER_DIC_DPE14_Pos                      (14UL)
#define R_ETHER_DIC_DPE15_Msk                      (0x00008000UL)
#define R_ETHER_DIC_DPE15_Pos                      (15UL)
#define R_ETHER_DIS_DPF1_Msk                       (0x00000002UL)
#define R_ETHER_DIS_DPF1_Pos                       (1UL)
#define R_ETHER_DIS_DPF2_Msk                       (0x00000004UL)
#define R_ETHER_DIS_DPF2_Pos                       (2UL)
#define R_ETHER_DIS_DPF3_Msk                       (0x00000008UL)
#define R_ETHER_DIS_DPF3_Pos                       (3UL)
#define R_ETHER_DIS_DPF4_Msk                       (0x00000010UL)
#define R_ETHER_DIS_DPF4_Pos                       (4UL)
#define R_ETHER_DIS_DPF5_Msk                       (0x00000020UL)
#define R_ETHER_DIS_DPF5_Pos                       (5UL)
#define R_ETHER_DIS_DPF6_Msk                       (0x00000040UL)
#define R_ETHER_DIS_DPF6_Pos                       (6UL)
#define R_ETHER_DIS_DPF7_Msk                       (0x00000080UL)
#define R_ETHER_DIS_DPF7_Pos                       (7UL)
#define R_ETHER_DIS_DPF8_Msk                       (0x00000100UL)
#define R_ETHER_DIS_DPF8_Pos                       (8UL)
#define R_ETHER_DIS_DPF9_Msk                       (0x00000200UL)
#define R_ETHER_DIS_DPF9_Pos                       (9UL)
#define R_ETHER_DIS_DPF10_Msk                      (0x00000400UL)
#define R_ETHER_DIS_DPF10_Pos                      (10UL)
#define R_ETHER_DIS_DPF11_Msk                      (0x00000800UL)
#define R_ETHER_DIS_DPF11_Pos                      (11UL)
#define R_ETHER_DIS_DPF12_Msk                      (0x00001000UL)
#define R_ETHER_DIS_DPF12_Pos                      (12UL)
#define R_ETHER_DIS_DPF13_Msk                      (0x00002000UL)
#define R_ETHER_DIS_DPF13_Pos                      (13UL)
#define R_ETHER_DIS_DPF14_Msk                      (0x00004000UL)
#define R_ETHER_DIS_DPF14_Pos                      (14UL)
#define R_ETHER_DIS_DPF15_Msk                      (0x00008000UL)
#define R_ETHER_DIS_DPF15_Pos                      (15UL)
#define R_ETHER_EIC_MREE_Msk                       (0x00000001UL)
#define R_ETHER_EIC_MREE_Pos                       (0UL)
#define R_ETHER_EIC_MTEE_Msk                       (0x00000002UL)
#define R_ETHER_EIC_MTEE_Pos                       (1UL)
#define R_ETHER_EIC_QEE_Msk                        (0x00000004UL)
#define R_ETHER_EIC_QEE_Pos                        (2UL)
#define R_ETHER_EIC_MFFE_Msk                       (0x00000200UL)
#define R_ETHER_EIC_MFFE_Pos                       (9UL)
#define R_ETHER_EIC_MFFE2_Msk                      (0x00000800UL)
#define R_ETHER_EIC_MFFE2_Pos                      (11UL)
#define R_ETHER_EIS_MREF_Msk                       (0x00000001UL)
#define R_ETHER_EIS_MREF_Pos                       (0UL)
#define R_ETHER_EIS_MTEF_Msk                       (0x00000002UL)
#define R_ETHER_EIS_MTEF_Pos                       (1UL)
#define R_ETHER_EIS_QEF_Msk                        (0x00000004UL)
#define R_ETHER_EIS_QEF_Pos                        (2UL)
#define R_ETHER_EIS_MFFF_Msk                       (0x00000200UL)
#define R_ETHER_EIS_MFFF_Pos                       (9UL)
#define R_ETHER_EIS_MFFF2_Msk                      (0x00000800UL)
#define R_ETHER_EIS_MFFF2_Pos                      (11UL)
#define R_ETHER_EIS_QFS_Msk                        (0x00010000UL)
#define R_ETHER_EIS_QFS_Pos                        (16UL)
#define R_ETHER_RIC0_FRE_Msk                       (0x00000001UL)
#define R_ETHER_RIC0_FRE_Pos                       (0UL)
#define R_ETHER_RIS0_FRF_Msk                       (0x00000001UL)
#define R_ETHER_RIS0_FRF_Pos                       (0UL)
#define R_ETHER_RIC1_RFWE_Msk                      (0x80000000UL)
#define R_ETHER_RIC1_RFWE_Pos                      (31UL)
#define R_ETHER_RIS1_RFWF_Msk                      (0x80000000UL)
#define R_ETHER_RIS1_RFWF_Pos                      (31UL)
#define R_ETHER_RIC2_QFE_Msk                       (0x00000001UL)
#define R_ETHER_RIC2_QFE_Pos                       (0UL)
#define R_ETHER_RIC2_RFFE_Msk                      (0x80000000UL)
#define R_ETHER_RIC2_RFFE_Pos                      (31UL)
#define R_ETHER_RIS2_QFF_Msk                       (0x00000001UL)
#define R_ETHER_RIS2_QFF_Pos                       (0UL)
#define R_ETHER_RIS2_RFFF_Msk                      (0x80000000UL)
#define R_ETHER_RIS2_RFFF_Pos                      (31UL)
#define R_ETHER_TIC_FTE_Msk                        (0x00000001UL)
#define R_ETHER_TIC_FTE_Pos                        (0UL)
#define R_ETHER_TIC_MFUE_Msk                       (0x00000400UL)
#define R_ETHER_TIC_MFUE_Pos                       (10UL)
#define R_ETHER_TIC_MFWE_Msk                       (0x00000800UL)
#define R_ETHER_TIC_MFWE_Pos                       (11UL)
#define R_ETHER_TIC_MFUE2_Msk                      (0x00001000UL)
#define R_ETHER_TIC_MFUE2_Pos                      (12UL)
#define R_ETHER_TIC_MFWE2_Msk                      (0x00002000UL)
#define R_ETHER_TIC_MFWE2_Pos                      (13UL)
#define R_ETHER_TIC_RCSRE_Msk                      (0x00004000UL)
#define R_ETHER_TIC_RCSRE_Pos                      (14UL)
#define R_ETHER_TIC_TDPE_Msk                       (0x00010000UL)
#define R_ETHER_TIC_TDPE_Pos                       (16UL)
#define R_ETHER_TIS_FTF_Msk                        (0x00000001UL)
#define R_ETHER_TIS_FTF_Pos                        (0UL)
#define R_ETHER_TIS_MFUF_Msk                       (0x00000400UL)
#define R_ETHER_TIS_MFUF_Pos                       (10UL)
#define R_ETHER_TIS_MFWF_Msk                       (0x00000800UL)
#define R_ETHER_TIS_MFWF_Pos                       (11UL)
#define R_ETHER_TIS_MFUF2_Msk                      (0x00001000UL)
#define R_ETHER_TIS_MFUF2_Pos                      (12UL)
#define R_ETHER_TIS_MFWF2_Msk                      (0x00002000UL)
#define R_ETHER_TIS_MFWF2_Pos                      (13UL)
#define R_ETHER_TIS_RCSRF_Msk                      (0x00004000UL)
#define R_ETHER_TIS_RCSRF_Pos                      (14UL)
#define R_ETHER_TIS_TDPF_Msk                       (0x00010000UL)
#define R_ETHER_TIS_TDPF_Pos                       (16UL)
#define R_ETHER_ISS_FRM_Msk                        (0x00000001UL)
#define R_ETHER_ISS_FRM_Pos                        (0UL)
#define R_ETHER_ISS_FTM_Msk                        (0x00000004UL)
#define R_ETHER_ISS_FTM_Pos                        (2UL)
#define R_ETHER_ISS_EM_Msk                         (0x00000040UL)
#define R_ETHER_ISS_EM_Pos                         (6UL)
#define R_ETHER_ISS_MM_Msk                         (0x00000080UL)
#define R_ETHER_ISS_MM_Pos                         (7UL)
#define R_ETHER_ISS_MFUM_Msk                       (0x00000400UL)
#define R_ETHER_ISS_MFUM_Pos                       (10UL)
#define R_ETHER_ISS_MFWM_Msk                       (0x00000800UL)
#define R_ETHER_ISS_MFWM_Pos                       (11UL)
#define R_ETHER_ISS_RFWM_Msk                       (0x00001000UL)
#define R_ETHER_ISS_RFWM_Pos                       (12UL)
#define R_ETHER_ISS_MFUM2_Msk                      (0x00004000UL)
#define R_ETHER_ISS_MFUM2_Pos                      (14UL)
#define R_ETHER_ISS_MFWM2_Msk                      (0x00008000UL)
#define R_ETHER_ISS_MFWM2_Pos                      (15UL)
#define R_ETHER_ISS_RCSRM_Msk                      (0x00010000UL)
#define R_ETHER_ISS_RCSRM_Pos                      (16UL)
#define R_ETHER_ISS_DPM1_Msk                       (0x00020000UL)
#define R_ETHER_ISS_DPM1_Pos                       (17UL)
#define R_ETHER_ISS_DPM2_Msk                       (0x00040000UL)
#define R_ETHER_ISS_DPM2_Pos                       (18UL)
#define R_ETHER_ISS_DPM3_Msk                       (0x00080000UL)
#define R_ETHER_ISS_DPM3_Pos                       (19UL)
#define R_ETHER_ISS_DPM4_Msk                       (0x00100000UL)
#define R_ETHER_ISS_DPM4_Pos                       (20UL)
#define R_ETHER_ISS_DPM5_Msk                       (0x00200000UL)
#define R_ETHER_ISS_DPM5_Pos                       (21UL)
#define R_ETHER_ISS_DPM6_Msk                       (0x00400000UL)
#define R_ETHER_ISS_DPM6_Pos                       (22UL)
#define R_ETHER_ISS_DPM7_Msk                       (0x00800000UL)
#define R_ETHER_ISS_DPM7_Pos                       (23UL)
#define R_ETHER_ISS_DPM8_Msk                       (0x01000000UL)
#define R_ETHER_ISS_DPM8_Pos                       (24UL)
#define R_ETHER_ISS_DPM9_Msk                       (0x02000000UL)
#define R_ETHER_ISS_DPM9_Pos                       (25UL)
#define R_ETHER_ISS_DPM10_Msk                      (0x04000000UL)
#define R_ETHER_ISS_DPM10_Pos                      (26UL)
#define R_ETHER_ISS_DPM11_Msk                      (0x08000000UL)
#define R_ETHER_ISS_DPM11_Pos                      (27UL)
#define R_ETHER_ISS_DPM12_Msk                      (0x10000000UL)
#define R_ETHER_ISS_DPM12_Pos                      (28UL)
#define R_ETHER_ISS_DPM13_Msk                      (0x20000000UL)
#define R_ETHER_ISS_DPM13_Pos                      (29UL)
#define R_ETHER_ISS_DPM14_Msk                      (0x40000000UL)
#define R_ETHER_ISS_DPM14_Pos                      (30UL)
#define R_ETHER_ISS_DPM15_Msk                      (0x80000000UL)
#define R_ETHER_ISS_DPM15_Pos                      (31UL)
#define R_ETHER_CIE_CRIE_Msk                       (0x00000001UL)
#define R_ETHER_CIE_CRIE_Pos                       (0UL)
#define R_ETHER_CIE_CTIE_Msk                       (0x00000100UL)
#define R_ETHER_CIE_CTIE_Pos                       (8UL)
#define R_ETHER_RIC3_RDPE_Msk                      (0x00000001UL)
#define R_ETHER_RIC3_RDPE_Pos                      (0UL)
#define R_ETHER_RIS3_RDPF_Msk                      (0x00000001UL)
#define R_ETHER_RIS3_RDPF_Pos                      (0UL)
#define R_ETHER_DIE_DPS1_Msk                       (0x00000002UL)
#define R_ETHER_DIE_DPS1_Pos                       (1UL)
#define R_ETHER_DIE_DPS2_Msk                       (0x00000004UL)
#define R_ETHER_DIE_DPS2_Pos                       (2UL)
#define R_ETHER_DIE_DPS3_Msk                       (0x00000008UL)
#define R_ETHER_DIE_DPS3_Pos                       (3UL)
#define R_ETHER_DIE_DPS4_Msk                       (0x00000010UL)
#define R_ETHER_DIE_DPS4_Pos                       (4UL)
#define R_ETHER_DIE_DPS5_Msk                       (0x00000020UL)
#define R_ETHER_DIE_DPS5_Pos                       (5UL)
#define R_ETHER_DIE_DPS6_Msk                       (0x00000040UL)
#define R_ETHER_DIE_DPS6_Pos                       (6UL)
#define R_ETHER_DIE_DPS7_Msk                       (0x00000080UL)
#define R_ETHER_DIE_DPS7_Pos                       (7UL)
#define R_ETHER_DIE_DPS8_Msk                       (0x00000100UL)
#define R_ETHER_DIE_DPS8_Pos                       (8UL)
#define R_ETHER_DIE_DPS9_Msk                       (0x00000200UL)
#define R_ETHER_DIE_DPS9_Pos                       (9UL)
#define R_ETHER_DIE_DPS10_Msk                      (0x00000400UL)
#define R_ETHER_DIE_DPS10_Pos                      (10UL)
#define R_ETHER_DIE_DPS11_Msk                      (0x00000800UL)
#define R_ETHER_DIE_DPS11_Pos                      (11UL)
#define R_ETHER_DIE_DPS12_Msk                      (0x00001000UL)
#define R_ETHER_DIE_DPS12_Pos                      (12UL)
#define R_ETHER_DIE_DPS13_Msk                      (0x00002000UL)
#define R_ETHER_DIE_DPS13_Pos                      (13UL)
#define R_ETHER_DIE_DPS14_Msk                      (0x00004000UL)
#define R_ETHER_DIE_DPS14_Pos                      (14UL)
#define R_ETHER_DIE_DPS15_Msk                      (0x00008000UL)
#define R_ETHER_DIE_DPS15_Pos                      (15UL)
#define R_ETHER_DID_DPD1_Msk                       (0x00000002UL)
#define R_ETHER_DID_DPD1_Pos                       (1UL)
#define R_ETHER_DID_DPD2_Msk                       (0x00000004UL)
#define R_ETHER_DID_DPD2_Pos                       (2UL)
#define R_ETHER_DID_DPD3_Msk                       (0x00000008UL)
#define R_ETHER_DID_DPD3_Pos                       (3UL)
#define R_ETHER_DID_DPD4_Msk                       (0x00000010UL)
#define R_ETHER_DID_DPD4_Pos                       (4UL)
#define R_ETHER_DID_DPD5_Msk                       (0x00000020UL)
#define R_ETHER_DID_DPD5_Pos                       (5UL)
#define R_ETHER_DID_DPD6_Msk                       (0x00000040UL)
#define R_ETHER_DID_DPD6_Pos                       (6UL)
#define R_ETHER_DID_DPD7_Msk                       (0x00000080UL)
#define R_ETHER_DID_DPD7_Pos                       (7UL)
#define R_ETHER_DID_DPD8_Msk                       (0x00000100UL)
#define R_ETHER_DID_DPD8_Pos                       (8UL)
#define R_ETHER_DID_DPD9_Msk                       (0x00000200UL)
#define R_ETHER_DID_DPD9_Pos                       (9UL)
#define R_ETHER_DID_DPD10_Msk                      (0x00000400UL)
#define R_ETHER_DID_DPD10_Pos                      (10UL)
#define R_ETHER_DID_DPD11_Msk                      (0x00000800UL)
#define R_ETHER_DID_DPD11_Pos                      (11UL)
#define R_ETHER_DID_DPD12_Msk                      (0x00001000UL)
#define R_ETHER_DID_DPD12_Pos                      (12UL)
#define R_ETHER_DID_DPD13_Msk                      (0x00002000UL)
#define R_ETHER_DID_DPD13_Pos                      (13UL)
#define R_ETHER_DID_DPD14_Msk                      (0x00004000UL)
#define R_ETHER_DID_DPD14_Pos                      (14UL)
#define R_ETHER_DID_DPD15_Msk                      (0x00008000UL)
#define R_ETHER_DID_DPD15_Pos                      (15UL)
#define R_ETHER_EIE_MRES_Msk                       (0x00000001UL)
#define R_ETHER_EIE_MRES_Pos                       (0UL)
#define R_ETHER_EIE_MTES_Msk                       (0x00000002UL)
#define R_ETHER_EIE_MTES_Pos                       (1UL)
#define R_ETHER_EIE_QES_Msk                        (0x00000004UL)
#define R_ETHER_EIE_QES_Pos                        (2UL)
#define R_ETHER_EIE_MFFS_Msk                       (0x00000200UL)
#define R_ETHER_EIE_MFFS_Pos                       (9UL)
#define R_ETHER_EIE_MFFS2_Msk                      (0x00000800UL)
#define R_ETHER_EIE_MFFS2_Pos                      (11UL)
#define R_ETHER_EID_MRED_Msk                       (0x00000001UL)
#define R_ETHER_EID_MRED_Pos                       (0UL)
#define R_ETHER_EID_MTED_Msk                       (0x00000002UL)
#define R_ETHER_EID_MTED_Pos                       (1UL)
#define R_ETHER_EID_QED_Msk                        (0x00000004UL)
#define R_ETHER_EID_QED_Pos                        (2UL)
#define R_ETHER_EID_MFFD_Msk                       (0x00000200UL)
#define R_ETHER_EID_MFFD_Pos                       (9UL)
#define R_ETHER_EID_MFFD2_Msk                      (0x00000800UL)
#define R_ETHER_EID_MFFD2_Pos                      (11UL)
#define R_ETHER_RIE0_FRS_Msk                       (0x00000001UL)
#define R_ETHER_RIE0_FRS_Pos                       (0UL)
#define R_ETHER_RID0_FRD_Msk                       (0x00000001UL)
#define R_ETHER_RID0_FRD_Pos                       (0UL)
#define R_ETHER_RIE1_RFWS_Msk                      (0x80000000UL)
#define R_ETHER_RIE1_RFWS_Pos                      (31UL)
#define R_ETHER_RID1_RFWD_Msk                      (0x80000000UL)
#define R_ETHER_RID1_RFWD_Pos                      (31UL)
#define R_ETHER_RIE2_QFS_Msk                       (0x00000001UL)
#define R_ETHER_RIE2_QFS_Pos                       (0UL)
#define R_ETHER_RIE2_RFFS_Msk                      (0x80000000UL)
#define R_ETHER_RIE2_RFFS_Pos                      (31UL)
#define R_ETHER_RID2_QFD_Msk                       (0x00000001UL)
#define R_ETHER_RID2_QFD_Pos                       (0UL)
#define R_ETHER_RID2_RFFD_Msk                      (0x80000000UL)
#define R_ETHER_RID2_RFFD_Pos                      (31UL)
#define R_ETHER_TIE_FTS_Msk                        (0x00000001UL)
#define R_ETHER_TIE_FTS_Pos                        (0UL)
#define R_ETHER_TIE_MFUS_Msk                       (0x00000400UL)
#define R_ETHER_TIE_MFUS_Pos                       (10UL)
#define R_ETHER_TIE_MFWS_Msk                       (0x00000800UL)
#define R_ETHER_TIE_MFWS_Pos                       (11UL)
#define R_ETHER_TIE_MFUS2_Msk                      (0x00001000UL)
#define R_ETHER_TIE_MFUS2_Pos                      (12UL)
#define R_ETHER_TIE_MFWS2_Msk                      (0x00002000UL)
#define R_ETHER_TIE_MFWS2_Pos                      (13UL)
#define R_ETHER_TIE_RCSRS_Msk                      (0x00004000UL)
#define R_ETHER_TIE_RCSRS_Pos                      (14UL)
#define R_ETHER_TIE_TDPS_Msk                       (0x00010000UL)
#define R_ETHER_TIE_TDPS_Pos                       (16UL)
#define R_ETHER_TID_FTD_Msk                        (0x00000001UL)
#define R_ETHER_TID_FTD_Pos                        (0UL)
#define R_ETHER_TID_MFUD_Msk                       (0x00000400UL)
#define R_ETHER_TID_MFUD_Pos                       (10UL)
#define R_ETHER_TID_MFWD_Msk                       (0x00000800UL)
#define R_ETHER_TID_MFWD_Pos                       (11UL)
#define R_ETHER_TID_MFUD2_Msk                      (0x00001000UL)
#define R_ETHER_TID_MFUD2_Pos                      (12UL)
#define R_ETHER_TID_MFWD2_Msk                      (0x00002000UL)
#define R_ETHER_TID_MFWD2_Pos                      (13UL)
#define R_ETHER_TID_RCSRD_Msk                      (0x00004000UL)
#define R_ETHER_TID_RCSRD_Pos                      (14UL)
#define R_ETHER_TID_TDPD_Msk                       (0x00010000UL)
#define R_ETHER_TID_TDPD_Pos                       (16UL)
#define R_ETHER_RIE3_RDPS_Msk                      (0x00000001UL)
#define R_ETHER_RIE3_RDPS_Pos                      (0UL)
#define R_ETHER_RID3_RDPD_Msk                      (0x00000001UL)
#define R_ETHER_RID3_RDPD_Pos                      (0UL)
#define R_ETHER_CSR0_CCM_Msk                       (0x00000001UL)
#define R_ETHER_CSR0_CCM_Pos                       (0UL)
#define R_ETHER_CSR0_TPE_Msk                       (0x00000010UL)
#define R_ETHER_CSR0_TPE_Pos                       (4UL)
#define R_ETHER_CSR0_RPE_Msk                       (0x00000020UL)
#define R_ETHER_CSR0_RPE_Pos                       (5UL)
#define R_ETHER_CSR0_TBP_Msk                       (0x00000100UL)
#define R_ETHER_CSR0_TBP_Pos                       (8UL)
#define R_ETHER_CSR0_RBP_Msk                       (0x00000200UL)
#define R_ETHER_CSR0_RBP_Pos                       (9UL)
#define R_ETHER_CSR0_FIFOCAP_Msk                   (0x00030000UL)
#define R_ETHER_CSR0_FIFOCAP_Pos                   (16UL)
#define R_ETHER_CSR1_TIP4_Msk                      (0x00000001UL)
#define R_ETHER_CSR1_TIP4_Pos                      (0UL)
#define R_ETHER_CSR1_TTCP4_Msk                     (0x00000010UL)
#define R_ETHER_CSR1_TTCP4_Pos                     (4UL)
#define R_ETHER_CSR1_TUDP4_Msk                     (0x00000020UL)
#define R_ETHER_CSR1_TUDP4_Pos                     (5UL)
#define R_ETHER_CSR1_TICMP4_Msk                    (0x00000040UL)
#define R_ETHER_CSR1_TICMP4_Pos                    (6UL)
#define R_ETHER_CSR1_TTCP6_Msk                     (0x00100000UL)
#define R_ETHER_CSR1_TTCP6_Pos                     (20UL)
#define R_ETHER_CSR1_TUDP6_Msk                     (0x00200000UL)
#define R_ETHER_CSR1_TUDP6_Pos                     (21UL)
#define R_ETHER_CSR1_TICMP6_Msk                    (0x00400000UL)
#define R_ETHER_CSR1_TICMP6_Pos                    (22UL)
#define R_ETHER_CSR1_THOP_Msk                      (0x01000000UL)
#define R_ETHER_CSR1_THOP_Pos                      (24UL)
#define R_ETHER_CSR1_TROUT_Msk                     (0x02000000UL)
#define R_ETHER_CSR1_TROUT_Pos                     (25UL)
#define R_ETHER_CSR1_TAHD_Msk                      (0x04000000UL)
#define R_ETHER_CSR1_TAHD_Pos                      (26UL)
#define R_ETHER_CSR1_TDHD_Msk                      (0x08000000UL)
#define R_ETHER_CSR1_TDHD_Pos                      (27UL)
#define R_ETHER_CSR2_RIP4_Msk                      (0x00000001UL)
#define R_ETHER_CSR2_RIP4_Pos                      (0UL)
#define R_ETHER_CSR2_RTCP4_Msk                     (0x00000010UL)
#define R_ETHER_CSR2_RTCP4_Pos                     (4UL)
#define R_ETHER_CSR2_RUDP4_Msk                     (0x00000020UL)
#define R_ETHER_CSR2_RUDP4_Pos                     (5UL)
#define R_ETHER_CSR2_RICMP4_Msk                    (0x00000040UL)
#define R_ETHER_CSR2_RICMP4_Pos                    (6UL)
#define R_ETHER_CSR2_RTCP6_Msk                     (0x00100000UL)
#define R_ETHER_CSR2_RTCP6_Pos                     (20UL)
#define R_ETHER_CSR2_RUDP6_Msk                     (0x00200000UL)
#define R_ETHER_CSR2_RUDP6_Pos                     (21UL)
#define R_ETHER_CSR2_RICMP6_Msk                    (0x00400000UL)
#define R_ETHER_CSR2_RICMP6_Pos                    (22UL)
#define R_ETHER_CSR2_RHOP_Msk                      (0x01000000UL)
#define R_ETHER_CSR2_RHOP_Pos                      (24UL)
#define R_ETHER_CSR2_RROUT_Msk                     (0x02000000UL)
#define R_ETHER_CSR2_RROUT_Pos                     (25UL)
#define R_ETHER_CSR2_RAHD_Msk                      (0x04000000UL)
#define R_ETHER_CSR2_RAHD_Pos                      (26UL)
#define R_ETHER_CSR2_RDHD_Msk                      (0x08000000UL)
#define R_ETHER_CSR2_RDHD_Pos                      (27UL)
#define R_ETHER_CSR3_TNUEXHED_Msk                  (0x0000000FUL)
#define R_ETHER_CSR3_TNUEXHED_Pos                  (0UL)
#define R_ETHER_CSR4_RNUEXHED_Msk                  (0x0000000FUL)
#define R_ETHER_CSR4_RNUEXHED_Pos                  (0UL)
#define R_ETHER_CSR20_TNSCNT_Msk                   (0x0000FFFFUL)
#define R_ETHER_CSR20_TNSCNT_Pos                   (0UL)
#define R_ETHER_CSR30_RNSCNT_Msk                   (0x0000FFFFUL)
#define R_ETHER_CSR30_RNSCNT_Pos                   (0UL)
#define R_ETHER_CSR31_R4ECNT_Msk                   (0x0000FFFFUL)
#define R_ETHER_CSR31_R4ECNT_Pos                   (0UL)
#define R_ETHER_CSR32_RTUECNT_Msk                  (0x0000FFFFUL)
#define R_ETHER_CSR32_RTUECNT_Pos                  (0UL)
#define R_ETHER_CSFR00_sby_mode_Msk                (0x00000003UL)
#define R_ETHER_CSFR00_sby_mode_Pos                (0UL)
#define R_ETHER_CSFR00_type_fen_Msk                (0x00000004UL)
#define R_ETHER_CSFR00_type_fen_Pos                (2UL)
#define R_ETHER_CSFR00_v4_protocol_fen_Msk         (0x00000008UL)
#define R_ETHER_CSFR00_v4_protocol_fen_Pos         (3UL)
#define R_ETHER_CSFR00_v6_protocol_fen_Msk         (0x00000010UL)
#define R_ETHER_CSFR00_v6_protocol_fen_Pos         (4UL)
#define R_ETHER_CSFR00_v4_udp_pt_fen_Msk           (0x00000020UL)
#define R_ETHER_CSFR00_v4_udp_pt_fen_Pos           (5UL)
#define R_ETHER_CSFR00_v6_udp_pt_fen_Msk           (0x00000040UL)
#define R_ETHER_CSFR00_v6_udp_pt_fen_Pos           (6UL)
#define R_ETHER_CSFR00_mac_da_uni_fen_Msk          (0x00000080UL)
#define R_ETHER_CSFR00_mac_da_uni_fen_Pos          (7UL)
#define R_ETHER_CSFR00_mac_da_bro_fe_Msk           (0x00000100UL)
#define R_ETHER_CSFR00_mac_da_bro_fe_Pos           (8UL)
#define R_ETHER_CSFR00_mac_da_mul_fe_Msk           (0x00000200UL)
#define R_ETHER_CSFR00_mac_da_mul_fe_Pos           (9UL)
#define R_ETHER_CSFR00_arp_other_fen_Msk           (0x00000400UL)
#define R_ETHER_CSFR00_arp_other_fen_Pos           (10UL)
#define R_ETHER_CSFR00_arp_self_fen_Msk            (0x00000800UL)
#define R_ETHER_CSFR00_arp_self_fen_Pos            (11UL)
#define R_ETHER_CSFR00_garp_other_fen_Msk          (0x00001000UL)
#define R_ETHER_CSFR00_garp_other_fen_Pos          (12UL)
#define R_ETHER_CSFR00_garp_self_fen_Msk           (0x00002000UL)
#define R_ETHER_CSFR00_garp_self_fen_Pos           (13UL)
#define R_ETHER_CSFR00_arp_noreq_fen_Msk           (0x00004000UL)
#define R_ETHER_CSFR00_arp_noreq_fen_Pos           (14UL)
#define R_ETHER_CSFR00_ns_mul_fen_Msk              (0x00008000UL)
#define R_ETHER_CSFR00_ns_mul_fen_Pos              (15UL)
#define R_ETHER_CSFR00_ns_uni_fen_Msk              (0x00010000UL)
#define R_ETHER_CSFR00_ns_uni_fen_Pos              (16UL)
#define R_ETHER_CSFR00_ns_uni_nopt_fen_Msk         (0x00020000UL)
#define R_ETHER_CSFR00_ns_uni_nopt_fen_Pos         (17UL)
#define R_ETHER_CSFR00_ns_dup_fen_Msk              (0x00040000UL)
#define R_ETHER_CSFR00_ns_dup_fen_Pos              (18UL)
#define R_ETHER_CSFR00_ns_dis_fen_Msk              (0x00080000UL)
#define R_ETHER_CSFR00_ns_dis_fen_Pos              (19UL)
#define R_ETHER_CSFR00_v6_ana_protocol_fen_Msk     (0x00100000UL)
#define R_ETHER_CSFR00_v6_ana_protocol_fen_Pos     (20UL)
#define R_ETHER_CSFR00_ana_stp_fen_Msk             (0x00200000UL)
#define R_ETHER_CSFR00_ana_stp_fen_Pos             (21UL)
#define R_ETHER_CSFR00_ieee_len_fen_Msk            (0x00400000UL)
#define R_ETHER_CSFR00_ieee_len_fen_Pos            (22UL)
#define R_ETHER_CSFR00_true_false_Msk              (0x00800000UL)
#define R_ETHER_CSFR00_true_false_Pos              (23UL)
#define R_ETHER_CSFR00_reg_fifo_en_Msk             (0x01000000UL)
#define R_ETHER_CSFR00_reg_fifo_en_Pos             (24UL)
#define R_ETHER_CSFR00_reply_fifo_en_Msk           (0x02000000UL)
#define R_ETHER_CSFR00_reply_fifo_en_Pos           (25UL)
#define R_ETHER_CSFR00_arp_ns_abt_en_Msk           (0x10000000UL)
#define R_ETHER_CSFR00_arp_ns_abt_en_Pos           (28UL)
#define R_ETHER_CSFR01_ipv4_adr_Msk                (0xFFFFFFFFUL)
#define R_ETHER_CSFR01_ipv4_adr_Pos                (0UL)
#define R_ETHER_CSFR02_0_ipv6_adr_Msk              (0xFFFFFFFFUL)
#define R_ETHER_CSFR02_0_ipv6_adr_Pos              (0UL)
#define R_ETHER_CSFR02_1_ipv6_adr_Msk              (0xFFFFFFFFUL)
#define R_ETHER_CSFR02_1_ipv6_adr_Pos              (0UL)
#define R_ETHER_CSFR02_2_ipv6_adr_Msk              (0xFFFFFFFFUL)
#define R_ETHER_CSFR02_2_ipv6_adr_Pos              (0UL)
#define R_ETHER_CSFR02_3_ipv6_adr_Msk              (0xFFFFFFFFUL)
#define R_ETHER_CSFR02_3_ipv6_adr_Pos              (0UL)
#define R_ETHER_CSFR03_U_mac_adr_Msk               (0x0000FFFFUL)
#define R_ETHER_CSFR03_U_mac_adr_Pos               (0UL)
#define R_ETHER_CSFR03_L_mac_adr_Msk               (0xFFFFFFFFUL)
#define R_ETHER_CSFR03_L_mac_adr_Pos               (0UL)
#define R_ETHER_CSFR04_no_next_header_Msk          (0x000000FFUL)
#define R_ETHER_CSFR04_no_next_header_Pos          (0UL)
#define R_ETHER_CSFR10_0_type_0_Msk                (0x0000FFFFUL)
#define R_ETHER_CSFR10_0_type_0_Pos                (0UL)
#define R_ETHER_CSFR10_0_type_1_Msk                (0xFFFF0000UL)
#define R_ETHER_CSFR10_0_type_1_Pos                (16UL)
#define R_ETHER_CSFR10_1_type_2_Msk                (0x0000FFFFUL)
#define R_ETHER_CSFR10_1_type_2_Pos                (0UL)
#define R_ETHER_CSFR10_1_type_3_Msk                (0xFFFF0000UL)
#define R_ETHER_CSFR10_1_type_3_Pos                (16UL)
#define R_ETHER_CSFR10_2_type_4_Msk                (0x0000FFFFUL)
#define R_ETHER_CSFR10_2_type_4_Pos                (0UL)
#define R_ETHER_CSFR10_2_type_5_Msk                (0xFFFF0000UL)
#define R_ETHER_CSFR10_2_type_5_Pos                (16UL)
#define R_ETHER_CSFR10_3_type_6_Msk                (0x0000FFFFUL)
#define R_ETHER_CSFR10_3_type_6_Pos                (0UL)
#define R_ETHER_CSFR10_3_type_7_Msk                (0xFFFF0000UL)
#define R_ETHER_CSFR10_3_type_7_Pos                (16UL)
#define R_ETHER_CSFR10_ype_0_en_Msk                (0x00000001UL)
#define R_ETHER_CSFR10_ype_0_en_Pos                (0UL)
#define R_ETHER_CSFR10_ype_1_en_Msk                (0x00000002UL)
#define R_ETHER_CSFR10_ype_1_en_Pos                (1UL)
#define R_ETHER_CSFR10_ype_2_en_Msk                (0x00000004UL)
#define R_ETHER_CSFR10_ype_2_en_Pos                (2UL)
#define R_ETHER_CSFR10_ype_3_en_Msk                (0x00000008UL)
#define R_ETHER_CSFR10_ype_3_en_Pos                (3UL)
#define R_ETHER_CSFR10_ype_4_en_Msk                (0x00000010UL)
#define R_ETHER_CSFR10_ype_4_en_Pos                (4UL)
#define R_ETHER_CSFR10_ype_5_en_Msk                (0x00000020UL)
#define R_ETHER_CSFR10_ype_5_en_Pos                (5UL)
#define R_ETHER_CSFR10_ype_6_en_Msk                (0x00000040UL)
#define R_ETHER_CSFR10_ype_6_en_Pos                (6UL)
#define R_ETHER_CSFR10_ype_7_en_Msk                (0x00000080UL)
#define R_ETHER_CSFR10_ype_7_en_Pos                (7UL)
#define R_ETHER_CSFR11_0_protocol_0_Msk            (0x000000FFUL)
#define R_ETHER_CSFR11_0_protocol_0_Pos            (0UL)
#define R_ETHER_CSFR11_0_protocol_1_Msk            (0x0000FF00UL)
#define R_ETHER_CSFR11_0_protocol_1_Pos            (8UL)
#define R_ETHER_CSFR11_0_protocol_2_Msk            (0x00FF0000UL)
#define R_ETHER_CSFR11_0_protocol_2_Pos            (16UL)
#define R_ETHER_CSFR11_0_protocol_3_Msk            (0xFF000000UL)
#define R_ETHER_CSFR11_0_protocol_3_Pos            (24UL)
#define R_ETHER_CSFR11_1_protocol_4_Msk            (0x000000FFUL)
#define R_ETHER_CSFR11_1_protocol_4_Pos            (0UL)
#define R_ETHER_CSFR11_1_protocol_5_Msk            (0x0000FF00UL)
#define R_ETHER_CSFR11_1_protocol_5_Pos            (8UL)
#define R_ETHER_CSFR11_1_protocol_6_Msk            (0x00FF0000UL)
#define R_ETHER_CSFR11_1_protocol_6_Pos            (16UL)
#define R_ETHER_CSFR11_1_protocol_7_Msk            (0xFF000000UL)
#define R_ETHER_CSFR11_1_protocol_7_Pos            (24UL)
#define R_ETHER_CSFR11_2_protocol_8_Msk            (0x000000FFUL)
#define R_ETHER_CSFR11_2_protocol_8_Pos            (0UL)
#define R_ETHER_CSFR11_2_protocol_9_Msk            (0x0000FF00UL)
#define R_ETHER_CSFR11_2_protocol_9_Pos            (8UL)
#define R_ETHER_CSFR11_2_protocol_10_Msk           (0x00FF0000UL)
#define R_ETHER_CSFR11_2_protocol_10_Pos           (16UL)
#define R_ETHER_CSFR11_2_protocol_11_Msk           (0xFF000000UL)
#define R_ETHER_CSFR11_2_protocol_11_Pos           (24UL)
#define R_ETHER_CSFR11_3_protocol_12_Msk           (0x000000FFUL)
#define R_ETHER_CSFR11_3_protocol_12_Pos           (0UL)
#define R_ETHER_CSFR11_3_protocol_13_Msk           (0x0000FF00UL)
#define R_ETHER_CSFR11_3_protocol_13_Pos           (8UL)
#define R_ETHER_CSFR11_3_protocol_14_Msk           (0x00FF0000UL)
#define R_ETHER_CSFR11_3_protocol_14_Pos           (16UL)
#define R_ETHER_CSFR11_3_protocol_15_Msk           (0xFF000000UL)
#define R_ETHER_CSFR11_3_protocol_15_Pos           (24UL)
#define R_ETHER_CSFR11_protocol_0_en_Msk           (0x00000001UL)
#define R_ETHER_CSFR11_protocol_0_en_Pos           (0UL)
#define R_ETHER_CSFR11_protocol_1_en_Msk           (0x00000002UL)
#define R_ETHER_CSFR11_protocol_1_en_Pos           (1UL)
#define R_ETHER_CSFR11_protocol_2_en_Msk           (0x00000004UL)
#define R_ETHER_CSFR11_protocol_2_en_Pos           (2UL)
#define R_ETHER_CSFR11_protocol_3_en_Msk           (0x00000008UL)
#define R_ETHER_CSFR11_protocol_3_en_Pos           (3UL)
#define R_ETHER_CSFR11_protocol_4_en_Msk           (0x00000010UL)
#define R_ETHER_CSFR11_protocol_4_en_Pos           (4UL)
#define R_ETHER_CSFR11_protocol_5_en_Msk           (0x00000020UL)
#define R_ETHER_CSFR11_protocol_5_en_Pos           (5UL)
#define R_ETHER_CSFR11_protocol_6_en_Msk           (0x00000040UL)
#define R_ETHER_CSFR11_protocol_6_en_Pos           (6UL)
#define R_ETHER_CSFR11_protocol_7_en_Msk           (0x00000080UL)
#define R_ETHER_CSFR11_protocol_7_en_Pos           (7UL)
#define R_ETHER_CSFR11_protocol_8_en_Msk           (0x00000100UL)
#define R_ETHER_CSFR11_protocol_8_en_Pos           (8UL)
#define R_ETHER_CSFR11_protocol_9_en_Msk           (0x00000200UL)
#define R_ETHER_CSFR11_protocol_9_en_Pos           (9UL)
#define R_ETHER_CSFR11_protocol_10_en_Msk          (0x00000400UL)
#define R_ETHER_CSFR11_protocol_10_en_Pos          (10UL)
#define R_ETHER_CSFR11_protocol_11_en_Msk          (0x00000800UL)
#define R_ETHER_CSFR11_protocol_11_en_Pos          (11UL)
#define R_ETHER_CSFR11_protocol_12_en_Msk          (0x00001000UL)
#define R_ETHER_CSFR11_protocol_12_en_Pos          (12UL)
#define R_ETHER_CSFR11_protocol_13_en_Msk          (0x00002000UL)
#define R_ETHER_CSFR11_protocol_13_en_Pos          (13UL)
#define R_ETHER_CSFR11_protocol_14_en_Msk          (0x00004000UL)
#define R_ETHER_CSFR11_protocol_14_en_Pos          (14UL)
#define R_ETHER_CSFR11_protocol_15_en_Msk          (0x00008000UL)
#define R_ETHER_CSFR11_protocol_15_en_Pos          (15UL)
#define R_ETHER_CSFR12_0_udp_pt_0_Msk              (0x0000FFFFUL)
#define R_ETHER_CSFR12_0_udp_pt_0_Pos              (0UL)
#define R_ETHER_CSFR12_0_udp_pt_1_Msk              (0xFFFF0000UL)
#define R_ETHER_CSFR12_0_udp_pt_1_Pos              (16UL)
#define R_ETHER_CSFR12_1_udp_pt_2_Msk              (0x0000FFFFUL)
#define R_ETHER_CSFR12_1_udp_pt_2_Pos              (0UL)
#define R_ETHER_CSFR12_1_udp_pt_3_Msk              (0xFFFF0000UL)
#define R_ETHER_CSFR12_1_udp_pt_3_Pos              (16UL)
#define R_ETHER_CSFR12_2_udp_pt_4_Msk              (0x0000FFFFUL)
#define R_ETHER_CSFR12_2_udp_pt_4_Pos              (0UL)
#define R_ETHER_CSFR12_2_udp_pt_5_Msk              (0xFFFF0000UL)
#define R_ETHER_CSFR12_2_udp_pt_5_Pos              (16UL)
#define R_ETHER_CSFR12_3_udp_pt_6_Msk              (0x0000FFFFUL)
#define R_ETHER_CSFR12_3_udp_pt_6_Pos              (0UL)
#define R_ETHER_CSFR12_3_udp_pt_7_Msk              (0xFFFF0000UL)
#define R_ETHER_CSFR12_3_udp_pt_7_Pos              (16UL)
#define R_ETHER_CSFR12_4_udp_pt_8_Msk              (0x0000FFFFUL)
#define R_ETHER_CSFR12_4_udp_pt_8_Pos              (0UL)
#define R_ETHER_CSFR12_4_udp_pt_9_Msk              (0xFFFF0000UL)
#define R_ETHER_CSFR12_4_udp_pt_9_Pos              (16UL)
#define R_ETHER_CSFR12_5_udp_pt_10_Msk             (0x0000FFFFUL)
#define R_ETHER_CSFR12_5_udp_pt_10_Pos             (0UL)
#define R_ETHER_CSFR12_5_udp_pt_11_Msk             (0xFFFF0000UL)
#define R_ETHER_CSFR12_5_udp_pt_11_Pos             (16UL)
#define R_ETHER_CSFR12_6_udp_pt_12_Msk             (0x0000FFFFUL)
#define R_ETHER_CSFR12_6_udp_pt_12_Pos             (0UL)
#define R_ETHER_CSFR12_6_udp_pt_13_Msk             (0xFFFF0000UL)
#define R_ETHER_CSFR12_6_udp_pt_13_Pos             (16UL)
#define R_ETHER_CSFR12_7_udp_pt_14_Msk             (0x0000FFFFUL)
#define R_ETHER_CSFR12_7_udp_pt_14_Pos             (0UL)
#define R_ETHER_CSFR12_7_udp_pt_15_Msk             (0xFFFF0000UL)
#define R_ETHER_CSFR12_7_udp_pt_15_Pos             (16UL)
#define R_ETHER_CSFR12_8_udp_pt_16_Msk             (0x0000FFFFUL)
#define R_ETHER_CSFR12_8_udp_pt_16_Pos             (0UL)
#define R_ETHER_CSFR12_8_udp_pt_17_Msk             (0xFFFF0000UL)
#define R_ETHER_CSFR12_8_udp_pt_17_Pos             (16UL)
#define R_ETHER_CSFR12_9_udp_pt_18_Msk             (0x0000FFFFUL)
#define R_ETHER_CSFR12_9_udp_pt_18_Pos             (0UL)
#define R_ETHER_CSFR12_9_udp_pt_19_Msk             (0xFFFF0000UL)
#define R_ETHER_CSFR12_9_udp_pt_19_Pos             (16UL)
#define R_ETHER_CSFR12_10_udp_pt_20_Msk            (0x0000FFFFUL)
#define R_ETHER_CSFR12_10_udp_pt_20_Pos            (0UL)
#define R_ETHER_CSFR12_10_udp_pt_21_Msk            (0xFFFF0000UL)
#define R_ETHER_CSFR12_10_udp_pt_21_Pos            (16UL)
#define R_ETHER_CSFR12_11_udp_pt_22_Msk            (0x0000FFFFUL)
#define R_ETHER_CSFR12_11_udp_pt_22_Pos            (0UL)
#define R_ETHER_CSFR12_11_udp_pt_23_Msk            (0xFFFF0000UL)
#define R_ETHER_CSFR12_11_udp_pt_23_Pos            (16UL)
#define R_ETHER_CSFR12_udp_pt_0_en_Msk             (0x00000001UL)
#define R_ETHER_CSFR12_udp_pt_0_en_Pos             (0UL)
#define R_ETHER_CSFR12_udp_pt_1_en_Msk             (0x00000002UL)
#define R_ETHER_CSFR12_udp_pt_1_en_Pos             (1UL)
#define R_ETHER_CSFR12_udp_pt_2_en_Msk             (0x00000004UL)
#define R_ETHER_CSFR12_udp_pt_2_en_Pos             (2UL)
#define R_ETHER_CSFR12_udp_pt_3_en_Msk             (0x00000008UL)
#define R_ETHER_CSFR12_udp_pt_3_en_Pos             (3UL)
#define R_ETHER_CSFR12_udp_pt_4_en_Msk             (0x00000010UL)
#define R_ETHER_CSFR12_udp_pt_4_en_Pos             (4UL)
#define R_ETHER_CSFR12_udp_pt_5_en_Msk             (0x00000020UL)
#define R_ETHER_CSFR12_udp_pt_5_en_Pos             (5UL)
#define R_ETHER_CSFR12_udp_pt_6_en_Msk             (0x00000040UL)
#define R_ETHER_CSFR12_udp_pt_6_en_Pos             (6UL)
#define R_ETHER_CSFR12_udp_pt_7_en_Msk             (0x00000080UL)
#define R_ETHER_CSFR12_udp_pt_7_en_Pos             (7UL)
#define R_ETHER_CSFR12_udp_pt_8_en_Msk             (0x00000100UL)
#define R_ETHER_CSFR12_udp_pt_8_en_Pos             (8UL)
#define R_ETHER_CSFR12_udp_pt_9_en_Msk             (0x00000200UL)
#define R_ETHER_CSFR12_udp_pt_9_en_Pos             (9UL)
#define R_ETHER_CSFR12_udp_pt_10_en_Msk            (0x00000400UL)
#define R_ETHER_CSFR12_udp_pt_10_en_Pos            (10UL)
#define R_ETHER_CSFR12_udp_pt_11_en_Msk            (0x00000800UL)
#define R_ETHER_CSFR12_udp_pt_11_en_Pos            (11UL)
#define R_ETHER_CSFR12_udp_pt_12_en_Msk            (0x00001000UL)
#define R_ETHER_CSFR12_udp_pt_12_en_Pos            (12UL)
#define R_ETHER_CSFR12_udp_pt_13_en_Msk            (0x00002000UL)
#define R_ETHER_CSFR12_udp_pt_13_en_Pos            (13UL)
#define R_ETHER_CSFR12_udp_pt_14_en_Msk            (0x00004000UL)
#define R_ETHER_CSFR12_udp_pt_14_en_Pos            (14UL)
#define R_ETHER_CSFR12_udp_pt_15_en_Msk            (0x00008000UL)
#define R_ETHER_CSFR12_udp_pt_15_en_Pos            (15UL)
#define R_ETHER_CSFR12_udp_pt_16_en_Msk            (0x00010000UL)
#define R_ETHER_CSFR12_udp_pt_16_en_Pos            (16UL)
#define R_ETHER_CSFR12_udp_pt_17_en_Msk            (0x00020000UL)
#define R_ETHER_CSFR12_udp_pt_17_en_Pos            (17UL)
#define R_ETHER_CSFR12_udp_pt_18_en_Msk            (0x00040000UL)
#define R_ETHER_CSFR12_udp_pt_18_en_Pos            (18UL)
#define R_ETHER_CSFR12_udp_pt_19_en_Msk            (0x00080000UL)
#define R_ETHER_CSFR12_udp_pt_19_en_Pos            (19UL)
#define R_ETHER_CSFR12_udp_pt_20_en_Msk            (0x00100000UL)
#define R_ETHER_CSFR12_udp_pt_20_en_Pos            (20UL)
#define R_ETHER_CSFR12_udp_pt_21_en_Msk            (0x00200000UL)
#define R_ETHER_CSFR12_udp_pt_21_en_Pos            (21UL)
#define R_ETHER_CSFR12_udp_pt_22_en_Msk            (0x00400000UL)
#define R_ETHER_CSFR12_udp_pt_22_en_Pos            (22UL)
#define R_ETHER_CSFR12_udp_pt_23_en_Msk            (0x00800000UL)
#define R_ETHER_CSFR12_udp_pt_23_en_Pos            (23UL)
#define R_ETHER_CSFR13_U_mac_da_uni_Msk            (0x0000FFFFUL)
#define R_ETHER_CSFR13_U_mac_da_uni_Pos            (0UL)
#define R_ETHER_CSFR13_L_mac_da_uni_Msk            (0xFFFFFFFFUL)
#define R_ETHER_CSFR13_L_mac_da_uni_Pos            (0UL)
#define R_ETHER_CSFR14_U_mac_da_bro_Msk            (0x0000FFFFUL)
#define R_ETHER_CSFR14_U_mac_da_bro_Pos            (0UL)
#define R_ETHER_CSFR14_L_mac_da_bro_Msk            (0xFFFFFFFFUL)
#define R_ETHER_CSFR14_L_mac_da_bro_Pos            (0UL)
#define R_ETHER_CSFR15_U_0_mac_da_mul_0_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_0_mac_da_mul_0_Pos        (0UL)
#define R_ETHER_CSFR15_L_0_mac_da_mul_0_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_0_mac_da_mul_0_Pos        (0UL)
#define R_ETHER_CSFR15_U_1_mac_da_mul_1_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_1_mac_da_mul_1_Pos        (0UL)
#define R_ETHER_CSFR15_L_1_mac_da_mul_1_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_1_mac_da_mul_1_Pos        (0UL)
#define R_ETHER_CSFR15_U_2_mac_da_mul_2_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_2_mac_da_mul_2_Pos        (0UL)
#define R_ETHER_CSFR15_L_2_mac_da_mul_2_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_2_mac_da_mul_2_Pos        (0UL)
#define R_ETHER_CSFR15_U_3_mac_da_mul_3_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_3_mac_da_mul_3_Pos        (0UL)
#define R_ETHER_CSFR15_L_3_mac_da_mul_3_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_3_mac_da_mul_3_Pos        (0UL)
#define R_ETHER_CSFR15_U_4_mac_da_mul_4_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_4_mac_da_mul_4_Pos        (0UL)
#define R_ETHER_CSFR15_L_4_mac_da_mul_4_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_4_mac_da_mul_4_Pos        (0UL)
#define R_ETHER_CSFR15_U_5_mac_da_mul_5_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_5_mac_da_mul_5_Pos        (0UL)
#define R_ETHER_CSFR15_L_5_mac_da_mul_5_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_5_mac_da_mul_5_Pos        (0UL)
#define R_ETHER_CSFR15_U_6_mac_da_mul_6_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_6_mac_da_mul_6_Pos        (0UL)
#define R_ETHER_CSFR15_L_6_mac_da_mul_6_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_6_mac_da_mul_6_Pos        (0UL)
#define R_ETHER_CSFR15_U_7_mac_da_mul_7_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_7_mac_da_mul_7_Pos        (0UL)
#define R_ETHER_CSFR15_L_7_mac_da_mul_7_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_7_mac_da_mul_7_Pos        (0UL)
#define R_ETHER_CSFR15_U_8_mac_da_mul_8_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_8_mac_da_mul_8_Pos        (0UL)
#define R_ETHER_CSFR15_L_8_mac_da_mul_8_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_8_mac_da_mul_8_Pos        (0UL)
#define R_ETHER_CSFR15_U_9_mac_da_mul_9_Msk        (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_9_mac_da_mul_9_Pos        (0UL)
#define R_ETHER_CSFR15_L_9_mac_da_mul_9_Msk        (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_9_mac_da_mul_9_Pos        (0UL)
#define R_ETHER_CSFR15_U_10_mac_da_mul_10_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_10_mac_da_mul_10_Pos      (0UL)
#define R_ETHER_CSFR15_L_10_mac_da_mul_10_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_10_mac_da_mul_10_Pos      (0UL)
#define R_ETHER_CSFR15_U_11_mac_da_mul_11_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_11_mac_da_mul_11_Pos      (0UL)
#define R_ETHER_CSFR15_L_11_mac_da_mul_11_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_11_mac_da_mul_11_Pos      (0UL)
#define R_ETHER_CSFR15_U_12_mac_da_mul_12_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_12_mac_da_mul_12_Pos      (0UL)
#define R_ETHER_CSFR15_L_12_mac_da_mul_12_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_12_mac_da_mul_12_Pos      (0UL)
#define R_ETHER_CSFR15_U_13_mac_da_mul_13_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_13_mac_da_mul_13_Pos      (0UL)
#define R_ETHER_CSFR15_L_13_mac_da_mul_13_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_13_mac_da_mul_13_Pos      (0UL)
#define R_ETHER_CSFR15_U_14_mac_da_mul_14_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_14_mac_da_mul_14_Pos      (0UL)
#define R_ETHER_CSFR15_L_14_mac_da_mul_14_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_14_mac_da_mul_14_Pos      (0UL)
#define R_ETHER_CSFR15_U_15_mac_da_mul_15_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_15_mac_da_mul_15_Pos      (0UL)
#define R_ETHER_CSFR15_L_15_mac_da_mul_15_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_15_mac_da_mul_15_Pos      (0UL)
#define R_ETHER_CSFR15_U_16_mac_da_mul_16_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_16_mac_da_mul_16_Pos      (0UL)
#define R_ETHER_CSFR15_L_16_mac_da_mul_16_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_16_mac_da_mul_16_Pos      (0UL)
#define R_ETHER_CSFR15_U_17_mac_da_mul_17_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_17_mac_da_mul_17_Pos      (0UL)
#define R_ETHER_CSFR15_L_17_mac_da_mul_17_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_17_mac_da_mul_17_Pos      (0UL)
#define R_ETHER_CSFR15_U_18_mac_da_mul_18_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_18_mac_da_mul_18_Pos      (0UL)
#define R_ETHER_CSFR15_L_18_mac_da_mul_18_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_18_mac_da_mul_18_Pos      (0UL)
#define R_ETHER_CSFR15_U_19_mac_da_mul_19_Msk      (0x0000FFFFUL)
#define R_ETHER_CSFR15_U_19_mac_da_mul_19_Pos      (0UL)
#define R_ETHER_CSFR15_L_19_mac_da_mul_19_Msk      (0xFFFFFFFFUL)
#define R_ETHER_CSFR15_L_19_mac_da_mul_19_Pos      (0UL)
#define R_ETHER_CSFR15_mac_da_mul_0_en_Msk         (0x00000001UL)
#define R_ETHER_CSFR15_mac_da_mul_0_en_Pos         (0UL)
#define R_ETHER_CSFR15_mac_da_mul_1_en_Msk         (0x00000002UL)
#define R_ETHER_CSFR15_mac_da_mul_1_en_Pos         (1UL)
#define R_ETHER_CSFR15_mac_da_mul_2_en_Msk         (0x00000004UL)
#define R_ETHER_CSFR15_mac_da_mul_2_en_Pos         (2UL)
#define R_ETHER_CSFR15_mac_da_mul_3_en_Msk         (0x00000008UL)
#define R_ETHER_CSFR15_mac_da_mul_3_en_Pos         (3UL)
#define R_ETHER_CSFR15_mac_da_mul_4_en_Msk         (0x00000010UL)
#define R_ETHER_CSFR15_mac_da_mul_4_en_Pos         (4UL)
#define R_ETHER_CSFR15_mac_da_mul_5_en_Msk         (0x00000020UL)
#define R_ETHER_CSFR15_mac_da_mul_5_en_Pos         (5UL)
#define R_ETHER_CSFR15_mac_da_mul_6_en_Msk         (0x00000040UL)
#define R_ETHER_CSFR15_mac_da_mul_6_en_Pos         (6UL)
#define R_ETHER_CSFR15_mac_da_mul_7_en_Msk         (0x00000080UL)
#define R_ETHER_CSFR15_mac_da_mul_7_en_Pos         (7UL)
#define R_ETHER_CSFR15_mac_da_mul_8_en_Msk         (0x00000100UL)
#define R_ETHER_CSFR15_mac_da_mul_8_en_Pos         (8UL)
#define R_ETHER_CSFR15_mac_da_mul_9_en_Msk         (0x00000200UL)
#define R_ETHER_CSFR15_mac_da_mul_9_en_Pos         (9UL)
#define R_ETHER_CSFR15_mac_da_mul_10_en_Msk        (0x00000400UL)
#define R_ETHER_CSFR15_mac_da_mul_10_en_Pos        (10UL)
#define R_ETHER_CSFR15_mac_da_mul_11_en_Msk        (0x00000800UL)
#define R_ETHER_CSFR15_mac_da_mul_11_en_Pos        (11UL)
#define R_ETHER_CSFR15_mac_da_mul_12_en_Msk        (0x00001000UL)
#define R_ETHER_CSFR15_mac_da_mul_12_en_Pos        (12UL)
#define R_ETHER_CSFR15_mac_da_mul_13_en_Msk        (0x00002000UL)
#define R_ETHER_CSFR15_mac_da_mul_13_en_Pos        (13UL)
#define R_ETHER_CSFR15_mac_da_mul_14_en_Msk        (0x00004000UL)
#define R_ETHER_CSFR15_mac_da_mul_14_en_Pos        (14UL)
#define R_ETHER_CSFR15_mac_da_mul_15_en_Msk        (0x00008000UL)
#define R_ETHER_CSFR15_mac_da_mul_15_en_Pos        (15UL)
#define R_ETHER_CSFR15_mac_da_mul_16_en_Msk        (0x00010000UL)
#define R_ETHER_CSFR15_mac_da_mul_16_en_Pos        (16UL)
#define R_ETHER_CSFR15_mac_da_mul_17_en_Msk        (0x00020000UL)
#define R_ETHER_CSFR15_mac_da_mul_17_en_Pos        (17UL)
#define R_ETHER_CSFR15_mac_da_mul_18_en_Msk        (0x00040000UL)
#define R_ETHER_CSFR15_mac_da_mul_18_en_Pos        (18UL)
#define R_ETHER_CSFR15_mac_da_mul_19_en_Msk        (0x00080000UL)
#define R_ETHER_CSFR15_mac_da_mul_19_en_Pos        (19UL)
#define R_ETHER_CSFR15_mac_da_bro_en_Msk           (0x01000000UL)
#define R_ETHER_CSFR15_mac_da_bro_en_Pos           (24UL)
#define R_ETHER_CSFR15_mac_da_uni_en_Msk           (0x10000000UL)
#define R_ETHER_CSFR15_mac_da_uni_en_Pos           (28UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_0_Msk     (0x000000FFUL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_0_Pos     (0UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_1_Msk     (0x0000FF00UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_1_Pos     (8UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_2_Msk     (0x00FF0000UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_2_Pos     (16UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_3_Msk     (0xFF000000UL)
#define R_ETHER_CSFR16_0_v6_ana_protocol_3_Pos     (24UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_4_Msk     (0x000000FFUL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_4_Pos     (0UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_5_Msk     (0x0000FF00UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_5_Pos     (8UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_6_Msk     (0x00FF0000UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_6_Pos     (16UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_7_Msk     (0xFF000000UL)
#define R_ETHER_CSFR16_1_v6_ana_protocol_7_Pos     (24UL)
#define R_ETHER_CSFR16_2_v6_ana_protocol_8_Msk     (0x000000FFUL)
#define R_ETHER_CSFR16_2_v6_ana_protocol_8_Pos     (0UL)
#define R_ETHER_CSFR16_v6_ana_protocol_0_en_Msk    (0x00000001UL)
#define R_ETHER_CSFR16_v6_ana_protocol_0_en_Pos    (0UL)
#define R_ETHER_CSFR16_v6_ana_protocol_1_en_Msk    (0x00000002UL)
#define R_ETHER_CSFR16_v6_ana_protocol_1_en_Pos    (1UL)
#define R_ETHER_CSFR16_v6_ana_protocol_2_en_Msk    (0x00000004UL)
#define R_ETHER_CSFR16_v6_ana_protocol_2_en_Pos    (2UL)
#define R_ETHER_CSFR16_v6_ana_protocol_3_en_Msk    (0x00000008UL)
#define R_ETHER_CSFR16_v6_ana_protocol_3_en_Pos    (3UL)
#define R_ETHER_CSFR16_v6_ana_protocol_4_en_Msk    (0x00000010UL)
#define R_ETHER_CSFR16_v6_ana_protocol_4_en_Pos    (4UL)
#define R_ETHER_CSFR16_v6_ana_protocol_5_en_Msk    (0x00000020UL)
#define R_ETHER_CSFR16_v6_ana_protocol_5_en_Pos    (5UL)
#define R_ETHER_CSFR16_v6_ana_protocol_6_en_Msk    (0x00000040UL)
#define R_ETHER_CSFR16_v6_ana_protocol_6_en_Pos    (6UL)
#define R_ETHER_CSFR16_v6_ana_protocol_7_en_Msk    (0x00000080UL)
#define R_ETHER_CSFR16_v6_ana_protocol_7_en_Pos    (7UL)
#define R_ETHER_CSFR16_v6_ana_protocol_8_en_Msk    (0x00000100UL)
#define R_ETHER_CSFR16_v6_ana_protocol_8_en_Pos    (8UL)
#define R_ETHER_CSFR20_mac_da_uni_Msk              (0x00000001UL)
#define R_ETHER_CSFR20_mac_da_uni_Pos              (0UL)
#define R_ETHER_CSFR20_mac_da_bro_Msk              (0x00000002UL)
#define R_ETHER_CSFR20_mac_da_bro_Pos              (1UL)
#define R_ETHER_CSFR20_mac_da_mul_Msk              (0x00000004UL)
#define R_ETHER_CSFR20_mac_da_mul_Pos              (2UL)
#define R_ETHER_CSFR20_type_Msk                    (0x00000008UL)
#define R_ETHER_CSFR20_type_Pos                    (3UL)
#define R_ETHER_CSFR20_v4_protocol_Msk             (0x00000010UL)
#define R_ETHER_CSFR20_v4_protocol_Pos             (4UL)
#define R_ETHER_CSFR20_v6_protocol_Msk             (0x00000020UL)
#define R_ETHER_CSFR20_v6_protocol_Pos             (5UL)
#define R_ETHER_CSFR20_v4_udp_pt_Msk               (0x00000040UL)
#define R_ETHER_CSFR20_v4_udp_pt_Pos               (6UL)
#define R_ETHER_CSFR20_v6_udp_pt_Msk               (0x00000080UL)
#define R_ETHER_CSFR20_v6_udp_pt_Pos               (7UL)
#define R_ETHER_CSFR20_arp_other_Msk               (0x00000100UL)
#define R_ETHER_CSFR20_arp_other_Pos               (8UL)
#define R_ETHER_CSFR20_arp_self_Msk                (0x00000200UL)
#define R_ETHER_CSFR20_arp_self_Pos                (9UL)
#define R_ETHER_CSFR20_garp_other_Msk              (0x00000400UL)
#define R_ETHER_CSFR20_garp_other_Pos              (10UL)
#define R_ETHER_CSFR20_garp_self_Msk               (0x00000800UL)
#define R_ETHER_CSFR20_garp_self_Pos               (11UL)
#define R_ETHER_CSFR20_arp_noreq_Msk               (0x00001000UL)
#define R_ETHER_CSFR20_arp_noreq_Pos               (12UL)
#define R_ETHER_CSFR20_v6_ana_protocol_Msk         (0x00002000UL)
#define R_ETHER_CSFR20_v6_ana_protocol_Pos         (13UL)
#define R_ETHER_CSFR20_ana_stp_Msk                 (0x00004000UL)
#define R_ETHER_CSFR20_ana_stp_Pos                 (14UL)
#define R_ETHER_CSFR20_ns_mul_Msk                  (0x00008000UL)
#define R_ETHER_CSFR20_ns_mul_Pos                  (15UL)
#define R_ETHER_CSFR20_ns_uni_Msk                  (0x00010000UL)
#define R_ETHER_CSFR20_ns_uni_Pos                  (16UL)
#define R_ETHER_CSFR20_ns_uni_nopt_Msk             (0x00020000UL)
#define R_ETHER_CSFR20_ns_uni_nopt_Pos             (17UL)
#define R_ETHER_CSFR20_ns_dup_Msk                  (0x00040000UL)
#define R_ETHER_CSFR20_ns_dup_Pos                  (18UL)
#define R_ETHER_CSFR20_ns_dis_Msk                  (0x00080000UL)
#define R_ETHER_CSFR20_ns_dis_Pos                  (19UL)
#define R_ETHER_CSFR20_ieee_len_Msk                (0x00100000UL)
#define R_ETHER_CSFR20_ieee_len_Pos                (20UL)
#define R_ETHER_CSFR20_trs_dmac_Msk                (0x10000000UL)
#define R_ETHER_CSFR20_trs_dmac_Pos                (28UL)
#define R_ETHER_CSFR21_mac_da_uni_m_Msk            (0x00000001UL)
#define R_ETHER_CSFR21_mac_da_uni_m_Pos            (0UL)
#define R_ETHER_CSFR21_mac_da_bro_m_Msk            (0x00000002UL)
#define R_ETHER_CSFR21_mac_da_bro_m_Pos            (1UL)
#define R_ETHER_CSFR21_mac_da_mul_m_Msk            (0x00000004UL)
#define R_ETHER_CSFR21_mac_da_mul_m_Pos            (2UL)
#define R_ETHER_CSFR21_type_m_Msk                  (0x00000008UL)
#define R_ETHER_CSFR21_type_m_Pos                  (3UL)
#define R_ETHER_CSFR21_v4_protocol_m_Msk           (0x00000010UL)
#define R_ETHER_CSFR21_v4_protocol_m_Pos           (4UL)
#define R_ETHER_CSFR21_v6_protocol_m_Msk           (0x00000020UL)
#define R_ETHER_CSFR21_v6_protocol_m_Pos           (5UL)
#define R_ETHER_CSFR21_v4_udp_pt_m_Msk             (0x00000040UL)
#define R_ETHER_CSFR21_v4_udp_pt_m_Pos             (6UL)
#define R_ETHER_CSFR21_v6_udp_pt_m_Msk             (0x00000080UL)
#define R_ETHER_CSFR21_v6_udp_pt_m_Pos             (7UL)
#define R_ETHER_CSFR21_arp_other_m_Msk             (0x00000100UL)
#define R_ETHER_CSFR21_arp_other_m_Pos             (8UL)
#define R_ETHER_CSFR21_arp_self_m_Msk              (0x00000200UL)
#define R_ETHER_CSFR21_arp_self_m_Pos              (9UL)
#define R_ETHER_CSFR21_garp_other_m_Msk            (0x00000400UL)
#define R_ETHER_CSFR21_garp_other_m_Pos            (10UL)
#define R_ETHER_CSFR21_garp_self_m_Msk             (0x00000800UL)
#define R_ETHER_CSFR21_garp_self_m_Pos             (11UL)
#define R_ETHER_CSFR21_arp_noreq_m_Msk             (0x00001000UL)
#define R_ETHER_CSFR21_arp_noreq_m_Pos             (12UL)
#define R_ETHER_CSFR21_v6_ana_protocol_m_Msk       (0x00002000UL)
#define R_ETHER_CSFR21_v6_ana_protocol_m_Pos       (13UL)
#define R_ETHER_CSFR21_ana_stp_m_Msk               (0x00004000UL)
#define R_ETHER_CSFR21_ana_stp_m_Pos               (14UL)
#define R_ETHER_CSFR21_ns_mul_m_Msk                (0x00008000UL)
#define R_ETHER_CSFR21_ns_mul_m_Pos                (15UL)
#define R_ETHER_CSFR21_ns_uni_m_Msk                (0x00010000UL)
#define R_ETHER_CSFR21_ns_uni_m_Pos                (16UL)
#define R_ETHER_CSFR21_ns_uni_nopt_m_Msk           (0x00020000UL)
#define R_ETHER_CSFR21_ns_uni_nopt_m_Pos           (17UL)
#define R_ETHER_CSFR21_ns_dup_m_Msk                (0x00040000UL)
#define R_ETHER_CSFR21_ns_dup_m_Pos                (18UL)
#define R_ETHER_CSFR21_ns_dis_m_Msk                (0x00080000UL)
#define R_ETHER_CSFR21_ns_dis_m_Pos                (19UL)
#define R_ETHER_CSFR21_ieee_len_m_Msk              (0x00100000UL)
#define R_ETHER_CSFR21_ieee_len_m_Pos              (20UL)
#define R_ETHER_CSFR21_trs_dmac_m_Msk              (0x10000000UL)
#define R_ETHER_CSFR21_trs_dmac_m_Pos              (28UL)
#define R_ETHER_CSFR30_arp_self_reply_en_Msk       (0x00000001UL)
#define R_ETHER_CSFR30_arp_self_reply_en_Pos       (0UL)
#define R_ETHER_CSFR30_garp_self_reply_en_Msk      (0x00000004UL)
#define R_ETHER_CSFR30_garp_self_reply_en_Pos      (2UL)
#define R_ETHER_CSFR30_arp_self_int_en_Msk         (0x00000010UL)
#define R_ETHER_CSFR30_arp_self_int_en_Pos         (4UL)
#define R_ETHER_CSFR30_garp_other_int_en_Msk       (0x00000020UL)
#define R_ETHER_CSFR30_garp_other_int_en_Pos       (5UL)
#define R_ETHER_CSFR30_garp_self_int_en_Msk        (0x00000040UL)
#define R_ETHER_CSFR30_garp_self_int_en_Pos        (6UL)
#define R_ETHER_CSFR30_ns_mul_reply_en_Msk         (0x00000100UL)
#define R_ETHER_CSFR30_ns_mul_reply_en_Pos         (8UL)
#define R_ETHER_CSFR30_ns_uni_reply_en_Msk         (0x00000200UL)
#define R_ETHER_CSFR30_ns_uni_reply_en_Pos         (9UL)
#define R_ETHER_CSFR30_ns_dup_reply_en_Msk         (0x00000800UL)
#define R_ETHER_CSFR30_ns_dup_reply_en_Pos         (11UL)
#define R_ETHER_CSFR30_ns_mul_int_en_Msk           (0x00001000UL)
#define R_ETHER_CSFR30_ns_mul_int_en_Pos           (12UL)
#define R_ETHER_CSFR30_ns_uni_int_en_Msk           (0x00002000UL)
#define R_ETHER_CSFR30_ns_uni_int_en_Pos           (13UL)
#define R_ETHER_CSFR30_ns_uni_nopt_int_en_Msk      (0x00004000UL)
#define R_ETHER_CSFR30_ns_uni_nopt_int_en_Pos      (14UL)
#define R_ETHER_CSFR30_ns_dup_int_en_Msk           (0x00008000UL)
#define R_ETHER_CSFR30_ns_dup_int_en_Pos           (15UL)
#define R_ETHER_CSFR30_na_dup_of_Msk               (0x00010000UL)
#define R_ETHER_CSFR30_na_dup_of_Pos               (16UL)
#define R_ETHER_CSFR31_na_fl_Msk                   (0x000FFFFFUL)
#define R_ETHER_CSFR31_na_fl_Pos                   (0UL)
#define R_ETHER_CSFR31_na_tc_Msk                   (0xFF000000UL)
#define R_ETHER_CSFR31_na_tc_Pos                   (24UL)
#define R_ETHER_CSFR40_arp_ns_Msk                  (0x00000001UL)
#define R_ETHER_CSFR40_arp_ns_Pos                  (0UL)
#define R_ETHER_CSFR40_reg_fifo_full_Msk           (0x00000002UL)
#define R_ETHER_CSFR40_reg_fifo_full_Pos           (1UL)
#define R_ETHER_CSFR40_reply_fifo_full_Msk         (0x00000004UL)
#define R_ETHER_CSFR40_reply_fifo_full_Pos         (2UL)
#define R_ETHER_CSFR41_arp_ns_m_Msk                (0x00000001UL)
#define R_ETHER_CSFR41_arp_ns_m_Pos                (0UL)
#define R_ETHER_CSFR41_reg_fifo_full_m_Msk         (0x00000002UL)
#define R_ETHER_CSFR41_reg_fifo_full_m_Pos         (1UL)
#define R_ETHER_CSFR41_reply_fifo_full_m_Msk       (0x00000004UL)
#define R_ETHER_CSFR41_reply_fifo_full_m_Pos       (2UL)
#define R_ETHER_CSFR42_U_arp_sa_mac_Msk            (0x0000FFFFUL)
#define R_ETHER_CSFR42_U_arp_sa_mac_Pos            (0UL)
#define R_ETHER_CSFR42_U_rx_arp_ns_Msk             (0x00010000UL)
#define R_ETHER_CSFR42_U_rx_arp_ns_Pos             (16UL)
#define R_ETHER_CSFR42_U_arp_ns_spec_Msk           (0x00020000UL)
#define R_ETHER_CSFR42_U_arp_ns_spec_Pos           (17UL)
#define R_ETHER_CSFR42_U_ns_option_type_Msk        (0xFF000000UL)
#define R_ETHER_CSFR42_U_ns_option_type_Pos        (24UL)
#define R_ETHER_CSFR42_L_arp_sa_mac_Msk            (0xFFFFFFFFUL)
#define R_ETHER_CSFR42_L_arp_sa_mac_Pos            (0UL)
#define R_ETHER_CSFR43_0_arp_sa_ip_Msk             (0xFFFFFFFFUL)
#define R_ETHER_CSFR43_0_arp_sa_ip_Pos             (0UL)
#define R_ETHER_CSFR43_1_arp_sa_ip_Msk             (0xFFFFFFFFUL)
#define R_ETHER_CSFR43_1_arp_sa_ip_Pos             (0UL)
#define R_ETHER_CSFR43_2_arp_sa_ip_Msk             (0xFFFFFFFFUL)
#define R_ETHER_CSFR43_2_arp_sa_ip_Pos             (0UL)
#define R_ETHER_CSFR43_3_arp_sa_ip_Msk             (0xFFFFFFFFUL)
#define R_ETHER_CSFR43_3_arp_sa_ip_Pos             (0UL)

#endif
