/***********************************************************************************************************************
 * Copyright [2020-2022] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : lcdc_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for lcdc.
 *********************************************************************************************************************/

#ifndef LCDC_IOBITMASK_H
#define LCDC_IOBITMASK_H

#define R_LCDC_VI6_CMD0_STRCMD_Msk                         (0x00000001UL)
#define R_LCDC_VI6_CMD0_STRCMD_Pos                         (0UL)
#define R_LCDC_VI6_CMD0_UPDHDR_Msk                         (0x00000010UL)
#define R_LCDC_VI6_CMD0_UPDHDR_Pos                         (4UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS3_Msk                      (0x0000001FUL)
#define R_LCDC_VI6_CLK_CTRL0_GCS3_Pos                      (0UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS2_Msk                      (0x00000F00UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS2_Pos                      (8UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS1_Msk                      (0x00010000UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS1_Pos                      (16UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS0_Msk                      (0x10000000UL)
#define R_LCDC_VI6_CLK_CTRL0_GCS0_Pos                      (28UL)
#define R_LCDC_VI6_CLK_CTRL1_GCS5_Msk                      (0x0000FFFFUL)
#define R_LCDC_VI6_CLK_CTRL1_GCS5_Pos                      (0UL)
#define R_LCDC_VI6_CLK_CTRL1_GCS6_Msk                      (0x00100000UL)
#define R_LCDC_VI6_CLK_CTRL1_GCS6_Pos                      (20UL)
#define R_LCDC_VI6_CLK_CTRL1_GCS4_Msk                      (0xFF000000UL)
#define R_LCDC_VI6_CLK_CTRL1_GCS4_Pos                      (24UL)
#define R_LCDC_VI6_CLK_DCSWT_CSTRW_Msk                     (0x000000FFUL)
#define R_LCDC_VI6_CLK_DCSWT_CSTRW_Pos                     (0UL)
#define R_LCDC_VI6_CLK_DCSWT_CSTPW_Msk                     (0x0000FF00UL)
#define R_LCDC_VI6_CLK_DCSWT_CSTPW_Pos                     (8UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC2_Msk                      (0x00010000UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC2_Pos                      (16UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC1_Msk                      (0x00020000UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC1_Pos                      (17UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC0_Msk                      (0x00300000UL)
#define R_LCDC_VI6_CLK_DCSWT_DCC0_Pos                      (20UL)
#define R_LCDC_VI6_CLK_DCSM0_DCD2_Msk                      (0x0000001FUL)
#define R_LCDC_VI6_CLK_DCSM0_DCD2_Pos                      (0UL)
#define R_LCDC_VI6_CLK_DCSM0_DCD1_Msk                      (0x00000F00UL)
#define R_LCDC_VI6_CLK_DCSM0_DCD1_Pos                      (8UL)
#define R_LCDC_VI6_CLK_DCSM0_DCD0_Msk                      (0x1FFF0000UL)
#define R_LCDC_VI6_CLK_DCSM0_DCD0_Pos                      (16UL)
#define R_LCDC_VI6_CLK_DCSM1_DCD4_Msk                      (0x0000FFFFUL)
#define R_LCDC_VI6_CLK_DCSM1_DCD4_Pos                      (0UL)
#define R_LCDC_VI6_CLK_DCSM1_DCD5_Msk                      (0x00100000UL)
#define R_LCDC_VI6_CLK_DCSM1_DCD5_Pos                      (20UL)
#define R_LCDC_VI6_CLK_DCSM1_DCD3_Msk                      (0xFF000000UL)
#define R_LCDC_VI6_CLK_DCSM1_DCD3_Pos                      (24UL)
#define R_LCDC_VI6_SRESET_SRST0_Msk                        (0x00000001UL)
#define R_LCDC_VI6_SRESET_SRST0_Pos                        (0UL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE2_Msk                  (0x0000001FUL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE2_Pos                  (0UL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE1_Msk                  (0x00000F00UL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE1_Pos                  (8UL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE0_Msk                  (0x30000000UL)
#define R_LCDC_VI6_MRESET_ENB0_MRSTE0_Pos                  (28UL)
#define R_LCDC_VI6_MRESET_ENB1_MRSTE4_Msk                  (0x0000FFFFUL)
#define R_LCDC_VI6_MRESET_ENB1_MRSTE4_Pos                  (0UL)
#define R_LCDC_VI6_MRESET_ENB1_MRSTE3_Msk                  (0xFF000000UL)
#define R_LCDC_VI6_MRESET_ENB1_MRSTE3_Pos                  (24UL)
#define R_LCDC_VI6_MRESET_MRST_Msk                         (0x00000001UL)
#define R_LCDC_VI6_MRESET_MRST_Pos                         (0UL)
#define R_LCDC_VI6_STATUS_SYS0_ACT_Msk                     (0x00000100UL)
#define R_LCDC_VI6_STATUS_SYS0_ACT_Pos                     (8UL)
#define R_LCDC_VI6_STATUS_FLDST0_Msk                       (0x10000000UL)
#define R_LCDC_VI6_STATUS_FLDST0_Pos                       (28UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_FREE_Msk                   (0x00000001UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_FREE_Pos                   (0UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_DFEE_Msk                   (0x00000002UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_DFEE_Pos                   (1UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_UNDE_Msk                   (0x00010000UL)
#define R_LCDC_VI6_WPF0_IRQ_ENB_UNDE_Pos                   (16UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_FRE_Msk                    (0x00000001UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_FRE_Pos                    (0UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_DFE_Msk                    (0x00000002UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_DFE_Pos                    (1UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_UND_Msk                    (0x00010000UL)
#define R_LCDC_VI6_WPF0_IRQ_STA_UND_Pos                    (16UL)
#define R_LCDC_VI6_DISP0_IRQ_ENB_MAEE_Msk                  (0x00000020UL)
#define R_LCDC_VI6_DISP0_IRQ_ENB_MAEE_Pos                  (5UL)
#define R_LCDC_VI6_DISP0_IRQ_ENB_DSTE_Msk                  (0x00000100UL)
#define R_LCDC_VI6_DISP0_IRQ_ENB_DSTE_Pos                  (8UL)
#define R_LCDC_VI6_DISP0_IRQ_STA_MAE_Msk                   (0x00000020UL)
#define R_LCDC_VI6_DISP0_IRQ_STA_MAE_Pos                   (5UL)
#define R_LCDC_VI6_DISP0_IRQ_STA_DST_Msk                   (0x00000100UL)
#define R_LCDC_VI6_DISP0_IRQ_STA_DST_Pos                   (8UL)
#define R_LCDC_VI6_DL_CTRL_DLE0_Msk                        (0x00000001UL)
#define R_LCDC_VI6_DL_CTRL_DLE0_Pos                        (0UL)
#define R_LCDC_VI6_DL_CTRL_NH0_Msk                         (0x00000002UL)
#define R_LCDC_VI6_DL_CTRL_NH0_Pos                         (1UL)
#define R_LCDC_VI6_DL_CTRL_CFM0_Msk                        (0x00000004UL)
#define R_LCDC_VI6_DL_CTRL_CFM0_Pos                        (2UL)
#define R_LCDC_VI6_DL_CTRL_RLM0_Msk                        (0x00000008UL)
#define R_LCDC_VI6_DL_CTRL_RLM0_Pos                        (3UL)
#define R_LCDC_VI6_DL_CTRL_DLE1_Msk                        (0x00000010UL)
#define R_LCDC_VI6_DL_CTRL_DLE1_Pos                        (4UL)
#define R_LCDC_VI6_DL_CTRL_DC1_Msk                         (0x00000100UL)
#define R_LCDC_VI6_DL_CTRL_DC1_Pos                         (8UL)
#define R_LCDC_VI6_DL_CTRL_DC2_Msk                         (0x00001000UL)
#define R_LCDC_VI6_DL_CTRL_DC2_Pos                         (12UL)
#define R_LCDC_VI6_DL_CTRL_AR_WAIT_Msk                     (0xFFFF0000UL)
#define R_LCDC_VI6_DL_CTRL_AR_WAIT_Pos                     (16UL)
#define R_LCDC_VI6_DL_HDR_ADDR0_DL_HDR_PTR0_Msk            (0xFFFFFFFFUL)
#define R_LCDC_VI6_DL_HDR_ADDR0_DL_HDR_PTR0_Pos            (0UL)
#define R_LCDC_VI6_DL_SWAP0_BTS_Msk                        (0x00000001UL)
#define R_LCDC_VI6_DL_SWAP0_BTS_Pos                        (0UL)
#define R_LCDC_VI6_DL_SWAP0_WDS_Msk                        (0x00000002UL)
#define R_LCDC_VI6_DL_SWAP0_WDS_Pos                        (1UL)
#define R_LCDC_VI6_DL_SWAP0_LWS_Msk                        (0x00000004UL)
#define R_LCDC_VI6_DL_SWAP0_LWS_Pos                        (2UL)
#define R_LCDC_VI6_DL_SWAP0_IND_Msk                        (0x80000000UL)
#define R_LCDC_VI6_DL_SWAP0_IND_Pos                        (31UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_EXT_Msk                    (0x00000001UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_EXT_Pos                    (0UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_EXPRI_Msk                  (0x00000010UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_EXPRI_Pos                  (4UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_DLPRI_Msk                  (0x00000020UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_DLPRI_Pos                  (5UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_POLINT_Msk                 (0x00003F00UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_POLINT_Pos                 (8UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_NWE_Msk                    (0x00010000UL)
#define R_LCDC_VI6_DL_EXT_CTRL0_NWE_Pos                    (16UL)
#define R_LCDC_VI6_DL_BODY_SIZE0_BS0_Msk                   (0x0001FFFFUL)
#define R_LCDC_VI6_DL_BODY_SIZE0_BS0_Pos                   (0UL)
#define R_LCDC_VI6_DL_BODY_SIZE0_UPD0_Msk                  (0x01000000UL)
#define R_LCDC_VI6_DL_BODY_SIZE0_UPD0_Pos                  (24UL)
#define R_LCDC_VI6_DL_HDR_REF_ADDR0_DL_HDR_REF_PTR0_Msk    (0xFFFFFFFFUL)
#define R_LCDC_VI6_DL_HDR_REF_ADDR0_DL_HDR_REF_PTR0_Pos    (0UL)
#define R_LCDC_VI6_RPF0_SRC_BSIZE_BVSIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_RPF0_SRC_BSIZE_BVSIZE_Pos               (0UL)
#define R_LCDC_VI6_RPF0_SRC_BSIZE_BHSIZE_Msk               (0x1FFF0000UL)
#define R_LCDC_VI6_RPF0_SRC_BSIZE_BHSIZE_Pos               (16UL)
#define R_LCDC_VI6_RPF0_SRC_ESIZE_EVSIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_RPF0_SRC_ESIZE_EVSIZE_Pos               (0UL)
#define R_LCDC_VI6_RPF0_SRC_ESIZE_EHSIZE_Msk               (0x1FFF0000UL)
#define R_LCDC_VI6_RPF0_SRC_ESIZE_EHSIZE_Pos               (16UL)
#define R_LCDC_VI6_RPF0_INFMT_RDFMT_Msk                    (0x0000007FUL)
#define R_LCDC_VI6_RPF0_INFMT_RDFMT_Pos                    (0UL)
#define R_LCDC_VI6_RPF0_INFMT_CSC_Msk                      (0x00000100UL)
#define R_LCDC_VI6_RPF0_INFMT_CSC_Pos                      (8UL)
#define R_LCDC_VI6_RPF0_INFMT_RDTM_Msk                     (0x00000E00UL)
#define R_LCDC_VI6_RPF0_INFMT_RDTM_Pos                     (9UL)
#define R_LCDC_VI6_RPF0_INFMT_CEXT_Msk                     (0x00003000UL)
#define R_LCDC_VI6_RPF0_INFMT_CEXT_Pos                     (12UL)
#define R_LCDC_VI6_RPF0_INFMT_SPUVS_Msk                    (0x00004000UL)
#define R_LCDC_VI6_RPF0_INFMT_SPUVS_Pos                    (14UL)
#define R_LCDC_VI6_RPF0_INFMT_SPYCS_Msk                    (0x00008000UL)
#define R_LCDC_VI6_RPF0_INFMT_SPYCS_Pos                    (15UL)
#define R_LCDC_VI6_RPF0_INFMT_CIPM_Msk                     (0x00010000UL)
#define R_LCDC_VI6_RPF0_INFMT_CIPM_Pos                     (16UL)
#define R_LCDC_VI6_RPF0_INFMT_VIR_Msk                      (0x10000000UL)
#define R_LCDC_VI6_RPF0_INFMT_VIR_Pos                      (28UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_BTS_Msk                    (0x00000001UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_BTS_Pos                    (0UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_WDS_Msk                    (0x00000002UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_WDS_Pos                    (1UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_LWS_Msk                    (0x00000004UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_LWS_Pos                    (2UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_LLS_Msk                    (0x00000008UL)
#define R_LCDC_VI6_RPF0_DSWAP_P_LLS_Pos                    (3UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_BTS_Msk                    (0x00000100UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_BTS_Pos                    (8UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_WDS_Msk                    (0x00000200UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_WDS_Pos                    (9UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_LWS_Msk                    (0x00000400UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_LWS_Pos                    (10UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_LLS_Msk                    (0x00000800UL)
#define R_LCDC_VI6_RPF0_DSWAP_A_LLS_Pos                    (11UL)
#define R_LCDC_VI6_RPF0_LOC_VCOORD_Msk                     (0x00001FFFUL)
#define R_LCDC_VI6_RPF0_LOC_VCOORD_Pos                     (0UL)
#define R_LCDC_VI6_RPF0_LOC_HCOORD_Msk                     (0x1FFF0000UL)
#define R_LCDC_VI6_RPF0_LOC_HCOORD_Pos                     (16UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ALPHA0_Msk                (0x000000FFUL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ALPHA0_Pos                (0UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ALPHA1_Msk                (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ALPHA1_Pos                (8UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_AEXT_Msk                  (0x000C0000UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_AEXT_Pos                  (18UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_BSEL_Msk                  (0x00800000UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_BSEL_Pos                  (23UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_IROP_Msk                  (0x0F000000UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_IROP_Pos                  (24UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ASEL_Msk                  (0x70000000UL)
#define R_LCDC_VI6_RPF0_ALPH_SEL_ASEL_Pos                  (28UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYB_Msk                (0x000000FFUL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYB_Pos                (0UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYG_Msk                (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYG_Pos                (8UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYR_Msk                (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYR_Pos                (16UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYA_Msk                (0xFF000000UL)
#define R_LCDC_VI6_RPF0_VRTCOL_SET_LAYA_Pos                (24UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGB_Msk                    (0x000000FFUL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGB_Pos                    (0UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGG_Msk                    (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGG_Pos                    (8UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGR_Msk                    (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MGR_Pos                    (16UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MSK_EN_Msk                 (0x01000000UL)
#define R_LCDC_VI6_RPF0_MSKCTRL_MSK_EN_Pos                 (24UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSB0_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSB0_Pos                   (0UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSG0_Msk                   (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSG0_Pos                   (8UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSR0_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSR0_Pos                   (16UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSA0_Msk                   (0xFF000000UL)
#define R_LCDC_VI6_RPF0_MSKSET0_MSA0_Pos                   (24UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSB1_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSB1_Pos                   (0UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSG1_Msk                   (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSG1_Pos                   (8UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSR1_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSR1_Pos                   (16UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSA1_Msk                   (0xFF000000UL)
#define R_LCDC_VI6_RPF0_MSKSET1_MSA1_Pos                   (24UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_SAPE0_Msk                (0x00000001UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_SAPE0_Pos                (0UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_SAPE1_Msk                (0x00000002UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_SAPE1_Pos                (1UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_CV_Msk                   (0x00000010UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_CV_Pos                   (4UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_LTH_Msk                  (0x00000100UL)
#define R_LCDC_VI6_RPF0_CKEY_CTRL_LTH_Pos                  (8UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_B0_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_B0_Pos                   (0UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_GY0_Msk                  (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_GY0_Pos                  (8UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_R0_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_R0_Pos                   (16UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_AP0_Msk                  (0xFF000000UL)
#define R_LCDC_VI6_RPF0_CKEY_SET0_AP0_Pos                  (24UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_B1_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_B1_Pos                   (0UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_GY1_Msk                  (0x0000FF00UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_GY1_Pos                  (8UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_R1_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_R1_Pos                   (16UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_AP1_Msk                  (0xFF000000UL)
#define R_LCDC_VI6_RPF0_CKEY_SET1_AP1_Pos                  (24UL)
#define R_LCDC_VI6_RPF0_SRCM_PSTRIDE_PICT_STRD_C_Msk       (0x0000FFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_PSTRIDE_PICT_STRD_C_Pos       (0UL)
#define R_LCDC_VI6_RPF0_SRCM_PSTRIDE_PICT_STRD_Y_Msk       (0xFFFF0000UL)
#define R_LCDC_VI6_RPF0_SRCM_PSTRIDE_PICT_STRD_Y_Pos       (16UL)
#define R_LCDC_VI6_RPF0_SRCM_ASTRIDE_ALPH_STRD_Msk         (0x0000FFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_ASTRIDE_ALPH_STRD_Pos         (0UL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_Y_SRCM_ADDR_Y_Msk        (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_Y_SRCM_ADDR_Y_Pos        (0UL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_C0_SRCM_ADDR_C0_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_C0_SRCM_ADDR_C0_Pos      (0UL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_C1_SRCM_ADDR_C1_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_C1_SRCM_ADDR_C1_Pos      (0UL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_AI_SRCM_ADDR_AI_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF0_SRCM_ADDR_AI_SRCM_ADDR_AI_Pos      (0UL)
#define R_LCDC_VI6_RPF0_BAC_B512_Msk                       (0x00010000UL)
#define R_LCDC_VI6_RPF0_BAC_B512_Pos                       (16UL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_ALPHA_RATIO_Msk          (0x000000FFUL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_ALPHA_RATIO_Pos          (0UL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_P_MMD_Msk                (0x00000300UL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_P_MMD_Pos                (8UL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_A_MMD_Msk                (0x00001000UL)
#define R_LCDC_VI6_RPF0_MULT_ALPH_A_MMD_Pos                (12UL)
#define R_LCDC_VI6_RPF1_SRC_BSIZE_BVSIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_RPF1_SRC_BSIZE_BVSIZE_Pos               (0UL)
#define R_LCDC_VI6_RPF1_SRC_BSIZE_BHSIZE_Msk               (0x1FFF0000UL)
#define R_LCDC_VI6_RPF1_SRC_BSIZE_BHSIZE_Pos               (16UL)
#define R_LCDC_VI6_RPF1_SRC_ESIZE_EVSIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_RPF1_SRC_ESIZE_EVSIZE_Pos               (0UL)
#define R_LCDC_VI6_RPF1_SRC_ESIZE_EHSIZE_Msk               (0x1FFF0000UL)
#define R_LCDC_VI6_RPF1_SRC_ESIZE_EHSIZE_Pos               (16UL)
#define R_LCDC_VI6_RPF1_INFMT_RDFMT_Msk                    (0x0000007FUL)
#define R_LCDC_VI6_RPF1_INFMT_RDFMT_Pos                    (0UL)
#define R_LCDC_VI6_RPF1_INFMT_CSC_Msk                      (0x00000100UL)
#define R_LCDC_VI6_RPF1_INFMT_CSC_Pos                      (8UL)
#define R_LCDC_VI6_RPF1_INFMT_RDTM_Msk                     (0x00000E00UL)
#define R_LCDC_VI6_RPF1_INFMT_RDTM_Pos                     (9UL)
#define R_LCDC_VI6_RPF1_INFMT_CEXT_Msk                     (0x00003000UL)
#define R_LCDC_VI6_RPF1_INFMT_CEXT_Pos                     (12UL)
#define R_LCDC_VI6_RPF1_INFMT_SPUVS_Msk                    (0x00004000UL)
#define R_LCDC_VI6_RPF1_INFMT_SPUVS_Pos                    (14UL)
#define R_LCDC_VI6_RPF1_INFMT_SPYCS_Msk                    (0x00008000UL)
#define R_LCDC_VI6_RPF1_INFMT_SPYCS_Pos                    (15UL)
#define R_LCDC_VI6_RPF1_INFMT_CIPM_Msk                     (0x00010000UL)
#define R_LCDC_VI6_RPF1_INFMT_CIPM_Pos                     (16UL)
#define R_LCDC_VI6_RPF1_INFMT_VIR_Msk                      (0x10000000UL)
#define R_LCDC_VI6_RPF1_INFMT_VIR_Pos                      (28UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_BTS_Msk                    (0x00000001UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_BTS_Pos                    (0UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_WDS_Msk                    (0x00000002UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_WDS_Pos                    (1UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_LWS_Msk                    (0x00000004UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_LWS_Pos                    (2UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_LLS_Msk                    (0x00000008UL)
#define R_LCDC_VI6_RPF1_DSWAP_P_LLS_Pos                    (3UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_BTS_Msk                    (0x00000100UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_BTS_Pos                    (8UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_WDS_Msk                    (0x00000200UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_WDS_Pos                    (9UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_LWS_Msk                    (0x00000400UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_LWS_Pos                    (10UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_LLS_Msk                    (0x00000800UL)
#define R_LCDC_VI6_RPF1_DSWAP_A_LLS_Pos                    (11UL)
#define R_LCDC_VI6_RPF1_LOC_VCOORD_Msk                     (0x00001FFFUL)
#define R_LCDC_VI6_RPF1_LOC_VCOORD_Pos                     (0UL)
#define R_LCDC_VI6_RPF1_LOC_HCOORD_Msk                     (0x1FFF0000UL)
#define R_LCDC_VI6_RPF1_LOC_HCOORD_Pos                     (16UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ALPHA0_Msk                (0x000000FFUL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ALPHA0_Pos                (0UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ALPHA1_Msk                (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ALPHA1_Pos                (8UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_AEXT_Msk                  (0x000C0000UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_AEXT_Pos                  (18UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_BSEL_Msk                  (0x00800000UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_BSEL_Pos                  (23UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_IROP_Msk                  (0x0F000000UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_IROP_Pos                  (24UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ASEL_Msk                  (0x70000000UL)
#define R_LCDC_VI6_RPF1_ALPH_SEL_ASEL_Pos                  (28UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYB_Msk                (0x000000FFUL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYB_Pos                (0UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYG_Msk                (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYG_Pos                (8UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYR_Msk                (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYR_Pos                (16UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYA_Msk                (0xFF000000UL)
#define R_LCDC_VI6_RPF1_VRTCOL_SET_LAYA_Pos                (24UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGB_Msk                    (0x000000FFUL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGB_Pos                    (0UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGG_Msk                    (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGG_Pos                    (8UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGR_Msk                    (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MGR_Pos                    (16UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MSK_EN_Msk                 (0x01000000UL)
#define R_LCDC_VI6_RPF1_MSKCTRL_MSK_EN_Pos                 (24UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSB0_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSB0_Pos                   (0UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSG0_Msk                   (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSG0_Pos                   (8UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSR0_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSR0_Pos                   (16UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSA0_Msk                   (0xFF000000UL)
#define R_LCDC_VI6_RPF1_MSKSET0_MSA0_Pos                   (24UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSB1_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSB1_Pos                   (0UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSG1_Msk                   (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSG1_Pos                   (8UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSR1_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSR1_Pos                   (16UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSA1_Msk                   (0xFF000000UL)
#define R_LCDC_VI6_RPF1_MSKSET1_MSA1_Pos                   (24UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_SAPE0_Msk                (0x00000001UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_SAPE0_Pos                (0UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_SAPE1_Msk                (0x00000002UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_SAPE1_Pos                (1UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_CV_Msk                   (0x00000010UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_CV_Pos                   (4UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_LTH_Msk                  (0x00000100UL)
#define R_LCDC_VI6_RPF1_CKEY_CTRL_LTH_Pos                  (8UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_B0_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_B0_Pos                   (0UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_GY0_Msk                  (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_GY0_Pos                  (8UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_R0_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_R0_Pos                   (16UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_AP0_Msk                  (0xFF000000UL)
#define R_LCDC_VI6_RPF1_CKEY_SET0_AP0_Pos                  (24UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_B1_Msk                   (0x000000FFUL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_B1_Pos                   (0UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_GY1_Msk                  (0x0000FF00UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_GY1_Pos                  (8UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_R1_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_R1_Pos                   (16UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_AP1_Msk                  (0xFF000000UL)
#define R_LCDC_VI6_RPF1_CKEY_SET1_AP1_Pos                  (24UL)
#define R_LCDC_VI6_RPF1_SRCM_PSTRIDE_PICT_STRD_C_Msk       (0x0000FFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_PSTRIDE_PICT_STRD_C_Pos       (0UL)
#define R_LCDC_VI6_RPF1_SRCM_PSTRIDE_PICT_STRD_Y_Msk       (0xFFFF0000UL)
#define R_LCDC_VI6_RPF1_SRCM_PSTRIDE_PICT_STRD_Y_Pos       (16UL)
#define R_LCDC_VI6_RPF1_SRCM_ASTRIDE_ALPH_STRD_Msk         (0x0000FFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_ASTRIDE_ALPH_STRD_Pos         (0UL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_Y_SRCM_ADDR_Y_Msk        (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_Y_SRCM_ADDR_Y_Pos        (0UL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_C0_SRCM_ADDR_C0_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_C0_SRCM_ADDR_C0_Pos      (0UL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_C1_SRCM_ADDR_C1_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_C1_SRCM_ADDR_C1_Pos      (0UL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_AI_SRCM_ADDR_AI_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_RPF1_SRCM_ADDR_AI_SRCM_ADDR_AI_Pos      (0UL)
#define R_LCDC_VI6_RPF1_BAC_B512_Msk                       (0x00010000UL)
#define R_LCDC_VI6_RPF1_BAC_B512_Pos                       (16UL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_ALPHA_RATIO_Msk          (0x000000FFUL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_ALPHA_RATIO_Pos          (0UL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_P_MMD_Msk                (0x00000300UL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_P_MMD_Pos                (8UL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_A_MMD_Msk                (0x00001000UL)
#define R_LCDC_VI6_RPF1_MULT_ALPH_A_MMD_Pos                (12UL)
#define R_LCDC_VI6_WPF0_SRCRPF_RPF0_ACT_Msk                (0x00000003UL)
#define R_LCDC_VI6_WPF0_SRCRPF_RPF0_ACT_Pos                (0UL)
#define R_LCDC_VI6_WPF0_SRCRPF_RPF1_ACT_Msk                (0x0000000CUL)
#define R_LCDC_VI6_WPF0_SRCRPF_RPF1_ACT_Pos                (2UL)
#define R_LCDC_VI6_WPF0_SRCRPF_VIR_ACT2_Msk                (0x03000000UL)
#define R_LCDC_VI6_WPF0_SRCRPF_VIR_ACT2_Pos                (24UL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCL_SIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCL_SIZE_Pos               (0UL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCL_OFST_Msk               (0x00FF0000UL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCL_OFST_Pos               (16UL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCEN_Msk                   (0x10000000UL)
#define R_LCDC_VI6_WPF0_HSZCLIP_HCEN_Pos                   (28UL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCL_SIZE_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCL_SIZE_Pos               (0UL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCL_OFST_Msk               (0x00FF0000UL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCL_OFST_Pos               (16UL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCEN_Msk                   (0x10000000UL)
#define R_LCDC_VI6_WPF0_VSZCLIP_VCEN_Pos                   (28UL)
#define R_LCDC_VI6_WPF0_OUTFMT_WRFMT_Msk                   (0x0000007FUL)
#define R_LCDC_VI6_WPF0_OUTFMT_WRFMT_Pos                   (0UL)
#define R_LCDC_VI6_WPF0_OUTFMT_CSC_Msk                     (0x00000100UL)
#define R_LCDC_VI6_WPF0_OUTFMT_CSC_Pos                     (8UL)
#define R_LCDC_VI6_WPF0_OUTFMT_WRTM_Msk                    (0x00000E00UL)
#define R_LCDC_VI6_WPF0_OUTFMT_WRTM_Pos                    (9UL)
#define R_LCDC_VI6_WPF0_OUTFMT_DITH_Msk                    (0x00003000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_DITH_Pos                    (12UL)
#define R_LCDC_VI6_WPF0_OUTFMT_SPUVS_Msk                   (0x00004000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_SPUVS_Pos                   (14UL)
#define R_LCDC_VI6_WPF0_OUTFMT_SPYCS_Msk                   (0x00008000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_SPYCS_Pos                   (15UL)
#define R_LCDC_VI6_WPF0_OUTFMT_ROT_Msk                     (0x00070000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_ROT_Pos                     (16UL)
#define R_LCDC_VI6_WPF0_OUTFMT_ODE_Msk                     (0x00400000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_ODE_Pos                     (22UL)
#define R_LCDC_VI6_WPF0_OUTFMT_PXA_Msk                     (0x00800000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_PXA_Pos                     (23UL)
#define R_LCDC_VI6_WPF0_OUTFMT_PDV_Msk                     (0xFF000000UL)
#define R_LCDC_VI6_WPF0_OUTFMT_PDV_Pos                     (24UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_BTS_Msk                    (0x00000001UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_BTS_Pos                    (0UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_WDS_Msk                    (0x00000002UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_WDS_Pos                    (1UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_LWS_Msk                    (0x00000004UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_LWS_Pos                    (2UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_LLS_Msk                    (0x00000008UL)
#define R_LCDC_VI6_WPF0_DSWAP_P_LLS_Pos                    (3UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_CLMD_Msk                   (0x00003000UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_CLMD_Pos                   (12UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_ATHRESH_Msk                (0x00FF0000UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_ATHRESH_Pos                (16UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_ABRM_Msk                   (0x03000000UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_ABRM_Pos                   (24UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_CBRM_Msk                   (0x10000000UL)
#define R_LCDC_VI6_WPF0_RNDCTRL_CBRM_Pos                   (28UL)
#define R_LCDC_VI6_WPF0_DSTM_STRIDE_Y_PICT_STRD_Y_Msk      (0x0000FFFFUL)
#define R_LCDC_VI6_WPF0_DSTM_STRIDE_Y_PICT_STRD_Y_Pos      (0UL)
#define R_LCDC_VI6_WPF0_DSTM_STRIDE_C_PICT_STRD_C_Msk      (0x0000FFFFUL)
#define R_LCDC_VI6_WPF0_DSTM_STRIDE_C_PICT_STRD_C_Pos      (0UL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_Y_DSTM_ADDR_Y_Msk        (0xFFFFFFFFUL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_Y_DSTM_ADDR_Y_Pos        (0UL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_C0_DSTM_ADDR_C0_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_C0_DSTM_ADDR_C0_Pos      (0UL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_C1_DSTM_ADDR_C1_Msk      (0xFFFFFFFFUL)
#define R_LCDC_VI6_WPF0_DSTM_ADDR_C1_DSTM_ADDR_C1_Pos      (0UL)
#define R_LCDC_VI6_WPF0_WRBCK_CTRL_WBMD_Msk                (0x00000003UL)
#define R_LCDC_VI6_WPF0_WRBCK_CTRL_WBMD_Pos                (0UL)
#define R_LCDC_VI6_DPR_RPF0_ROUTE_RT_RPF0_Msk              (0x0000003FUL)
#define R_LCDC_VI6_DPR_RPF0_ROUTE_RT_RPF0_Pos              (0UL)
#define R_LCDC_VI6_DPR_RPF1_ROUTE_RT_RPF1_Msk              (0x0000003FUL)
#define R_LCDC_VI6_DPR_RPF1_ROUTE_RT_RPF1_Pos              (0UL)
#define R_LCDC_VI6_DPR_WPF0_FPORCH_FP_WPF0_Msk             (0x00003F00UL)
#define R_LCDC_VI6_DPR_WPF0_FPORCH_FP_WPF0_Pos             (8UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_RT_Msk                    (0x0000003FUL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_RT_Pos                    (0UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_FP_Msk                    (0x00003F00UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_FP_Pos                    (8UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_FXA_Msk                   (0x00FF0000UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_FXA_Pos                   (16UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_BRSSEL_Msk                (0x10000000UL)
#define R_LCDC_VI6_DPR_LUT_ROUTE_BRSSEL_Pos                (28UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_RT_Msk                (0x0000003FUL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_RT_Pos                (0UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_FP_Msk                (0x00003F00UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_FP_Pos                (8UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_FXA_Msk               (0x00FF0000UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_FXA_Pos               (16UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_BRSSEL_Msk            (0x10000000UL)
#define R_LCDC_VI6_DPR_ILV_BRS_ROUTE_BRSSEL_Pos            (28UL)
#define R_LCDC_VI6_LUT_CTRL_LUT_EN_Msk                     (0x00000001UL)
#define R_LCDC_VI6_LUT_CTRL_LUT_EN_Pos                     (0UL)
#define R_LCDC_VI6_BRS_INCTRL_DITH0_Msk                    (0x00000007UL)
#define R_LCDC_VI6_BRS_INCTRL_DITH0_Pos                    (0UL)
#define R_LCDC_VI6_BRS_INCTRL_ODE0_Msk                     (0x00000008UL)
#define R_LCDC_VI6_BRS_INCTRL_ODE0_Pos                     (3UL)
#define R_LCDC_VI6_BRS_INCTRL_DITH1_Msk                    (0x00000070UL)
#define R_LCDC_VI6_BRS_INCTRL_DITH1_Pos                    (4UL)
#define R_LCDC_VI6_BRS_INCTRL_ODE1_Msk                     (0x00000080UL)
#define R_LCDC_VI6_BRS_INCTRL_ODE1_Pos                     (7UL)
#define R_LCDC_VI6_BRS_INCTRL_D0ON_Msk                     (0x00010000UL)
#define R_LCDC_VI6_BRS_INCTRL_D0ON_Pos                     (16UL)
#define R_LCDC_VI6_BRS_INCTRL_D1ON_Msk                     (0x00020000UL)
#define R_LCDC_VI6_BRS_INCTRL_D1ON_Pos                     (17UL)
#define R_LCDC_VI6_BRS_INCTRL_NRM_Msk                      (0x10000000UL)
#define R_LCDC_VI6_BRS_INCTRL_NRM_Pos                      (28UL)
#define R_LCDC_VI6_BRS_VIRRPF_SIZE_VIR_VSIZE_Msk           (0x00001FFFUL)
#define R_LCDC_VI6_BRS_VIRRPF_SIZE_VIR_VSIZE_Pos           (0UL)
#define R_LCDC_VI6_BRS_VIRRPF_SIZE_VIR_HSIZE_Msk           (0x1FFF0000UL)
#define R_LCDC_VI6_BRS_VIRRPF_SIZE_VIR_HSIZE_Pos           (16UL)
#define R_LCDC_VI6_BRS_VIRRPF_LOC_VCOORD_Msk               (0x00001FFFUL)
#define R_LCDC_VI6_BRS_VIRRPF_LOC_VCOORD_Pos               (0UL)
#define R_LCDC_VI6_BRS_VIRRPF_LOC_HCOORD_Msk               (0x1FFF0000UL)
#define R_LCDC_VI6_BRS_VIRRPF_LOC_HCOORD_Pos               (16UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_BCB_Msk              (0x000000FFUL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_BCB_Pos              (0UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_GY_Msk               (0x0000FF00UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_GY_Pos               (8UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_RCR_Msk              (0x00FF0000UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_RCR_Pos              (16UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_A_Msk                (0xFF000000UL)
#define R_LCDC_VI6_BRS_VIRRPF_COL_COL_A_Pos                (24UL)
#define R_LCDC_VI6_BRSA_CTRL_AROP_Msk                      (0x0000000FUL)
#define R_LCDC_VI6_BRSA_CTRL_AROP_Pos                      (0UL)
#define R_LCDC_VI6_BRSA_CTRL_CROP_Msk                      (0x000000F0UL)
#define R_LCDC_VI6_BRSA_CTRL_CROP_Pos                      (4UL)
#define R_LCDC_VI6_BRSA_CTRL_SRCSEL_Msk                    (0x00070000UL)
#define R_LCDC_VI6_BRSA_CTRL_SRCSEL_Pos                    (16UL)
#define R_LCDC_VI6_BRSA_CTRL_DSTSEL_Msk                    (0x00700000UL)
#define R_LCDC_VI6_BRSA_CTRL_DSTSEL_Pos                    (20UL)
#define R_LCDC_VI6_BRSA_CTRL_RBC_Msk                       (0x80000000UL)
#define R_LCDC_VI6_BRSA_CTRL_RBC_Pos                       (31UL)
#define R_LCDC_VI6_BRSA_BLD_COEFY_Msk                      (0x000000FFUL)
#define R_LCDC_VI6_BRSA_BLD_COEFY_Pos                      (0UL)
#define R_LCDC_VI6_BRSA_BLD_COEFX_Msk                      (0x0000FF00UL)
#define R_LCDC_VI6_BRSA_BLD_COEFX_Pos                      (8UL)
#define R_LCDC_VI6_BRSA_BLD_ACMDY_Msk                      (0x00070000UL)
#define R_LCDC_VI6_BRSA_BLD_ACMDY_Pos                      (16UL)
#define R_LCDC_VI6_BRSA_BLD_ACMDX_Msk                      (0x00700000UL)
#define R_LCDC_VI6_BRSA_BLD_ACMDX_Pos                      (20UL)
#define R_LCDC_VI6_BRSA_BLD_ABES_Msk                       (0x00800000UL)
#define R_LCDC_VI6_BRSA_BLD_ABES_Pos                       (23UL)
#define R_LCDC_VI6_BRSA_BLD_CCMDY_Msk                      (0x07000000UL)
#define R_LCDC_VI6_BRSA_BLD_CCMDY_Pos                      (24UL)
#define R_LCDC_VI6_BRSA_BLD_CCMDX_Msk                      (0x70000000UL)
#define R_LCDC_VI6_BRSA_BLD_CCMDX_Pos                      (28UL)
#define R_LCDC_VI6_BRSA_BLD_CBES_Msk                       (0x80000000UL)
#define R_LCDC_VI6_BRSA_BLD_CBES_Pos                       (31UL)
#define R_LCDC_VI6_BRSB_CTRL_AROP_Msk                      (0x0000000FUL)
#define R_LCDC_VI6_BRSB_CTRL_AROP_Pos                      (0UL)
#define R_LCDC_VI6_BRSB_CTRL_CROP_Msk                      (0x000000F0UL)
#define R_LCDC_VI6_BRSB_CTRL_CROP_Pos                      (4UL)
#define R_LCDC_VI6_BRSB_CTRL_SRCSEL_Msk                    (0x00070000UL)
#define R_LCDC_VI6_BRSB_CTRL_SRCSEL_Pos                    (16UL)
#define R_LCDC_VI6_BRSB_CTRL_DSTSEL_Msk                    (0x00700000UL)
#define R_LCDC_VI6_BRSB_CTRL_DSTSEL_Pos                    (20UL)
#define R_LCDC_VI6_BRSB_CTRL_RBC_Msk                       (0x80000000UL)
#define R_LCDC_VI6_BRSB_CTRL_RBC_Pos                       (31UL)
#define R_LCDC_VI6_BRSB_BLD_COEFY_Msk                      (0x000000FFUL)
#define R_LCDC_VI6_BRSB_BLD_COEFY_Pos                      (0UL)
#define R_LCDC_VI6_BRSB_BLD_COEFX_Msk                      (0x0000FF00UL)
#define R_LCDC_VI6_BRSB_BLD_COEFX_Pos                      (8UL)
#define R_LCDC_VI6_BRSB_BLD_ACMDY_Msk                      (0x00070000UL)
#define R_LCDC_VI6_BRSB_BLD_ACMDY_Pos                      (16UL)
#define R_LCDC_VI6_BRSB_BLD_ACMDX_Msk                      (0x00700000UL)
#define R_LCDC_VI6_BRSB_BLD_ACMDX_Pos                      (20UL)
#define R_LCDC_VI6_BRSB_BLD_ABES_Msk                       (0x00800000UL)
#define R_LCDC_VI6_BRSB_BLD_ABES_Pos                       (23UL)
#define R_LCDC_VI6_BRSB_BLD_CCMDY_Msk                      (0x07000000UL)
#define R_LCDC_VI6_BRSB_BLD_CCMDY_Pos                      (24UL)
#define R_LCDC_VI6_BRSB_BLD_CCMDX_Msk                      (0x70000000UL)
#define R_LCDC_VI6_BRSB_BLD_CCMDX_Pos                      (28UL)
#define R_LCDC_VI6_BRSB_BLD_CBES_Msk                       (0x80000000UL)
#define R_LCDC_VI6_BRSB_BLD_CBES_Pos                       (31UL)
#define R_LCDC_VI6_LIF0_CTRL_LIF_EN_Msk                    (0x00000001UL)
#define R_LCDC_VI6_LIF0_CTRL_LIF_EN_Pos                    (0UL)
#define R_LCDC_VI6_LIF0_CTRL_REQSEL_Msk                    (0x00000002UL)
#define R_LCDC_VI6_LIF0_CTRL_REQSEL_Pos                    (1UL)
#define R_LCDC_VI6_LIF0_CTRL_CFMT_Msk                      (0x00000010UL)
#define R_LCDC_VI6_LIF0_CTRL_CFMT_Pos                      (4UL)
#define R_LCDC_VI6_LIF0_CTRL_PADL_Msk                      (0x00000100UL)
#define R_LCDC_VI6_LIF0_CTRL_PADL_Pos                      (8UL)
#define R_LCDC_VI6_LIF0_CTRL_OBTH_Msk                      (0x0FFF0000UL)
#define R_LCDC_VI6_LIF0_CTRL_OBTH_Pos                      (16UL)
#define R_LCDC_VI6_LIF0_CSBTH_LBTH_Msk                     (0x00000FFFUL)
#define R_LCDC_VI6_LIF0_CSBTH_LBTH_Pos                     (0UL)
#define R_LCDC_VI6_LIF0_CSBTH_HBTH_Msk                     (0x0FFF0000UL)
#define R_LCDC_VI6_LIF0_CSBTH_HBTH_Pos                     (16UL)
#define R_LCDC_VI6_LIF0_LBA_LBA2_Msk                       (0x00000FFFUL)
#define R_LCDC_VI6_LIF0_LBA_LBA2_Pos                       (0UL)
#define R_LCDC_VI6_LIF0_LBA_LBA1_Msk                       (0x0FFF0000UL)
#define R_LCDC_VI6_LIF0_LBA_LBA1_Pos                       (16UL)
#define R_LCDC_VI6_LIF0_LBA_LBA0_Msk                       (0x80000000UL)
#define R_LCDC_VI6_LIF0_LBA_LBA0_Pos                       (31UL)
#define R_LCDC_VI6_LIF0_PADLN_CYC_PADLN_CYC_Msk            (0x0000003FUL)
#define R_LCDC_VI6_LIF0_PADLN_CYC_PADLN_CYC_Pos            (0UL)
#define R_LCDC_VI6_LIF0_PADLN_PT_PADLN_PATTERN_Msk         (0xFFFFFFFFUL)
#define R_LCDC_VI6_LIF0_PADLN_PT_PADLN_PATTERN_Pos         (0UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADB_Msk                 (0x000000FFUL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADB_Pos                 (0UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADG_Msk                 (0x0000FF00UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADG_Pos                 (8UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADR_Msk                 (0x00FF0000UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADR_Pos                 (16UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADA_Msk                 (0xFF000000UL)
#define R_LCDC_VI6_LIF0_PADLN_VAL_PADA_Pos                 (24UL)
#define R_LCDC_VI6_LIF0_PADLN_SIZE_PADLN_VSIZE_Msk         (0x00001FFFUL)
#define R_LCDC_VI6_LIF0_PADLN_SIZE_PADLN_VSIZE_Pos         (0UL)
#define R_LCDC_FCP_VCR_REVISION_Msk                        (0x000000FFUL)
#define R_LCDC_FCP_VCR_REVISION_Pos                        (0UL)
#define R_LCDC_FCP_VCR_CATEGORY_Msk                        (0x0000FF00UL)
#define R_LCDC_FCP_VCR_CATEGORY_Pos                        (8UL)
#define R_LCDC_FCP_CFG0_FCPVSEL_Msk                        (0x00000002UL)
#define R_LCDC_FCP_CFG0_FCPVSEL_Pos                        (1UL)
#define R_LCDC_FCP_RST_SOFTRST_Msk                         (0x00000001UL)
#define R_LCDC_FCP_RST_SOFTRST_Pos                         (0UL)
#define R_LCDC_FCP_RST_MODRST_Msk                          (0x00000010UL)
#define R_LCDC_FCP_RST_MODRST_Pos                          (4UL)
#define R_LCDC_FCP_STA_ACT_Msk                             (0x00000001UL)
#define R_LCDC_FCP_STA_ACT_Pos                             (0UL)
#define R_LCDC_DU_MCR0_DI_EN_Msk                           (0x00000100UL)
#define R_LCDC_DU_MCR0_DI_EN_Pos                           (8UL)
#define R_LCDC_DU_MCR0_PB_CLR_Msk                          (0x00010000UL)
#define R_LCDC_DU_MCR0_PB_CLR_Pos                          (16UL)
#define R_LCDC_DU_MSR0_ST_DI_BSY_Msk                       (0x00000100UL)
#define R_LCDC_DU_MSR0_ST_DI_BSY_Pos                       (8UL)
#define R_LCDC_DU_MSR0_ST_PB_WFULL_Msk                     (0x00010000UL)
#define R_LCDC_DU_MSR0_ST_PB_WFULL_Pos                     (16UL)
#define R_LCDC_DU_MSR0_ST_PB_WINIT_Msk                     (0x00040000UL)
#define R_LCDC_DU_MSR0_ST_PB_WINIT_Pos                     (18UL)
#define R_LCDC_DU_MSR0_ST_PB_REMPTY_Msk                    (0x00100000UL)
#define R_LCDC_DU_MSR0_ST_PB_REMPTY_Pos                    (20UL)
#define R_LCDC_DU_MSR0_ST_PB_RUF_Msk                       (0x00200000UL)
#define R_LCDC_DU_MSR0_ST_PB_RUF_Pos                       (21UL)
#define R_LCDC_DU_MSR0_ST_PB_RINIT_Msk                     (0x00400000UL)
#define R_LCDC_DU_MSR0_ST_PB_RINIT_Pos                     (22UL)
#define R_LCDC_DU_MSR1_UF_HACT_Msk                         (0x00001FFFUL)
#define R_LCDC_DU_MSR1_UF_HACT_Pos                         (0UL)
#define R_LCDC_DU_MSR1_UF_VACT_Msk                         (0x1FFF0000UL)
#define R_LCDC_DU_MSR1_UF_VACT_Pos                         (16UL)
#define R_LCDC_DU_IMR0_IM_PB_RUF_Msk                       (0x00000001UL)
#define R_LCDC_DU_IMR0_IM_PB_RUF_Pos                       (0UL)
#define R_LCDC_DU_DITR0_DPI_CLKMD_Msk                      (0x00000001UL)
#define R_LCDC_DU_DITR0_DPI_CLKMD_Pos                      (0UL)
#define R_LCDC_DU_DITR0_DEMD_Msk                           (0x00000300UL)
#define R_LCDC_DU_DITR0_DEMD_Pos                           (8UL)
#define R_LCDC_DU_DITR0_VSPOL_Msk                          (0x00010000UL)
#define R_LCDC_DU_DITR0_VSPOL_Pos                          (16UL)
#define R_LCDC_DU_DITR0_HSPOL_Msk                          (0x00020000UL)
#define R_LCDC_DU_DITR0_HSPOL_Pos                          (17UL)
#define R_LCDC_DU_DITR1_VSA_Msk                            (0x00000FFFUL)
#define R_LCDC_DU_DITR1_VSA_Pos                            (0UL)
#define R_LCDC_DU_DITR1_VACTIVE_Msk                        (0x1FFF0000UL)
#define R_LCDC_DU_DITR1_VACTIVE_Pos                        (16UL)
#define R_LCDC_DU_DITR2_VBP_Msk                            (0x00001FFFUL)
#define R_LCDC_DU_DITR2_VBP_Pos                            (0UL)
#define R_LCDC_DU_DITR2_VFP_Msk                            (0x1FFF0000UL)
#define R_LCDC_DU_DITR2_VFP_Pos                            (16UL)
#define R_LCDC_DU_DITR3_HSA_Msk                            (0x00000FFFUL)
#define R_LCDC_DU_DITR3_HSA_Pos                            (0UL)
#define R_LCDC_DU_DITR3_HACTIVE_Msk                        (0x1FFF0000UL)
#define R_LCDC_DU_DITR3_HACTIVE_Pos                        (16UL)
#define R_LCDC_DU_DITR4_HBP_Msk                            (0x00001FFFUL)
#define R_LCDC_DU_DITR4_HBP_Pos                            (0UL)
#define R_LCDC_DU_DITR4_HFP_Msk                            (0x1FFF0000UL)
#define R_LCDC_DU_DITR4_HFP_Pos                            (16UL)
#define R_LCDC_DU_DITR5_VSFT_Msk                           (0x00001FFFUL)
#define R_LCDC_DU_DITR5_VSFT_Pos                           (0UL)
#define R_LCDC_DU_DITR5_HSFT_Msk                           (0x1FFF0000UL)
#define R_LCDC_DU_DITR5_HSFT_Pos                           (16UL)
#define R_LCDC_DU_PBCR0_PB_DEP_Msk                         (0x0000001FUL)
#define R_LCDC_DU_PBCR0_PB_DEP_Pos                         (0UL)

#endif
