/***********************************************************************************************************************
 * Copyright [2020-2023] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : usb_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for usb.
 *********************************************************************************************************************/

#ifndef USB_IOBITMASK_H
#define USB_IOBITMASK_H

#define R_USB_RESET_phyrst_1_Msk                                  (0x00000001UL)
#define R_USB_RESET_phyrst_1_Pos                                  (0UL)
#define R_USB_RESET_phyrst_2_Msk                                  (0x00000002UL)
#define R_USB_RESET_phyrst_2_Pos                                  (1UL)
#define R_USB_RESET_sel_p1reset_Msk                               (0x00000010UL)
#define R_USB_RESET_sel_p1reset_Pos                               (4UL)
#define R_USB_RESET_sel_p2reset_Msk                               (0x00000020UL)
#define R_USB_RESET_sel_p2reset_Pos                               (5UL)
#define R_USB_RESET_pllreset_Msk                                  (0x00000100UL)
#define R_USB_RESET_pllreset_Pos                                  (8UL)
#define R_USB_RESET_sel_pllreset_Msk                              (0x00001000UL)
#define R_USB_RESET_sel_pllreset_Pos                              (12UL)
#define R_USB_UCLKCTL_suspend_1_Msk                               (0x00000100UL)
#define R_USB_UCLKCTL_suspend_1_Pos                               (8UL)
#define R_USB_UCLKCTL_suspend_2_Msk                               (0x00000200UL)
#define R_USB_UCLKCTL_suspend_2_Pos                               (9UL)
#define R_USB_UCLKCTL_sel_suspendm_Msk                            (0x00001000UL)
#define R_USB_UCLKCTL_sel_suspendm_Pos                            (12UL)
#define R_USB_UCLKCTL_sleepm_1_Msk                                (0x01000000UL)
#define R_USB_UCLKCTL_sleepm_1_Pos                                (24UL)
#define R_USB_UCLKCTL_sleepm_2_Msk                                (0x02000000UL)
#define R_USB_UCLKCTL_sleepm_2_Pos                                (25UL)
#define R_USB_UCLKCTL_sel_sleepm_Msk                              (0x10000000UL)
#define R_USB_UCLKCTL_sel_sleepm_Pos                              (28UL)
#define R_USB_UDIRPD_dirpd_Msk                                    (0x00000001UL)
#define R_USB_UDIRPD_dirpd_Pos                                    (0UL)
#define R_USB_UDIRPD_sel_udirpd_Msk                               (0x00000010UL)
#define R_USB_UDIRPD_sel_udirpd_Pos                               (4UL)
#define R_USB_CON_CTRL_connect_1_Msk                              (0x00000001UL)
#define R_USB_CON_CTRL_connect_1_Pos                              (0UL)
#define R_USB_CON_CTRL_connect_2_Msk                              (0x00000002UL)
#define R_USB_CON_CTRL_connect_2_Pos                              (1UL)
#define R_USB_CON_CTRL_sel_connect_Msk                            (0x00000010UL)
#define R_USB_CON_CTRL_sel_connect_Pos                            (4UL)
#define R_USB_CLK_STAT_plllock_1_Msk                              (0x00000001UL)
#define R_USB_CLK_STAT_plllock_1_Pos                              (0UL)
#define R_USB_CLK_STAT_plllock_2_Msk                              (0x00000002UL)
#define R_USB_CLK_STAT_plllock_2_Pos                              (1UL)
#define R_USB_CLK_STAT_phylock_Msk                                (0x00000010UL)
#define R_USB_CLK_STAT_phylock_Pos                                (4UL)
#define R_USB_CLK_STAT_frclk48_lock_Msk                           (0x00000020UL)
#define R_USB_CLK_STAT_frclk48_lock_Pos                           (5UL)
#define R_USB_CLK_STAT_frclk60_lock_Msk                           (0x00000040UL)
#define R_USB_CLK_STAT_frclk60_lock_Pos                           (6UL)
#define R_USB_HCREVISION_RevisionA_Msk                            (0x000000FFUL)
#define R_USB_HCREVISION_RevisionA_Pos                            (0UL)
#define R_USB_HCCONTROL_CBSR_Msk                                  (0x00000003UL)
#define R_USB_HCCONTROL_CBSR_Pos                                  (0UL)
#define R_USB_HCCONTROL_PLE_Msk                                   (0x00000004UL)
#define R_USB_HCCONTROL_PLE_Pos                                   (2UL)
#define R_USB_HCCONTROL_IE_Msk                                    (0x00000008UL)
#define R_USB_HCCONTROL_IE_Pos                                    (3UL)
#define R_USB_HCCONTROL_CLE_Msk                                   (0x00000010UL)
#define R_USB_HCCONTROL_CLE_Pos                                   (4UL)
#define R_USB_HCCONTROL_BLE_Msk                                   (0x00000020UL)
#define R_USB_HCCONTROL_BLE_Pos                                   (5UL)
#define R_USB_HCCONTROL_HCFS_Msk                                  (0x000000C0UL)
#define R_USB_HCCONTROL_HCFS_Pos                                  (6UL)
#define R_USB_HCCONTROL_RWC_Msk                                   (0x00000200UL)
#define R_USB_HCCONTROL_RWC_Pos                                   (9UL)
#define R_USB_HCCOMMANDSTATUS_HCR_Msk                             (0x00000001UL)
#define R_USB_HCCOMMANDSTATUS_HCR_Pos                             (0UL)
#define R_USB_HCCOMMANDSTATUS_CLF_Msk                             (0x00000002UL)
#define R_USB_HCCOMMANDSTATUS_CLF_Pos                             (1UL)
#define R_USB_HCCOMMANDSTATUS_BLF_Msk                             (0x00000004UL)
#define R_USB_HCCOMMANDSTATUS_BLF_Pos                             (2UL)
#define R_USB_HCCOMMANDSTATUS_SOC_Msk                             (0x00030000UL)
#define R_USB_HCCOMMANDSTATUS_SOC_Pos                             (16UL)
#define R_USB_HCINTERRUPTSTATUS_SO_Msk                            (0x00000001UL)
#define R_USB_HCINTERRUPTSTATUS_SO_Pos                            (0UL)
#define R_USB_HCINTERRUPTSTATUS_WDH_Msk                           (0x00000002UL)
#define R_USB_HCINTERRUPTSTATUS_WDH_Pos                           (1UL)
#define R_USB_HCINTERRUPTSTATUS_SF_Msk                            (0x00000004UL)
#define R_USB_HCINTERRUPTSTATUS_SF_Pos                            (2UL)
#define R_USB_HCINTERRUPTSTATUS_RD_Msk                            (0x00000008UL)
#define R_USB_HCINTERRUPTSTATUS_RD_Pos                            (3UL)
#define R_USB_HCINTERRUPTSTATUS_UE_Msk                            (0x00000010UL)
#define R_USB_HCINTERRUPTSTATUS_UE_Pos                            (4UL)
#define R_USB_HCINTERRUPTSTATUS_FNO_Msk                           (0x00000020UL)
#define R_USB_HCINTERRUPTSTATUS_FNO_Pos                           (5UL)
#define R_USB_HCINTERRUPTSTATUS_RHSC_Msk                          (0x00000040UL)
#define R_USB_HCINTERRUPTSTATUS_RHSC_Pos                          (6UL)
#define R_USB_HCINTERRUPTENABLE_SOE_Msk                           (0x00000001UL)
#define R_USB_HCINTERRUPTENABLE_SOE_Pos                           (0UL)
#define R_USB_HCINTERRUPTENABLE_WDHE_Msk                          (0x00000002UL)
#define R_USB_HCINTERRUPTENABLE_WDHE_Pos                          (1UL)
#define R_USB_HCINTERRUPTENABLE_SFE_Msk                           (0x00000004UL)
#define R_USB_HCINTERRUPTENABLE_SFE_Pos                           (2UL)
#define R_USB_HCINTERRUPTENABLE_RDE_Msk                           (0x00000008UL)
#define R_USB_HCINTERRUPTENABLE_RDE_Pos                           (3UL)
#define R_USB_HCINTERRUPTENABLE_UEE_Msk                           (0x00000010UL)
#define R_USB_HCINTERRUPTENABLE_UEE_Pos                           (4UL)
#define R_USB_HCINTERRUPTENABLE_FNOE_Msk                          (0x00000020UL)
#define R_USB_HCINTERRUPTENABLE_FNOE_Pos                          (5UL)
#define R_USB_HCINTERRUPTENABLE_RHSCE_Msk                         (0x00000040UL)
#define R_USB_HCINTERRUPTENABLE_RHSCE_Pos                         (6UL)
#define R_USB_HCINTERRUPTENABLE_OCE_Msk                           (0x40000000UL)
#define R_USB_HCINTERRUPTENABLE_OCE_Pos                           (30UL)
#define R_USB_HCINTERRUPTENABLE_MIE_Msk                           (0x80000000UL)
#define R_USB_HCINTERRUPTENABLE_MIE_Pos                           (31UL)
#define R_USB_HCINTERRUPTDISABLE_SOD_Msk                          (0x00000001UL)
#define R_USB_HCINTERRUPTDISABLE_SOD_Pos                          (0UL)
#define R_USB_HCINTERRUPTDISABLE_WDHD_Msk                         (0x00000002UL)
#define R_USB_HCINTERRUPTDISABLE_WDHD_Pos                         (1UL)
#define R_USB_HCINTERRUPTDISABLE_SFD_Msk                          (0x00000004UL)
#define R_USB_HCINTERRUPTDISABLE_SFD_Pos                          (2UL)
#define R_USB_HCINTERRUPTDISABLE_RDD_Msk                          (0x00000008UL)
#define R_USB_HCINTERRUPTDISABLE_RDD_Pos                          (3UL)
#define R_USB_HCINTERRUPTDISABLE_UED_Msk                          (0x00000010UL)
#define R_USB_HCINTERRUPTDISABLE_UED_Pos                          (4UL)
#define R_USB_HCINTERRUPTDISABLE_FNOD_Msk                         (0x00000020UL)
#define R_USB_HCINTERRUPTDISABLE_FNOD_Pos                         (5UL)
#define R_USB_HCINTERRUPTDISABLE_RHSCD_Msk                        (0x00000040UL)
#define R_USB_HCINTERRUPTDISABLE_RHSCD_Pos                        (6UL)
#define R_USB_HCINTERRUPTDISABLE_OCD_Msk                          (0x40000000UL)
#define R_USB_HCINTERRUPTDISABLE_OCD_Pos                          (30UL)
#define R_USB_HCINTERRUPTDISABLE_MID_Msk                          (0x80000000UL)
#define R_USB_HCINTERRUPTDISABLE_MID_Pos                          (31UL)
#define R_USB_HCHCCA_HcHCCA_Msk                                   (0xFFFFFF00UL)
#define R_USB_HCHCCA_HcHCCA_Pos                                   (8UL)
#define R_USB_HCPERIODCURRENTED_PECD_Msk                          (0xFFFFFFF0UL)
#define R_USB_HCPERIODCURRENTED_PECD_Pos                          (4UL)
#define R_USB_HCCONTROLHEADED_CHED_Msk                            (0xFFFFFFF0UL)
#define R_USB_HCCONTROLHEADED_CHED_Pos                            (4UL)
#define R_USB_HCCONTROLCURRENTED_CCED_Msk                         (0xFFFFFFF0UL)
#define R_USB_HCCONTROLCURRENTED_CCED_Pos                         (4UL)
#define R_USB_HCBULKHEADED_BHED_Msk                               (0xFFFFFFF0UL)
#define R_USB_HCBULKHEADED_BHED_Pos                               (4UL)
#define R_USB_HCBULKCURRENTED_BCED_Msk                            (0xFFFFFFF0UL)
#define R_USB_HCBULKCURRENTED_BCED_Pos                            (4UL)
#define R_USB_HCDONEHEAD_DH_Msk                                   (0xFFFFFFF0UL)
#define R_USB_HCDONEHEAD_DH_Pos                                   (4UL)
#define R_USB_HCFMINTERVAL_FI_Msk                                 (0x00003FFFUL)
#define R_USB_HCFMINTERVAL_FI_Pos                                 (0UL)
#define R_USB_HCFMINTERVAL_FSMPS_Msk                              (0x7FFF0000UL)
#define R_USB_HCFMINTERVAL_FSMPS_Pos                              (16UL)
#define R_USB_HCFMINTERVAL_FIT_Msk                                (0x80000000UL)
#define R_USB_HCFMINTERVAL_FIT_Pos                                (31UL)
#define R_USB_HCFMREMAINING_FR_Msk                                (0x00003FFFUL)
#define R_USB_HCFMREMAINING_FR_Pos                                (0UL)
#define R_USB_HCFMREMAINING_FRT_Msk                               (0x80000000UL)
#define R_USB_HCFMREMAINING_FRT_Pos                               (31UL)
#define R_USB_HCFMNUMBER_FN_Msk                                   (0x0000FFFFUL)
#define R_USB_HCFMNUMBER_FN_Pos                                   (0UL)
#define R_USB_HCPERIODICSTART_PS_Msk                              (0x00003FFFUL)
#define R_USB_HCPERIODICSTART_PS_Pos                              (0UL)
#define R_USB_HCLSTHRESHOLD_LST_Msk                               (0x00000FFFUL)
#define R_USB_HCLSTHRESHOLD_LST_Pos                               (0UL)
#define R_USB_HCRHDESCRIPTORA_NDP_Msk                             (0x000000FFUL)
#define R_USB_HCRHDESCRIPTORA_NDP_Pos                             (0UL)
#define R_USB_HCRHDESCRIPTORA_PSM_Msk                             (0x00000100UL)
#define R_USB_HCRHDESCRIPTORA_PSM_Pos                             (8UL)
#define R_USB_HCRHDESCRIPTORA_NPS_Msk                             (0x00000200UL)
#define R_USB_HCRHDESCRIPTORA_NPS_Pos                             (9UL)
#define R_USB_HCRHDESCRIPTORA_DT_Msk                              (0x00000400UL)
#define R_USB_HCRHDESCRIPTORA_DT_Pos                              (10UL)
#define R_USB_HCRHDESCRIPTORA_OCPM_Msk                            (0x00000800UL)
#define R_USB_HCRHDESCRIPTORA_OCPM_Pos                            (11UL)
#define R_USB_HCRHDESCRIPTORA_NOCP_Msk                            (0x00001000UL)
#define R_USB_HCRHDESCRIPTORA_NOCP_Pos                            (12UL)
#define R_USB_HCRHDESCRIPTORA_POTPGT_Msk                          (0xFF000000UL)
#define R_USB_HCRHDESCRIPTORA_POTPGT_Pos                          (24UL)
#define R_USB_HCRHDESCRIPTORB_DR_Msk                              (0x00000002UL)
#define R_USB_HCRHDESCRIPTORB_DR_Pos                              (1UL)
#define R_USB_HCRHDESCRIPTORB_PPCM_Msk                            (0x00020000UL)
#define R_USB_HCRHDESCRIPTORB_PPCM_Pos                            (17UL)
#define R_USB_HCRHSTATUS_LPS_Msk                                  (0x00000001UL)
#define R_USB_HCRHSTATUS_LPS_Pos                                  (0UL)
#define R_USB_HCRHSTATUS_OCI_Msk                                  (0x00000002UL)
#define R_USB_HCRHSTATUS_OCI_Pos                                  (1UL)
#define R_USB_HCRHSTATUS_DRWE_Msk                                 (0x00008000UL)
#define R_USB_HCRHSTATUS_DRWE_Pos                                 (15UL)
#define R_USB_HCRHSTATUS_LPSC_Msk                                 (0x00010000UL)
#define R_USB_HCRHSTATUS_LPSC_Pos                                 (16UL)
#define R_USB_HCRHSTATUS_OCIC_Msk                                 (0x00020000UL)
#define R_USB_HCRHSTATUS_OCIC_Pos                                 (17UL)
#define R_USB_HCRHSTATUS_CRWE_Msk                                 (0x80000000UL)
#define R_USB_HCRHSTATUS_CRWE_Pos                                 (31UL)
#define R_USB_HCRHPORTSTATUS1_CCS_Msk                             (0x00000001UL)
#define R_USB_HCRHPORTSTATUS1_CCS_Pos                             (0UL)
#define R_USB_HCRHPORTSTATUS1_PES_Msk                             (0x00000002UL)
#define R_USB_HCRHPORTSTATUS1_PES_Pos                             (1UL)
#define R_USB_HCRHPORTSTATUS1_PSS_Msk                             (0x00000004UL)
#define R_USB_HCRHPORTSTATUS1_PSS_Pos                             (2UL)
#define R_USB_HCRHPORTSTATUS1_POCI_Msk                            (0x00000008UL)
#define R_USB_HCRHPORTSTATUS1_POCI_Pos                            (3UL)
#define R_USB_HCRHPORTSTATUS1_PRS_Msk                             (0x00000010UL)
#define R_USB_HCRHPORTSTATUS1_PRS_Pos                             (4UL)
#define R_USB_HCRHPORTSTATUS1_PPS_Msk                             (0x00000100UL)
#define R_USB_HCRHPORTSTATUS1_PPS_Pos                             (8UL)
#define R_USB_HCRHPORTSTATUS1_LSDA_Msk                            (0x00000200UL)
#define R_USB_HCRHPORTSTATUS1_LSDA_Pos                            (9UL)
#define R_USB_HCRHPORTSTATUS1_CSC_Msk                             (0x00010000UL)
#define R_USB_HCRHPORTSTATUS1_CSC_Pos                             (16UL)
#define R_USB_HCRHPORTSTATUS1_PESC_Msk                            (0x00020000UL)
#define R_USB_HCRHPORTSTATUS1_PESC_Pos                            (17UL)
#define R_USB_HCRHPORTSTATUS1_PSSC_Msk                            (0x00040000UL)
#define R_USB_HCRHPORTSTATUS1_PSSC_Pos                            (18UL)
#define R_USB_HCRHPORTSTATUS1_OCIC_Msk                            (0x00080000UL)
#define R_USB_HCRHPORTSTATUS1_OCIC_Pos                            (19UL)
#define R_USB_HCRHPORTSTATUS1_PRSC_Msk                            (0x00100000UL)
#define R_USB_HCRHPORTSTATUS1_PRSC_Pos                            (20UL)
#define R_USB_CAPL_VERSION_CapabilityRegistersLength_Msk          (0x000000FFUL)
#define R_USB_CAPL_VERSION_CapabilityRegistersLength_Pos          (0UL)
#define R_USB_CAPL_VERSION_InterfaceVersionNumber_Msk             (0xFFFF0000UL)
#define R_USB_CAPL_VERSION_InterfaceVersionNumber_Pos             (16UL)
#define R_USB_HCSPARAMS_N_PORTS_Msk                               (0x0000000FUL)
#define R_USB_HCSPARAMS_N_PORTS_Pos                               (0UL)
#define R_USB_HCSPARAMS_PPC_Msk                                   (0x00000010UL)
#define R_USB_HCSPARAMS_PPC_Pos                                   (4UL)
#define R_USB_HCSPARAMS_PortRoutingRules_Msk                      (0x00000080UL)
#define R_USB_HCSPARAMS_PortRoutingRules_Pos                      (7UL)
#define R_USB_HCSPARAMS_N_PCC_Msk                                 (0x00000F00UL)
#define R_USB_HCSPARAMS_N_PCC_Pos                                 (8UL)
#define R_USB_HCSPARAMS_N_CC_Msk                                  (0x0000F000UL)
#define R_USB_HCSPARAMS_N_CC_Pos                                  (12UL)
#define R_USB_HCSPARAMS_P_INDICATOR_Msk                           (0x00010000UL)
#define R_USB_HCSPARAMS_P_INDICATOR_Pos                           (16UL)
#define R_USB_HCSPARAMS_DebugPortNumber_Msk                       (0x00F00000UL)
#define R_USB_HCSPARAMS_DebugPortNumber_Pos                       (20UL)
#define R_USB_HCCPARAMS_AddressingCapability_Msk                  (0x00000001UL)
#define R_USB_HCCPARAMS_AddressingCapability_Pos                  (0UL)
#define R_USB_HCCPARAMS_ProgramableFrameListFlag_Msk              (0x00000002UL)
#define R_USB_HCCPARAMS_ProgramableFrameListFlag_Pos              (1UL)
#define R_USB_HCCPARAMS_AsynchronousScheduleParkCapability_Msk    (0x00000004UL)
#define R_USB_HCCPARAMS_AsynchronousScheduleParkCapability_Pos    (2UL)
#define R_USB_HCCPARAMS_IsochronousSchedulingThreshold_Msk        (0x000000F0UL)
#define R_USB_HCCPARAMS_IsochronousSchedulingThreshold_Pos        (4UL)
#define R_USB_HCCPARAMS_EECP_Msk                                  (0x0000FF00UL)
#define R_USB_HCCPARAMS_EECP_Pos                                  (8UL)
#define R_USB_HCCPARAMS_HardwarePrefetch_Msk                      (0x00010000UL)
#define R_USB_HCCPARAMS_HardwarePrefetch_Pos                      (16UL)
#define R_USB_HCCPARAMS_LinkPowerManagementCapability_Msk         (0x00020000UL)
#define R_USB_HCCPARAMS_LinkPowerManagementCapability_Pos         (17UL)
#define R_USB_HCCPARAMS_PerPortChangeEventCapability_Msk          (0x00040000UL)
#define R_USB_HCCPARAMS_PerPortChangeEventCapability_Pos          (18UL)
#define R_USB_HCCPARAMS_FramePeriodicListCapability_Msk           (0x00080000UL)
#define R_USB_HCCPARAMS_FramePeriodicListCapability_Pos           (19UL)
#define R_USB_HCSP_PORTROUTE_CompanionPortRoute_Msk               (0xFFFFFFFFUL)
#define R_USB_HCSP_PORTROUTE_CompanionPortRoute_Pos               (0UL)
#define R_USB_USBCMD_RS_Msk                                       (0x00000001UL)
#define R_USB_USBCMD_RS_Pos                                       (0UL)
#define R_USB_USBCMD_HCRESET_Msk                                  (0x00000002UL)
#define R_USB_USBCMD_HCRESET_Pos                                  (1UL)
#define R_USB_USBCMD_FrameListSize_Msk                            (0x0000000CUL)
#define R_USB_USBCMD_FrameListSize_Pos                            (2UL)
#define R_USB_USBCMD_PeriodicScheduleEnable_Msk                   (0x00000010UL)
#define R_USB_USBCMD_PeriodicScheduleEnable_Pos                   (4UL)
#define R_USB_USBCMD_AsynchronousScheduleEnable_Msk               (0x00000020UL)
#define R_USB_USBCMD_AsynchronousScheduleEnable_Pos               (5UL)
#define R_USB_USBCMD_InterruptonAsyncAdvanceDoorbell_Msk          (0x00000040UL)
#define R_USB_USBCMD_InterruptonAsyncAdvanceDoorbell_Pos          (6UL)
#define R_USB_USBCMD_AsynchronousScheduleParkModeCount_Msk        (0x00000300UL)
#define R_USB_USBCMD_AsynchronousScheduleParkModeCount_Pos        (8UL)
#define R_USB_USBCMD_AsynchronousScheduleParkModeEnable_Msk       (0x00000800UL)
#define R_USB_USBCMD_AsynchronousScheduleParkModeEnable_Pos       (11UL)
#define R_USB_USBCMD_PerPortChangeEventsEnable_Msk                (0x00008000UL)
#define R_USB_USBCMD_PerPortChangeEventsEnable_Pos                (15UL)
#define R_USB_USBCMD_InterruptThresholdControl_Msk                (0x00FF0000UL)
#define R_USB_USBCMD_InterruptThresholdControl_Pos                (16UL)
#define R_USB_USBCMD_HostInitiatedResumeDuration_Msk              (0x0F000000UL)
#define R_USB_USBCMD_HostInitiatedResumeDuration_Pos              (24UL)
#define R_USB_USBSTS_USBINT_Msk                                   (0x00000001UL)
#define R_USB_USBSTS_USBINT_Pos                                   (0UL)
#define R_USB_USBSTS_USBERRINT_Msk                                (0x00000002UL)
#define R_USB_USBSTS_USBERRINT_Pos                                (1UL)
#define R_USB_USBSTS_PortChangeDetect_Msk                         (0x00000004UL)
#define R_USB_USBSTS_PortChangeDetect_Pos                         (2UL)
#define R_USB_USBSTS_FrameListRollover_Msk                        (0x00000008UL)
#define R_USB_USBSTS_FrameListRollover_Pos                        (3UL)
#define R_USB_USBSTS_HostSystemError_Msk                          (0x00000010UL)
#define R_USB_USBSTS_HostSystemError_Pos                          (4UL)
#define R_USB_USBSTS_InterruptonAsyncAdvance_Msk                  (0x00000020UL)
#define R_USB_USBSTS_InterruptonAsyncAdvance_Pos                  (5UL)
#define R_USB_USBSTS_HCHalted_Msk                                 (0x00001000UL)
#define R_USB_USBSTS_HCHalted_Pos                                 (12UL)
#define R_USB_USBSTS_Reclamation_Msk                              (0x00002000UL)
#define R_USB_USBSTS_Reclamation_Pos                              (13UL)
#define R_USB_USBSTS_PeriodicScheduleStatus_Msk                   (0x00004000UL)
#define R_USB_USBSTS_PeriodicScheduleStatus_Pos                   (14UL)
#define R_USB_USBSTS_AsynchronousScheduleStatus_Msk               (0x00008000UL)
#define R_USB_USBSTS_AsynchronousScheduleStatus_Pos               (15UL)
#define R_USB_USBSTS_Port1ChangeDetect_Msk                        (0x00010000UL)
#define R_USB_USBSTS_Port1ChangeDetect_Pos                        (16UL)
#define R_USB_USBINTR_USBInterruptEnable_Msk                      (0x00000001UL)
#define R_USB_USBINTR_USBInterruptEnable_Pos                      (0UL)
#define R_USB_USBINTR_USBErrorInterruptEnable_Msk                 (0x00000002UL)
#define R_USB_USBINTR_USBErrorInterruptEnable_Pos                 (1UL)
#define R_USB_USBINTR_PortChangeDetectEnable_Msk                  (0x00000004UL)
#define R_USB_USBINTR_PortChangeDetectEnable_Pos                  (2UL)
#define R_USB_USBINTR_FrameListRolloverEnable_Msk                 (0x00000008UL)
#define R_USB_USBINTR_FrameListRolloverEnable_Pos                 (3UL)
#define R_USB_USBINTR_HostSystemErrorEnable_Msk                   (0x00000010UL)
#define R_USB_USBINTR_HostSystemErrorEnable_Pos                   (4UL)
#define R_USB_USBINTR_InterruptonAsyncAdvanceEnable_Msk           (0x00000020UL)
#define R_USB_USBINTR_InterruptonAsyncAdvanceEnable_Pos           (5UL)
#define R_USB_USBINTR_Port1ChangeEventEnable_Msk                  (0x00010000UL)
#define R_USB_USBINTR_Port1ChangeEventEnable_Pos                  (16UL)
#define R_USB_FRINDEX_FrameIndex_Msk                              (0x00003FFFUL)
#define R_USB_FRINDEX_FrameIndex_Pos                              (0UL)
#define R_USB_CTRLDSSEGMENT_CTRLDSSEGMENT_Msk                     (0xFFFFFFFFUL)
#define R_USB_CTRLDSSEGMENT_CTRLDSSEGMENT_Pos                     (0UL)
#define R_USB_PERIODICLISTBASE_BaseAddress_Msk                    (0xFFFFF000UL)
#define R_USB_PERIODICLISTBASE_BaseAddress_Pos                    (12UL)
#define R_USB_ASYNCLISTADDR_LPL_Msk                               (0xFFFFFFE0UL)
#define R_USB_ASYNCLISTADDR_LPL_Pos                               (5UL)
#define R_USB_CONFIGFLAG_CF_Msk                                   (0x00000001UL)
#define R_USB_CONFIGFLAG_CF_Pos                                   (0UL)
#define R_USB_PORTSC1_CurrentConnectStatus_Msk                    (0x00000001UL)
#define R_USB_PORTSC1_CurrentConnectStatus_Pos                    (0UL)
#define R_USB_PORTSC1_ConnectStatusChange_Msk                     (0x00000002UL)
#define R_USB_PORTSC1_ConnectStatusChange_Pos                     (1UL)
#define R_USB_PORTSC1_PortEnabled_Disabled_Msk                    (0x00000004UL)
#define R_USB_PORTSC1_PortEnabled_Disabled_Pos                    (2UL)
#define R_USB_PORTSC1_PortEnable_DisableChange_Msk                (0x00000008UL)
#define R_USB_PORTSC1_PortEnable_DisableChange_Pos                (3UL)
#define R_USB_PORTSC1_OvercurrentActive_Msk                       (0x00000010UL)
#define R_USB_PORTSC1_OvercurrentActive_Pos                       (4UL)
#define R_USB_PORTSC1_OvercurrentChange_Msk                       (0x00000020UL)
#define R_USB_PORTSC1_OvercurrentChange_Pos                       (5UL)
#define R_USB_PORTSC1_ForcePortResume_Msk                         (0x00000040UL)
#define R_USB_PORTSC1_ForcePortResume_Pos                         (6UL)
#define R_USB_PORTSC1_Suspend_Msk                                 (0x00000080UL)
#define R_USB_PORTSC1_Suspend_Pos                                 (7UL)
#define R_USB_PORTSC1_PortReset_Msk                               (0x00000100UL)
#define R_USB_PORTSC1_PortReset_Pos                               (8UL)
#define R_USB_PORTSC1_SuspendusingL1_Msk                          (0x00000200UL)
#define R_USB_PORTSC1_SuspendusingL1_Pos                          (9UL)
#define R_USB_PORTSC1_LineStatus_Msk                              (0x00000C00UL)
#define R_USB_PORTSC1_LineStatus_Pos                              (10UL)
#define R_USB_PORTSC1_PP_Msk                                      (0x00001000UL)
#define R_USB_PORTSC1_PP_Pos                                      (12UL)
#define R_USB_PORTSC1_PortOwner_Msk                               (0x00002000UL)
#define R_USB_PORTSC1_PortOwner_Pos                               (13UL)
#define R_USB_PORTSC1_PortTestControl_Msk                         (0x000F0000UL)
#define R_USB_PORTSC1_PortTestControl_Pos                         (16UL)
#define R_USB_PORTSC1_WKCNNT_E_Msk                                (0x00100000UL)
#define R_USB_PORTSC1_WKCNNT_E_Pos                                (20UL)
#define R_USB_PORTSC1_WKDSCNNT_E_Msk                              (0x00200000UL)
#define R_USB_PORTSC1_WKDSCNNT_E_Pos                              (21UL)
#define R_USB_PORTSC1_WKOC_E_Msk                                  (0x00400000UL)
#define R_USB_PORTSC1_WKOC_E_Pos                                  (22UL)
#define R_USB_PORTSC1_SuspendStatus_Msk                           (0x01800000UL)
#define R_USB_PORTSC1_SuspendStatus_Pos                           (23UL)
#define R_USB_PORTSC1_DeviceAddress_Msk                           (0xFE000000UL)
#define R_USB_PORTSC1_DeviceAddress_Pos                           (25UL)
#define R_USB_INT_ENABLE_AHB_INTEN_Msk                            (0x00000001UL)
#define R_USB_INT_ENABLE_AHB_INTEN_Pos                            (0UL)
#define R_USB_INT_ENABLE_USBH_INTAEN_Msk                          (0x00000002UL)
#define R_USB_INT_ENABLE_USBH_INTAEN_Pos                          (1UL)
#define R_USB_INT_ENABLE_USBH_INTBEN_Msk                          (0x00000004UL)
#define R_USB_INT_ENABLE_USBH_INTBEN_Pos                          (2UL)
#define R_USB_INT_ENABLE_UCOM_INTEN_Msk                           (0x00000008UL)
#define R_USB_INT_ENABLE_UCOM_INTEN_Pos                           (3UL)
#define R_USB_INT_ENABLE_WAKEON_INTEN_Msk                         (0x00000010UL)
#define R_USB_INT_ENABLE_WAKEON_INTEN_Pos                         (4UL)
#define R_USB_INT_STATUS_AHB_INT_Msk                              (0x00000001UL)
#define R_USB_INT_STATUS_AHB_INT_Pos                              (0UL)
#define R_USB_INT_STATUS_USBH_INTA_Msk                            (0x00000002UL)
#define R_USB_INT_STATUS_USBH_INTA_Pos                            (1UL)
#define R_USB_INT_STATUS_USBH_INTB_Msk                            (0x00000004UL)
#define R_USB_INT_STATUS_USBH_INTB_Pos                            (2UL)
#define R_USB_INT_STATUS_UCOM_INT_Msk                             (0x00000008UL)
#define R_USB_INT_STATUS_UCOM_INT_Pos                             (3UL)
#define R_USB_INT_STATUS_WAKEON_INT_Msk                           (0x00000010UL)
#define R_USB_INT_STATUS_WAKEON_INT_Pos                           (4UL)
#define R_USB_AHB_BUS_CTR_MAX_BURST_LEN_Msk                       (0x00000003UL)
#define R_USB_AHB_BUS_CTR_MAX_BURST_LEN_Pos                       (0UL)
#define R_USB_AHB_BUS_CTR_ALIGN_ADDRESS_Msk                       (0x00000030UL)
#define R_USB_AHB_BUS_CTR_ALIGN_ADDRESS_Pos                       (4UL)
#define R_USB_AHB_BUS_CTR_PROT_MODE_Msk                           (0x00000100UL)
#define R_USB_AHB_BUS_CTR_PROT_MODE_Pos                           (8UL)
#define R_USB_AHB_BUS_CTR_PROT_TYPE_Msk                           (0x0000F000UL)
#define R_USB_AHB_BUS_CTR_PROT_TYPE_Pos                           (12UL)
#define R_USB_USBCTR_USBH_RST_Msk                                 (0x00000001UL)
#define R_USB_USBCTR_USBH_RST_Pos                                 (0UL)
#define R_USB_USBCTR_PLL_RST_Msk                                  (0x00000002UL)
#define R_USB_USBCTR_PLL_RST_Pos                                  (1UL)
#define R_USB_USBCTR_DIRPD_Msk                                    (0x00000004UL)
#define R_USB_USBCTR_DIRPD_Pos                                    (2UL)
#define R_USB_REGEN_CG_CTRL_PERI_CLK_MSK_Msk                      (0x10000000UL)
#define R_USB_REGEN_CG_CTRL_PERI_CLK_MSK_Pos                      (28UL)
#define R_USB_REGEN_CG_CTRL_HOST_CLK_MSK_Msk                      (0x20000000UL)
#define R_USB_REGEN_CG_CTRL_HOST_CLK_MSK_Pos                      (29UL)
#define R_USB_REGEN_CG_CTRL_NONUSE_CLK_MSK_Msk                    (0x80000000UL)
#define R_USB_REGEN_CG_CTRL_NONUSE_CLK_MSK_Pos                    (31UL)
#define R_USB_SPD_CTRL_GLOBAL_SUSPENDM_P1_Msk                     (0x00000001UL)
#define R_USB_SPD_CTRL_GLOBAL_SUSPENDM_P1_Pos                     (0UL)
#define R_USB_SPD_CTRL_WKCNNT_ENABLE_Msk                          (0x00800000UL)
#define R_USB_SPD_CTRL_WKCNNT_ENABLE_Pos                          (23UL)
#define R_USB_SPD_CTRL_SLEEPM_ENABLE_Msk                          (0x40000000UL)
#define R_USB_SPD_CTRL_SLEEPM_ENABLE_Pos                          (30UL)
#define R_USB_SPD_CTRL_SUSPENDM_ENABLE_Msk                        (0x80000000UL)
#define R_USB_SPD_CTRL_SUSPENDM_ENABLE_Pos                        (31UL)
#define R_USB_SPD_RSM_TIMSET_TIMER_RESUME_Msk                     (0x0000FFFFUL)
#define R_USB_SPD_RSM_TIMSET_TIMER_RESUME_Pos                     (0UL)
#define R_USB_SPD_RSM_TIMSET_TIMER_CONNECT_Msk                    (0xFFFF0000UL)
#define R_USB_SPD_RSM_TIMSET_TIMER_CONNECT_Pos                    (16UL)
#define R_USB_OC_SLP_TIMSET_TIMER_OC_Msk                          (0x000FFFFFUL)
#define R_USB_OC_SLP_TIMSET_TIMER_OC_Pos                          (0UL)
#define R_USB_OC_SLP_TIMSET_TIMER_SLEEP_Msk                       (0x1FF00000UL)
#define R_USB_OC_SLP_TIMSET_TIMER_SLEEP_Pos                       (20UL)
#define R_USB_SBRN_FLADJ_PW_SBRN_Msk                              (0x000000FFUL)
#define R_USB_SBRN_FLADJ_PW_SBRN_Pos                              (0UL)
#define R_USB_SBRN_FLADJ_PW_FLADJ_Msk                             (0x0000FF00UL)
#define R_USB_SBRN_FLADJ_PW_FLADJ_Pos                             (8UL)
#define R_USB_SBRN_FLADJ_PW_PORTWAKECAP_Msk                       (0xFFFF0000UL)
#define R_USB_SBRN_FLADJ_PW_PORTWAKECAP_Pos                       (16UL)
#define R_USB_PORT_LPM_CTRL1_HIRD_SEL_P1_Msk                      (0x00000001UL)
#define R_USB_PORT_LPM_CTRL1_HIRD_SEL_P1_Pos                      (0UL)
#define R_USB_PORT_LPM_CTRL1_RETRY_ENABLE_NYET_P1_Msk             (0x00000002UL)
#define R_USB_PORT_LPM_CTRL1_RETRY_ENABLE_NYET_P1_Pos             (1UL)
#define R_USB_PORT_LPM_CTRL1_SLEEP_INT_EN_P1_Msk                  (0x00000004UL)
#define R_USB_PORT_LPM_CTRL1_SLEEP_INT_EN_P1_Pos                  (2UL)
#define R_USB_PORT_LPM_CTRL1_REMOTEWAKE_EN_P1_Msk                 (0x00000008UL)
#define R_USB_PORT_LPM_CTRL1_REMOTEWAKE_EN_P1_Pos                 (3UL)
#define R_USB_PORT_LPM_CTRL1_NYET_RETRY_CNT_P1_Msk                (0x000000F0UL)
#define R_USB_PORT_LPM_CTRL1_NYET_RETRY_CNT_P1_Pos                (4UL)
#define R_USB_COMMCTRL_OTG_PERI_Msk                               (0x80000000UL)
#define R_USB_COMMCTRL_OTG_PERI_Pos                               (31UL)
#define R_USB_OBINTSTA_IDCHG_STA_Msk                              (0x00000001UL)
#define R_USB_OBINTSTA_IDCHG_STA_Pos                              (0UL)
#define R_USB_OBINTSTA_OCINT_STA_Msk                              (0x00000002UL)
#define R_USB_OBINTSTA_OCINT_STA_Pos                              (1UL)
#define R_USB_OBINTSTA_VBSTACHG_STA_Msk                           (0x00000004UL)
#define R_USB_OBINTSTA_VBSTACHG_STA_Pos                           (2UL)
#define R_USB_OBINTSTA_VBSTAINT_STA_Msk                           (0x00000008UL)
#define R_USB_OBINTSTA_VBSTAINT_STA_Pos                           (3UL)
#define R_USB_OBINTSTA_PDDETCHG1_STA_Msk                          (0x00000010UL)
#define R_USB_OBINTSTA_PDDETCHG1_STA_Pos                          (4UL)
#define R_USB_OBINTSTA_CHGDETCHG1_STA_Msk                         (0x00000040UL)
#define R_USB_OBINTSTA_CHGDETCHG1_STA_Pos                         (6UL)
#define R_USB_OBINTSTA_DMMONCHG_STA_Msk                           (0x00010000UL)
#define R_USB_OBINTSTA_DMMONCHG_STA_Pos                           (16UL)
#define R_USB_OBINTSTA_DPMONCHG_STA_Msk                           (0x00020000UL)
#define R_USB_OBINTSTA_DPMONCHG_STA_Pos                           (17UL)
#define R_USB_OBINTEN_IDCHG_EN_Msk                                (0x00000001UL)
#define R_USB_OBINTEN_IDCHG_EN_Pos                                (0UL)
#define R_USB_OBINTEN_OCINT_EN_Msk                                (0x00000002UL)
#define R_USB_OBINTEN_OCINT_EN_Pos                                (1UL)
#define R_USB_OBINTEN_VBSTACHG_EN_Msk                             (0x00000004UL)
#define R_USB_OBINTEN_VBSTACHG_EN_Pos                             (2UL)
#define R_USB_OBINTEN_VBSTAINT_EN_Msk                             (0x00000008UL)
#define R_USB_OBINTEN_VBSTAINT_EN_Pos                             (3UL)
#define R_USB_OBINTEN_PDDETCHG1_EN_Msk                            (0x00000010UL)
#define R_USB_OBINTEN_PDDETCHG1_EN_Pos                            (4UL)
#define R_USB_OBINTEN_CHGDETCHG1_EN_Msk                           (0x00000040UL)
#define R_USB_OBINTEN_CHGDETCHG1_EN_Pos                           (6UL)
#define R_USB_OBINTEN_DMMONCHG_EN_Msk                             (0x00010000UL)
#define R_USB_OBINTEN_DMMONCHG_EN_Pos                             (16UL)
#define R_USB_OBINTEN_DPMONCHG_EN_Msk                             (0x00020000UL)
#define R_USB_OBINTEN_DPMONCHG_EN_Pos                             (17UL)
#define R_USB_VBCTRL_VBOUT_Msk                                    (0x00000001UL)
#define R_USB_VBCTRL_VBOUT_Pos                                    (0UL)
#define R_USB_VBCTRL_VGPUO_Msk                                    (0x00000010UL)
#define R_USB_VBCTRL_VGPUO_Pos                                    (4UL)
#define R_USB_LINECTRL1_IDMON_Msk                                 (0x00000001UL)
#define R_USB_LINECTRL1_IDMON_Pos                                 (0UL)
#define R_USB_LINECTRL1_DMMON_Msk                                 (0x00000004UL)
#define R_USB_LINECTRL1_DMMON_Pos                                 (2UL)
#define R_USB_LINECTRL1_DPMON_Msk                                 (0x00000008UL)
#define R_USB_LINECTRL1_DPMON_Pos                                 (3UL)
#define R_USB_LINECTRL1_DM_RPD_Msk                                (0x00010000UL)
#define R_USB_LINECTRL1_DM_RPD_Pos                                (16UL)
#define R_USB_LINECTRL1_DMRPD_EN_Msk                              (0x00020000UL)
#define R_USB_LINECTRL1_DMRPD_EN_Pos                              (17UL)
#define R_USB_LINECTRL1_DP_RPD_Msk                                (0x00040000UL)
#define R_USB_LINECTRL1_DP_RPD_Pos                                (18UL)
#define R_USB_LINECTRL1_DPRPD_EN_Msk                              (0x00080000UL)
#define R_USB_LINECTRL1_DPRPD_EN_Pos                              (19UL)
#define R_USB_LINECTRL1_DP_RPU_Msk                                (0x00100000UL)
#define R_USB_LINECTRL1_DP_RPU_Pos                                (20UL)
#define R_USB_LINECTRL1_DPRPU_EN_Msk                              (0x00200000UL)
#define R_USB_LINECTRL1_DPRPU_EN_Pos                              (21UL)
#define R_USB_LINECTRL1_DPMLVL_Msk                                (0x03000000UL)
#define R_USB_LINECTRL1_DPMLVL_Pos                                (24UL)
#define R_USB_BCCTRL1_IDPSRCE_Msk                                 (0x00000001UL)
#define R_USB_BCCTRL1_IDPSRCE_Pos                                 (0UL)
#define R_USB_BCCTRL1_IDMSINKE_Msk                                (0x00000002UL)
#define R_USB_BCCTRL1_IDMSINKE_Pos                                (1UL)
#define R_USB_BCCTRL1_VDPSRCE_Msk                                 (0x00000004UL)
#define R_USB_BCCTRL1_VDPSRCE_Pos                                 (2UL)
#define R_USB_BCCTRL1_IDPSINKE_Msk                                (0x00000008UL)
#define R_USB_BCCTRL1_IDPSINKE_Pos                                (3UL)
#define R_USB_BCCTRL1_VDMSRCE_Msk                                 (0x00000010UL)
#define R_USB_BCCTRL1_VDMSRCE_Pos                                 (4UL)
#define R_USB_BCCTRL1_DCPMODE_Msk                                 (0x00000020UL)
#define R_USB_BCCTRL1_DCPMODE_Pos                                 (5UL)
#define R_USB_BCCTRL1_CHGDETSTS_Msk                               (0x00000100UL)
#define R_USB_BCCTRL1_CHGDETSTS_Pos                               (8UL)
#define R_USB_BCCTRL1_PDDETSTS_Msk                                (0x00000200UL)
#define R_USB_BCCTRL1_PDDETSTS_Pos                                (9UL)
#define R_USB_SYSCFG0_USBE_Msk                                    (0x0001UL)
#define R_USB_SYSCFG0_USBE_Pos                                    (0UL)
#define R_USB_SYSCFG0_DPRPU_Msk                                   (0x0010UL)
#define R_USB_SYSCFG0_DPRPU_Pos                                   (4UL)
#define R_USB_SYSCFG0_DRPD_Msk                                    (0x0020UL)
#define R_USB_SYSCFG0_DRPD_Pos                                    (5UL)
#define R_USB_SYSCFG0_HSE_Msk                                     (0x0080UL)
#define R_USB_SYSCFG0_HSE_Pos                                     (7UL)
#define R_USB_SYSCFG0_CNEN_Msk                                    (0x0100UL)
#define R_USB_SYSCFG0_CNEN_Pos                                    (8UL)
#define R_USB_SYSCFG1_BWAIT_Msk                                   (0x003FUL)
#define R_USB_SYSCFG1_BWAIT_Pos                                   (0UL)
#define R_USB_SYSSTS0_LNST_Msk                                    (0x0003UL)
#define R_USB_SYSSTS0_LNST_Pos                                    (0UL)
#define R_USB_DVSTCTR0_RHST_Msk                                   (0x0007UL)
#define R_USB_DVSTCTR0_RHST_Pos                                   (0UL)
#define R_USB_DVSTCTR0_WKUP_Msk                                   (0x0100UL)
#define R_USB_DVSTCTR0_WKUP_Pos                                   (8UL)
#define R_USB_TESTMODE_UTST_Msk                                   (0x000FUL)
#define R_USB_TESTMODE_UTST_Pos                                   (0UL)
#define R_USB_CFIFO_FIFOPORT_Msk                                  (0xFFFFFFFFUL)
#define R_USB_CFIFO_FIFOPORT_Pos                                  (0UL)
#define R_USB_CFIFOSEL_CURPIPE_Msk                                (0x000FUL)
#define R_USB_CFIFOSEL_CURPIPE_Pos                                (0UL)
#define R_USB_CFIFOSEL_ISEL_Msk                                   (0x0020UL)
#define R_USB_CFIFOSEL_ISEL_Pos                                   (5UL)
#define R_USB_CFIFOSEL_BIGEND_Msk                                 (0x0100UL)
#define R_USB_CFIFOSEL_BIGEND_Pos                                 (8UL)
#define R_USB_CFIFOSEL_MBW_Msk                                    (0x0C00UL)
#define R_USB_CFIFOSEL_MBW_Pos                                    (10UL)
#define R_USB_CFIFOSEL_REW_Msk                                    (0x4000UL)
#define R_USB_CFIFOSEL_REW_Pos                                    (14UL)
#define R_USB_CFIFOSEL_RCNT_Msk                                   (0x8000UL)
#define R_USB_CFIFOSEL_RCNT_Pos                                   (15UL)
#define R_USB_CFIFOCTR_DTLN_Msk                                   (0x0FFFUL)
#define R_USB_CFIFOCTR_DTLN_Pos                                   (0UL)
#define R_USB_CFIFOCTR_FRDY_Msk                                   (0x2000UL)
#define R_USB_CFIFOCTR_FRDY_Pos                                   (13UL)
#define R_USB_CFIFOCTR_BCLR_Msk                                   (0x4000UL)
#define R_USB_CFIFOCTR_BCLR_Pos                                   (14UL)
#define R_USB_CFIFOCTR_BVAL_Msk                                   (0x8000UL)
#define R_USB_CFIFOCTR_BVAL_Pos                                   (15UL)
#define R_USB_D0FIFOSEL_CURPIPE_Msk                               (0x000FUL)
#define R_USB_D0FIFOSEL_CURPIPE_Pos                               (0UL)
#define R_USB_D0FIFOSEL_MBW_Msk                                   (0x0C00UL)
#define R_USB_D0FIFOSEL_MBW_Pos                                   (10UL)
#define R_USB_D0FIFOSEL_DREQE_Msk                                 (0x1000UL)
#define R_USB_D0FIFOSEL_DREQE_Pos                                 (12UL)
#define R_USB_D0FIFOSEL_DCLRM_Msk                                 (0x2000UL)
#define R_USB_D0FIFOSEL_DCLRM_Pos                                 (13UL)
#define R_USB_D0FIFOSEL_REW_Msk                                   (0x4000UL)
#define R_USB_D0FIFOSEL_REW_Pos                                   (14UL)
#define R_USB_D0FIFOSEL_RCNT_Msk                                  (0x8000UL)
#define R_USB_D0FIFOSEL_RCNT_Pos                                  (15UL)
#define R_USB_D0FIFOCTR_DTLN_Msk                                  (0x0FFFUL)
#define R_USB_D0FIFOCTR_DTLN_Pos                                  (0UL)
#define R_USB_D0FIFOCTR_FRDY_Msk                                  (0x2000UL)
#define R_USB_D0FIFOCTR_FRDY_Pos                                  (13UL)
#define R_USB_D0FIFOCTR_BCLR_Msk                                  (0x4000UL)
#define R_USB_D0FIFOCTR_BCLR_Pos                                  (14UL)
#define R_USB_D0FIFOCTR_BVAL_Msk                                  (0x8000UL)
#define R_USB_D0FIFOCTR_BVAL_Pos                                  (15UL)
#define R_USB_D1FIFOSEL_CURPIPE_Msk                               (0x000FUL)
#define R_USB_D1FIFOSEL_CURPIPE_Pos                               (0UL)
#define R_USB_D1FIFOSEL_MBW_Msk                                   (0x0C00UL)
#define R_USB_D1FIFOSEL_MBW_Pos                                   (10UL)
#define R_USB_D1FIFOSEL_DREQE_Msk                                 (0x1000UL)
#define R_USB_D1FIFOSEL_DREQE_Pos                                 (12UL)
#define R_USB_D1FIFOSEL_DCLRM_Msk                                 (0x2000UL)
#define R_USB_D1FIFOSEL_DCLRM_Pos                                 (13UL)
#define R_USB_D1FIFOSEL_REW_Msk                                   (0x4000UL)
#define R_USB_D1FIFOSEL_REW_Pos                                   (14UL)
#define R_USB_D1FIFOSEL_RCNT_Msk                                  (0x8000UL)
#define R_USB_D1FIFOSEL_RCNT_Pos                                  (15UL)
#define R_USB_D1FIFOCTR_DTLN_Msk                                  (0x0FFFUL)
#define R_USB_D1FIFOCTR_DTLN_Pos                                  (0UL)
#define R_USB_D1FIFOCTR_FRDY_Msk                                  (0x2000UL)
#define R_USB_D1FIFOCTR_FRDY_Pos                                  (13UL)
#define R_USB_D1FIFOCTR_BCLR_Msk                                  (0x4000UL)
#define R_USB_D1FIFOCTR_BCLR_Pos                                  (14UL)
#define R_USB_D1FIFOCTR_BVAL_Msk                                  (0x8000UL)
#define R_USB_D1FIFOCTR_BVAL_Pos                                  (15UL)
#define R_USB_INTENB0_BRDYE_Msk                                   (0x0100UL)
#define R_USB_INTENB0_BRDYE_Pos                                   (8UL)
#define R_USB_INTENB0_NRDYE_Msk                                   (0x0200UL)
#define R_USB_INTENB0_NRDYE_Pos                                   (9UL)
#define R_USB_INTENB0_BEMPE_Msk                                   (0x0400UL)
#define R_USB_INTENB0_BEMPE_Pos                                   (10UL)
#define R_USB_INTENB0_CTRE_Msk                                    (0x0800UL)
#define R_USB_INTENB0_CTRE_Pos                                    (11UL)
#define R_USB_INTENB0_DVSE_Msk                                    (0x1000UL)
#define R_USB_INTENB0_DVSE_Pos                                    (12UL)
#define R_USB_INTENB0_SOFE_Msk                                    (0x2000UL)
#define R_USB_INTENB0_SOFE_Pos                                    (13UL)
#define R_USB_INTENB0_RSME_Msk                                    (0x4000UL)
#define R_USB_INTENB0_RSME_Pos                                    (14UL)
#define R_USB_INTENB0_VBSE_Msk                                    (0x8000UL)
#define R_USB_INTENB0_VBSE_Pos                                    (15UL)
#define R_USB_BRDYENB_PIPEBRDYE_Msk                               (0x03FFUL)
#define R_USB_BRDYENB_PIPEBRDYE_Pos                               (0UL)
#define R_USB_NRDYENB_PIPENRDYE_Msk                               (0x03FFUL)
#define R_USB_NRDYENB_PIPENRDYE_Pos                               (0UL)
#define R_USB_BEMPENB_PIPEBEMPE_Msk                               (0x03FFUL)
#define R_USB_BEMPENB_PIPEBEMPE_Pos                               (0UL)
#define R_USB_SOFCFG_SOFM_Msk                                     (0x000CUL)
#define R_USB_SOFCFG_SOFM_Pos                                     (2UL)
#define R_USB_SOFCFG_BRDYM_Msk                                    (0x0040UL)
#define R_USB_SOFCFG_BRDYM_Pos                                    (6UL)
#define R_USB_INTSTS0_CTSQ_Msk                                    (0x0007UL)
#define R_USB_INTSTS0_CTSQ_Pos                                    (0UL)
#define R_USB_INTSTS0_VALID_Msk                                   (0x0008UL)
#define R_USB_INTSTS0_VALID_Pos                                   (3UL)
#define R_USB_INTSTS0_DVSQ_Msk                                    (0x0070UL)
#define R_USB_INTSTS0_DVSQ_Pos                                    (4UL)
#define R_USB_INTSTS0_VBSTS_Msk                                   (0x0080UL)
#define R_USB_INTSTS0_VBSTS_Pos                                   (7UL)
#define R_USB_INTSTS0_BRDY_Msk                                    (0x0100UL)
#define R_USB_INTSTS0_BRDY_Pos                                    (8UL)
#define R_USB_INTSTS0_NRDY_Msk                                    (0x0200UL)
#define R_USB_INTSTS0_NRDY_Pos                                    (9UL)
#define R_USB_INTSTS0_BEMP_Msk                                    (0x0400UL)
#define R_USB_INTSTS0_BEMP_Pos                                    (10UL)
#define R_USB_INTSTS0_CTRT_Msk                                    (0x0800UL)
#define R_USB_INTSTS0_CTRT_Pos                                    (11UL)
#define R_USB_INTSTS0_DVST_Msk                                    (0x1000UL)
#define R_USB_INTSTS0_DVST_Pos                                    (12UL)
#define R_USB_INTSTS0_SOFR_Msk                                    (0x2000UL)
#define R_USB_INTSTS0_SOFR_Pos                                    (13UL)
#define R_USB_INTSTS0_RESM_Msk                                    (0x4000UL)
#define R_USB_INTSTS0_RESM_Pos                                    (14UL)
#define R_USB_INTSTS0_VBINT_Msk                                   (0x8000UL)
#define R_USB_INTSTS0_VBINT_Pos                                   (15UL)
#define R_USB_BRDYSTS_PIPEBRDY_Msk                                (0x03FFUL)
#define R_USB_BRDYSTS_PIPEBRDY_Pos                                (0UL)
#define R_USB_NRDYSTS_PIPENRDY_Msk                                (0x03FFUL)
#define R_USB_NRDYSTS_PIPENRDY_Pos                                (0UL)
#define R_USB_BEMPSTS_PIPEBEMP_Msk                                (0x03FFUL)
#define R_USB_BEMPSTS_PIPEBEMP_Pos                                (0UL)
#define R_USB_FRMNUM_FRNM_Msk                                     (0x07FFUL)
#define R_USB_FRMNUM_FRNM_Pos                                     (0UL)
#define R_USB_FRMNUM_CRCE_Msk                                     (0x4000UL)
#define R_USB_FRMNUM_CRCE_Pos                                     (14UL)
#define R_USB_FRMNUM_OVRN_Msk                                     (0x8000UL)
#define R_USB_FRMNUM_OVRN_Pos                                     (15UL)
#define R_USB_UFRMNUM_UFRNM_Msk                                   (0x0007UL)
#define R_USB_UFRMNUM_UFRNM_Pos                                   (0UL)
#define R_USB_USBADDR_USBADDR_Msk                                 (0x007FUL)
#define R_USB_USBADDR_USBADDR_Pos                                 (0UL)
#define R_USB_USBREQ_bmRequestType_Msk                            (0x00FFUL)
#define R_USB_USBREQ_bmRequestType_Pos                            (0UL)
#define R_USB_USBREQ_bRequest_Msk                                 (0xFF00UL)
#define R_USB_USBREQ_bRequest_Pos                                 (8UL)
#define R_USB_USBVAL_wValue_Msk                                   (0xFFFFUL)
#define R_USB_USBVAL_wValue_Pos                                   (0UL)
#define R_USB_USBINDX_wIndex_Msk                                  (0xFFFFUL)
#define R_USB_USBINDX_wIndex_Pos                                  (0UL)
#define R_USB_USBLENG_wLength_Msk                                 (0xFFFFUL)
#define R_USB_USBLENG_wLength_Pos                                 (0UL)
#define R_USB_DCPCFG_SHTNAK_Msk                                   (0x0080UL)
#define R_USB_DCPCFG_SHTNAK_Pos                                   (7UL)
#define R_USB_DCPCFG_CNTMD_Msk                                    (0x0100UL)
#define R_USB_DCPCFG_CNTMD_Pos                                    (8UL)
#define R_USB_DCPMAXP_MXPS_Msk                                    (0x007FUL)
#define R_USB_DCPMAXP_MXPS_Pos                                    (0UL)
#define R_USB_DCPCTR_PID_Msk                                      (0x0003UL)
#define R_USB_DCPCTR_PID_Pos                                      (0UL)
#define R_USB_DCPCTR_CCPL_Msk                                     (0x0004UL)
#define R_USB_DCPCTR_CCPL_Pos                                     (2UL)
#define R_USB_DCPCTR_PBUSY_Msk                                    (0x0020UL)
#define R_USB_DCPCTR_PBUSY_Pos                                    (5UL)
#define R_USB_DCPCTR_SQMON_Msk                                    (0x0040UL)
#define R_USB_DCPCTR_SQMON_Pos                                    (6UL)
#define R_USB_DCPCTR_SQSET_Msk                                    (0x0080UL)
#define R_USB_DCPCTR_SQSET_Pos                                    (7UL)
#define R_USB_DCPCTR_SQCLR_Msk                                    (0x0100UL)
#define R_USB_DCPCTR_SQCLR_Pos                                    (8UL)
#define R_USB_DCPCTR_BSTS_Msk                                     (0x8000UL)
#define R_USB_DCPCTR_BSTS_Pos                                     (15UL)
#define R_USB_PIPESEL_PIPESEL_Msk                                 (0x000FUL)
#define R_USB_PIPESEL_PIPESEL_Pos                                 (0UL)
#define R_USB_PIPECFG_EPNUM_Msk                                   (0x000FUL)
#define R_USB_PIPECFG_EPNUM_Pos                                   (0UL)
#define R_USB_PIPECFG_DIR_Msk                                     (0x0010UL)
#define R_USB_PIPECFG_DIR_Pos                                     (4UL)
#define R_USB_PIPECFG_SHTNAK_Msk                                  (0x0080UL)
#define R_USB_PIPECFG_SHTNAK_Pos                                  (7UL)
#define R_USB_PIPECFG_CNTMD_Msk                                   (0x0100UL)
#define R_USB_PIPECFG_CNTMD_Pos                                   (8UL)
#define R_USB_PIPECFG_DBLB_Msk                                    (0x0200UL)
#define R_USB_PIPECFG_DBLB_Pos                                    (9UL)
#define R_USB_PIPECFG_BFRE_Msk                                    (0x0400UL)
#define R_USB_PIPECFG_BFRE_Pos                                    (10UL)
#define R_USB_PIPECFG_TYPE_Msk                                    (0xC000UL)
#define R_USB_PIPECFG_TYPE_Pos                                    (14UL)
#define R_USB_PIPEBUF_BUFNMB_Msk                                  (0x00FFUL)
#define R_USB_PIPEBUF_BUFNMB_Pos                                  (0UL)
#define R_USB_PIPEBUF_BUFSIZE_Msk                                 (0x7C00UL)
#define R_USB_PIPEBUF_BUFSIZE_Pos                                 (10UL)
#define R_USB_PIPEMAXP_MXPS_Msk                                   (0x07FFUL)
#define R_USB_PIPEMAXP_MXPS_Pos                                   (0UL)
#define R_USB_PIPEPERI_IITV_Msk                                   (0x0007UL)
#define R_USB_PIPEPERI_IITV_Pos                                   (0UL)
#define R_USB_PIPEPERI_IFIS_Msk                                   (0x1000UL)
#define R_USB_PIPEPERI_IFIS_Pos                                   (12UL)
#define R_USB_PIPE1CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE1CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE1CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE1CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE1CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE1CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE1CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE1CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE1CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE1CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE1CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE1CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE1CTR_ATREPM_Msk                                 (0x0400UL)
#define R_USB_PIPE1CTR_ATREPM_Pos                                 (10UL)
#define R_USB_PIPE1CTR_INBUFM_Msk                                 (0x4000UL)
#define R_USB_PIPE1CTR_INBUFM_Pos                                 (14UL)
#define R_USB_PIPE1CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE1CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE2CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE2CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE2CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE2CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE2CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE2CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE2CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE2CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE2CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE2CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE2CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE2CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE2CTR_ATREPM_Msk                                 (0x0400UL)
#define R_USB_PIPE2CTR_ATREPM_Pos                                 (10UL)
#define R_USB_PIPE2CTR_INBUFM_Msk                                 (0x4000UL)
#define R_USB_PIPE2CTR_INBUFM_Pos                                 (14UL)
#define R_USB_PIPE2CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE2CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE3CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE3CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE3CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE3CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE3CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE3CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE3CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE3CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE3CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE3CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE3CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE3CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE3CTR_ATREPM_Msk                                 (0x0400UL)
#define R_USB_PIPE3CTR_ATREPM_Pos                                 (10UL)
#define R_USB_PIPE3CTR_INBUFM_Msk                                 (0x4000UL)
#define R_USB_PIPE3CTR_INBUFM_Pos                                 (14UL)
#define R_USB_PIPE3CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE3CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE4CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE4CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE4CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE4CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE4CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE4CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE4CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE4CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE4CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE4CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE4CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE4CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE4CTR_ATREPM_Msk                                 (0x0400UL)
#define R_USB_PIPE4CTR_ATREPM_Pos                                 (10UL)
#define R_USB_PIPE4CTR_INBUFM_Msk                                 (0x4000UL)
#define R_USB_PIPE4CTR_INBUFM_Pos                                 (14UL)
#define R_USB_PIPE4CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE4CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE5CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE5CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE5CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE5CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE5CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE5CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE5CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE5CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE5CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE5CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE5CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE5CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE5CTR_ATREPM_Msk                                 (0x0400UL)
#define R_USB_PIPE5CTR_ATREPM_Pos                                 (10UL)
#define R_USB_PIPE5CTR_INBUFM_Msk                                 (0x4000UL)
#define R_USB_PIPE5CTR_INBUFM_Pos                                 (14UL)
#define R_USB_PIPE5CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE5CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE6CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE6CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE6CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE6CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE6CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE6CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE6CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE6CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE6CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE6CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE6CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE6CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE6CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE6CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE7CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE7CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE7CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE7CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE7CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE7CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE7CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE7CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE7CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE7CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE7CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE7CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE7CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE7CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE8CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE8CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE8CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE8CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE8CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE8CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE8CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE8CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE8CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE8CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE8CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE8CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE8CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE8CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE9CTR_PID_Msk                                    (0x0003UL)
#define R_USB_PIPE9CTR_PID_Pos                                    (0UL)
#define R_USB_PIPE9CTR_PBUSY_Msk                                  (0x0020UL)
#define R_USB_PIPE9CTR_PBUSY_Pos                                  (5UL)
#define R_USB_PIPE9CTR_SQMON_Msk                                  (0x0040UL)
#define R_USB_PIPE9CTR_SQMON_Pos                                  (6UL)
#define R_USB_PIPE9CTR_SQSET_Msk                                  (0x0080UL)
#define R_USB_PIPE9CTR_SQSET_Pos                                  (7UL)
#define R_USB_PIPE9CTR_SQCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE9CTR_SQCLR_Pos                                  (8UL)
#define R_USB_PIPE9CTR_ACLRM_Msk                                  (0x0200UL)
#define R_USB_PIPE9CTR_ACLRM_Pos                                  (9UL)
#define R_USB_PIPE9CTR_BSTS_Msk                                   (0x8000UL)
#define R_USB_PIPE9CTR_BSTS_Pos                                   (15UL)
#define R_USB_PIPE1TRE_TRCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE1TRE_TRCLR_Pos                                  (8UL)
#define R_USB_PIPE1TRE_TRENB_Msk                                  (0x0200UL)
#define R_USB_PIPE1TRE_TRENB_Pos                                  (9UL)
#define R_USB_PIPE1TRN_TRNCNT_Msk                                 (0xFFFFUL)
#define R_USB_PIPE1TRN_TRNCNT_Pos                                 (0UL)
#define R_USB_PIPE2TRE_TRCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE2TRE_TRCLR_Pos                                  (8UL)
#define R_USB_PIPE2TRE_TRENB_Msk                                  (0x0200UL)
#define R_USB_PIPE2TRE_TRENB_Pos                                  (9UL)
#define R_USB_PIPE2TRN_TRNCNT_Msk                                 (0xFFFFUL)
#define R_USB_PIPE2TRN_TRNCNT_Pos                                 (0UL)
#define R_USB_PIPE3TRE_TRCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE3TRE_TRCLR_Pos                                  (8UL)
#define R_USB_PIPE3TRE_TRENB_Msk                                  (0x0200UL)
#define R_USB_PIPE3TRE_TRENB_Pos                                  (9UL)
#define R_USB_PIPE3TRN_TRNCNT_Msk                                 (0xFFFFUL)
#define R_USB_PIPE3TRN_TRNCNT_Pos                                 (0UL)
#define R_USB_PIPE4TRE_TRCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE4TRE_TRCLR_Pos                                  (8UL)
#define R_USB_PIPE4TRE_TRENB_Msk                                  (0x0200UL)
#define R_USB_PIPE4TRE_TRENB_Pos                                  (9UL)
#define R_USB_PIPE4TRN_TRNCNT_Msk                                 (0xFFFFUL)
#define R_USB_PIPE4TRN_TRNCNT_Pos                                 (0UL)
#define R_USB_PIPE5TRE_TRCLR_Msk                                  (0x0100UL)
#define R_USB_PIPE5TRE_TRCLR_Pos                                  (8UL)
#define R_USB_PIPE5TRE_TRENB_Msk                                  (0x0200UL)
#define R_USB_PIPE5TRE_TRENB_Pos                                  (9UL)
#define R_USB_PIPE5TRN_TRNCNT_Msk                                 (0xFFFFUL)
#define R_USB_PIPE5TRN_TRNCNT_Pos                                 (0UL)
#define R_USB_LPCTRL_HWUPM_Msk                                    (0x0080UL)
#define R_USB_LPCTRL_HWUPM_Pos                                    (7UL)
#define R_USB_LPSTS_SUSPM_Msk                                     (0x4000UL)
#define R_USB_LPSTS_SUSPM_Pos                                     (14UL)
#define R_USB_PHYFUNCTR_SusMon_Msk                                (0x4000UL)
#define R_USB_PHYFUNCTR_SusMon_Pos                                (14UL)
#define R_USB_PHYOTGCTR_DpPuDwn_Msk                               (0x0200UL)
#define R_USB_PHYOTGCTR_DpPuDwn_Pos                               (9UL)
#define R_USB_PHYOTGCTR_DmPuDwn_Msk                               (0x0400UL)
#define R_USB_PHYOTGCTR_DmPuDwn_Pos                               (10UL)
#define R_USB_PL1CTRL1_L1RESPEN_Msk                               (0x0001UL)
#define R_USB_PL1CTRL1_L1RESPEN_Pos                               (0UL)
#define R_USB_PL1CTRL1_L1RESPMD_Msk                               (0x0006UL)
#define R_USB_PL1CTRL1_L1RESPMD_Pos                               (1UL)
#define R_USB_PL1CTRL1_L1NEGOMD_Msk                               (0x0008UL)
#define R_USB_PL1CTRL1_L1NEGOMD_Pos                               (3UL)
#define R_USB_PL1CTRL1_DVSQ_Msk                                   (0x00F0UL)
#define R_USB_PL1CTRL1_DVSQ_Pos                                   (4UL)
#define R_USB_PL1CTRL1_HIRDTHR_Msk                                (0x0F00UL)
#define R_USB_PL1CTRL1_HIRDTHR_Pos                                (8UL)
#define R_USB_PL1CTRL1_L1EXTMD_Msk                                (0x4000UL)
#define R_USB_PL1CTRL1_L1EXTMD_Pos                                (14UL)
#define R_USB_PL1CTRL2_HIRDMON_Msk                                (0x0F00UL)
#define R_USB_PL1CTRL2_HIRDMON_Pos                                (8UL)
#define R_USB_PL1CTRL2_RWEMON_Msk                                 (0x1000UL)
#define R_USB_PL1CTRL2_RWEMON_Pos                                 (12UL)
#define R_USB_N0SA_0_SA_WD_Msk                                    (0xFFFFFFFFUL)
#define R_USB_N0SA_0_SA_WD_Pos                                    (0UL)
#define R_USB_N0DA_0_DA_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N0DA_0_DA_Pos                                       (0UL)
#define R_USB_N0TB_0_TB_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N0TB_0_TB_Pos                                       (0UL)
#define R_USB_N1SA_0_SA_WD_Msk                                    (0xFFFFFFFFUL)
#define R_USB_N1SA_0_SA_WD_Pos                                    (0UL)
#define R_USB_N1DA_0_DA_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N1DA_0_DA_Pos                                       (0UL)
#define R_USB_N1TB_0_TB_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N1TB_0_TB_Pos                                       (0UL)
#define R_USB_CRSA_0_CRSA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRSA_0_CRSA_Pos                                     (0UL)
#define R_USB_CRDA_0_CRDA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRDA_0_CRDA_Pos                                     (0UL)
#define R_USB_CRTB_0_CRTB_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRTB_0_CRTB_Pos                                     (0UL)
#define R_USB_CHSTAT_0_EN_Msk                                     (0x00000001UL)
#define R_USB_CHSTAT_0_EN_Pos                                     (0UL)
#define R_USB_CHSTAT_0_RQST_Msk                                   (0x00000002UL)
#define R_USB_CHSTAT_0_RQST_Pos                                   (1UL)
#define R_USB_CHSTAT_0_TACT_Msk                                   (0x00000004UL)
#define R_USB_CHSTAT_0_TACT_Pos                                   (2UL)
#define R_USB_CHSTAT_0_SUS_Msk                                    (0x00000008UL)
#define R_USB_CHSTAT_0_SUS_Pos                                    (3UL)
#define R_USB_CHSTAT_0_ER_Msk                                     (0x00000010UL)
#define R_USB_CHSTAT_0_ER_Pos                                     (4UL)
#define R_USB_CHSTAT_0_END_Msk                                    (0x00000020UL)
#define R_USB_CHSTAT_0_END_Pos                                    (5UL)
#define R_USB_CHSTAT_0_TC_Msk                                     (0x00000040UL)
#define R_USB_CHSTAT_0_TC_Pos                                     (6UL)
#define R_USB_CHSTAT_0_SR_Msk                                     (0x00000080UL)
#define R_USB_CHSTAT_0_SR_Pos                                     (7UL)
#define R_USB_CHSTAT_0_DL_Msk                                     (0x00000100UL)
#define R_USB_CHSTAT_0_DL_Pos                                     (8UL)
#define R_USB_CHSTAT_0_DW_Msk                                     (0x00000200UL)
#define R_USB_CHSTAT_0_DW_Pos                                     (9UL)
#define R_USB_CHSTAT_0_DER_Msk                                    (0x00000400UL)
#define R_USB_CHSTAT_0_DER_Pos                                    (10UL)
#define R_USB_CHSTAT_0_MODE_Msk                                   (0x00000800UL)
#define R_USB_CHSTAT_0_MODE_Pos                                   (11UL)
#define R_USB_CHSTAT_0_INTM_Msk                                   (0x00010000UL)
#define R_USB_CHSTAT_0_INTM_Pos                                   (16UL)
#define R_USB_CHSTAT_0_DMARQM_Msk                                 (0x00020000UL)
#define R_USB_CHSTAT_0_DMARQM_Pos                                 (17UL)
#define R_USB_CHSTAT_0_SWPRQ_Msk                                  (0x00040000UL)
#define R_USB_CHSTAT_0_SWPRQ_Pos                                  (18UL)
#define R_USB_CHSTAT_0_DNUM_Msk                                   (0xFF000000UL)
#define R_USB_CHSTAT_0_DNUM_Pos                                   (24UL)
#define R_USB_CHCTRL_0_SETEN_Msk                                  (0x00000001UL)
#define R_USB_CHCTRL_0_SETEN_Pos                                  (0UL)
#define R_USB_CHCTRL_0_CLREN_Msk                                  (0x00000002UL)
#define R_USB_CHCTRL_0_CLREN_Pos                                  (1UL)
#define R_USB_CHCTRL_0_STG_Msk                                    (0x00000004UL)
#define R_USB_CHCTRL_0_STG_Pos                                    (2UL)
#define R_USB_CHCTRL_0_SWRST_Msk                                  (0x00000008UL)
#define R_USB_CHCTRL_0_SWRST_Pos                                  (3UL)
#define R_USB_CHCTRL_0_CLRRQ_Msk                                  (0x00000010UL)
#define R_USB_CHCTRL_0_CLRRQ_Pos                                  (4UL)
#define R_USB_CHCTRL_0_CLREND_Msk                                 (0x00000020UL)
#define R_USB_CHCTRL_0_CLREND_Pos                                 (5UL)
#define R_USB_CHCTRL_0_CLRTC_Msk                                  (0x00000040UL)
#define R_USB_CHCTRL_0_CLRTC_Pos                                  (6UL)
#define R_USB_CHCTRL_0_CLRDER_Msk                                 (0x00000080UL)
#define R_USB_CHCTRL_0_CLRDER_Pos                                 (7UL)
#define R_USB_CHCTRL_0_SETSUS_Msk                                 (0x00000100UL)
#define R_USB_CHCTRL_0_SETSUS_Pos                                 (8UL)
#define R_USB_CHCTRL_0_CLRSUS_Msk                                 (0x00000200UL)
#define R_USB_CHCTRL_0_CLRSUS_Pos                                 (9UL)
#define R_USB_CHCTRL_0_SETREN_Msk                                 (0x00001000UL)
#define R_USB_CHCTRL_0_SETREN_Pos                                 (12UL)
#define R_USB_CHCTRL_0_SETSSWPRQ_Msk                              (0x00004000UL)
#define R_USB_CHCTRL_0_SETSSWPRQ_Pos                              (14UL)
#define R_USB_CHCTRL_0_SETINTM_Msk                                (0x00010000UL)
#define R_USB_CHCTRL_0_SETINTM_Pos                                (16UL)
#define R_USB_CHCTRL_0_CLRINTM_Msk                                (0x00020000UL)
#define R_USB_CHCTRL_0_CLRINTM_Pos                                (17UL)
#define R_USB_CHCTRL_0_SETDMARQM_Msk                              (0x00040000UL)
#define R_USB_CHCTRL_0_SETDMARQM_Pos                              (18UL)
#define R_USB_CHCTRL_0_CLRDMARQM_Msk                              (0x00080000UL)
#define R_USB_CHCTRL_0_CLRDMARQM_Pos                              (19UL)
#define R_USB_CHCFG_0_SEL_Msk                                     (0x00000001UL)
#define R_USB_CHCFG_0_SEL_Pos                                     (0UL)
#define R_USB_CHCFG_0_REQD_Msk                                    (0x00000008UL)
#define R_USB_CHCFG_0_REQD_Pos                                    (3UL)
#define R_USB_CHCFG_0_DRRP_Msk                                    (0x00000800UL)
#define R_USB_CHCFG_0_DRRP_Pos                                    (11UL)
#define R_USB_CHCFG_0_SDS_Msk                                     (0x0000F000UL)
#define R_USB_CHCFG_0_SDS_Pos                                     (12UL)
#define R_USB_CHCFG_0_DDS_Msk                                     (0x000F0000UL)
#define R_USB_CHCFG_0_DDS_Pos                                     (16UL)
#define R_USB_CHCFG_0_SAD_Msk                                     (0x00100000UL)
#define R_USB_CHCFG_0_SAD_Pos                                     (20UL)
#define R_USB_CHCFG_0_DAD_Msk                                     (0x00200000UL)
#define R_USB_CHCFG_0_DAD_Pos                                     (21UL)
#define R_USB_CHCFG_0_WONLY_Msk                                   (0x00800000UL)
#define R_USB_CHCFG_0_WONLY_Pos                                   (23UL)
#define R_USB_CHCFG_0_DEM_Msk                                     (0x01000000UL)
#define R_USB_CHCFG_0_DEM_Pos                                     (24UL)
#define R_USB_CHCFG_0_TCM_Msk                                     (0x02000000UL)
#define R_USB_CHCFG_0_TCM_Pos                                     (25UL)
#define R_USB_CHCFG_0_DIM_Msk                                     (0x04000000UL)
#define R_USB_CHCFG_0_DIM_Pos                                     (26UL)
#define R_USB_CHCFG_0_SBE_Msk                                     (0x08000000UL)
#define R_USB_CHCFG_0_SBE_Pos                                     (27UL)
#define R_USB_CHCFG_0_RSEL_Msk                                    (0x10000000UL)
#define R_USB_CHCFG_0_RSEL_Pos                                    (28UL)
#define R_USB_CHCFG_0_RSW_Msk                                     (0x20000000UL)
#define R_USB_CHCFG_0_RSW_Pos                                     (29UL)
#define R_USB_CHCFG_0_REN_Msk                                     (0x40000000UL)
#define R_USB_CHCFG_0_REN_Pos                                     (30UL)
#define R_USB_CHCFG_0_DMS_Msk                                     (0x80000000UL)
#define R_USB_CHCFG_0_DMS_Pos                                     (31UL)
#define R_USB_CHITVL_0_ITVL_Msk                                   (0x0000FFFFUL)
#define R_USB_CHITVL_0_ITVL_Pos                                   (0UL)
#define R_USB_CHEXT_0_SPR_Msk                                     (0x0000000FUL)
#define R_USB_CHEXT_0_SPR_Pos                                     (0UL)
#define R_USB_CHEXT_0_DPR_Msk                                     (0x00000F00UL)
#define R_USB_CHEXT_0_DPR_Pos                                     (8UL)
#define R_USB_NXLA_0_NXLA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_NXLA_0_NXLA_Pos                                     (0UL)
#define R_USB_CRLA_0_CRLA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRLA_0_CRLA_Pos                                     (0UL)
#define R_USB_N0SA_1_SA_WD_Msk                                    (0xFFFFFFFFUL)
#define R_USB_N0SA_1_SA_WD_Pos                                    (0UL)
#define R_USB_N0DA_1_DA_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N0DA_1_DA_Pos                                       (0UL)
#define R_USB_N0TB_1_TB_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N0TB_1_TB_Pos                                       (0UL)
#define R_USB_N1SA_1_SA_WD_Msk                                    (0xFFFFFFFFUL)
#define R_USB_N1SA_1_SA_WD_Pos                                    (0UL)
#define R_USB_N1DA_1_DA_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N1DA_1_DA_Pos                                       (0UL)
#define R_USB_N1TB_1_TB_Msk                                       (0xFFFFFFFFUL)
#define R_USB_N1TB_1_TB_Pos                                       (0UL)
#define R_USB_CRSA_1_CRSA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRSA_1_CRSA_Pos                                     (0UL)
#define R_USB_CRDA_1_CRDA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRDA_1_CRDA_Pos                                     (0UL)
#define R_USB_CRTB_1_CRTB_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRTB_1_CRTB_Pos                                     (0UL)
#define R_USB_CHSTAT_1_EN_Msk                                     (0x00000001UL)
#define R_USB_CHSTAT_1_EN_Pos                                     (0UL)
#define R_USB_CHSTAT_1_RQST_Msk                                   (0x00000002UL)
#define R_USB_CHSTAT_1_RQST_Pos                                   (1UL)
#define R_USB_CHSTAT_1_TACT_Msk                                   (0x00000004UL)
#define R_USB_CHSTAT_1_TACT_Pos                                   (2UL)
#define R_USB_CHSTAT_1_SUS_Msk                                    (0x00000008UL)
#define R_USB_CHSTAT_1_SUS_Pos                                    (3UL)
#define R_USB_CHSTAT_1_ER_Msk                                     (0x00000010UL)
#define R_USB_CHSTAT_1_ER_Pos                                     (4UL)
#define R_USB_CHSTAT_1_END_Msk                                    (0x00000020UL)
#define R_USB_CHSTAT_1_END_Pos                                    (5UL)
#define R_USB_CHSTAT_1_TC_Msk                                     (0x00000040UL)
#define R_USB_CHSTAT_1_TC_Pos                                     (6UL)
#define R_USB_CHSTAT_1_SR_Msk                                     (0x00000080UL)
#define R_USB_CHSTAT_1_SR_Pos                                     (7UL)
#define R_USB_CHSTAT_1_DL_Msk                                     (0x00000100UL)
#define R_USB_CHSTAT_1_DL_Pos                                     (8UL)
#define R_USB_CHSTAT_1_DW_Msk                                     (0x00000200UL)
#define R_USB_CHSTAT_1_DW_Pos                                     (9UL)
#define R_USB_CHSTAT_1_DER_Msk                                    (0x00000400UL)
#define R_USB_CHSTAT_1_DER_Pos                                    (10UL)
#define R_USB_CHSTAT_1_MODE_Msk                                   (0x00000800UL)
#define R_USB_CHSTAT_1_MODE_Pos                                   (11UL)
#define R_USB_CHSTAT_1_INTM_Msk                                   (0x00010000UL)
#define R_USB_CHSTAT_1_INTM_Pos                                   (16UL)
#define R_USB_CHSTAT_1_DMARQM_Msk                                 (0x00020000UL)
#define R_USB_CHSTAT_1_DMARQM_Pos                                 (17UL)
#define R_USB_CHSTAT_1_SWPRQ_Msk                                  (0x00040000UL)
#define R_USB_CHSTAT_1_SWPRQ_Pos                                  (18UL)
#define R_USB_CHSTAT_1_DNUM_Msk                                   (0xFF000000UL)
#define R_USB_CHSTAT_1_DNUM_Pos                                   (24UL)
#define R_USB_CHCTRL_1_SETEN_Msk                                  (0x00000001UL)
#define R_USB_CHCTRL_1_SETEN_Pos                                  (0UL)
#define R_USB_CHCTRL_1_CLREN_Msk                                  (0x00000002UL)
#define R_USB_CHCTRL_1_CLREN_Pos                                  (1UL)
#define R_USB_CHCTRL_1_STG_Msk                                    (0x00000004UL)
#define R_USB_CHCTRL_1_STG_Pos                                    (2UL)
#define R_USB_CHCTRL_1_SWRST_Msk                                  (0x00000008UL)
#define R_USB_CHCTRL_1_SWRST_Pos                                  (3UL)
#define R_USB_CHCTRL_1_CLRRQ_Msk                                  (0x00000010UL)
#define R_USB_CHCTRL_1_CLRRQ_Pos                                  (4UL)
#define R_USB_CHCTRL_1_CLREND_Msk                                 (0x00000020UL)
#define R_USB_CHCTRL_1_CLREND_Pos                                 (5UL)
#define R_USB_CHCTRL_1_CLRTC_Msk                                  (0x00000040UL)
#define R_USB_CHCTRL_1_CLRTC_Pos                                  (6UL)
#define R_USB_CHCTRL_1_CLRDER_Msk                                 (0x00000080UL)
#define R_USB_CHCTRL_1_CLRDER_Pos                                 (7UL)
#define R_USB_CHCTRL_1_SETSUS_Msk                                 (0x00000100UL)
#define R_USB_CHCTRL_1_SETSUS_Pos                                 (8UL)
#define R_USB_CHCTRL_1_CLRSUS_Msk                                 (0x00000200UL)
#define R_USB_CHCTRL_1_CLRSUS_Pos                                 (9UL)
#define R_USB_CHCTRL_1_SETREN_Msk                                 (0x00001000UL)
#define R_USB_CHCTRL_1_SETREN_Pos                                 (12UL)
#define R_USB_CHCTRL_1_SETSSWPRQ_Msk                              (0x00004000UL)
#define R_USB_CHCTRL_1_SETSSWPRQ_Pos                              (14UL)
#define R_USB_CHCTRL_1_SETINTM_Msk                                (0x00010000UL)
#define R_USB_CHCTRL_1_SETINTM_Pos                                (16UL)
#define R_USB_CHCTRL_1_CLRINTM_Msk                                (0x00020000UL)
#define R_USB_CHCTRL_1_CLRINTM_Pos                                (17UL)
#define R_USB_CHCTRL_1_SETDMARQM_Msk                              (0x00040000UL)
#define R_USB_CHCTRL_1_SETDMARQM_Pos                              (18UL)
#define R_USB_CHCTRL_1_CLRDMARQM_Msk                              (0x00080000UL)
#define R_USB_CHCTRL_1_CLRDMARQM_Pos                              (19UL)
#define R_USB_CHCFG_1_SEL_Msk                                     (0x00000001UL)
#define R_USB_CHCFG_1_SEL_Pos                                     (0UL)
#define R_USB_CHCFG_1_REQD_Msk                                    (0x00000008UL)
#define R_USB_CHCFG_1_REQD_Pos                                    (3UL)
#define R_USB_CHCFG_1_DRRP_Msk                                    (0x00000800UL)
#define R_USB_CHCFG_1_DRRP_Pos                                    (11UL)
#define R_USB_CHCFG_1_SDS_Msk                                     (0x0000F000UL)
#define R_USB_CHCFG_1_SDS_Pos                                     (12UL)
#define R_USB_CHCFG_1_DDS_Msk                                     (0x000F0000UL)
#define R_USB_CHCFG_1_DDS_Pos                                     (16UL)
#define R_USB_CHCFG_1_SAD_Msk                                     (0x00100000UL)
#define R_USB_CHCFG_1_SAD_Pos                                     (20UL)
#define R_USB_CHCFG_1_DAD_Msk                                     (0x00200000UL)
#define R_USB_CHCFG_1_DAD_Pos                                     (21UL)
#define R_USB_CHCFG_1_WONLY_Msk                                   (0x00800000UL)
#define R_USB_CHCFG_1_WONLY_Pos                                   (23UL)
#define R_USB_CHCFG_1_DEM_Msk                                     (0x01000000UL)
#define R_USB_CHCFG_1_DEM_Pos                                     (24UL)
#define R_USB_CHCFG_1_TCM_Msk                                     (0x02000000UL)
#define R_USB_CHCFG_1_TCM_Pos                                     (25UL)
#define R_USB_CHCFG_1_DIM_Msk                                     (0x04000000UL)
#define R_USB_CHCFG_1_DIM_Pos                                     (26UL)
#define R_USB_CHCFG_1_SBE_Msk                                     (0x08000000UL)
#define R_USB_CHCFG_1_SBE_Pos                                     (27UL)
#define R_USB_CHCFG_1_RSEL_Msk                                    (0x10000000UL)
#define R_USB_CHCFG_1_RSEL_Pos                                    (28UL)
#define R_USB_CHCFG_1_RSW_Msk                                     (0x20000000UL)
#define R_USB_CHCFG_1_RSW_Pos                                     (29UL)
#define R_USB_CHCFG_1_REN_Msk                                     (0x40000000UL)
#define R_USB_CHCFG_1_REN_Pos                                     (30UL)
#define R_USB_CHCFG_1_DMS_Msk                                     (0x80000000UL)
#define R_USB_CHCFG_1_DMS_Pos                                     (31UL)
#define R_USB_CHITVL_1_ITVL_Msk                                   (0x0000FFFFUL)
#define R_USB_CHITVL_1_ITVL_Pos                                   (0UL)
#define R_USB_CHEXT_1_SPR_Msk                                     (0x0000000FUL)
#define R_USB_CHEXT_1_SPR_Pos                                     (0UL)
#define R_USB_CHEXT_1_DPR_Msk                                     (0x00000F00UL)
#define R_USB_CHEXT_1_DPR_Pos                                     (8UL)
#define R_USB_NXLA_1_NXLA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_NXLA_1_NXLA_Pos                                     (0UL)
#define R_USB_CRLA_1_CRLA_Msk                                     (0xFFFFFFFFUL)
#define R_USB_CRLA_1_CRLA_Pos                                     (0UL)
#define R_USB_SCNT_0_SCNT_Msk                                     (0xFFFFFFFFUL)
#define R_USB_SCNT_0_SCNT_Pos                                     (0UL)
#define R_USB_SSKP_0_SSKP_Msk                                     (0xFFFFFFFFUL)
#define R_USB_SSKP_0_SSKP_Pos                                     (0UL)
#define R_USB_DCNT_0_DCNT_Msk                                     (0xFFFFFFFFUL)
#define R_USB_DCNT_0_DCNT_Pos                                     (0UL)
#define R_USB_DSKP_0_DSKP_Msk                                     (0xFFFFFFFFUL)
#define R_USB_DSKP_0_DSKP_Pos                                     (0UL)
#define R_USB_SCNT_1_SCNT_Msk                                     (0xFFFFFFFFUL)
#define R_USB_SCNT_1_SCNT_Pos                                     (0UL)
#define R_USB_SSKP_1_SSKP_Msk                                     (0xFFFFFFFFUL)
#define R_USB_SSKP_1_SSKP_Pos                                     (0UL)
#define R_USB_DCNT_1_DCNT_Msk                                     (0xFFFFFFFFUL)
#define R_USB_DCNT_1_DCNT_Pos                                     (0UL)
#define R_USB_DSKP_1_DSKP_Msk                                     (0xFFFFFFFFUL)
#define R_USB_DSKP_1_DSKP_Pos                                     (0UL)
#define R_USB_DCTRL_PR_Msk                                        (0x00000001UL)
#define R_USB_DCTRL_PR_Pos                                        (0UL)
#define R_USB_DCTRL_LVINT_Msk                                     (0x00000002UL)
#define R_USB_DCTRL_LVINT_Pos                                     (1UL)
#define R_USB_DCTRL_LDPR_Msk                                      (0x000F0000UL)
#define R_USB_DCTRL_LDPR_Pos                                      (16UL)
#define R_USB_DCTRL_LWPR_Msk                                      (0x0F000000UL)
#define R_USB_DCTRL_LWPR_Pos                                      (24UL)
#define R_USB_DSCITVL_DITVL_Msk                                   (0x0000FF00UL)
#define R_USB_DSCITVL_DITVL_Pos                                   (8UL)
#define R_USB_DST_EN_EN0_Msk                                      (0x00000001UL)
#define R_USB_DST_EN_EN0_Pos                                      (0UL)
#define R_USB_DST_EN_EN1_Msk                                      (0x00000002UL)
#define R_USB_DST_EN_EN1_Pos                                      (1UL)
#define R_USB_DST_ER_ER0_Msk                                      (0x00000001UL)
#define R_USB_DST_ER_ER0_Pos                                      (0UL)
#define R_USB_DST_ER_ER1_Msk                                      (0x00000002UL)
#define R_USB_DST_ER_ER1_Pos                                      (1UL)
#define R_USB_DST_END_END0_Msk                                    (0x00000001UL)
#define R_USB_DST_END_END0_Pos                                    (0UL)
#define R_USB_DST_END_END1_Msk                                    (0x00000002UL)
#define R_USB_DST_END_END1_Pos                                    (1UL)
#define R_USB_DST_TC_TC0_Msk                                      (0x00000001UL)
#define R_USB_DST_TC_TC0_Pos                                      (0UL)
#define R_USB_DST_TC_TC1_Msk                                      (0x00000002UL)
#define R_USB_DST_TC_TC1_Pos                                      (1UL)
#define R_USB_DST_SUS_SUS0_Msk                                    (0x00000001UL)
#define R_USB_DST_SUS_SUS0_Pos                                    (0UL)
#define R_USB_DST_SUS_SUS1_Msk                                    (0x00000002UL)
#define R_USB_DST_SUS_SUS1_Pos                                    (1UL)

#endif
