/***********************************************************************************************************************
 * Copyright [2020-2022] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : bsp_irq_sense.c
 * Version      : 1.00
 * Description  : bsp_irq_sense source
 *********************************************************************************************************************/

#include "bsp_api.h"
#include "../all/bsp_irq.h"

e_gicd_icfgr_sense_t g_int_sense_array[BSP_ICU_VECTOR_MAX_ENTRIES] =
{
    0,                                 /* Interrupt ID:0,  SGI0        */
    0,                                 /* Interrupt ID:1,  SGI1        */
    0,                                 /* Interrupt ID:2,  SGI2        */
    0,                                 /* Interrupt ID:3,  SGI3        */
    0,                                 /* Interrupt ID:4,  SGI4        */
    0,                                 /* Interrupt ID:5,  SGI5        */
    0,                                 /* Interrupt ID:6,  SGI6        */
    0,                                 /* Interrupt ID:7,  SGI7        */
    0,                                 /* Interrupt ID:8,  SGI8        */
    0,                                 /* Interrupt ID:9,  SGI9        */
    0,                                 /* Interrupt ID:10,  SGI10      */
    0,                                 /* Interrupt ID:11,  SGI11      */
    0,                                 /* Interrupt ID:12,  SGI12      */
    0,                                 /* Interrupt ID:13,  SGI13      */
    0,                                 /* Interrupt ID:14,  SGI14      */
    0,                                 /* Interrupt ID:15,  SGI15      */
    0,                                 /* Interrupt ID:16, Reserved */
    0,                                 /* Interrupt ID:17, Reserved */
    0,                                 /* Interrupt ID:18, Reserved */
    0,                                 /* Interrupt ID:19, Reserved */
    0,                                 /* Interrupt ID:20, Reserved */
    0,                                 /* Interrupt ID:21, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:22,  nCOMMIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:23,  nPMUIRQ  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:24,  CTIIRQ   */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:25,  nVCPUMNTIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:26,  nCNTHPIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:27,  nCNTVRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:28,  nCNTHVIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:29,  nCNTPSIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:30,  nCNTPNSIRQ */
    0,                                 /* Interrupt ID:31, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:32,  NMI         */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:33,  IRQ0        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:34,  IRQ1        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:35,  IRQ2        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:36,  IRQ3        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:37,  IRQ4        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:38,  IRQ5        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:39,  IRQ6        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:40,  IRQ7        */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:41,  nCOMMIRQ[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:42, nCOMMIRQ[0] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:43, nPMUIRQ[1]  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:44, nPMUIRQ[0]  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:45, nCLUSTERPMUIRQ */
    0,                                 /* Interrupt ID:46, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:47, nERRIRQ[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:48, nERRIRQ[0] */
    0,                                 /* Interrupt ID:49, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:50, nFAULTIRQ[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:51, nFAULTIRQ[0] */
    0,                                 /* Interrupt ID:52, Reserved */
    0,                                 /* Interrupt ID:53, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:54, fault_int */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:55, err_int */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:56, pmu_int */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:57, BUS_ERR_INTR_W_SXCA55 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:58, TZCINT_SRAM_A */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:59, TZCINT_SRAM_M */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:60, TZCINT_SPI */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:61, TZCINT_DDR */
    0,                                 /* Interrupt ID:62, Reserved */
    0,                                 /* Interrupt ID:63, Reserved */
    0,                                 /* Interrupt ID:64, Reserved */
    0,                                 /* Interrupt ID:65, Reserved */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:66, ACPU EC7TIE1[0] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:67, ACPU EC7TIE2[0] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:68, ACPU EC7TIOVF[0] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:69, MCPU EC7TIE1[0] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:70, MCPU EC7TIE2[0] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:71, MCPU EC7TIOVF[0] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:72, DDR3L/4 Interrupt signal from the controller */
    0,                                 /* Interrupt ID:73, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:74, SYS_LPM_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:75, SYS_CA55STBYDONE_INT */
    0,                                 /* Interrupt ID:76, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:77, SYS_CA55_DENY */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:78, General Timer ch 0 Interrupt signal */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:79, General Timer ch 1 Interrupt signal */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:80, General Timer ch 2 Interrupt signal */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:81, CA55 core 0 WDTINT  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:82, CA55 core 0 PERROUT */
    0,                                 /* Interrupt ID:83, Reserved */
    0,                                 /* Interrupt ID:84, Reserved */
    0,                                 /* Interrupt ID:85, Reserved */
    0,                                 /* Interrupt ID:86, Reserved */
    0,                                 /* Interrupt ID:87, Reserved */
    0,                                 /* Interrupt ID:88, Reserved */
    0,                                 /* Interrupt ID:89, Reserved */
    0,                                 /* Interrupt ID:90, Reserved */
    0,                                 /* Interrupt ID:91, Reserved */
    0,                                 /* Interrupt ID:92, Reserved */
    0,                                 /* Interrupt ID:93, Reserved */
    0,                                 /* Interrupt ID:94, Reserved */
    0,                                 /* Interrupt ID:95, Reserved */
    0,                                 /* Interrupt ID:96, Reserved */
    0,                                 /* Interrupt ID:97, Reserved */
    0,                                 /* Interrupt ID:98, Reserved */
    0,                                 /* Interrupt ID:99, Reserved */
    0,                                 /* Interrupt ID:100, Reserved */
    0,                                 /* Interrupt ID:101, Reserved */
    0,                                 /* Interrupt ID:102, Reserved */
    0,                                 /* Interrupt ID:103, Reserved */
    0,                                 /* Interrupt ID:104, Reserved */
    0,                                 /* Interrupt ID:105, Reserved */
    0,                                 /* Interrupt ID:106, Reserved */
    0,                                 /* Interrupt ID:107, Reserved */
    0,                                 /* Interrupt ID:108, Reserved */
    0,                                 /* Interrupt ID:109, Reserved */
    0,                                 /* Interrupt ID:110, Reserved */
    0,                                 /* Interrupt ID:111, Reserved */
    0,                                 /* Interrupt ID:112, Reserved */
    0,                                 /* Interrupt ID:113, Reserved */
    0,                                 /* Interrupt ID:114, Reserved */
    0,                                 /* Interrupt ID:115, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:116, pif_int_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:117, int_fil_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:118, int_arp_ns_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:119, pif_int_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:120, int_fil_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:121, int_arp_ns_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:122, U2H0_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:123, U2H0_OHCI_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:124, U2H0_EHCI_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:125, U2H0_WAKEON_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:126, U2H0_OBINT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:127, U2H1_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:128, U2H1_OHCI_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:129, U2H1_EHCI_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:130, U2H1_WAKEON_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:131, U2H1_OBINT */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:132, U2P_IXL_INT */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:133, U2P_INT_DMA[0] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:134, U2P_INT_DMA[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:135, U2P_INT_DMAERR */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:136, SDHI_eMMC0 OXMNIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:137, SDHI_eMMC0 OXASIOIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:138, SDHI_eMMC1 OXMNIRQ */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:139, SDHI_eMMC1 OXASIOIRQ */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:140, DMAC_intreq_dmaint0(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:141, DMAC_intreq_dmaint1(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:142, DMAC_intreq_dmaint2(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:143, DMAC_intreq_dmaint3(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:143, DMAC_intreq_dmaint4(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:145, DMAC_intreq_dmaint5(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:146, DMAC_intreq_dmaint6(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:147, DMAC_intreq_dmaint7(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:148, DMAC_intreq_dmaint8(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:149, DMAC_intreq_dmaint9(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:150, DMAC_intreq_dmaint10(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:151, DMAC_intreq_dmaint11(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:152, DMAC_intreq_dmaint12(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:153, DMAC_intreq_dmaint13(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:154, DMAC_intreq_dmaint14(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:155, DMAC_intreq_dmaint15(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:156, DMAERR(Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:157, DMAC_intreq_dmaint0(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:158, DMAC_intreq_dmaint1(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:159, DMAC_intreq_dmaint2(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:160, DMAC_intreq_dmaint3(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:161, DMAC_intreq_dmaint4(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:162, DMAC_intreq_dmaint5(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:163, DMAC_intreq_dmaint6(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:164, DMAC_intreq_dmaint7(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:165, DMAC_intreq_dmaint8(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:166, DMAC_intreq_dmaint9(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:167, DMAC_intreq_dmaint10(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:168, DMAC_intreq_dmaint11(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:169, DMAC_intreq_dmaint12(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:170, DMAC_intreq_dmaint13(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:171, DMAC_intreq_dmaint14(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:172, DMAC_intreq_dmaint15(Non-Secure) */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:173, DMAERR(Non-Secure) */
    0,                                 /* Interrupt ID:174, Reserved */
    0,                                 /* Interrupt ID:175, Reserved */
    0,                                 /* Interrupt ID:176, Reserved */
    0,                                 /* Interrupt ID:177, Reserved */
    0,                                 /* Interrupt ID:178, Reserved */
    0,                                 /* Interrupt ID:179, Reserved */
    0,                                 /* Interrupt ID:180, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:181, vs1o_intreq_n */
    0,                                 /* Interrupt ID:182, Reserved */
    0,                                 /* Interrupt ID:183, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:184, duo_intr_n */
    0,                                 /* Interrupt ID:185, Reserved */
    0,                                 /* Interrupt ID:186, Reserved */
    0,                                 /* Interrupt ID:187, Reserved */
    0,                                 /* Interrupt ID:188, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:189, ISU_INT_FRE */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:190, ISU_INT_DESE */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:191, ISU_INT_STOPE */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:192, ISU_INT_ERR */
    0,                                 /* Interrupt ID:193, Reserved */
    0,                                 /* Interrupt ID:194, Reserved */
    0,                                 /* Interrupt ID:195, Reserved */
    0,                                 /* Interrupt ID:196, Reserved */
    0,                                 /* Interrupt ID:197, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:198, csi2_link_int  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:199, image_conv_int */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:200, image_conv_err_int */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:201, axi_mst_err_int */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:202, tgi0a_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:203, tgi0b_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:204, tgi0c_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:205, tgi0d_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:206, tci0v_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:207, tgi0e_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:208, tgi0f_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:209, tgi1a_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:210, tgi1b_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:211, tci1v_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:212, tci1u_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:213, tgi2a_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:214, tgi2b_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:215, tci2v_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:216, tci2u_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:217, tgi3ai_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:218, tgi3bi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:219, tgi3ci_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:220, tgi3di_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:221, tci3vi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:222, tgi4ai_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:223, tgi4bi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:224, tgi4ci_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:225, tgi4di_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:226, tci4vi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:227, tgi5ui_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:228, tgi5vi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:229, tgi5wi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:230, tgi6ai_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:231, tgi6bi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:232, tgi6ci_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:233, tgi6di_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:234, tci6vi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:235, tgi7ai_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:236, tgi7bi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:237, tgi7ci_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:238, tgi7di_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:239, tci7vi_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:240, tgi8a_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:241, tgi8b_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:242, tgi8c_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:243, tgi8d_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:244, tci8v_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:245, tci8u_pls_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:246, poe_oei1_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:247, poe_oei2_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:248, poe_oei3_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:249, poe_oei4_n */
    0,                                 /* Interrupt ID:250, Reserved */
    0,                                 /* Interrupt ID:251, Reserved */
    0,                                 /* Interrupt ID:252, Reserved */
    0,                                 /* Interrupt ID:253, Reserved */
    0,                                 /* Interrupt ID:254, Reserved */
    0,                                 /* Interrupt ID:255, Reserved */
    0,                                 /* Interrupt ID:256, Reserved */
    0,                                 /* Interrupt ID:257, Reserved */
    0,                                 /* Interrupt ID:258, Reserved */
    0,                                 /* Interrupt ID:259, Reserved */
    0,                                 /* Interrupt ID:260, Reserved */
    0,                                 /* Interrupt ID:261, Reserved */
    0,                                 /* Interrupt ID:262, Reserved */
    0,                                 /* Interrupt ID:263, Reserved */
    0,                                 /* Interrupt ID:264, Reserved */
    0,                                 /* Interrupt ID:265, Reserved */
    0,                                 /* Interrupt ID:266, Reserved */
    0,                                 /* Interrupt ID:267, Reserved */
    0,                                 /* Interrupt ID:268, Reserved */
    0,                                 /* Interrupt ID:269, Reserved */
    0,                                 /* Interrupt ID:270, Reserved */
    0,                                 /* Interrupt ID:271, Reserved */
    0,                                 /* Interrupt ID:272, Reserved */
    0,                                 /* Interrupt ID:273, Reserved */
    0,                                 /* Interrupt ID:274, Reserved */
    0,                                 /* Interrupt ID:275, Reserved */
    0,                                 /* Interrupt ID:276, Reserved */
    0,                                 /* Interrupt ID:277, Reserved */
    0,                                 /* Interrupt ID:278, Reserved */
    0,                                 /* Interrupt ID:279, Reserved */
    0,                                 /* Interrupt ID:280, Reserved */
    0,                                 /* Interrupt ID:281, Reserved */
    0,                                 /* Interrupt ID:282, Reserved */
    0,                                 /* Interrupt ID:283, Reserved */
    0,                                 /* Interrupt ID:284, Reserved */
    0,                                 /* Interrupt ID:285, Reserved */
    0,                                 /* Interrupt ID:286, Reserved */
    0,                                 /* Interrupt ID:287, Reserved */
    0,                                 /* Interrupt ID:288, Reserved */
    0,                                 /* Interrupt ID:289, Reserved */
    0,                                 /* Interrupt ID:290, Reserved */
    0,                                 /* Interrupt ID:291, Reserved */
    0,                                 /* Interrupt ID:292, Reserved */
    0,                                 /* Interrupt ID:293, Reserved */
    0,                                 /* Interrupt ID:294, Reserved */
    0,                                 /* Interrupt ID:295, Reserved */
    0,                                 /* Interrupt ID:296, Reserved */
    0,                                 /* Interrupt ID:297, Reserved */
    0,                                 /* Interrupt ID:298, Reserved */
    0,                                 /* Interrupt ID:299, Reserved */
    0,                                 /* Interrupt ID:300, Reserved */
    0,                                 /* Interrupt ID:301, Reserved */
    0,                                 /* Interrupt ID:302, Reserved */
    0,                                 /* Interrupt ID:303, Reserved */
    0,                                 /* Interrupt ID:304, Reserved */
    0,                                 /* Interrupt ID:305, Reserved */
    0,                                 /* Interrupt ID:306, Reserved */
    0,                                 /* Interrupt ID:307, Reserved */
    0,                                 /* Interrupt ID:308, Reserved */
    0,                                 /* Interrupt ID:309, Reserved */
    0,                                 /* Interrupt ID:310, Reserved */
    0,                                 /* Interrupt ID:311, Reserved */
    0,                                 /* Interrupt ID:312, Reserved */
    0,                                 /* Interrupt ID:313, Reserved */
    0,                                 /* Interrupt ID:314, Reserved */
    0,                                 /* Interrupt ID:315, Reserved */
    0,                                 /* Interrupt ID:316, Reserved */
    0,                                 /* Interrupt ID:317, Reserved */
    0,                                 /* Interrupt ID:318, Reserved */
    0,                                 /* Interrupt ID:319, Reserved */
    0,                                 /* Interrupt ID:320, Reserved */
    0,                                 /* Interrupt ID:321, Reserved */
    0,                                 /* Interrupt ID:322, Reserved */
    0,                                 /* Interrupt ID:323, Reserved */
    0,                                 /* Interrupt ID:324, Reserved */
    0,                                 /* Interrupt ID:325, Reserved */
    0,                                 /* Interrupt ID:326, Reserved */
    0,                                 /* Interrupt ID:327, Reserved */
    0,                                 /* Interrupt ID:328, Reserved */
    0,                                 /* Interrupt ID:329, Reserved */
    0,                                 /* Interrupt ID:330, Reserved */
    0,                                 /* Interrupt ID:331, Reserved */
    0,                                 /* Interrupt ID:332, Reserved */
    0,                                 /* Interrupt ID:333, Reserved */
    0,                                 /* Interrupt ID:334, Reserved */
    0,                                 /* Interrupt ID:335, Reserved */
    0,                                 /* Interrupt ID:336, Reserved */
    0,                                 /* Interrupt ID:337, Reserved */
    0,                                 /* Interrupt ID:338, Reserved */
    0,                                 /* Interrupt ID:339, Reserved */
    0,                                 /* Interrupt ID:340, Reserved */
    0,                                 /* Interrupt ID:341, Reserved */
    0,                                 /* Interrupt ID:342, Reserved */
    0,                                 /* Interrupt ID:343, Reserved */
    0,                                 /* Interrupt ID:344, Reserved */
    0,                                 /* Interrupt ID:345, Reserved */
    0,                                 /* Interrupt ID:346, Reserved */
    0,                                 /* Interrupt ID:347, Reserved */
    0,                                 /* Interrupt ID:348, Reserved */
    0,                                 /* Interrupt ID:349, Reserved */
    0,                                 /* Interrupt ID:350, Reserved */
    0,                                 /* Interrupt ID:351, Reserved */
    0,                                 /* Interrupt ID:352, Reserved */
    0,                                 /* Interrupt ID:353, Reserved */
    0,                                 /* Interrupt ID:354, Reserved */
    0,                                 /* Interrupt ID:355, Reserved */
    0,                                 /* Interrupt ID:356, Reserved */
    0,                                 /* Interrupt ID:357, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:358, INT_ssif_int_req */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:359, INT_ssif_dma_rx */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:360, INT_ssif_dma_tx */
    0,                                 /* Interrupt ID:361, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:362, INT_ssif_int_req */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:363, INT_ssif_dma_rx */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:364, INT_ssif_dma_tx */
    0,                                 /* Interrupt ID:365, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:366, INT_ssif_int_req */
    0,                                 /* Interrupt ID:367, Reserved */
    0,                                 /* Interrupt ID:368, Reserved */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:369, INT_ssif_dma_rt */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:370, INT_ssif_int_req */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:371, INT_ssif_dma_rx */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:372, INT_ssif_dma_tx */
    0,                                 /* Interrupt ID:373, Reserved */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:374, intdma_src_idei_pls_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:375, intdma_src_odfi_pls_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:376, intreq_src_cef_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:377, intreq_src_udf_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:378, intreq_src_ovf_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:379, INTAD */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:380, ri_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:381, ti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:382, tei_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:383, naki_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:384, spi_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:385, sti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:386, ali_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:387, tmoi_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:388, ri_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:389, ti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:390, tei_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:391, naki_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:392, spi_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:393, sti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:394, ali_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:395, tmoi_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:396, ri_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:397, ti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:398, tei_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:399, naki_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:400, spi_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:401, sti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:402, ali_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:403, tmoi_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:404, ri_p */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:405, ti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:406, tei_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:407, naki_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:408, spi_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:409, sti_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:410, ali_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:411, tmoi_p */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:412, ub1_rerr_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:413, ub1_brk_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:414, ub1_rxi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:415, ub1_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:416, ub1_tei_dri_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:417, ub1_rerr_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:418, ub1_brk_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:419, ub1_rxi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:420, ub1_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:421, ub1_tei_dri_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:422, ub1_rerr_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:423, ub1_brk_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:424, ub1_rxi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:425, ub1_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:426, ub1_tei_dri_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:427, ub1_rerr_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:428, ub1_brk_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:429, ub1_rxi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:430, ub1_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:431, ub1_tei_dri_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:432, ub1_rerr_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:433, ub1_brk_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:434, ub1_rxi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:435, ub1_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:436, ub1_tei_dri_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:437, sc_eri_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:438, sc_rxi_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:439, sc_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:440, sc_tei_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:441, sc_eri_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:442, sc_rxi_n */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:443, sc_txi_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:444, sc_tei_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:445, sp_rxint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:446, sp_txint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:447, sp_errint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:448, sp_rxint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:449, sp_txint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:450, sp_errint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:451, sp_rxint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:452, sp_txint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:453, sp_errint_n */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:454, can_cherr_int[0]  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:455, can_cherr_int[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:456, can_comfrx_int[0]  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:457, can_comfrx_int[1] */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:458, can_glerr_int  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:459, can_rxf_int  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:460, can_tx_int[0]  */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:461, can_tx_int[1] */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:462, WRRDYB_1_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:463, WRRDYB_0_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:464, WRRDYB_4_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:465, RDRDYB_1_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:466, RDRDYB_0_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:467, ROM_OK_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:468, LONG_PLGB_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:469, PROC_BUSYB_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:470, INTEGRATE_RDRDYB_G */
    GICD_ICFGR_SENSE_EDGE,             /* Interrupt ID:471, INTEGRATE_WRRDYB_G */
    0,                                 /* Interrupt ID:472, Reserved */
    0,                                 /* Interrupt ID:473, Reserved */
    0,                                 /* Interrupt ID:474, Reserved */
    0,                                 /* Interrupt ID:475, Reserved */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:476, TINT0 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:477, TINT1 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:478, TINT2 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:479, TINT3 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:480, TINT4 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:481, TINT5 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:482, TINT6 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:483, TINT7 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:484, TINT8 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:485, TINT9 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:486, TINT10 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:487, TINT11 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:488, TINT12 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:489, TINT13 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:490, TINT14 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:491, TINT15 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:492, TINT16 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:493, TINT17 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:494, TINT18 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:495, TINT19 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:496, TINT20 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:497, TINT21 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:498, TINT22 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:499, TINT23 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:500, TINT24 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:501, TINT25 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:502, TINT26 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:503, TINT27 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:504, TINT28 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:505, TINT29 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:506, TINT30 */
    GICD_ICFGR_SENSE_LEVEL,            /* Interrupt ID:507, TINT31 */
    0,                                 /* Interrupt ID:508, Reserved */
    0,                                 /* Interrupt ID:509, Reserved */
    0,                                 /* Interrupt ID:510, Reserved */
    0,                                 /* Interrupt ID:511, Reserved */
};
