#ifndef __MENU_H__
#define __MENU_H__

#include "eC_String.h"

#include "GUIObjectHandleResource.h"
#include "GUIImageResource.h"

#include "GUICompositeObject.h"

#include "GUIBehaviourDecorator.h"
#include "GUIButton.h"
#include "GUICommand.h"

class Menu : public CGUICompositeObject
{
public:
    Menu(
        CGUICompositeObject* pkParent,
        const eC_Value& vMenuWidth, const eC_Value& vMenuHeight,
        const eC_Value& vButtonWidth, const eC_Value& vButtonHeight,
        const eC_Value& vIconSize);

    virtual ~Menu();

    void CreateMenuButton(
        const eC_UInt& uiIndex, const eC_UInt& uiIconIndex,
        const eC_UInt& uiIconCountPerLine,
        const eC_Value& vIconX, const eC_Value& vIconY);
    void ExpandCollapse();

private:
    CGUIButton* m_pkButton;
    CGUICompositeObject* m_pkButtonBox;
    eC_Bool m_bExpanded;
    eC_Value m_vIconSize;
    eC_Value m_vIconPaddingX;
    eC_Value m_vIconPaddingY;
};

class MenuBehaviour : public CGUIBehaviourDecorator
{
public:
    MenuBehaviour(Menu* pkMenu);

protected:
    virtual eC_Bool DoClick(
        const eC_Value& vAbsX,
        const eC_Value& vAbsY);

private:
    Menu* m_pkMenu;
};

class DialogSwitch : public CGUIBehaviourDecorator
{
public:
    DialogSwitch(Menu* pkMenu, const ObjectHandle_t& eID, const eC_String& kDestName);

    virtual eC_Bool DoClick(
        const eC_Value& vAbsX,
        const eC_Value& vAbsY);

private:
    Menu* m_pkMenu;
    ObjectHandle_t m_eID;
    eC_String m_kDestName;
};


#endif
