
#
# FreeRTOS-GNU-arm-rza3ul specific settings
#

# set outputs
SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}/Binary/${CMAKE_SYSTEM_NAME}/${CMAKE_PLATFORM_NAME}/${CMAKE_CXX_COMPILER_ID}/${CMAKE_BUILD_TYPE}")

# include directories
TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME}
  PRIVATE "${PROJECT_SOURCE_DIR}/Common/Include/Platform/FreeRTOS"
  PRIVATE "${PROJECT_SOURCE_DIR}/Common/Include/Platform/rza3ul"
  PRIVATE "${PATH_EGAC}/Include/eC/FreeRTOS"
)

# source files
FILE(GLOB PLATFORM_COMMON_RZA_CPP
  "${PROJECT_SOURCE_DIR}/Common/Source/Platform/FreeRTOS/StreamRuntime.cpp"
  "${PROJECT_SOURCE_DIR}/Common/Source/Platform/FreeRTOS/StreamRuntimeStartup.cpp"
)

FILE(GLOB PLATFORM_RZA_CPP
    "${PROJECT_SOURCE_DIR}/Common/Source/Platform/FreeRTOS/new_delete.cpp"
    "${PROJECT_SOURCE_DIR}/Common/Source/Platform/FreeRTOS/StreamRuntime_RZA3UL_main.cpp"
    "${PROJECT_SOURCE_DIR}/Common/Source/Platform/FreeRTOS/StreamRuntime_RZA3UL_Funcs.cpp"
    "${PROJECT_SOURCE_DIR}/Common/Source/Platform/rza3ul/GfxEnvRZA3.cpp"
    "${PROJECT_SOURCE_DIR}/Common/Source/Platform/rza3ul/GUIInputRZA3.cpp"
    )

SET(PLATFORM_FILES 
    ${PLATFORM_RZA_CPP}
    ${PLATFORM_COMMON_RZA_CPP}
    ${SYSCALLS_C}
)

TARGET_LINK_DIRECTORIES(${PROJECT_NAME}
  PRIVATE "${CMAKE_BINARY_DIR}"
)

ADD_SUBDIRECTORY(${CMAKE_BSP_SUBDIRECTORY} ./BSP)

# FREETYPE
IF(GUILIANI_ADD_FREETYPE_PLATFORM)
  TARGET_INCLUDE_DIRECTORIES(${PROJECT_NAME}
    PRIVATE "${PATH_LIBS}/freetype/include"
  )

  TARGET_LINK_DIRECTORIES(${PROJECT_NAME}
    PRIVATE "${PATH_LIBS}/freetype/lib"
  )

  LIST(APPEND PLATFORM_LIBS
    "freetype_rza3ul"
  )
ENDIF()

LIST(APPEND PLATFORM_LIBS
    "BSP"
)

SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${LINKER_SCRIPT}")

ADD_CUSTOM_TARGET(PostBuildTarget ALL
  COMMAND "${CMAKE_OBJCOPY}" --verbose -O ihex $<TARGET_FILE:${PROJECT_NAME}> $<TARGET_FILE_DIR:${PROJECT_NAME}>/${PROJECT_NAME}.elf
  COMMAND "${TOOLCHAIN}/aarch64-none-elf-size" $<TARGET_FILE:${PROJECT_NAME}>
  COMMENT "create binary file"
  DEPENDS ${PROJECT_NAME}
)
