#ifndef __GUIINPUT_RZA3_H__
#define __GUIINPUT_RZA3_H__

extern "C"
{
    #include "touch_gslX680.h"
}

#include "eC_Semaphore.h"
#include "eC_Types.h"
#include "eC_TList_doubleLinked.h"
#include "GUIInputMedia.h"
#include "GUIEvent.h"

/** this class is used for the input-device on the RA6M3
*/
class CGUIInputRZA3 : public CGUIInputMedia
{
public:
    /**
        Singleton for creating an input object and change the pointer in
        base class to input window.
        @param iTouchScreenX
        @param iTouchScreenY
        @param iTouchScreenWidth
        @param iTouchScreenHeight
        @param iTouchFilterDelta
     */
    static void CreateInstance(
        const eC_Int& iTouchScreenX,
        const eC_Int& iTouchScreenY,
        const eC_Int& iTouchScreenWidth,
        const eC_Int& iTouchScreenHeight,
        const eC_Int& iTouchFilterDelta);
    
    /** add a new event
    @param kTouchEvent
    */
    void AddEvent(touchevent_data_t kTouchEvent);

protected:
    /** constructor
        @param iTouchScreenX
        @param iTouchScreenY
        @param iTouchScreenWidth
        @param iTouchScreenHeight
        @param iTouchFilterDelta
    */
    CGUIInputRZA3(
        const eC_Int& iTouchScreenX,
        const eC_Int& iTouchScreenY,
        const eC_Int& iTouchScreenWidth,
        const eC_Int& iTouchScreenHeight,
        const eC_Int& iTouchFilterDelta);

    /** destructor
    */
    ~CGUIInputRZA3();
    
private:
    /**
        Copy-constructor.
        @param kSource Source object to be copied.
     */
    CGUIInputRZA3(const CGUIInputRZA3& kSource);

    /**
        Operator= method.
        @param kSource Source object to be copied.
        @return This instance.
     */
    CGUIInputRZA3& operator=(const CGUIInputRZA3& kSource);
    
private:
    eC_Int m_iTouchScreenX;
    eC_Int m_iTouchScreenY;
    eC_Int m_iTouchScreenWidth;
    eC_Int m_iTouchScreenHeight;
    eC_Int m_iTouchFilterDelta;
    
    touchevent_data_t m_eLastTouchEvent;
    
    eC_Int m_iLastPositionX;
    eC_Int m_iLastPositionY;

    eC_Int m_iLastDraggedX;
    eC_Int m_iLastDraggedY;
};
#endif
