/*
* Copyright (C) 2004 TES Electronic Solutions GmbH,
* All Rights Reserved.
* This source code and any compilation or derivative thereof is the
* proprietary information of TES Electronic Solutions GmbH
* and is confidential in nature.
* Under no circumstances is this software to be exposed to or placed
* under an Open Source License of any type without the expressed
* written permission of TES Electronic Solutions GmbH
*
*############################################################
*/

// Standard Headers
#include <new>
#include <string.h>

#include "main_thread.h"
#include "common_data.h"

extern "C"
{
#include "rza3ul_smarc_vcom.h"
}

// Guiliani Headers
#include "GUIConfigDebug.h"

#include "GUITrace.h"
#include "GUIResourceFileHandler.h"
#include "StreamRuntimeConfig.h"
#include "StreamRuntimeStartup.h"

#include "GUIInputMedia.h"
#include "GUIEvent.h"

// Mem leak watcher need to be last
#include "GUIMemLeakWatcher.h"

extern "C" void GuilianiStart();

void InitPeripherals();

/* MainTask entry function */
/* pvParameters contains TaskHandle_t */
void main_thread_entry(void *pvParameters)
{
    FSP_PARAMETER_NOT_USED (pvParameters);

    /* Configure pins. */
    R_IOPORT_Open(&g_ioport_ctrl, &g_bsp_pin_cfg);

    // Initialize uart
    bsp_vcom_open();
    bsp_vcom_print((char*)"Initialize uart.\r\n");

    InitPeripherals();

    GuilianiStart();

    while (1)
    {
        vTaskDelay(1000);
    }
}
