/***********************************************************************************************************************
 * Copyright [2020-2023] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : canfd_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for canfd.
 *********************************************************************************************************************/

#ifndef CANFD_IOBITMASK_H
#define CANFD_IOBITMASK_H

#define R_CANFD_RSCFDnCFDC0NCFG_NBRP_Msk            (0x000003FFUL)
#define R_CANFD_RSCFDnCFDC0NCFG_NBRP_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NSJW_Msk            (0x0000F800UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NSJW_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NTSEG1_Msk          (0x007F0000UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NTSEG1_Pos          (16UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NTSEG2_Msk          (0x1F000000UL)
#define R_CANFD_RSCFDnCFDC0NCFG_NTSEG2_Pos          (24UL)
#define R_CANFD_RSCFDnCFDC0CTR_CHMDC_Msk            (0x00000003UL)
#define R_CANFD_RSCFDnCFDC0CTR_CHMDC_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC0CTR_CSLPR_Msk            (0x00000004UL)
#define R_CANFD_RSCFDnCFDC0CTR_CSLPR_Pos            (2UL)
#define R_CANFD_RSCFDnCFDC0CTR_RTBO_Msk             (0x00000008UL)
#define R_CANFD_RSCFDnCFDC0CTR_RTBO_Pos             (3UL)
#define R_CANFD_RSCFDnCFDC0CTR_BEIE_Msk             (0x00000100UL)
#define R_CANFD_RSCFDnCFDC0CTR_BEIE_Pos             (8UL)
#define R_CANFD_RSCFDnCFDC0CTR_EWIE_Msk             (0x00000200UL)
#define R_CANFD_RSCFDnCFDC0CTR_EWIE_Pos             (9UL)
#define R_CANFD_RSCFDnCFDC0CTR_EPIE_Msk             (0x00000400UL)
#define R_CANFD_RSCFDnCFDC0CTR_EPIE_Pos             (10UL)
#define R_CANFD_RSCFDnCFDC0CTR_BOEIE_Msk            (0x00000800UL)
#define R_CANFD_RSCFDnCFDC0CTR_BOEIE_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC0CTR_BORIE_Msk            (0x00001000UL)
#define R_CANFD_RSCFDnCFDC0CTR_BORIE_Pos            (12UL)
#define R_CANFD_RSCFDnCFDC0CTR_OLIE_Msk             (0x00002000UL)
#define R_CANFD_RSCFDnCFDC0CTR_OLIE_Pos             (13UL)
#define R_CANFD_RSCFDnCFDC0CTR_BLIE_Msk             (0x00004000UL)
#define R_CANFD_RSCFDnCFDC0CTR_BLIE_Pos             (14UL)
#define R_CANFD_RSCFDnCFDC0CTR_ALIE_Msk             (0x00008000UL)
#define R_CANFD_RSCFDnCFDC0CTR_ALIE_Pos             (15UL)
#define R_CANFD_RSCFDnCFDC0CTR_TAIE_Msk             (0x00010000UL)
#define R_CANFD_RSCFDnCFDC0CTR_TAIE_Pos             (16UL)
#define R_CANFD_RSCFDnCFDC0CTR_EOCOIE_Msk           (0x00020000UL)
#define R_CANFD_RSCFDnCFDC0CTR_EOCOIE_Pos           (17UL)
#define R_CANFD_RSCFDnCFDC0CTR_SOCOIE_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDC0CTR_SOCOIE_Pos           (18UL)
#define R_CANFD_RSCFDnCFDC0CTR_TDCVFIE_Msk          (0x00080000UL)
#define R_CANFD_RSCFDnCFDC0CTR_TDCVFIE_Pos          (19UL)
#define R_CANFD_RSCFDnCFDC0CTR_BOM_Msk              (0x00600000UL)
#define R_CANFD_RSCFDnCFDC0CTR_BOM_Pos              (21UL)
#define R_CANFD_RSCFDnCFDC0CTR_ERRD_Msk             (0x00800000UL)
#define R_CANFD_RSCFDnCFDC0CTR_ERRD_Pos             (23UL)
#define R_CANFD_RSCFDnCFDC0CTR_CTME_Msk             (0x01000000UL)
#define R_CANFD_RSCFDnCFDC0CTR_CTME_Pos             (24UL)
#define R_CANFD_RSCFDnCFDC0CTR_CTMS_Msk             (0x06000000UL)
#define R_CANFD_RSCFDnCFDC0CTR_CTMS_Pos             (25UL)
#define R_CANFD_RSCFDnCFDC0CTR_CRCT_Msk             (0x40000000UL)
#define R_CANFD_RSCFDnCFDC0CTR_CRCT_Pos             (30UL)
#define R_CANFD_RSCFDnCFDC0CTR_ROM_Msk              (0x80000000UL)
#define R_CANFD_RSCFDnCFDC0CTR_ROM_Pos              (31UL)
#define R_CANFD_RSCFDnCFDC0STS_CRSTSTS_Msk          (0x00000001UL)
#define R_CANFD_RSCFDnCFDC0STS_CRSTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDC0STS_CHLTSTS_Msk          (0x00000002UL)
#define R_CANFD_RSCFDnCFDC0STS_CHLTSTS_Pos          (1UL)
#define R_CANFD_RSCFDnCFDC0STS_CSLPSTS_Msk          (0x00000004UL)
#define R_CANFD_RSCFDnCFDC0STS_CSLPSTS_Pos          (2UL)
#define R_CANFD_RSCFDnCFDC0STS_EPSTS_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDC0STS_EPSTS_Pos            (3UL)
#define R_CANFD_RSCFDnCFDC0STS_BOSTS_Msk            (0x00000010UL)
#define R_CANFD_RSCFDnCFDC0STS_BOSTS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDC0STS_TRMSTS_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDC0STS_TRMSTS_Pos           (5UL)
#define R_CANFD_RSCFDnCFDC0STS_RECSTS_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDC0STS_RECSTS_Pos           (6UL)
#define R_CANFD_RSCFDnCFDC0STS_COMSTS_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDC0STS_COMSTS_Pos           (7UL)
#define R_CANFD_RSCFDnCFDC0STS_ESIF_Msk             (0x00000100UL)
#define R_CANFD_RSCFDnCFDC0STS_ESIF_Pos             (8UL)
#define R_CANFD_RSCFDnCFDC0STS_REC_Msk              (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDC0STS_REC_Pos              (16UL)
#define R_CANFD_RSCFDnCFDC0STS_TEC_Msk              (0xFF000000UL)
#define R_CANFD_RSCFDnCFDC0STS_TEC_Pos              (24UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BEF_Msk             (0x00000001UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BEF_Pos             (0UL)
#define R_CANFD_RSCFDnCFDC0ERFL_EWF_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDC0ERFL_EWF_Pos             (1UL)
#define R_CANFD_RSCFDnCFDC0ERFL_EPF_Msk             (0x00000004UL)
#define R_CANFD_RSCFDnCFDC0ERFL_EPF_Pos             (2UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BOEF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BOEF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BORF_Msk            (0x00000010UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BORF_Pos            (4UL)
#define R_CANFD_RSCFDnCFDC0ERFL_OVLF_Msk            (0x00000020UL)
#define R_CANFD_RSCFDnCFDC0ERFL_OVLF_Pos            (5UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BLF_Msk             (0x00000040UL)
#define R_CANFD_RSCFDnCFDC0ERFL_BLF_Pos             (6UL)
#define R_CANFD_RSCFDnCFDC0ERFL_ALF_Msk             (0x00000080UL)
#define R_CANFD_RSCFDnCFDC0ERFL_ALF_Pos             (7UL)
#define R_CANFD_RSCFDnCFDC0ERFL_SERR_Msk            (0x00000100UL)
#define R_CANFD_RSCFDnCFDC0ERFL_SERR_Pos            (8UL)
#define R_CANFD_RSCFDnCFDC0ERFL_FERR_Msk            (0x00000200UL)
#define R_CANFD_RSCFDnCFDC0ERFL_FERR_Pos            (9UL)
#define R_CANFD_RSCFDnCFDC0ERFL_AERR_Msk            (0x00000400UL)
#define R_CANFD_RSCFDnCFDC0ERFL_AERR_Pos            (10UL)
#define R_CANFD_RSCFDnCFDC0ERFL_CERR_Msk            (0x00000800UL)
#define R_CANFD_RSCFDnCFDC0ERFL_CERR_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC0ERFL_B1ERR_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDC0ERFL_B1ERR_Pos           (12UL)
#define R_CANFD_RSCFDnCFDC0ERFL_B0ERR_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDC0ERFL_B0ERR_Pos           (13UL)
#define R_CANFD_RSCFDnCFDC0ERFL_ADERR_Msk           (0x00004000UL)
#define R_CANFD_RSCFDnCFDC0ERFL_ADERR_Pos           (14UL)
#define R_CANFD_RSCFDnCFDC0ERFL_CRCREG_Msk          (0x7FFF0000UL)
#define R_CANFD_RSCFDnCFDC0ERFL_CRCREG_Pos          (16UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NBRP_Msk            (0x000003FFUL)
#define R_CANFD_RSCFDnCFDC1NCFG_NBRP_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NSJW_Msk            (0x0000F800UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NSJW_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NTSEG1_Msk          (0x007F0000UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NTSEG1_Pos          (16UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NTSEG2_Msk          (0x1F000000UL)
#define R_CANFD_RSCFDnCFDC1NCFG_NTSEG2_Pos          (24UL)
#define R_CANFD_RSCFDnCFDC1CTR_CHMDC_Msk            (0x00000003UL)
#define R_CANFD_RSCFDnCFDC1CTR_CHMDC_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC1CTR_CSLPR_Msk            (0x00000004UL)
#define R_CANFD_RSCFDnCFDC1CTR_CSLPR_Pos            (2UL)
#define R_CANFD_RSCFDnCFDC1CTR_RTBO_Msk             (0x00000008UL)
#define R_CANFD_RSCFDnCFDC1CTR_RTBO_Pos             (3UL)
#define R_CANFD_RSCFDnCFDC1CTR_BEIE_Msk             (0x00000100UL)
#define R_CANFD_RSCFDnCFDC1CTR_BEIE_Pos             (8UL)
#define R_CANFD_RSCFDnCFDC1CTR_EWIE_Msk             (0x00000200UL)
#define R_CANFD_RSCFDnCFDC1CTR_EWIE_Pos             (9UL)
#define R_CANFD_RSCFDnCFDC1CTR_EPIE_Msk             (0x00000400UL)
#define R_CANFD_RSCFDnCFDC1CTR_EPIE_Pos             (10UL)
#define R_CANFD_RSCFDnCFDC1CTR_BOEIE_Msk            (0x00000800UL)
#define R_CANFD_RSCFDnCFDC1CTR_BOEIE_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC1CTR_BORIE_Msk            (0x00001000UL)
#define R_CANFD_RSCFDnCFDC1CTR_BORIE_Pos            (12UL)
#define R_CANFD_RSCFDnCFDC1CTR_OLIE_Msk             (0x00002000UL)
#define R_CANFD_RSCFDnCFDC1CTR_OLIE_Pos             (13UL)
#define R_CANFD_RSCFDnCFDC1CTR_BLIE_Msk             (0x00004000UL)
#define R_CANFD_RSCFDnCFDC1CTR_BLIE_Pos             (14UL)
#define R_CANFD_RSCFDnCFDC1CTR_ALIE_Msk             (0x00008000UL)
#define R_CANFD_RSCFDnCFDC1CTR_ALIE_Pos             (15UL)
#define R_CANFD_RSCFDnCFDC1CTR_TAIE_Msk             (0x00010000UL)
#define R_CANFD_RSCFDnCFDC1CTR_TAIE_Pos             (16UL)
#define R_CANFD_RSCFDnCFDC1CTR_EOCOIE_Msk           (0x00020000UL)
#define R_CANFD_RSCFDnCFDC1CTR_EOCOIE_Pos           (17UL)
#define R_CANFD_RSCFDnCFDC1CTR_SOCOIE_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDC1CTR_SOCOIE_Pos           (18UL)
#define R_CANFD_RSCFDnCFDC1CTR_TDCVFIE_Msk          (0x00080000UL)
#define R_CANFD_RSCFDnCFDC1CTR_TDCVFIE_Pos          (19UL)
#define R_CANFD_RSCFDnCFDC1CTR_BOM_Msk              (0x00600000UL)
#define R_CANFD_RSCFDnCFDC1CTR_BOM_Pos              (21UL)
#define R_CANFD_RSCFDnCFDC1CTR_ERRD_Msk             (0x00800000UL)
#define R_CANFD_RSCFDnCFDC1CTR_ERRD_Pos             (23UL)
#define R_CANFD_RSCFDnCFDC1CTR_CTME_Msk             (0x01000000UL)
#define R_CANFD_RSCFDnCFDC1CTR_CTME_Pos             (24UL)
#define R_CANFD_RSCFDnCFDC1CTR_CTMS_Msk             (0x06000000UL)
#define R_CANFD_RSCFDnCFDC1CTR_CTMS_Pos             (25UL)
#define R_CANFD_RSCFDnCFDC1CTR_CRCT_Msk             (0x40000000UL)
#define R_CANFD_RSCFDnCFDC1CTR_CRCT_Pos             (30UL)
#define R_CANFD_RSCFDnCFDC1CTR_ROM_Msk              (0x80000000UL)
#define R_CANFD_RSCFDnCFDC1CTR_ROM_Pos              (31UL)
#define R_CANFD_RSCFDnCFDC1STS_CRSTSTS_Msk          (0x00000001UL)
#define R_CANFD_RSCFDnCFDC1STS_CRSTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDC1STS_CHLTSTS_Msk          (0x00000002UL)
#define R_CANFD_RSCFDnCFDC1STS_CHLTSTS_Pos          (1UL)
#define R_CANFD_RSCFDnCFDC1STS_CSLPSTS_Msk          (0x00000004UL)
#define R_CANFD_RSCFDnCFDC1STS_CSLPSTS_Pos          (2UL)
#define R_CANFD_RSCFDnCFDC1STS_EPSTS_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDC1STS_EPSTS_Pos            (3UL)
#define R_CANFD_RSCFDnCFDC1STS_BOSTS_Msk            (0x00000010UL)
#define R_CANFD_RSCFDnCFDC1STS_BOSTS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDC1STS_TRMSTS_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDC1STS_TRMSTS_Pos           (5UL)
#define R_CANFD_RSCFDnCFDC1STS_RECSTS_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDC1STS_RECSTS_Pos           (6UL)
#define R_CANFD_RSCFDnCFDC1STS_COMSTS_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDC1STS_COMSTS_Pos           (7UL)
#define R_CANFD_RSCFDnCFDC1STS_ESIF_Msk             (0x00000100UL)
#define R_CANFD_RSCFDnCFDC1STS_ESIF_Pos             (8UL)
#define R_CANFD_RSCFDnCFDC1STS_REC_Msk              (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDC1STS_REC_Pos              (16UL)
#define R_CANFD_RSCFDnCFDC1STS_TEC_Msk              (0xFF000000UL)
#define R_CANFD_RSCFDnCFDC1STS_TEC_Pos              (24UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BEF_Msk             (0x00000001UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BEF_Pos             (0UL)
#define R_CANFD_RSCFDnCFDC1ERFL_EWF_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDC1ERFL_EWF_Pos             (1UL)
#define R_CANFD_RSCFDnCFDC1ERFL_EPF_Msk             (0x00000004UL)
#define R_CANFD_RSCFDnCFDC1ERFL_EPF_Pos             (2UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BOEF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BOEF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BORF_Msk            (0x00000010UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BORF_Pos            (4UL)
#define R_CANFD_RSCFDnCFDC1ERFL_OVLF_Msk            (0x00000020UL)
#define R_CANFD_RSCFDnCFDC1ERFL_OVLF_Pos            (5UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BLF_Msk             (0x00000040UL)
#define R_CANFD_RSCFDnCFDC1ERFL_BLF_Pos             (6UL)
#define R_CANFD_RSCFDnCFDC1ERFL_ALF_Msk             (0x00000080UL)
#define R_CANFD_RSCFDnCFDC1ERFL_ALF_Pos             (7UL)
#define R_CANFD_RSCFDnCFDC1ERFL_SERR_Msk            (0x00000100UL)
#define R_CANFD_RSCFDnCFDC1ERFL_SERR_Pos            (8UL)
#define R_CANFD_RSCFDnCFDC1ERFL_FERR_Msk            (0x00000200UL)
#define R_CANFD_RSCFDnCFDC1ERFL_FERR_Pos            (9UL)
#define R_CANFD_RSCFDnCFDC1ERFL_AERR_Msk            (0x00000400UL)
#define R_CANFD_RSCFDnCFDC1ERFL_AERR_Pos            (10UL)
#define R_CANFD_RSCFDnCFDC1ERFL_CERR_Msk            (0x00000800UL)
#define R_CANFD_RSCFDnCFDC1ERFL_CERR_Pos            (11UL)
#define R_CANFD_RSCFDnCFDC1ERFL_B1ERR_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDC1ERFL_B1ERR_Pos           (12UL)
#define R_CANFD_RSCFDnCFDC1ERFL_B0ERR_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDC1ERFL_B0ERR_Pos           (13UL)
#define R_CANFD_RSCFDnCFDC1ERFL_ADERR_Msk           (0x00004000UL)
#define R_CANFD_RSCFDnCFDC1ERFL_ADERR_Pos           (14UL)
#define R_CANFD_RSCFDnCFDC1ERFL_CRCREG_Msk          (0x7FFF0000UL)
#define R_CANFD_RSCFDnCFDC1ERFL_CRCREG_Pos          (16UL)
#define R_CANFD_RSCFDnCFDGCFG_TPRI_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDGCFG_TPRI_Pos              (0UL)
#define R_CANFD_RSCFDnCFDGCFG_DCE_Msk               (0x00000002UL)
#define R_CANFD_RSCFDnCFDGCFG_DCE_Pos               (1UL)
#define R_CANFD_RSCFDnCFDGCFG_DRE_Msk               (0x00000004UL)
#define R_CANFD_RSCFDnCFDGCFG_DRE_Pos               (2UL)
#define R_CANFD_RSCFDnCFDGCFG_MME_Msk               (0x00000008UL)
#define R_CANFD_RSCFDnCFDGCFG_MME_Pos               (3UL)
#define R_CANFD_RSCFDnCFDGCFG_DCS_Msk               (0x00000010UL)
#define R_CANFD_RSCFDnCFDGCFG_DCS_Pos               (4UL)
#define R_CANFD_RSCFDnCFDGCFG_CMPOC_Msk             (0x00000020UL)
#define R_CANFD_RSCFDnCFDGCFG_CMPOC_Pos             (5UL)
#define R_CANFD_RSCFDnCFDGCFG_TSP_Msk               (0x00000F00UL)
#define R_CANFD_RSCFDnCFDGCFG_TSP_Pos               (8UL)
#define R_CANFD_RSCFDnCFDGCFG_TSSS_Msk              (0x00001000UL)
#define R_CANFD_RSCFDnCFDGCFG_TSSS_Pos              (12UL)
#define R_CANFD_RSCFDnCFDGCFG_TSBTCS_Msk            (0x0000E000UL)
#define R_CANFD_RSCFDnCFDGCFG_TSBTCS_Pos            (13UL)
#define R_CANFD_RSCFDnCFDGCFG_ITRCP_Msk             (0xFFFF0000UL)
#define R_CANFD_RSCFDnCFDGCFG_ITRCP_Pos             (16UL)
#define R_CANFD_RSCFDnCFDGCTR_GMDC_Msk              (0x00000003UL)
#define R_CANFD_RSCFDnCFDGCTR_GMDC_Pos              (0UL)
#define R_CANFD_RSCFDnCFDGCTR_GSLPR_Msk             (0x00000004UL)
#define R_CANFD_RSCFDnCFDGCTR_GSLPR_Pos             (2UL)
#define R_CANFD_RSCFDnCFDGCTR_DEIE_Msk              (0x00000100UL)
#define R_CANFD_RSCFDnCFDGCTR_DEIE_Pos              (8UL)
#define R_CANFD_RSCFDnCFDGCTR_MEIE_Msk              (0x00000200UL)
#define R_CANFD_RSCFDnCFDGCTR_MEIE_Pos              (9UL)
#define R_CANFD_RSCFDnCFDGCTR_THLEIE_Msk            (0x00000400UL)
#define R_CANFD_RSCFDnCFDGCTR_THLEIE_Pos            (10UL)
#define R_CANFD_RSCFDnCFDGCTR_CMPOFIE_Msk           (0x00000800UL)
#define R_CANFD_RSCFDnCFDGCTR_CMPOFIE_Pos           (11UL)
#define R_CANFD_RSCFDnCFDGCTR_TSRST_Msk             (0x00010000UL)
#define R_CANFD_RSCFDnCFDGCTR_TSRST_Pos             (16UL)
#define R_CANFD_RSCFDnCFDGSTS_GRSTSTS_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDGSTS_GRSTSTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDGSTS_GHLTSTS_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDGSTS_GHLTSTS_Pos           (1UL)
#define R_CANFD_RSCFDnCFDGSTS_GSLPSTS_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDGSTS_GSLPSTS_Pos           (2UL)
#define R_CANFD_RSCFDnCFDGSTS_GRAMINIT_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDGSTS_GRAMINIT_Pos          (3UL)
#define R_CANFD_RSCFDnCFDGERFL_DEF_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDGERFL_DEF_Pos              (0UL)
#define R_CANFD_RSCFDnCFDGERFL_MES_Msk              (0x00000002UL)
#define R_CANFD_RSCFDnCFDGERFL_MES_Pos              (1UL)
#define R_CANFD_RSCFDnCFDGERFL_THLES_Msk            (0x00000004UL)
#define R_CANFD_RSCFDnCFDGERFL_THLES_Pos            (2UL)
#define R_CANFD_RSCFDnCFDGERFL_CMPOF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDGERFL_CMPOF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDGTSC_TS_Msk                (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDGTSC_TS_Pos                (0UL)
#define R_CANFD_RSCFDnCFDGAFLECTR_AFLPN_Msk         (0x0000001FUL)
#define R_CANFD_RSCFDnCFDGAFLECTR_AFLPN_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLECTR_AFLDAE_Msk        (0x00000100UL)
#define R_CANFD_RSCFDnCFDGAFLECTR_AFLDAE_Pos        (8UL)
#define R_CANFD_RSCFDnCFDGAFLCFG0_RNC1_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDGAFLCFG0_RNC1_Pos          (16UL)
#define R_CANFD_RSCFDnCFDGAFLCFG0_RNC0_Msk          (0xFF000000UL)
#define R_CANFD_RSCFDnCFDGAFLCFG0_RNC0_Pos          (24UL)
#define R_CANFD_RSCFDnCFDRMNB_NRXMB_Msk             (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRMNB_NRXMB_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMNB_RMPLS_Msk             (0x00000300UL)
#define R_CANFD_RSCFDnCFDRMNB_RMPLS_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRMND0_RMNSq_Msk            (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMND0_RMNSq_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC0_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC1_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC2_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC3_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC4_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC5_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC6_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIE_Msk             (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIE_Pos             (1UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDRFCC7_RFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS0_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS1_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS2_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS3_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS4_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS5_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS6_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFIF_Msk            (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFIF_Pos            (3UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDRFSTS7_RFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDRFPCTR0_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR0_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR1_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR1_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR2_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR2_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR3_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR3_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR4_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR4_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR5_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR5_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR6_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR6_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFPCTR7_RFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDRFPCTR7_RFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC0_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC1_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC2_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC3_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC4_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFE_Msk              (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFE_Pos              (0UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFRXIE_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFRXIE_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFTXIE_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFTXIE_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFPLS_Msk            (0x00000070UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFPLS_Pos            (4UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFDC_Msk             (0x00000700UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFDC_Pos             (8UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFIM_Msk             (0x00001000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFIM_Pos             (12UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFIGCV_Msk           (0x0000E000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFIGCV_Pos           (13UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFM_Msk              (0x00030000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFM_Pos              (16UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITSS_Msk           (0x00040000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITSS_Pos           (18UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITR_Msk            (0x00080000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITR_Pos            (19UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFTML_Msk            (0x00F00000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFTML_Pos            (20UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITT_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDCFCC5_CFITT_Pos            (24UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS0_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS1_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS2_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS3_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS4_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFEMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFEMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFFLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFFLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFMLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFMLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFRXIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFRXIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFTXIF_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFTXIF_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFMC_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDCFSTS5_CFMC_Pos            (8UL)
#define R_CANFD_RSCFDnCFDCFPCTR0_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR0_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFPCTR1_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR1_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFPCTR2_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR2_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFPCTR3_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR3_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFPCTR4_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR4_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDCFPCTR5_CFPC_Msk           (0x000000FFUL)
#define R_CANFD_RSCFDnCFDCFPCTR5_CFPC_Pos           (0UL)
#define R_CANFD_RSCFDnCFDFESTS_RF0EMP_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDFESTS_RF0EMP_Pos           (0UL)
#define R_CANFD_RSCFDnCFDFESTS_RF1EMP_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDFESTS_RF1EMP_Pos           (1UL)
#define R_CANFD_RSCFDnCFDFESTS_RF2EMP_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDFESTS_RF2EMP_Pos           (2UL)
#define R_CANFD_RSCFDnCFDFESTS_RF3EMP_Msk           (0x00000008UL)
#define R_CANFD_RSCFDnCFDFESTS_RF3EMP_Pos           (3UL)
#define R_CANFD_RSCFDnCFDFESTS_RF4EMP_Msk           (0x00000010UL)
#define R_CANFD_RSCFDnCFDFESTS_RF4EMP_Pos           (4UL)
#define R_CANFD_RSCFDnCFDFESTS_RF5EMP_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDFESTS_RF5EMP_Pos           (5UL)
#define R_CANFD_RSCFDnCFDFESTS_RF6EMP_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDFESTS_RF6EMP_Pos           (6UL)
#define R_CANFD_RSCFDnCFDFESTS_RF7EMP_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDFESTS_RF7EMP_Pos           (7UL)
#define R_CANFD_RSCFDnCFDFESTS_CF0EMP_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDFESTS_CF0EMP_Pos           (8UL)
#define R_CANFD_RSCFDnCFDFESTS_CF1EMP_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDFESTS_CF1EMP_Pos           (9UL)
#define R_CANFD_RSCFDnCFDFESTS_CF2EMP_Msk           (0x00000400UL)
#define R_CANFD_RSCFDnCFDFESTS_CF2EMP_Pos           (10UL)
#define R_CANFD_RSCFDnCFDFESTS_CF3EMP_Msk           (0x00000800UL)
#define R_CANFD_RSCFDnCFDFESTS_CF3EMP_Pos           (11UL)
#define R_CANFD_RSCFDnCFDFESTS_CF4EMP_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDFESTS_CF4EMP_Pos           (12UL)
#define R_CANFD_RSCFDnCFDFESTS_CF5EMP_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDFESTS_CF5EMP_Pos           (13UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF0FLL_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF0FLL_Pos           (0UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF1FLL_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF1FLL_Pos           (1UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF2FLL_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF2FLL_Pos           (2UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF3FLL_Msk           (0x00000008UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF3FLL_Pos           (3UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF4FLL_Msk           (0x00000010UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF4FLL_Pos           (4UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF5FLL_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF5FLL_Pos           (5UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF6FLL_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF6FLL_Pos           (6UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF7FLL_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDFFSTS_RF7FLL_Pos           (7UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF0FLL_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF0FLL_Pos           (8UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF1FLL_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF1FLL_Pos           (9UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF2FLL_Msk           (0x00000400UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF2FLL_Pos           (10UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF3FLL_Msk           (0x00000800UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF3FLL_Pos           (11UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF4FLL_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF4FLL_Pos           (12UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF5FLL_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDFFSTS_CF5FLL_Pos           (13UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF0MLT_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF0MLT_Pos           (0UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF1MLT_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF1MLT_Pos           (1UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF2MLT_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF2MLT_Pos           (2UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF3MLT_Msk           (0x00000008UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF3MLT_Pos           (3UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF4MLT_Msk           (0x00000010UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF4MLT_Pos           (4UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF5MLT_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF5MLT_Pos           (5UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF6MLT_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF6MLT_Pos           (6UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF7MLT_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDFMSTS_RF7MLT_Pos           (7UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF0MLT_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF0MLT_Pos           (8UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF1MLT_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF1MLT_Pos           (9UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF2MLT_Msk           (0x00000400UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF2MLT_Pos           (10UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF3MLT_Msk           (0x00000800UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF3MLT_Pos           (11UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF4MLT_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF4MLT_Pos           (12UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF5MLT_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDFMSTS_CF5MLT_Pos           (13UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF0IF_Msk           (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF0IF_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF1IF_Msk           (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF1IF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF2IF_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF2IF_Pos           (2UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF3IF_Msk           (0x00000008UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF3IF_Pos           (3UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF4IF_Msk           (0x00000010UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF4IF_Pos           (4UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF5IF_Msk           (0x00000020UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF5IF_Pos           (5UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF6IF_Msk           (0x00000040UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF6IF_Pos           (6UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF7IF_Msk           (0x00000080UL)
#define R_CANFD_RSCFDnCFDRFISTS_RF7IF_Pos           (7UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF0RXIF_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF0RXIF_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF1RXIF_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF1RXIF_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF2RXIF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF2RXIF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF3RXIF_Msk        (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF3RXIF_Pos        (3UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF4RXIF_Msk        (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF4RXIF_Pos        (4UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF5RXIF_Msk        (0x00000020UL)
#define R_CANFD_RSCFDnCFDCFRISTS_CF5RXIF_Pos        (5UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF0TXIF_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF0TXIF_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF1TXIF_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF1TXIF_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF2TXIF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF2TXIF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF3TXIF_Msk        (0x00000008UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF3TXIF_Pos        (3UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF4TXIF_Msk        (0x00000010UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF4TXIF_Pos        (4UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF5TXIF_Msk        (0x00000020UL)
#define R_CANFD_RSCFDnCFDCFTISTS_CF5TXIF_Pos        (5UL)
#define R_CANFD_RSCFDnCFDTMC0_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC0_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC0_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC0_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC0_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC0_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC1_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC1_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC1_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC1_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC1_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC1_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC2_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC2_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC2_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC2_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC2_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC2_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC3_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC3_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC3_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC3_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC3_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC3_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC4_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC4_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC4_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC4_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC4_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC4_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC5_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC5_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC5_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC5_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC5_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC5_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC6_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC6_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC6_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC6_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC6_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC6_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC7_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC7_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC7_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC7_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC7_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC7_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC8_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC8_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC8_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC8_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC8_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC8_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC9_TMTR_Msk              (0x01UL)
#define R_CANFD_RSCFDnCFDTMC9_TMTR_Pos              (0UL)
#define R_CANFD_RSCFDnCFDTMC9_TMTAR_Msk             (0x02UL)
#define R_CANFD_RSCFDnCFDTMC9_TMTAR_Pos             (1UL)
#define R_CANFD_RSCFDnCFDTMC9_TMOM_Msk              (0x04UL)
#define R_CANFD_RSCFDnCFDTMC9_TMOM_Pos              (2UL)
#define R_CANFD_RSCFDnCFDTMC10_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC10_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC10_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC10_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC10_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC10_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC11_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC11_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC11_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC11_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC11_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC11_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC12_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC12_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC12_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC12_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC12_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC12_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC13_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC13_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC13_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC13_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC13_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC13_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC14_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC14_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC14_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC14_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC14_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC14_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC15_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC15_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC15_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC15_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC15_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC15_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC16_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC16_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC16_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC16_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC16_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC16_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC17_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC17_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC17_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC17_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC17_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC17_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC18_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC18_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC18_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC18_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC18_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC18_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC19_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC19_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC19_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC19_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC19_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC19_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC20_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC20_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC20_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC20_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC20_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC20_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC21_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC21_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC21_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC21_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC21_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC21_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC22_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC22_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC22_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC22_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC22_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC22_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC23_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC23_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC23_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC23_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC23_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC23_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC24_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC24_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC24_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC24_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC24_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC24_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC25_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC25_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC25_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC25_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC25_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC25_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC26_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC26_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC26_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC26_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC26_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC26_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC27_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC27_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC27_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC27_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC27_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC27_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC28_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC28_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC28_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC28_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC28_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC28_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC29_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC29_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC29_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC29_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC29_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC29_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC30_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC30_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC30_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC30_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC30_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC30_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMC31_TMTR_Msk             (0x01UL)
#define R_CANFD_RSCFDnCFDTMC31_TMTR_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMC31_TMTAR_Msk            (0x02UL)
#define R_CANFD_RSCFDnCFDTMC31_TMTAR_Pos            (1UL)
#define R_CANFD_RSCFDnCFDTMC31_TMOM_Msk             (0x04UL)
#define R_CANFD_RSCFDnCFDTMC31_TMOM_Pos             (2UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS0_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS1_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS2_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS3_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS4_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS5_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS6_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS7_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS8_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTSTS_Msk          (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTSTS_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTRF_Msk           (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTRF_Pos           (1UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTRM_Msk           (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTRM_Pos           (3UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTARM_Msk          (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS9_TMTARM_Pos          (4UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS10_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS11_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS12_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS13_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS14_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS15_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS16_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS17_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS18_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS19_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS20_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS21_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS22_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS23_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS24_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS25_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS26_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS27_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS28_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS29_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS30_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTSTS_Msk         (0x01UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTSTS_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTRF_Msk          (0x06UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTRF_Pos          (1UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTRM_Msk          (0x08UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTRM_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTARM_Msk         (0x10UL)
#define R_CANFD_RSCFDnCFDTMSTS31_TMTARM_Pos         (4UL)
#define R_CANFD_RSCFDnCFDTMTRSTS0_TMTRSTSp_Msk      (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMTRSTS0_TMTRSTSp_Pos      (0UL)
#define R_CANFD_RSCFDnCFDTMTARSTS0_TMTARSTSp_Msk    (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMTARSTS0_TMTARSTSp_Pos    (0UL)
#define R_CANFD_RSCFDnCFDTMTCSTS0_TMTCSTSp_Msk      (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMTCSTS0_TMTCSTSp_Pos      (0UL)
#define R_CANFD_RSCFDnCFDTMTASTS0_TMTASTSp_Msk      (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMTASTS0_TMTASTSp_Pos      (0UL)
#define R_CANFD_RSCFDnCFDTMIEC0_TMIEp_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMIEC0_TMIEp_Pos           (0UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQE_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQE_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQDC_Msk           (0x00000F00UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQDC_Pos           (8UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQIE_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQIE_Pos           (12UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQIM_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDTXQCC0_TXQIM_Pos           (13UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQE_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQE_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQDC_Msk           (0x00000F00UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQDC_Pos           (8UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQIE_Msk           (0x00001000UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQIE_Pos           (12UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQIM_Msk           (0x00002000UL)
#define R_CANFD_RSCFDnCFDTXQCC1_TXQIM_Pos           (13UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQEMP_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQEMP_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQFLL_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQFLL_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQIF_Msk          (0x00000004UL)
#define R_CANFD_RSCFDnCFDTXQSTS0_TXQIF_Pos          (2UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQEMP_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQEMP_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQFLL_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQFLL_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQIF_Msk          (0x00000004UL)
#define R_CANFD_RSCFDnCFDTXQSTS1_TXQIF_Pos          (2UL)
#define R_CANFD_RSCFDnCFDTXQPCTR0_TXQPC_Msk         (0x000000FFUL)
#define R_CANFD_RSCFDnCFDTXQPCTR0_TXQPC_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTXQPCTR1_TXQPC_Msk         (0x000000FFUL)
#define R_CANFD_RSCFDnCFDTXQPCTR1_TXQPC_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLE_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLE_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLIE_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLIE_Pos           (8UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLIM_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLIM_Pos           (9UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLDTE_Msk          (0x00000400UL)
#define R_CANFD_RSCFDnCFDTHLCC0_THLDTE_Pos          (10UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLE_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLE_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLIE_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLIE_Pos           (8UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLIM_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLIM_Pos           (9UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLDTE_Msk          (0x00000400UL)
#define R_CANFD_RSCFDnCFDTHLCC1_THLDTE_Pos          (10UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLEMP_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLEMP_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLFLL_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLFLL_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLELT_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLELT_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLMC_Msk          (0x00001F00UL)
#define R_CANFD_RSCFDnCFDTHLSTS0_THLMC_Pos          (8UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLEMP_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLEMP_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLFLL_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLFLL_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLELT_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLELT_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLIF_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLIF_Pos          (3UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLMC_Msk          (0x00001F00UL)
#define R_CANFD_RSCFDnCFDTHLSTS1_THLMC_Pos          (8UL)
#define R_CANFD_RSCFDnCFDTHLPCTR0_THLPC_Msk         (0x000000FFUL)
#define R_CANFD_RSCFDnCFDTHLPCTR0_THLPC_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTHLPCTR1_THLPC_Msk         (0x000000FFUL)
#define R_CANFD_RSCFDnCFDTHLPCTR1_THLPC_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TSIF0_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TSIF0_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TAIF0_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TAIF0_Pos        (1UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TQIF0_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TQIF0_Pos        (2UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_CFTIF0_Msk       (0x00000008UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_CFTIF0_Pos       (3UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_THIF0_Msk        (0x00000010UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_THIF0_Pos        (4UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TSIF1_Msk        (0x00000100UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TSIF1_Pos        (8UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TAIF1_Msk        (0x00000200UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TAIF1_Pos        (9UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TQIF1_Msk        (0x00000400UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_TQIF1_Pos        (10UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_CFTIF1_Msk       (0x00000800UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_CFTIF1_Pos       (11UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_THIF1_Msk        (0x00001000UL)
#define R_CANFD_RSCFDnCFDGTINTSTS0_THIF1_Pos        (12UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_C0ICBCE_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_C0ICBCE_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_C1ICBCE_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_C1ICBCE_Pos        (1UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_RTMPS_Msk          (0x007F0000UL)
#define R_CANFD_RSCFDnCFDGTSTCFG_RTMPS_Pos          (16UL)
#define R_CANFD_RSCFDnCFDGTSTCTR_ICBCTME_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDGTSTCTR_ICBCTME_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGTSTCTR_RTME_Msk           (0x00000004UL)
#define R_CANFD_RSCFDnCFDGTSTCTR_RTME_Pos           (2UL)
#define R_CANFD_RSCFDnCFDGFDCFG_RPED_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDGFDCFG_RPED_Pos            (0UL)
#define R_CANFD_RSCFDnCFDGFDCFG_TSCCFG_Msk          (0x00000300UL)
#define R_CANFD_RSCFDnCFDGFDCFG_TSCCFG_Pos          (8UL)
#define R_CANFD_RSCFDnCFDGLOCKK_LOCK_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDGLOCKK_LOCK_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE0_Msk          (0x00000001UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE0_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE1_Msk          (0x00000002UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE1_Pos          (1UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE2_Msk          (0x00000004UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE2_Pos          (2UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE3_Msk          (0x00000008UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE3_Pos          (3UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE4_Msk          (0x00000010UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE4_Pos          (4UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE5_Msk          (0x00000020UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE5_Pos          (5UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE6_Msk          (0x00000040UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE6_Pos          (6UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE7_Msk          (0x00000080UL)
#define R_CANFD_RSCFDnCFDCDTCT_RFDMAE7_Pos          (7UL)
#define R_CANFD_RSCFDnCFDCDTCT_CFDMAE0_Msk          (0x00000100UL)
#define R_CANFD_RSCFDnCFDCDTCT_CFDMAE0_Pos          (8UL)
#define R_CANFD_RSCFDnCFDCDTCT_CFDMAE1_Msk          (0x00000200UL)
#define R_CANFD_RSCFDnCFDCDTCT_CFDMAE1_Pos          (9UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS0_Msk       (0x00000001UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS0_Pos       (0UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS1_Msk       (0x00000002UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS1_Pos       (1UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS2_Msk       (0x00000004UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS2_Pos       (2UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS3_Msk       (0x00000008UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS3_Pos       (3UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS4_Msk       (0x00000010UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS4_Pos       (4UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS5_Msk       (0x00000020UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS5_Pos       (5UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS6_Msk       (0x00000040UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS6_Pos       (6UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS7_Msk       (0x00000080UL)
#define R_CANFD_RSCFDnCFDCDTSTS_RFDMASTS7_Pos       (7UL)
#define R_CANFD_RSCFDnCFDCDTSTS_CFDMASTS0_Msk       (0x00000100UL)
#define R_CANFD_RSCFDnCFDCDTSTS_CFDMASTS0_Pos       (8UL)
#define R_CANFD_RSCFDnCFDCDTSTS_CFDMASTS1_Msk       (0x00000200UL)
#define R_CANFD_RSCFDnCFDCDTSTS_CFDMASTS1_Pos       (9UL)
#define R_CANFD_RSCFDnCFDGRMCFG_RCMC_Msk            (0x00000001UL)
#define R_CANFD_RSCFDnCFDGRMCFG_RCMC_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DBRP_Msk            (0x000000FFUL)
#define R_CANFD_RSCFDnCFDC0DCFG_DBRP_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DTSEG1_Msk          (0x000F0000UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DTSEG1_Pos          (16UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DTSEG2_Msk          (0x00700000UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DTSEG2_Pos          (20UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DSJW_Msk            (0x07000000UL)
#define R_CANFD_RSCFDnCFDC0DCFG_DSJW_Pos            (24UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_EOCCFG_Msk         (0x00000007UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_EOCCFG_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCOC_Msk          (0x00000100UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCOC_Pos          (8UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCE_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCE_Pos           (9UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_ESIC_Msk           (0x00000400UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_ESIC_Pos           (10UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCO_Msk           (0x007F0000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TDCO_Pos           (16UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWEN_Msk           (0x01000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWEN_Pos           (24UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWFDF_Msk          (0x02000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWFDF_Pos          (25UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWBRS_Msk          (0x04000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_GWBRS_Pos          (26UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TMME_Msk           (0x08000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_TMME_Pos           (27UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_FDOE_Msk           (0x10000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_FDOE_Pos           (28UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_REFE_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDC0FDCFG_REFE_Pos           (29UL)
#define R_CANFD_RSCFDnCFDC0FDCTR_EOCCLR_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDC0FDCTR_EOCCLR_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC0FDCTR_SOCCLR_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDC0FDCTR_SOCCLR_Pos         (1UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_TDCR_Msk           (0x0000007FUL)
#define R_CANFD_RSCFDnCFDC0FDSTS_TDCR_Pos           (0UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_TDCVF_Msk          (0x00000080UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_TDCVF_Pos          (7UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_EOCO_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_EOCO_Pos           (8UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_SOCO_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_SOCO_Pos           (9UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_EOC_Msk            (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_EOC_Pos            (16UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_SOC_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDC0FDSTS_SOC_Pos            (24UL)
#define R_CANFD_RSCFDnCFDC0FDCRC_CRCREG_Msk         (0x001FFFFFUL)
#define R_CANFD_RSCFDnCFDC0FDCRC_CRCREG_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC0FDCRC_SCNT_Msk           (0x0F000000UL)
#define R_CANFD_RSCFDnCFDC0FDCRC_SCNT_Pos           (24UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DBRP_Msk            (0x000000FFUL)
#define R_CANFD_RSCFDnCFDC1DCFG_DBRP_Pos            (0UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DTSEG1_Msk          (0x000F0000UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DTSEG1_Pos          (16UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DTSEG2_Msk          (0x00700000UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DTSEG2_Pos          (20UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DSJW_Msk            (0x07000000UL)
#define R_CANFD_RSCFDnCFDC1DCFG_DSJW_Pos            (24UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_EOCCFG_Msk         (0x00000007UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_EOCCFG_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCOC_Msk          (0x00000100UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCOC_Pos          (8UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCE_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCE_Pos           (9UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_ESIC_Msk           (0x00000400UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_ESIC_Pos           (10UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCO_Msk           (0x007F0000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TDCO_Pos           (16UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWEN_Msk           (0x01000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWEN_Pos           (24UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWFDF_Msk          (0x02000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWFDF_Pos          (25UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWBRS_Msk          (0x04000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_GWBRS_Pos          (26UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TMME_Msk           (0x08000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_TMME_Pos           (27UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_FDOE_Msk           (0x10000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_FDOE_Pos           (28UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_REFE_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDC1FDCFG_REFE_Pos           (29UL)
#define R_CANFD_RSCFDnCFDC1FDCTR_EOCCLR_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDC1FDCTR_EOCCLR_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC1FDCTR_SOCCLR_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDC1FDCTR_SOCCLR_Pos         (1UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_TDCR_Msk           (0x0000007FUL)
#define R_CANFD_RSCFDnCFDC1FDSTS_TDCR_Pos           (0UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_TDCVF_Msk          (0x00000080UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_TDCVF_Pos          (7UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_EOCO_Msk           (0x00000100UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_EOCO_Pos           (8UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_SOCO_Msk           (0x00000200UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_SOCO_Pos           (9UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_EOC_Msk            (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_EOC_Pos            (16UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_SOC_Msk            (0xFF000000UL)
#define R_CANFD_RSCFDnCFDC1FDSTS_SOC_Pos            (24UL)
#define R_CANFD_RSCFDnCFDC1FDCRC_CRCREG_Msk         (0x001FFFFFUL)
#define R_CANFD_RSCFDnCFDC1FDCRC_CRCREG_Pos         (0UL)
#define R_CANFD_RSCFDnCFDC1FDCRC_SCNT_Msk           (0x0F000000UL)
#define R_CANFD_RSCFDnCFDC1FDCRC_SCNT_Pos           (24UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID0_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM0_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_0_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_0_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_0_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID1_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM1_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_1_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_1_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_1_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID2_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM2_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_2_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_2_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_2_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID3_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM3_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_3_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_3_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_3_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID4_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM4_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_4_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_4_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_4_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID5_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM5_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_5_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_5_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_5_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID6_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM6_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_6_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_6_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_6_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID7_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM7_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_7_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_7_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_7_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID8_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM8_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_8_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_8_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_8_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLID_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLID_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLLB_Msk         (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLLB_Pos         (29UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLRTR_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLRTR_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLIDE_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID9_GAFLIDE_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLIDM_Msk         (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLIDM_Pos         (0UL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLRTRM_Msk        (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLRTRM_Pos        (30UL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLIDEM_Msk        (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM9_GAFLIDEM_Pos        (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLRMDP_Msk      (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLRMDP_Pos      (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLRMV_Msk       (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLRMV_Pos       (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLPTR_Msk       (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLPTR_Pos       (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLDLC_Msk       (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_9_GAFLDLC_Pos       (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_9_GAFLFDP_Msk       (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_9_GAFLFDP_Pos       (0UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID10_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM10_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_10_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_10_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_10_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID11_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM11_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_11_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_11_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_11_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID12_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM12_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_12_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_12_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_12_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID13_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM13_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_13_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_13_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_13_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID14_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM14_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_14_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_14_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_14_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLID_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLID_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLLB_Msk        (0x20000000UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLLB_Pos        (29UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLRTR_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLRTR_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLIDE_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLID15_GAFLIDE_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLIDM_Msk        (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLIDM_Pos        (0UL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLRTRM_Msk       (0x40000000UL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLRTRM_Pos       (30UL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLIDEM_Msk       (0x80000000UL)
#define R_CANFD_RSCFDnCFDGAFLM15_GAFLIDEM_Pos       (31UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLRMDP_Msk     (0x00007F00UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLRMDP_Pos     (8UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLRMV_Msk      (0x00008000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLRMV_Pos      (15UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLPTR_Msk      (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLPTR_Pos      (16UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLDLC_Msk      (0xF0000000UL)
#define R_CANFD_RSCFDnCFDGAFLP0_15_GAFLDLC_Pos      (28UL)
#define R_CANFD_RSCFDnCFDGAFLP1_15_GAFLFDP_Msk      (0x00003FFFUL)
#define R_CANFD_RSCFDnCFDGAFLP1_15_GAFLFDP_Pos      (0UL)
#define R_CANFD_RSCFDnCFDRMID0_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID0_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID0_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID0_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID0_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID0_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR0_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS0_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_0_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_0_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_0_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_0_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_0_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_0_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_0_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_0_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_0_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_0_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID1_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID1_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID1_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID1_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID1_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID1_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR1_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS1_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_1_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_1_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_1_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_1_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_1_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_1_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_1_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_1_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_1_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_1_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID2_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID2_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID2_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID2_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID2_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID2_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR2_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS2_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_2_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_2_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_2_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_2_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_2_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_2_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_2_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_2_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_2_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_2_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID3_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID3_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID3_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID3_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID3_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID3_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR3_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS3_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_3_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_3_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_3_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_3_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_3_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_3_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_3_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_3_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_3_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_3_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID4_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID4_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID4_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID4_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID4_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID4_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR4_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS4_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_4_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_4_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_4_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_4_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_4_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_4_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_4_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_4_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_4_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_4_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID5_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID5_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID5_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID5_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID5_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID5_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR5_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS5_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_5_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_5_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_5_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_5_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_5_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_5_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_5_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_5_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_5_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_5_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID6_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID6_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID6_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID6_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID6_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID6_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR6_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS6_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_6_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_6_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_6_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_6_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_6_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_6_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_6_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_6_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_6_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_6_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID7_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID7_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID7_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID7_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID7_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID7_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR7_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS7_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_7_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_7_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_7_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_7_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_7_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_7_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_7_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_7_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_7_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_7_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID8_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID8_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID8_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID8_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID8_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID8_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR8_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS8_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_8_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_8_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_8_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_8_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_8_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_8_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_8_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_8_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_8_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_8_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID9_RMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID9_RMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRMID9_RMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID9_RMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRMID9_RMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID9_RMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR9_RMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS9_RMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_9_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_9_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_9_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_9_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_9_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_9_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_9_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_9_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_9_RMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_9_RMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRMID10_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID10_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID10_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID10_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID10_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID10_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR10_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS10_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_10_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_10_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_10_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_10_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_10_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_10_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_10_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_10_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_10_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_10_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID11_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID11_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID11_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID11_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID11_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID11_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR11_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS11_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_11_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_11_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_11_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_11_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_11_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_11_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_11_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_11_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_11_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_11_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID12_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID12_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID12_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID12_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID12_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID12_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR12_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS12_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_12_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_12_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_12_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_12_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_12_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_12_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_12_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_12_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_12_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_12_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID13_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID13_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID13_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID13_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID13_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID13_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR13_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS13_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_13_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_13_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_13_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_13_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_13_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_13_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_13_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_13_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_13_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_13_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID14_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID14_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID14_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID14_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID14_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID14_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR14_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS14_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_14_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_14_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_14_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_14_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_14_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_14_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_14_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_14_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_14_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_14_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID15_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID15_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID15_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID15_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID15_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID15_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR15_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS15_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_15_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_15_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_15_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_15_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_15_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_15_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_15_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_15_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_15_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_15_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID16_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID16_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID16_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID16_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID16_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID16_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR16_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS16_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_16_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_16_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_16_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_16_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_16_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_16_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_16_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_16_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_16_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_16_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID17_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID17_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID17_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID17_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID17_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID17_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR17_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS17_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_17_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_17_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_17_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_17_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_17_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_17_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_17_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_17_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_17_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_17_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID18_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID18_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID18_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID18_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID18_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID18_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR18_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS18_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_18_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_18_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_18_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_18_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_18_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_18_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_18_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_18_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_18_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_18_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID19_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID19_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID19_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID19_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID19_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID19_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR19_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS19_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_19_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_19_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_19_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_19_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_19_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_19_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_19_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_19_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_19_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_19_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID20_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID20_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID20_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID20_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID20_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID20_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR20_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS20_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_20_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_20_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_20_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_20_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_20_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_20_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_20_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_20_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_20_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_20_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID21_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID21_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID21_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID21_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID21_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID21_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR21_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS21_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_21_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_21_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_21_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_21_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_21_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_21_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_21_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_21_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_21_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_21_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID22_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID22_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID22_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID22_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID22_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID22_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR22_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS22_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_22_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_22_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_22_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_22_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_22_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_22_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_22_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_22_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_22_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_22_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID23_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID23_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID23_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID23_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID23_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID23_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR23_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS23_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_23_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_23_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_23_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_23_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_23_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_23_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_23_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_23_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_23_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_23_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID24_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID24_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID24_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID24_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID24_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID24_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR24_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS24_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_24_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_24_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_24_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_24_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_24_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_24_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_24_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_24_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_24_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_24_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID25_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID25_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID25_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID25_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID25_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID25_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR25_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS25_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_25_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_25_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_25_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_25_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_25_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_25_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_25_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_25_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_25_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_25_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID26_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID26_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID26_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID26_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID26_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID26_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR26_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS26_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_26_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_26_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_26_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_26_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_26_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_26_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_26_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_26_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_26_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_26_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID27_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID27_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID27_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID27_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID27_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID27_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR27_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS27_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_27_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_27_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_27_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_27_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_27_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_27_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_27_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_27_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_27_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_27_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID28_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID28_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID28_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID28_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID28_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID28_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR28_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS28_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_28_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_28_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_28_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_28_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_28_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_28_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_28_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_28_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_28_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_28_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID29_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID29_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID29_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID29_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID29_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID29_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR29_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS29_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_29_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_29_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_29_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_29_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_29_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_29_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_29_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_29_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_29_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_29_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID30_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID30_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID30_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID30_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID30_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID30_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR30_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS30_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_30_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_30_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_30_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_30_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_30_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_30_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_30_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_30_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_30_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_30_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMID31_RMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMID31_RMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRMID31_RMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDRMID31_RMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDRMID31_RMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDRMID31_RMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMTS_Msk           (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMTS_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMPTR_Msk          (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRMPTR31_RMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDRMFDSTS31_RMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDRMDF0_31_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF0_31_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF1_31_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF1_31_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF2_31_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF2_31_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF3_31_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF3_31_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRMDF4_31_RMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRMDF4_31_RMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID0_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID0_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID0_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID0_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID0_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID0_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR0_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS0_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_0_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_0_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_0_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_0_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID1_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID1_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID1_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID1_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID1_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID1_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR1_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS1_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_1_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_1_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_1_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_1_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID2_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID2_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID2_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID2_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID2_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID2_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR2_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS2_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_2_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_2_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_2_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_2_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID3_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID3_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID3_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID3_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID3_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID3_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR3_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS3_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_3_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_3_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_3_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_3_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID4_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID4_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID4_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID4_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID4_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID4_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR4_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS4_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_4_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_4_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_4_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_4_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID5_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID5_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID5_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID5_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID5_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID5_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR5_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS5_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_5_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_5_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_5_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_5_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID6_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID6_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID6_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID6_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID6_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID6_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR6_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS6_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_6_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_6_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_6_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_6_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFID7_RFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFID7_RFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDRFID7_RFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDRFID7_RFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDRFID7_RFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDRFID7_RFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDRFPTR7_RFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDRFFDSTS7_RFFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDRFDF0_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF0_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF1_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF1_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF2_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF2_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF3_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF3_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF4_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF4_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF5_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF5_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF6_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF6_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF7_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF7_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF8_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF8_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF9_7_RFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF9_7_RFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRFDF10_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF10_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF11_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF11_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF12_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF12_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF13_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF13_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF14_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF14_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDRFDF15_7_RFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRFDF15_7_RFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID0_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID0_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID0_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID0_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID0_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID0_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID0_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID0_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR0_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS0_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_0_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_0_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_0_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_0_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID1_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID1_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID1_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID1_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID1_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID1_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID1_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID1_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR1_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS1_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_1_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_1_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_1_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_1_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID2_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID2_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID2_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID2_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID2_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID2_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID2_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID2_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR2_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS2_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_2_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_2_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_2_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_2_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID3_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID3_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID3_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID3_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID3_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID3_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID3_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID3_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR3_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS3_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_3_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_3_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_3_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_3_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID4_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID4_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID4_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID4_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID4_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID4_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID4_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID4_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR4_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS4_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_4_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_4_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_4_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_4_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFID5_CFID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFID5_CFID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDCFID5_HLEN_Msk             (0x20000000UL)
#define R_CANFD_RSCFDnCFDCFID5_HLEN_Pos             (29UL)
#define R_CANFD_RSCFDnCFDCFID5_CFRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDCFID5_CFRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDCFID5_CFIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDCFID5_CFIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFTS_Msk            (0x0000FFFFUL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFTS_Pos            (0UL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFPTR_Msk           (0x0FFF0000UL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDCFPTR5_CFDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDCFFDCSTS5_CFFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDCFDF0_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF0_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF1_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF1_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF2_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF2_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF3_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF3_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF4_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF4_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF5_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF5_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF6_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF6_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF7_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF7_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF8_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF8_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF9_5_CFDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF9_5_CFDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDCFDF10_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF10_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF11_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF11_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF12_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF12_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF13_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF13_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF14_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF14_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDCFDF15_5_CFDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDCFDF15_5_CFDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID0_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID0_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID0_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID0_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID0_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID0_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID0_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID0_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR0_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR0_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR0_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR0_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR0_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_0_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_0_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_0_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_0_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_0_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_0_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_0_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_0_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_0_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_0_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID1_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID1_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID1_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID1_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID1_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID1_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID1_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID1_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR1_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR1_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR1_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR1_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR1_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_1_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_1_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_1_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_1_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_1_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_1_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_1_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_1_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_1_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_1_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID2_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID2_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID2_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID2_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID2_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID2_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID2_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID2_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR2_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR2_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR2_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR2_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR2_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_2_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_2_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_2_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_2_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_2_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_2_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_2_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_2_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_2_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_2_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID3_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID3_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID3_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID3_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID3_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID3_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID3_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID3_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR3_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR3_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR3_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR3_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR3_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_3_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_3_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_3_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_3_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_3_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_3_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_3_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_3_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_3_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_3_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID4_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID4_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID4_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID4_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID4_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID4_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID4_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID4_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR4_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR4_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR4_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR4_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR4_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_4_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_4_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_4_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_4_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_4_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_4_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_4_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_4_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_4_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_4_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID5_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID5_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID5_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID5_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID5_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID5_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID5_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID5_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR5_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR5_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR5_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR5_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR5_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_5_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_5_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_5_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_5_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_5_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_5_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_5_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_5_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_5_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_5_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID6_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID6_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID6_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID6_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID6_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID6_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID6_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID6_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR6_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR6_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR6_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR6_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR6_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_6_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_6_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_6_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_6_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_6_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_6_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_6_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_6_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_6_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_6_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID7_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID7_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID7_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID7_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID7_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID7_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID7_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID7_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR7_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR7_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR7_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR7_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR7_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_7_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_7_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_7_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_7_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_7_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_7_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_7_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_7_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_7_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_7_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID8_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID8_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID8_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID8_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID8_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID8_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID8_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID8_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR8_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR8_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR8_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR8_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR8_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_8_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_8_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_8_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_8_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_8_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_8_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_8_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_8_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_8_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_8_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID9_TMID_Msk             (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID9_TMID_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTMID9_THLEN_Msk            (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID9_THLEN_Pos            (29UL)
#define R_CANFD_RSCFDnCFDTMID9_TMRTR_Msk            (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID9_TMRTR_Pos            (30UL)
#define R_CANFD_RSCFDnCFDTMID9_TMIDE_Msk            (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID9_TMIDE_Pos            (31UL)
#define R_CANFD_RSCFDnCFDTMPTR9_TMPTR_Msk           (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR9_TMPTR_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTMPTR9_TMDLC_Msk           (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR9_TMDLC_Pos           (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMESI_Msk         (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMESI_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMBRS_Msk         (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMBRS_Pos         (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMFDF_Msk         (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR9_TMFDF_Pos         (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_9_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_9_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_9_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_9_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_9_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_9_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_9_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_9_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_9_TMDB4_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_9_TMDB4_Pos          (0UL)
#define R_CANFD_RSCFDnCFDTMID10_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID10_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID10_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID10_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID10_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID10_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID10_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID10_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR10_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR10_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR10_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR10_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR10_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_10_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_10_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_10_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_10_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_10_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_10_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_10_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_10_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_10_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_10_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID11_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID11_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID11_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID11_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID11_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID11_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID11_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID11_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR11_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR11_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR11_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR11_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR11_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_11_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_11_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_11_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_11_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_11_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_11_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_11_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_11_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_11_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_11_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID12_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID12_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID12_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID12_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID12_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID12_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID12_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID12_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR12_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR12_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR12_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR12_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR12_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_12_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_12_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_12_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_12_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_12_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_12_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_12_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_12_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_12_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_12_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID13_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID13_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID13_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID13_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID13_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID13_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID13_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID13_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR13_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR13_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR13_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR13_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR13_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_13_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_13_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_13_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_13_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_13_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_13_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_13_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_13_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_13_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_13_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID14_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID14_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID14_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID14_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID14_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID14_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID14_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID14_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR14_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR14_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR14_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR14_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR14_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_14_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_14_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_14_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_14_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_14_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_14_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_14_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_14_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_14_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_14_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID15_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID15_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID15_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID15_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID15_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID15_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID15_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID15_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR15_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR15_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR15_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR15_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR15_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_15_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_15_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_15_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_15_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_15_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_15_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_15_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_15_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_15_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_15_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID16_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID16_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID16_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID16_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID16_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID16_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID16_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID16_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR16_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR16_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR16_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR16_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR16_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_16_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_16_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_16_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_16_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_16_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_16_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_16_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_16_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_16_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_16_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID17_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID17_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID17_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID17_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID17_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID17_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID17_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID17_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR17_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR17_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR17_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR17_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR17_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_17_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_17_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_17_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_17_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_17_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_17_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_17_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_17_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_17_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_17_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID18_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID18_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID18_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID18_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID18_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID18_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID18_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID18_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR18_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR18_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR18_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR18_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR18_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_18_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_18_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_18_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_18_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_18_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_18_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_18_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_18_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_18_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_18_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID19_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID19_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID19_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID19_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID19_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID19_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID19_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID19_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR19_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR19_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR19_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR19_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR19_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_19_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_19_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_19_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_19_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_19_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_19_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_19_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_19_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_19_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_19_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID20_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID20_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID20_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID20_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID20_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID20_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID20_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID20_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR20_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR20_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR20_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR20_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR20_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_20_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_20_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_20_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_20_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_20_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_20_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_20_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_20_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_20_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_20_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID21_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID21_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID21_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID21_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID21_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID21_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID21_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID21_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR21_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR21_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR21_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR21_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR21_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_21_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_21_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_21_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_21_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_21_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_21_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_21_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_21_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_21_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_21_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID22_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID22_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID22_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID22_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID22_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID22_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID22_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID22_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR22_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR22_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR22_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR22_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR22_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_22_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_22_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_22_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_22_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_22_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_22_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_22_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_22_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_22_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_22_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID23_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID23_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID23_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID23_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID23_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID23_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID23_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID23_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR23_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR23_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR23_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR23_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR23_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_23_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_23_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_23_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_23_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_23_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_23_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_23_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_23_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_23_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_23_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID24_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID24_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID24_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID24_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID24_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID24_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID24_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID24_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR24_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR24_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR24_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR24_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR24_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_24_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_24_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_24_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_24_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_24_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_24_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_24_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_24_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_24_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_24_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID25_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID25_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID25_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID25_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID25_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID25_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID25_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID25_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR25_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR25_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR25_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR25_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR25_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_25_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_25_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_25_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_25_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_25_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_25_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_25_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_25_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_25_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_25_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID26_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID26_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID26_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID26_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID26_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID26_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID26_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID26_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR26_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR26_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR26_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR26_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR26_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_26_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_26_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_26_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_26_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_26_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_26_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_26_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_26_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_26_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_26_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID27_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID27_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID27_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID27_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID27_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID27_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID27_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID27_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR27_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR27_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR27_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR27_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR27_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_27_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_27_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_27_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_27_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_27_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_27_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_27_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_27_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_27_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_27_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID28_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID28_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID28_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID28_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID28_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID28_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID28_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID28_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR28_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR28_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR28_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR28_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR28_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_28_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_28_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_28_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_28_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_28_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_28_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_28_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_28_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_28_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_28_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID29_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID29_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID29_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID29_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID29_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID29_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID29_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID29_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR29_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR29_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR29_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR29_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR29_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_29_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_29_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_29_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_29_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_29_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_29_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_29_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_29_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_29_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_29_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID30_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID30_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID30_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID30_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID30_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID30_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID30_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID30_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR30_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR30_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR30_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR30_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR30_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_30_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_30_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_30_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_30_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_30_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_30_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_30_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_30_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_30_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_30_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMID31_TMID_Msk            (0x1FFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMID31_TMID_Pos            (0UL)
#define R_CANFD_RSCFDnCFDTMID31_THLEN_Msk           (0x20000000UL)
#define R_CANFD_RSCFDnCFDTMID31_THLEN_Pos           (29UL)
#define R_CANFD_RSCFDnCFDTMID31_TMRTR_Msk           (0x40000000UL)
#define R_CANFD_RSCFDnCFDTMID31_TMRTR_Pos           (30UL)
#define R_CANFD_RSCFDnCFDTMID31_TMIDE_Msk           (0x80000000UL)
#define R_CANFD_RSCFDnCFDTMID31_TMIDE_Pos           (31UL)
#define R_CANFD_RSCFDnCFDTMPTR31_TMPTR_Msk          (0x00FF0000UL)
#define R_CANFD_RSCFDnCFDTMPTR31_TMPTR_Pos          (16UL)
#define R_CANFD_RSCFDnCFDTMPTR31_TMDLC_Msk          (0xF0000000UL)
#define R_CANFD_RSCFDnCFDTMPTR31_TMDLC_Pos          (28UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMESI_Msk        (0x00000001UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMESI_Pos        (0UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMBRS_Msk        (0x00000002UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMBRS_Pos        (1UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMFDF_Msk        (0x00000004UL)
#define R_CANFD_RSCFDnCFDTMFDCTR31_TMFDF_Pos        (2UL)
#define R_CANFD_RSCFDnCFDTMDF0_31_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF0_31_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF1_31_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF1_31_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF2_31_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF2_31_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF3_31_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF3_31_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTMDF4_31_TMDB4_Msk         (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDTMDF4_31_TMDB4_Pos         (0UL)
#define R_CANFD_RSCFDnCFDTHLACC0_BT_Msk             (0x00000007UL)
#define R_CANFD_RSCFDnCFDTHLACC0_BT_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTHLACC0_BN_Msk             (0x00000078UL)
#define R_CANFD_RSCFDnCFDTHLACC0_BN_Pos             (3UL)
#define R_CANFD_RSCFDnCFDTHLACC0_TID_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDTHLACC0_TID_Pos            (8UL)
#define R_CANFD_RSCFDnCFDTHLACC0_TMTS_Msk           (0xFFFF0000UL)
#define R_CANFD_RSCFDnCFDTHLACC0_TMTS_Pos           (16UL)
#define R_CANFD_RSCFDnCFDTHLACC1_BT_Msk             (0x00000007UL)
#define R_CANFD_RSCFDnCFDTHLACC1_BT_Pos             (0UL)
#define R_CANFD_RSCFDnCFDTHLACC1_BN_Msk             (0x00000078UL)
#define R_CANFD_RSCFDnCFDTHLACC1_BN_Pos             (3UL)
#define R_CANFD_RSCFDnCFDTHLACC1_TID_Msk            (0x0000FF00UL)
#define R_CANFD_RSCFDnCFDTHLACC1_TID_Pos            (8UL)
#define R_CANFD_RSCFDnCFDTHLACC1_TMTS_Msk           (0xFFFF0000UL)
#define R_CANFD_RSCFDnCFDTHLACC1_TMTS_Pos           (16UL)
#define R_CANFD_RSCFDnCFDRPGACC0_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC0_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC1_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC1_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC2_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC2_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC3_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC3_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC4_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC4_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC5_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC5_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC6_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC6_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC7_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC7_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC8_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC8_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC9_RDTA_Msk           (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC9_RDTA_Pos           (0UL)
#define R_CANFD_RSCFDnCFDRPGACC10_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC10_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC11_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC11_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC12_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC12_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC13_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC13_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC14_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC14_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC15_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC15_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC16_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC16_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC17_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC17_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC18_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC18_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC19_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC19_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC20_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC20_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC21_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC21_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC22_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC22_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC23_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC23_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC24_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC24_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC25_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC25_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC26_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC26_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC27_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC27_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC28_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC28_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC29_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC29_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC30_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC30_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC31_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC31_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC32_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC32_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC33_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC33_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC34_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC34_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC35_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC35_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC36_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC36_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC37_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC37_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC38_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC38_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC39_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC39_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC40_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC40_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC41_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC41_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC42_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC42_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC43_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC43_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC44_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC44_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC45_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC45_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC46_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC46_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC47_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC47_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC48_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC48_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC49_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC49_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC50_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC50_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC51_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC51_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC52_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC52_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC53_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC53_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC54_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC54_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC55_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC55_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC56_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC56_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC57_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC57_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC58_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC58_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC59_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC59_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC60_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC60_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC61_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC61_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC62_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC62_RDTA_Pos          (0UL)
#define R_CANFD_RSCFDnCFDRPGACC63_RDTA_Msk          (0xFFFFFFFFUL)
#define R_CANFD_RSCFDnCFDRPGACC63_RDTA_Pos          (0UL)

#endif
