/***********************************************************************************************************************
 * Copyright [2020-2023] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : cpg_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for cpg.
 *********************************************************************************************************************/

#ifndef CPG_IOBITMASK_H
#define CPG_IOBITMASK_H

#define R_CPG_CPG_SAMPLL1_STBY_RESETB_Msk                    (0x00000001UL)
#define R_CPG_CPG_SAMPLL1_STBY_RESETB_Pos                    (0UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_EN_Msk                   (0x00000004UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_EN_Pos                   (2UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_MODE_Msk                 (0x00000030UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_MODE_Pos                 (4UL)
#define R_CPG_CPG_SAMPLL1_STBY_RESETB_WEN_Msk                (0x00010000UL)
#define R_CPG_CPG_SAMPLL1_STBY_RESETB_WEN_Pos                (16UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_EN_WEN_Msk               (0x00040000UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_EN_WEN_Pos               (18UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_MODE_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_SAMPLL1_STBY_SSCG_MODE_WEN_Pos             (20UL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_P_Msk                     (0x0000003FUL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_P_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_M_Msk                     (0x0000FFC0UL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_M_Pos                     (6UL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_K_Msk                     (0xFFFF0000UL)
#define R_CPG_CPG_SAMPLL1_CLK1_DIV_K_Pos                     (16UL)
#define R_CPG_CPG_SAMPLL1_CLK2_DIV_S_Msk                     (0x00000007UL)
#define R_CPG_CPG_SAMPLL1_CLK2_DIV_S_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL1_CLK2_MRR_Msk                       (0x00003F00UL)
#define R_CPG_CPG_SAMPLL1_CLK2_MRR_Pos                       (8UL)
#define R_CPG_CPG_SAMPLL1_CLK2_MFR_Msk                       (0x00FF0000UL)
#define R_CPG_CPG_SAMPLL1_CLK2_MFR_Pos                       (16UL)
#define R_CPG_CPG_SAMPLL1_MON_PLL1_RESETB_Msk                (0x00000001UL)
#define R_CPG_CPG_SAMPLL1_MON_PLL1_RESETB_Pos                (0UL)
#define R_CPG_CPG_SAMPLL1_MON_PLL1_LOCK_Msk                  (0x00000010UL)
#define R_CPG_CPG_SAMPLL1_MON_PLL1_LOCK_Pos                  (4UL)
#define R_CPG_CPG_SAMPLL4_STBY_RESETB_Msk                    (0x00000001UL)
#define R_CPG_CPG_SAMPLL4_STBY_RESETB_Pos                    (0UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_EN_Msk                   (0x00000004UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_EN_Pos                   (2UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_MODE_Msk                 (0x00000030UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_MODE_Pos                 (4UL)
#define R_CPG_CPG_SAMPLL4_STBY_RESETB_WEN_Msk                (0x00010000UL)
#define R_CPG_CPG_SAMPLL4_STBY_RESETB_WEN_Pos                (16UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_EN_WEN_Msk               (0x00040000UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_EN_WEN_Pos               (18UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_MODE_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_SAMPLL4_STBY_SSCG_MODE_WEN_Pos             (20UL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_P_Msk                     (0x0000003FUL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_P_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_M_Msk                     (0x0000FFC0UL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_M_Pos                     (6UL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_K_Msk                     (0xFFFF0000UL)
#define R_CPG_CPG_SAMPLL4_CLK1_DIV_K_Pos                     (16UL)
#define R_CPG_CPG_SAMPLL4_CLK2_DIV_S_Msk                     (0x00000007UL)
#define R_CPG_CPG_SAMPLL4_CLK2_DIV_S_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL4_CLK2_MRR_Msk                       (0x00003F00UL)
#define R_CPG_CPG_SAMPLL4_CLK2_MRR_Pos                       (8UL)
#define R_CPG_CPG_SAMPLL4_CLK2_MFR_Msk                       (0x00FF0000UL)
#define R_CPG_CPG_SAMPLL4_CLK2_MFR_Pos                       (16UL)
#define R_CPG_CPG_SAMPLL4_MON_PLL4_RESETB_Msk                (0x00000001UL)
#define R_CPG_CPG_SAMPLL4_MON_PLL4_RESETB_Pos                (0UL)
#define R_CPG_CPG_SAMPLL4_MON_PLL4_LOCK_Msk                  (0x00000010UL)
#define R_CPG_CPG_SAMPLL4_MON_PLL4_LOCK_Pos                  (4UL)
#define R_CPG_CPG_SAMPLL6_STBY_RESETB_Msk                    (0x00000001UL)
#define R_CPG_CPG_SAMPLL6_STBY_RESETB_Pos                    (0UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_EN_Msk                   (0x00000004UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_EN_Pos                   (2UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_MODE_Msk                 (0x00000030UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_MODE_Pos                 (4UL)
#define R_CPG_CPG_SAMPLL6_STBY_RESETB_WEN_Msk                (0x00010000UL)
#define R_CPG_CPG_SAMPLL6_STBY_RESETB_WEN_Pos                (16UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_EN_WEN_Msk               (0x00040000UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_EN_WEN_Pos               (18UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_MODE_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_SAMPLL6_STBY_SSCG_MODE_WEN_Pos             (20UL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_P_Msk                     (0x0000003FUL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_P_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_M_Msk                     (0x0000FFC0UL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_M_Pos                     (6UL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_K_Msk                     (0xFFFF0000UL)
#define R_CPG_CPG_SAMPLL6_CLK1_DIV_K_Pos                     (16UL)
#define R_CPG_CPG_SAMPLL6_CLK2_DIV_S_Msk                     (0x00000007UL)
#define R_CPG_CPG_SAMPLL6_CLK2_DIV_S_Pos                     (0UL)
#define R_CPG_CPG_SAMPLL6_CLK2_MRR_Msk                       (0x00003F00UL)
#define R_CPG_CPG_SAMPLL6_CLK2_MRR_Pos                       (8UL)
#define R_CPG_CPG_SAMPLL6_CLK2_MFR_Msk                       (0x00FF0000UL)
#define R_CPG_CPG_SAMPLL6_CLK2_MFR_Pos                       (16UL)
#define R_CPG_CPG_PLL6_MON_PLL6_RESETB_Msk                   (0x00000001UL)
#define R_CPG_CPG_PLL6_MON_PLL6_RESETB_Pos                   (0UL)
#define R_CPG_CPG_PLL6_MON_PLL6_LOCK_Msk                     (0x00000010UL)
#define R_CPG_CPG_PLL6_MON_PLL6_LOCK_Pos                     (4UL)
#define R_CPG_CPG_PLL1_SETTING_SEL_PLL1_Msk                  (0x00000001UL)
#define R_CPG_CPG_PLL1_SETTING_SEL_PLL1_Pos                  (0UL)
#define R_CPG_CPG_PLL1_SETTING_SEL_PLL1_WEN_Msk              (0x00010000UL)
#define R_CPG_CPG_PLL1_SETTING_SEL_PLL1_WEN_Pos              (16UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP0_MON_Pos                   (0UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP1_MON_Pos                   (1UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP2_MON_Pos                   (2UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP3_MON_Pos                   (3UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP4_MON_Pos                   (4UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP5_MON_Pos                   (5UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP6_MON_Msk                   (0x00000040UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP6_MON_Pos                   (6UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP7_MON_Msk                   (0x00000080UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP7_MON_Pos                   (7UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP8_MON_Msk                   (0x00000100UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP8_MON_Pos                   (8UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP9_MON_Msk                   (0x00000200UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP9_MON_Pos                   (9UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP10_MON_Msk                  (0x00000400UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP10_MON_Pos                  (10UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP11_MON_Msk                  (0x00000800UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP11_MON_Pos                  (11UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP12_MON_Msk                  (0x00001000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP12_MON_Pos                  (12UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP13_MON_Msk                  (0x00002000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP13_MON_Pos                  (13UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP14_MON_Msk                  (0x00004000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP14_MON_Pos                  (14UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP15_MON_Msk                  (0x00008000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP15_MON_Pos                  (15UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP16_MON_Msk                  (0x00010000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP16_MON_Pos                  (16UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP17_MON_Msk                  (0x00020000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP17_MON_Pos                  (17UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP18_MON_Msk                  (0x00040000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP18_MON_Pos                  (18UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP19_MON_Msk                  (0x00080000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP19_MON_Pos                  (19UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP20_MON_Msk                  (0x00100000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP20_MON_Pos                  (20UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP21_MON_Msk                  (0x00200000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP21_MON_Pos                  (21UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP22_MON_Msk                  (0x00400000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP22_MON_Pos                  (22UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP23_MON_Msk                  (0x00800000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP23_MON_Pos                  (23UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP24_MON_Msk                  (0x01000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP24_MON_Pos                  (24UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP25_MON_Msk                  (0x02000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP25_MON_Pos                  (25UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP26_MON_Msk                  (0x04000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP26_MON_Pos                  (26UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP27_MON_Msk                  (0x08000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP27_MON_Pos                  (27UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP28_MON_Msk                  (0x10000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP28_MON_Pos                  (28UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP29_MON_Msk                  (0x20000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP29_MON_Pos                  (29UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP30_MON_Msk                  (0x40000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP30_MON_Pos                  (30UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP31_MON_Msk                  (0x80000000UL)
#define R_CPG_CPG_OTPPLL0_MON_OTP31_MON_Pos                  (31UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP0_MON_Pos                   (0UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP1_MON_Pos                   (1UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP2_MON_Pos                   (2UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP3_MON_Pos                   (3UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP4_MON_Pos                   (4UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP5_MON_Pos                   (5UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP6_MON_Msk                   (0x00000040UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP6_MON_Pos                   (6UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP7_MON_Msk                   (0x00000080UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP7_MON_Pos                   (7UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP8_MON_Msk                   (0x00000100UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP8_MON_Pos                   (8UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP9_MON_Msk                   (0x00000200UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP9_MON_Pos                   (9UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP10_MON_Msk                  (0x00000400UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP10_MON_Pos                  (10UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP11_MON_Msk                  (0x00000800UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP11_MON_Pos                  (11UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP12_MON_Msk                  (0x00001000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP12_MON_Pos                  (12UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP13_MON_Msk                  (0x00002000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP13_MON_Pos                  (13UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP14_MON_Msk                  (0x00004000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP14_MON_Pos                  (14UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP15_MON_Msk                  (0x00008000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP15_MON_Pos                  (15UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP16_MON_Msk                  (0x00010000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP16_MON_Pos                  (16UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP17_MON_Msk                  (0x00020000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP17_MON_Pos                  (17UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP18_MON_Msk                  (0x00040000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP18_MON_Pos                  (18UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP19_MON_Msk                  (0x00080000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP19_MON_Pos                  (19UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP20_MON_Msk                  (0x00100000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP20_MON_Pos                  (20UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP21_MON_Msk                  (0x00200000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP21_MON_Pos                  (21UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP22_MON_Msk                  (0x00400000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP22_MON_Pos                  (22UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP23_MON_Msk                  (0x00800000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP23_MON_Pos                  (23UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP24_MON_Msk                  (0x01000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP24_MON_Pos                  (24UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP25_MON_Msk                  (0x02000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP25_MON_Pos                  (25UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP26_MON_Msk                  (0x04000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP26_MON_Pos                  (26UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP27_MON_Msk                  (0x08000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP27_MON_Pos                  (27UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP28_MON_Msk                  (0x10000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP28_MON_Pos                  (28UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP29_MON_Msk                  (0x20000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP29_MON_Pos                  (29UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP30_MON_Msk                  (0x40000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP30_MON_Pos                  (30UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP31_MON_Msk                  (0x80000000UL)
#define R_CPG_CPG_OTPPLL1_MON_OTP31_MON_Pos                  (31UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP0_MON_Pos                   (0UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP1_MON_Pos                   (1UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP2_MON_Pos                   (2UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP3_MON_Pos                   (3UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP4_MON_Pos                   (4UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP5_MON_Pos                   (5UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP6_MON_Msk                   (0x00000040UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP6_MON_Pos                   (6UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP7_MON_Msk                   (0x00000080UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP7_MON_Pos                   (7UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP8_MON_Msk                   (0x00000100UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP8_MON_Pos                   (8UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP9_MON_Msk                   (0x00000200UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP9_MON_Pos                   (9UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP10_MON_Msk                  (0x00000400UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP10_MON_Pos                  (10UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP11_MON_Msk                  (0x00000800UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP11_MON_Pos                  (11UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP12_MON_Msk                  (0x00001000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP12_MON_Pos                  (12UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP13_MON_Msk                  (0x00002000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP13_MON_Pos                  (13UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP14_MON_Msk                  (0x00004000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP14_MON_Pos                  (14UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP15_MON_Msk                  (0x00008000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP15_MON_Pos                  (15UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP16_MON_Msk                  (0x00010000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP16_MON_Pos                  (16UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP17_MON_Msk                  (0x00020000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP17_MON_Pos                  (17UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP18_MON_Msk                  (0x00040000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP18_MON_Pos                  (18UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP19_MON_Msk                  (0x00080000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP19_MON_Pos                  (19UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP20_MON_Msk                  (0x00100000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP20_MON_Pos                  (20UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP21_MON_Msk                  (0x00200000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP21_MON_Pos                  (21UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP22_MON_Msk                  (0x00400000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP22_MON_Pos                  (22UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP23_MON_Msk                  (0x00800000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP23_MON_Pos                  (23UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP24_MON_Msk                  (0x01000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP24_MON_Pos                  (24UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP25_MON_Msk                  (0x02000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP25_MON_Pos                  (25UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP26_MON_Msk                  (0x04000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP26_MON_Pos                  (26UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP27_MON_Msk                  (0x08000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP27_MON_Pos                  (27UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP28_MON_Msk                  (0x10000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP28_MON_Pos                  (28UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP29_MON_Msk                  (0x20000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP29_MON_Pos                  (29UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP30_MON_Msk                  (0x40000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP30_MON_Pos                  (30UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP31_MON_Msk                  (0x80000000UL)
#define R_CPG_CPG_OTPPLL2_MON_OTP31_MON_Pos                  (31UL)
#define R_CPG_CPG_SIPLL2_MON_PLL2_RESETB_Msk                 (0x00000001UL)
#define R_CPG_CPG_SIPLL2_MON_PLL2_RESETB_Pos                 (0UL)
#define R_CPG_CPG_SIPLL2_MON_PLL2_LOCK_Msk                   (0x00000010UL)
#define R_CPG_CPG_SIPLL2_MON_PLL2_LOCK_Pos                   (4UL)
#define R_CPG_CPG_SIPLL3_MON_PLL3_RESETB_Msk                 (0x00000001UL)
#define R_CPG_CPG_SIPLL3_MON_PLL3_RESETB_Pos                 (0UL)
#define R_CPG_CPG_SIPLL3_MON_PLL3_LOCK_Msk                   (0x00000010UL)
#define R_CPG_CPG_SIPLL3_MON_PLL3_LOCK_Pos                   (4UL)
#define R_CPG_CPG_SIPLL5_STBY_RESETB_Msk                     (0x00000001UL)
#define R_CPG_CPG_SIPLL5_STBY_RESETB_Pos                     (0UL)
#define R_CPG_CPG_SIPLL5_STBY_SSCG_EN_Msk                    (0x00000004UL)
#define R_CPG_CPG_SIPLL5_STBY_SSCG_EN_Pos                    (2UL)
#define R_CPG_CPG_SIPLL5_STBY_DOWNSPREAD_Msk                 (0x00000010UL)
#define R_CPG_CPG_SIPLL5_STBY_DOWNSPREAD_Pos                 (4UL)
#define R_CPG_CPG_SIPLL5_STBY_RESETB_WEN_Msk                 (0x00010000UL)
#define R_CPG_CPG_SIPLL5_STBY_RESETB_WEN_Pos                 (16UL)
#define R_CPG_CPG_SIPLL5_STBY_SSCG_EN_WEN_Msk                (0x00040000UL)
#define R_CPG_CPG_SIPLL5_STBY_SSCG_EN_WEN_Pos                (18UL)
#define R_CPG_CPG_SIPLL5_STBY_DOWNSPREAD_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_SIPLL5_STBY_DOWNSPREAD_WEN_Pos             (20UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV1_Msk                   (0x00000007UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV1_Pos                   (0UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV2_Msk                   (0x00000070UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV2_Pos                   (4UL)
#define R_CPG_CPG_SIPLL5_CLK1_REFDIV_Msk                     (0x00003F00UL)
#define R_CPG_CPG_SIPLL5_CLK1_REFDIV_Pos                     (8UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV1_WEN_Msk               (0x00010000UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV1_WEN_Pos               (16UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV2_WEN_Msk               (0x00100000UL)
#define R_CPG_CPG_SIPLL5_CLK1_POSTDIV2_WEN_Pos               (20UL)
#define R_CPG_CPG_SIPLL5_CLK1_REFDIV_WEN_Msk                 (0x01000000UL)
#define R_CPG_CPG_SIPLL5_CLK1_REFDIV_WEN_Pos                 (24UL)
#define R_CPG_CPG_SIPLL5_CLK2_DACPD_Msk                      (0x00000001UL)
#define R_CPG_CPG_SIPLL5_CLK2_DACPD_Pos                      (0UL)
#define R_CPG_CPG_SIPLL5_CLK2_DSMPD_Msk                      (0x00000004UL)
#define R_CPG_CPG_SIPLL5_CLK2_DSMPD_Pos                      (2UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUT4PHASEPD_Msk               (0x00000010UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUT4PHASEPD_Pos               (4UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTPOSTDIVPD_Msk              (0x00000040UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTPOSTDIVPD_Pos              (6UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTVCOPD_Msk                  (0x00000100UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTVCOPD_Pos                  (8UL)
#define R_CPG_CPG_SIPLL5_CLK2_DACPD_WEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_SIPLL5_CLK2_DACPD_WEN_Pos                  (16UL)
#define R_CPG_CPG_SIPLL5_CLK2_DSMPD_WEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_SIPLL5_CLK2_DSMPD_WEN_Pos                  (18UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUT4PHASEPD_WEN_Msk           (0x00100000UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUT4PHASEPD_WEN_Pos           (20UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTPOSTDIVPD_WEN_Msk          (0x00400000UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTPOSTDIVPD_WEN_Pos          (22UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTVCOPD_WEN_Msk              (0x01000000UL)
#define R_CPG_CPG_SIPLL5_CLK2_FOUTVCOPD_WEN_Pos              (24UL)
#define R_CPG_CPG_SIPLL5_CLK3_DIVVAL_Msk                     (0x0000003FUL)
#define R_CPG_CPG_SIPLL5_CLK3_DIVVAL_Pos                     (0UL)
#define R_CPG_CPG_SIPLL5_CLK3_FRACIN_Msk                     (0xFFFFFF00UL)
#define R_CPG_CPG_SIPLL5_CLK3_FRACIN_Pos                     (8UL)
#define R_CPG_CPG_SIPLL5_CLK4_INTIN_Msk                      (0x0FFF0000UL)
#define R_CPG_CPG_SIPLL5_CLK4_INTIN_Pos                      (16UL)
#define R_CPG_CPG_SIPLL5_CLK5_SPREAD_Msk                     (0x0000001FUL)
#define R_CPG_CPG_SIPLL5_CLK5_SPREAD_Pos                     (0UL)
#define R_CPG_CPG_SIPLL5_MON_PLL5_RESETB_Msk                 (0x00000001UL)
#define R_CPG_CPG_SIPLL5_MON_PLL5_RESETB_Pos                 (0UL)
#define R_CPG_CPG_SIPLL5_MON_PLL5_LOCK_Msk                   (0x00000010UL)
#define R_CPG_CPG_SIPLL5_MON_PLL5_LOCK_Pos                   (4UL)
#define R_CPG_CPG_PL1_DDIV_DIVPL1_SET_Msk                    (0x00000003UL)
#define R_CPG_CPG_PL1_DDIV_DIVPL1_SET_Pos                    (0UL)
#define R_CPG_CPG_PL1_DDIV_DIV_PLL1SET_WEN_Msk               (0x00010000UL)
#define R_CPG_CPG_PL1_DDIV_DIV_PLL1SET_WEN_Pos               (16UL)
#define R_CPG_CPG_PL2_DDIV_DIVPL2A_SET_Msk                   (0x00000007UL)
#define R_CPG_CPG_PL2_DDIV_DIVPL2A_SET_Pos                   (0UL)
#define R_CPG_CPG_PL2_DDIV_DIV_PLL2_A_WEN_Msk                (0x00010000UL)
#define R_CPG_CPG_PL2_DDIV_DIV_PLL2_A_WEN_Pos                (16UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3A_SET_Msk                  (0x00000007UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3A_SET_Pos                  (0UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3B_SET_Msk                  (0x00000070UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3B_SET_Pos                  (4UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3C_SET_Msk                  (0x00000700UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3C_SET_Pos                  (8UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3F_SET_Msk                  (0x00007000UL)
#define R_CPG_CPG_PL3A_DDIV_DIVPL3F_SET_Pos                  (12UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_A_WEN_Msk               (0x00010000UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_A_WEN_Pos               (16UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_B_WEN_Msk               (0x00100000UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_B_WEN_Pos               (20UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_C_WEN_Msk               (0x01000000UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PLL3_C_WEN_Pos               (24UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PL3F_WEN_Msk                 (0x10000000UL)
#define R_CPG_CPG_PL3A_DDIV_DIV_PL3F_WEN_Pos                 (28UL)
#define R_CPG_CPG_PL3B_DDIV_DIVPL3CLK200FIX_SET_Msk          (0x00000007UL)
#define R_CPG_CPG_PL3B_DDIV_DIVPL3CLK200FIX_SET_Pos          (0UL)
#define R_CPG_CPG_PL3B_DDIV_DIV_PLL3_CLK200FIX_WEN_Msk       (0x00010000UL)
#define R_CPG_CPG_PL3B_DDIV_DIV_PLL3_CLK200FIX_WEN_Pos       (16UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI0_SET_Msk             (0x00000003UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI0_SET_Pos             (0UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI1_SET_Msk             (0x00000030UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI1_SET_Pos             (4UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI0_WEN_Msk             (0x00010000UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI0_WEN_Pos             (16UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI1_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_PL2SDHI_DSEL_SEL_SDHI1_WEN_Pos             (20UL)
#define R_CPG_CPG_PL4_DSEL_SEL_PLL4_SET_Msk                  (0x00000001UL)
#define R_CPG_CPG_PL4_DSEL_SEL_PLL4_SET_Pos                  (0UL)
#define R_CPG_CPG_PL4_DSEL_SEL_PLL4_WEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_PL4_DSEL_SEL_PLL4_WEN_Pos                  (16UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL1_STS_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL1_STS_Pos                   (0UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL2A_STS_Msk                  (0x00000010UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL2A_STS_Pos                  (4UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3A_STS_Msk                  (0x00000100UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3A_STS_Pos                  (8UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3B_STS_Msk                  (0x00000200UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3B_STS_Pos                  (9UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3C_STS_Msk                  (0x00000400UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3C_STS_Pos                  (10UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3CLK200FIX_STS_Msk          (0x00000800UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3CLK200FIX_STS_Pos          (11UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3F_STS_Msk                  (0x00001000UL)
#define R_CPG_CPG_CLKSTATUS_DIVPL3F_STS_Pos                  (12UL)
#define R_CPG_CPG_CLKSTATUS_SELSDHI0_STS_Msk                 (0x10000000UL)
#define R_CPG_CPG_CLKSTATUS_SELSDHI0_STS_Pos                 (28UL)
#define R_CPG_CPG_CLKSTATUS_SELSDHI1_STS_Msk                 (0x20000000UL)
#define R_CPG_CPG_CLKSTATUS_SELSDHI1_STS_Pos                 (29UL)
#define R_CPG_CPG_CLKSTATUS_SELPLL4_STS_Msk                  (0x80000000UL)
#define R_CPG_CPG_CLKSTATUS_SELPLL4_STS_Pos                  (31UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_3_SET_Msk                (0x00000100UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_3_SET_Pos                (8UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_5_SET_Msk                (0x00001000UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_5_SET_Pos                (12UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_3_WEN_Msk                (0x01000000UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_3_WEN_Pos                (24UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_5_WEN_Msk                (0x10000000UL)
#define R_CPG_CPG_PL3_SSEL_SEL_PLL3_5_WEN_Pos                (28UL)
#define R_CPG_CPG_PL6_ETH_SSEL_SEL_PLL6_2_SET_Msk            (0x00000001UL)
#define R_CPG_CPG_PL6_ETH_SSEL_SEL_PLL6_2_SET_Pos            (0UL)
#define R_CPG_CPG_PL6_ETH_SSEL_SEL_PLL6_2_WEN_Msk            (0x00010000UL)
#define R_CPG_CPG_PL6_ETH_SSEL_SEL_PLL6_2_WEN_Pos            (16UL)
#define R_CPG_CPG_PL5_SDIV_DIVDSIA_SET_Msk                   (0x00000003UL)
#define R_CPG_CPG_PL5_SDIV_DIVDSIA_SET_Pos                   (0UL)
#define R_CPG_CPG_PL5_SDIV_DIVDSIB_SET_Msk                   (0x00000F00UL)
#define R_CPG_CPG_PL5_SDIV_DIVDSIB_SET_Pos                   (8UL)
#define R_CPG_CPG_PL5_SDIV_DIV_DSI_A_WEN_Msk                 (0x00010000UL)
#define R_CPG_CPG_PL5_SDIV_DIV_DSI_A_WEN_Pos                 (16UL)
#define R_CPG_CPG_PL5_SDIV_DIV_DSI_B_WEN_Msk                 (0x01000000UL)
#define R_CPG_CPG_PL5_SDIV_DIV_DSI_B_WEN_Pos                 (24UL)
#define R_CPG_CPG_CLKON_CA55_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_CA55_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_CA55_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_CA55_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_CA55_CLK2_ON_Msk                     (0x00000004UL)
#define R_CPG_CPG_CLKON_CA55_CLK2_ON_Pos                     (2UL)
#define R_CPG_CPG_CLKON_CA55_CLK3_ON_Msk                     (0x00000008UL)
#define R_CPG_CPG_CLKON_CA55_CLK3_ON_Pos                     (3UL)
#define R_CPG_CPG_CLKON_CA55_CLK4_ON_Msk                     (0x00000010UL)
#define R_CPG_CPG_CLKON_CA55_CLK4_ON_Pos                     (4UL)
#define R_CPG_CPG_CLKON_CA55_CLK5_ON_Msk                     (0x00000020UL)
#define R_CPG_CPG_CLKON_CA55_CLK5_ON_Pos                     (5UL)
#define R_CPG_CPG_CLKON_CA55_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_CA55_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_CA55_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_CA55_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_CA55_CLK2_ONWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_CLKON_CA55_CLK2_ONWEN_Pos                  (18UL)
#define R_CPG_CPG_CLKON_CA55_CLK3_ONWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_CLKON_CA55_CLK3_ONWEN_Pos                  (19UL)
#define R_CPG_CPG_CLKON_CA55_CLK4_ONWEN_Msk                  (0x00100000UL)
#define R_CPG_CPG_CLKON_CA55_CLK4_ONWEN_Pos                  (20UL)
#define R_CPG_CPG_CLKON_CA55_CLK5_ONWEN_Msk                  (0x00200000UL)
#define R_CPG_CPG_CLKON_CA55_CLK5_ONWEN_Pos                  (21UL)
#define R_CPG_CPG_CLKON_SRAM_ACPU_CLK0_ON_Msk                (0x00000001UL)
#define R_CPG_CPG_CLKON_SRAM_ACPU_CLK0_ON_Pos                (0UL)
#define R_CPG_CPG_CLKON_SRAM_ACPU_CLK0_ONWEN_Msk             (0x00010000UL)
#define R_CPG_CPG_CLKON_SRAM_ACPU_CLK0_ONWEN_Pos             (16UL)
#define R_CPG_CPG_CLKON_SRAM_MCPU_CLK0_ON_Msk                (0x00000001UL)
#define R_CPG_CPG_CLKON_SRAM_MCPU_CLK0_ON_Pos                (0UL)
#define R_CPG_CPG_CLKON_SRAM_MCPU_CLK0_ONWEN_Msk             (0x00010000UL)
#define R_CPG_CPG_CLKON_SRAM_MCPU_CLK0_ONWEN_Pos             (16UL)
#define R_CPG_CPG_CLKON_GIC600_CLK0_ON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKON_GIC600_CLK0_ON_Pos                   (0UL)
#define R_CPG_CPG_CLKON_GIC600_CLK0_ONWEN_Msk                (0x00010000UL)
#define R_CPG_CPG_CLKON_GIC600_CLK0_ONWEN_Pos                (16UL)
#define R_CPG_CPG_CLKON_IA55_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_IA55_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_IA55_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_IA55_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_IA55_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_IA55_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_IA55_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_IA55_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_CST_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_CST_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_CST_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_CST_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_CST_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_CST_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_CST_CLK4_ON_Msk                      (0x00000010UL)
#define R_CPG_CPG_CLKON_CST_CLK4_ON_Pos                      (4UL)
#define R_CPG_CPG_CLKON_CST_CLK6_ON_Msk                      (0x00000040UL)
#define R_CPG_CPG_CLKON_CST_CLK6_ON_Pos                      (6UL)
#define R_CPG_CPG_CLKON_CST_CLK7_ON_Msk                      (0x00000080UL)
#define R_CPG_CPG_CLKON_CST_CLK7_ON_Pos                      (7UL)
#define R_CPG_CPG_CLKON_CST_CLK9_ON_Msk                      (0x00000200UL)
#define R_CPG_CPG_CLKON_CST_CLK9_ON_Pos                      (9UL)
#define R_CPG_CPG_CLKON_CST_CLK10_ON_Msk                     (0x00000400UL)
#define R_CPG_CPG_CLKON_CST_CLK10_ON_Pos                     (10UL)
#define R_CPG_CPG_CLKON_CST_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_CST_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_CST_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_CST_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_CST_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_CST_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_CST_CLK4_ONWEN_Msk                   (0x00100000UL)
#define R_CPG_CPG_CLKON_CST_CLK4_ONWEN_Pos                   (20UL)
#define R_CPG_CPG_CLKON_CST_CLK6_ONWEN_Msk                   (0x00400000UL)
#define R_CPG_CPG_CLKON_CST_CLK6_ONWEN_Pos                   (22UL)
#define R_CPG_CPG_CLKON_CST_CLK7_ONWEN_Msk                   (0x00800000UL)
#define R_CPG_CPG_CLKON_CST_CLK7_ONWEN_Pos                   (23UL)
#define R_CPG_CPG_CLKON_CST_CLK9_ONWEN_Msk                   (0x02000000UL)
#define R_CPG_CPG_CLKON_CST_CLK9_ONWEN_Pos                   (25UL)
#define R_CPG_CPG_CLKON_CST_CLK10_ONWEN_Msk                  (0x04000000UL)
#define R_CPG_CPG_CLKON_CST_CLK10_ONWEN_Pos                  (26UL)
#define R_CPG_CPG_CLKON_SYC_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_SYC_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_SYC_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_SYC_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK0_ON_Msk                 (0x00000001UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK0_ON_Pos                 (0UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK1_ON_Msk                 (0x00000002UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK1_ON_Pos                 (1UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK0_ONWEN_Msk              (0x00010000UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK0_ONWEN_Pos              (16UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK1_ONWEN_Msk              (0x00020000UL)
#define R_CPG_CPG_CLKON_DMAC_REG_CLK1_ONWEN_Pos              (17UL)
#define R_CPG_CPG_CLKON_GTM_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_GTM_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_GTM_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_GTM_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_GTM_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_GTM_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_GTM_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_GTM_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_GTM_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_GTM_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_GTM_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_GTM_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_MTU_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_MTU_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_MTU_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_MTU_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_POE3_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_POE3_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_POE3_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_POE3_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_WDT_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_WDT_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_WDT_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_WDT_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_WDT_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_WDT_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_WDT_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_WDT_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_DDR_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_DDR_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_DDR_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_DDR_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_DDR_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_DDR_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_DDR_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_DDR_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK0_ON_Msk                (0x00000001UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK0_ON_Pos                (0UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK1_ON_Msk                (0x00000002UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK1_ON_Pos                (1UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK0_ONWEN_Msk             (0x00010000UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK0_ONWEN_Pos             (16UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK1_ONWEN_Msk             (0x00020000UL)
#define R_CPG_CPG_CLKON_SPI_MULTI_CLK1_ONWEN_Pos             (17UL)
#define R_CPG_CPG_CLKON_SDHI_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_SDHI_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_SDHI_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_SDHI_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_SDHI_CLK2_ON_Msk                     (0x00000004UL)
#define R_CPG_CPG_CLKON_SDHI_CLK2_ON_Pos                     (2UL)
#define R_CPG_CPG_CLKON_SDHI_CLK3_ON_Msk                     (0x00000008UL)
#define R_CPG_CPG_CLKON_SDHI_CLK3_ON_Pos                     (3UL)
#define R_CPG_CPG_CLKON_SDHI_CLK4_ON_Msk                     (0x00000010UL)
#define R_CPG_CPG_CLKON_SDHI_CLK4_ON_Pos                     (4UL)
#define R_CPG_CPG_CLKON_SDHI_CLK5_ON_Msk                     (0x00000020UL)
#define R_CPG_CPG_CLKON_SDHI_CLK5_ON_Pos                     (5UL)
#define R_CPG_CPG_CLKON_SDHI_CLK6_ON_Msk                     (0x00000040UL)
#define R_CPG_CPG_CLKON_SDHI_CLK6_ON_Pos                     (6UL)
#define R_CPG_CPG_CLKON_SDHI_CLK7_ON_Msk                     (0x00000080UL)
#define R_CPG_CPG_CLKON_SDHI_CLK7_ON_Pos                     (7UL)
#define R_CPG_CPG_CLKON_SDHI_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_SDHI_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_SDHI_CLK2_ONWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK2_ONWEN_Pos                  (18UL)
#define R_CPG_CPG_CLKON_SDHI_CLK3_ONWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK3_ONWEN_Pos                  (19UL)
#define R_CPG_CPG_CLKON_SDHI_CLK4_ONWEN_Msk                  (0x00100000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK4_ONWEN_Pos                  (20UL)
#define R_CPG_CPG_CLKON_SDHI_CLK5_ONWEN_Msk                  (0x00200000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK5_ONWEN_Pos                  (21UL)
#define R_CPG_CPG_CLKON_SDHI_CLK6_ONWEN_Msk                  (0x00400000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK6_ONWEN_Pos                  (22UL)
#define R_CPG_CPG_CLKON_SDHI_CLK7_ONWEN_Msk                  (0x00800000UL)
#define R_CPG_CPG_CLKON_SDHI_CLK7_ONWEN_Pos                  (23UL)
#define R_CPG_CPG_CLKON_ISU_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_ISU_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_ISU_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_ISU_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_ISU_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_ISU_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_ISU_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_ISU_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_CRU_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_CRU_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_CRU_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_CRU_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_CRU_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_CRU_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_CRU_CLK3_ON_Msk                      (0x00000008UL)
#define R_CPG_CPG_CLKON_CRU_CLK3_ON_Pos                      (3UL)
#define R_CPG_CPG_CLKON_CRU_CLK4_ON_Msk                      (0x00000010UL)
#define R_CPG_CPG_CLKON_CRU_CLK4_ON_Pos                      (4UL)
#define R_CPG_CPG_CLKON_CRU_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_CRU_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_CRU_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_CRU_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_CRU_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_CRU_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_CRU_CLK3_ONWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_CLKON_CRU_CLK3_ONWEN_Pos                   (19UL)
#define R_CPG_CPG_CLKON_CRU_CLK4_ONWEN_Msk                   (0x00100000UL)
#define R_CPG_CPG_CLKON_CRU_CLK4_ONWEN_Pos                   (20UL)
#define R_CPG_CPG_CLKON_LCDC_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_LCDC_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_LCDC_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_LCDC_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_LCDC_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_LCDC_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_LCDC_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_LCDC_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_SSI_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_SSI_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_SSI_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_SSI_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_SSI_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_SSI_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_SSI_CLK3_ON_Msk                      (0x00000008UL)
#define R_CPG_CPG_CLKON_SSI_CLK3_ON_Pos                      (3UL)
#define R_CPG_CPG_CLKON_SSI_CLK4_ON_Msk                      (0x00000010UL)
#define R_CPG_CPG_CLKON_SSI_CLK4_ON_Pos                      (4UL)
#define R_CPG_CPG_CLKON_SSI_CLK5_ON_Msk                      (0x00000020UL)
#define R_CPG_CPG_CLKON_SSI_CLK5_ON_Pos                      (5UL)
#define R_CPG_CPG_CLKON_SSI_CLK6_ON_Msk                      (0x00000040UL)
#define R_CPG_CPG_CLKON_SSI_CLK6_ON_Pos                      (6UL)
#define R_CPG_CPG_CLKON_SSI_CLK7_ON_Msk                      (0x00000080UL)
#define R_CPG_CPG_CLKON_SSI_CLK7_ON_Pos                      (7UL)
#define R_CPG_CPG_CLKON_SSI_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_SSI_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_SSI_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_SSI_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_SSI_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_SSI_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_SSI_CLK3_ONWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_CLKON_SSI_CLK3_ONWEN_Pos                   (19UL)
#define R_CPG_CPG_CLKON_SSI_CLK4_ONWEN_Msk                   (0x00100000UL)
#define R_CPG_CPG_CLKON_SSI_CLK4_ONWEN_Pos                   (20UL)
#define R_CPG_CPG_CLKON_SSI_CLK5_ONWEN_Msk                   (0x00200000UL)
#define R_CPG_CPG_CLKON_SSI_CLK5_ONWEN_Pos                   (21UL)
#define R_CPG_CPG_CLKON_SSI_CLK6_ONWEN_Msk                   (0x00400000UL)
#define R_CPG_CPG_CLKON_SSI_CLK6_ONWEN_Pos                   (22UL)
#define R_CPG_CPG_CLKON_SSI_CLK7_ONWEN_Msk                   (0x00800000UL)
#define R_CPG_CPG_CLKON_SSI_CLK7_ONWEN_Pos                   (23UL)
#define R_CPG_CPG_CLKON_USB_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_USB_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_USB_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_USB_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_USB_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_USB_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_USB_CLK3_ON_Msk                      (0x00000008UL)
#define R_CPG_CPG_CLKON_USB_CLK3_ON_Pos                      (3UL)
#define R_CPG_CPG_CLKON_USB_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_USB_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_USB_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_USB_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_USB_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_USB_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_USB_CLK3_ONWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_CLKON_USB_CLK3_ONWEN_Pos                   (19UL)
#define R_CPG_CPG_CLKON_ETH_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_ETH_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_ETH_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_ETH_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_ETH_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_ETH_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_ETH_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_ETH_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_I2C_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_I2C_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_I2C_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_I2C_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_I2C_CLK2_ON_Msk                      (0x00000004UL)
#define R_CPG_CPG_CLKON_I2C_CLK2_ON_Pos                      (2UL)
#define R_CPG_CPG_CLKON_I2C_CLK3_ON_Msk                      (0x00000008UL)
#define R_CPG_CPG_CLKON_I2C_CLK3_ON_Pos                      (3UL)
#define R_CPG_CPG_CLKON_I2C_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_I2C_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_I2C_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_I2C_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_I2C_CLK2_ONWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_CLKON_I2C_CLK2_ONWEN_Pos                   (18UL)
#define R_CPG_CPG_CLKON_I2C_CLK3_ONWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_CLKON_I2C_CLK3_ONWEN_Pos                   (19UL)
#define R_CPG_CPG_CLKON_SCIF_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_SCIF_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_SCIF_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_SCIF_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_SCIF_CLK2_ON_Msk                     (0x00000004UL)
#define R_CPG_CPG_CLKON_SCIF_CLK2_ON_Pos                     (2UL)
#define R_CPG_CPG_CLKON_SCIF_CLK3_ON_Msk                     (0x00000008UL)
#define R_CPG_CPG_CLKON_SCIF_CLK3_ON_Pos                     (3UL)
#define R_CPG_CPG_CLKON_SCIF_CLK4_ON_Msk                     (0x00000010UL)
#define R_CPG_CPG_CLKON_SCIF_CLK4_ON_Pos                     (4UL)
#define R_CPG_CPG_CLKON_SCIF_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_SCIF_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_SCIF_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_SCIF_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_SCIF_CLK2_ONWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_CLKON_SCIF_CLK2_ONWEN_Pos                  (18UL)
#define R_CPG_CPG_CLKON_SCIF_CLK3_ONWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_CLKON_SCIF_CLK3_ONWEN_Pos                  (19UL)
#define R_CPG_CPG_CLKON_SCIF_CLK4_ONWEN_Msk                  (0x00100000UL)
#define R_CPG_CPG_CLKON_SCIF_CLK4_ONWEN_Pos                  (20UL)
#define R_CPG_CPG_CLKON_SCI_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_SCI_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_SCI_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_SCI_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_SCI_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_SCI_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_SCI_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_SCI_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_IRDA_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_IRDA_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_IRDA_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_IRDA_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_RSPI_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_RSPI_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_RSPI_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_RSPI_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_RSPI_CLK2_ON_Msk                     (0x00000004UL)
#define R_CPG_CPG_CLKON_RSPI_CLK2_ON_Pos                     (2UL)
#define R_CPG_CPG_CLKON_RSPI_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_RSPI_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_RSPI_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_RSPI_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKON_RSPI_CLK2_ONWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_CLKON_RSPI_CLK2_ONWEN_Pos                  (18UL)
#define R_CPG_CPG_CLKON_CANFD_CLK0_ON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKON_CANFD_CLK0_ON_Pos                    (0UL)
#define R_CPG_CPG_CLKON_CANFD_CLK0_ONWEN_Msk                 (0x00010000UL)
#define R_CPG_CPG_CLKON_CANFD_CLK0_ONWEN_Pos                 (16UL)
#define R_CPG_CPG_CLKON_GPIO_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_GPIO_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_GPIO_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_GPIO_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_ADC_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_ADC_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_ADC_CLK1_ON_Msk                      (0x00000002UL)
#define R_CPG_CPG_CLKON_ADC_CLK1_ON_Pos                      (1UL)
#define R_CPG_CPG_CLKON_ADC_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_ADC_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_ADC_CLK1_ONWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_CLKON_ADC_CLK1_ONWEN_Pos                   (17UL)
#define R_CPG_CPG_CLKON_TSU_CLK0_ON_Msk                      (0x00000001UL)
#define R_CPG_CPG_CLKON_TSU_CLK0_ON_Pos                      (0UL)
#define R_CPG_CPG_CLKON_TSU_CLK0_ONWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_CLKON_TSU_CLK0_ONWEN_Pos                   (16UL)
#define R_CPG_CPG_CLKON_OCTA_CLK0_ON_Msk                     (0x00000001UL)
#define R_CPG_CPG_CLKON_OCTA_CLK0_ON_Pos                     (0UL)
#define R_CPG_CPG_CLKON_OCTA_CLK1_ON_Msk                     (0x00000002UL)
#define R_CPG_CPG_CLKON_OCTA_CLK1_ON_Pos                     (1UL)
#define R_CPG_CPG_CLKON_OCTA_CLK0_ONWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_CLKON_OCTA_CLK0_ONWEN_Pos                  (16UL)
#define R_CPG_CPG_CLKON_OCTA_CLK1_ONWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_CLKON_OCTA_CLK1_ONWEN_Pos                  (17UL)
#define R_CPG_CPG_CLKMON_CA55_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_CA55_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_CA55_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_CA55_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_CA55_CLK2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_CLKMON_CA55_CLK2_MON_Pos                   (2UL)
#define R_CPG_CPG_CLKMON_CA55_CLK3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_CLKMON_CA55_CLK3_MON_Pos                   (3UL)
#define R_CPG_CPG_CLKMON_CA55_CLK4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_CLKMON_CA55_CLK4_MON_Pos                   (4UL)
#define R_CPG_CPG_CLKMON_CA55_CLK5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_CLKMON_CA55_CLK5_MON_Pos                   (5UL)
#define R_CPG_CPG_CLKMON_SRAM_ACPU_CLK0_MON_Msk              (0x00000001UL)
#define R_CPG_CPG_CLKMON_SRAM_ACPU_CLK0_MON_Pos              (0UL)
#define R_CPG_CPG_CLKMON_SRAM_MCPU_CLK0_MON_Msk              (0x00000001UL)
#define R_CPG_CPG_CLKMON_SRAM_MCPU_CLK0_MON_Pos              (0UL)
#define R_CPG_CPG_CLKMON_GIC600_CLK0_MON_Msk                 (0x00000001UL)
#define R_CPG_CPG_CLKMON_GIC600_CLK0_MON_Pos                 (0UL)
#define R_CPG_CPG_CLKMON_IA55_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_IA55_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_IA55_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_IA55_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_CST_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_CST_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_CST_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_CST_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_CST_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_CST_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_CST_CLK4_MON_Msk                    (0x00000010UL)
#define R_CPG_CPG_CLKMON_CST_CLK4_MON_Pos                    (4UL)
#define R_CPG_CPG_CLKMON_CST_CLK6_MON_Msk                    (0x00000040UL)
#define R_CPG_CPG_CLKMON_CST_CLK6_MON_Pos                    (6UL)
#define R_CPG_CPG_CLKMON_CST_CLK7_MON_Msk                    (0x00000080UL)
#define R_CPG_CPG_CLKMON_CST_CLK7_MON_Pos                    (7UL)
#define R_CPG_CPG_CLKMON_CST_CLK9_MON_Msk                    (0x00000200UL)
#define R_CPG_CPG_CLKMON_CST_CLK9_MON_Pos                    (9UL)
#define R_CPG_CPG_CLKMON_CST_CLK10_MON_Msk                   (0x00000400UL)
#define R_CPG_CPG_CLKMON_CST_CLK10_MON_Pos                   (10UL)
#define R_CPG_CPG_CLKMON_SYC_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_SYC_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_DMAC_REG_CLK0_MON_Msk               (0x00000001UL)
#define R_CPG_CPG_CLKMON_DMAC_REG_CLK0_MON_Pos               (0UL)
#define R_CPG_CPG_CLKMON_DMAC_REG_CLK1_MON_Msk               (0x00000002UL)
#define R_CPG_CPG_CLKMON_DMAC_REG_CLK1_MON_Pos               (1UL)
#define R_CPG_CPG_CLKMON_GTM_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_GTM_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_GTM_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_GTM_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_GTM_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_GTM_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_MTU_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_MTU_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_POE3_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_POE3_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_WDT_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_WDT_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_WDT_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_WDT_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_DDR_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_DDR_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_DDR_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_DDR_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_SPI_MULTI_CLK0_MON_Msk              (0x00000001UL)
#define R_CPG_CPG_CLKMON_SPI_MULTI_CLK0_MON_Pos              (0UL)
#define R_CPG_CPG_CLKMON_SPI_MULTI_CLK1_MON_Msk              (0x00000002UL)
#define R_CPG_CPG_CLKMON_SPI_MULTI_CLK1_MON_Pos              (1UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK2_MON_Pos                   (2UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK3_MON_Pos                   (3UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK4_MON_Pos                   (4UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK5_MON_Pos                   (5UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK6_MON_Msk                   (0x00000040UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK6_MON_Pos                   (6UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK7_MON_Msk                   (0x00000080UL)
#define R_CPG_CPG_CLKMON_SDHI_CLK7_MON_Pos                   (7UL)
#define R_CPG_CPG_CLKMON_ISU_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_ISU_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_ISU_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_ISU_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_CRU_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_CRU_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_CRU_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_CRU_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_CRU_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_CRU_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_CRU_CLK3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_CLKMON_CRU_CLK3_MON_Pos                    (3UL)
#define R_CPG_CPG_CLKMON_CRU_CLK4_MON_Msk                    (0x00000010UL)
#define R_CPG_CPG_CLKMON_CRU_CLK4_MON_Pos                    (4UL)
#define R_CPG_CPG_CLKMON_LCDC_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_LCDC_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_LCDC_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_LCDC_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_SSI_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_SSI_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_SSI_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_SSI_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_SSI_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_SSI_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_SSI_CLK3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_CLKMON_SSI_CLK3_MON_Pos                    (3UL)
#define R_CPG_CPG_CLKMON_SSI_CLK4_MON_Msk                    (0x00000010UL)
#define R_CPG_CPG_CLKMON_SSI_CLK4_MON_Pos                    (4UL)
#define R_CPG_CPG_CLKMON_SSI_CLK5_MON_Msk                    (0x00000020UL)
#define R_CPG_CPG_CLKMON_SSI_CLK5_MON_Pos                    (5UL)
#define R_CPG_CPG_CLKMON_SSI_CLK6_MON_Msk                    (0x00000040UL)
#define R_CPG_CPG_CLKMON_SSI_CLK6_MON_Pos                    (6UL)
#define R_CPG_CPG_CLKMON_SSI_CLK7_MON_Msk                    (0x00000080UL)
#define R_CPG_CPG_CLKMON_SSI_CLK7_MON_Pos                    (7UL)
#define R_CPG_CPG_CLKMON_USB_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_USB_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_USB_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_USB_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_USB_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_USB_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_USB_CLK3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_CLKMON_USB_CLK3_MON_Pos                    (3UL)
#define R_CPG_CPG_CLKMON_ETH_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_ETH_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_ETH_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_ETH_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_I2C_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_I2C_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_I2C_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_I2C_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_I2C_CLK2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_CLKMON_I2C_CLK2_MON_Pos                    (2UL)
#define R_CPG_CPG_CLKMON_I2C_CLK3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_CLKMON_I2C_CLK3_MON_Pos                    (3UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK2_MON_Pos                   (2UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK3_MON_Pos                   (3UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_CLKMON_SCIF_CLK4_MON_Pos                   (4UL)
#define R_CPG_CPG_CLKMON_SCI_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_SCI_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_SCI_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_SCI_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_IRDA_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_IRDA_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_CLKMON_RSPI_CLK2_MON_Pos                   (2UL)
#define R_CPG_CPG_CLKMON_CANFD_CLK0_MON_Msk                  (0x00000001UL)
#define R_CPG_CPG_CLKMON_CANFD_CLK0_MON_Pos                  (0UL)
#define R_CPG_CPG_CLKMON_GPIO_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_GPIO_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_ADC_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_ADC_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_ADC_CLK1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_CLKMON_ADC_CLK1_MON_Pos                    (1UL)
#define R_CPG_CPG_CLKMON_TSU_CLK0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_CLKMON_TSU_CLK0_MON_Pos                    (0UL)
#define R_CPG_CPG_CLKMON_OCTA_CLK0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_CLKMON_OCTA_CLK0_MON_Pos                   (0UL)
#define R_CPG_CPG_CLKMON_OCTA_CLK1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_CLKMON_OCTA_CLK1_MON_Pos                   (1UL)
#define R_CPG_CPG_RST_CA55_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_CA55_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_CA55_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_CA55_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_CA55_UNIT2_RSTB_Msk                    (0x00000004UL)
#define R_CPG_CPG_RST_CA55_UNIT2_RSTB_Pos                    (2UL)
#define R_CPG_CPG_RST_CA55_UNIT3_RSTB_Msk                    (0x00000008UL)
#define R_CPG_CPG_RST_CA55_UNIT3_RSTB_Pos                    (3UL)
#define R_CPG_CPG_RST_CA55_UNIT4_RSTB_Msk                    (0x00000010UL)
#define R_CPG_CPG_RST_CA55_UNIT4_RSTB_Pos                    (4UL)
#define R_CPG_CPG_RST_CA55_UNIT5_RSTB_Msk                    (0x00000020UL)
#define R_CPG_CPG_RST_CA55_UNIT5_RSTB_Pos                    (5UL)
#define R_CPG_CPG_RST_CA55_UNIT6_RSTB_Msk                    (0x00000040UL)
#define R_CPG_CPG_RST_CA55_UNIT6_RSTB_Pos                    (6UL)
#define R_CPG_CPG_RST_CA55_UNIT7_RSTB_Msk                    (0x00000080UL)
#define R_CPG_CPG_RST_CA55_UNIT7_RSTB_Pos                    (7UL)
#define R_CPG_CPG_RST_CA55_UNIT8_RSTB_Msk                    (0x00000100UL)
#define R_CPG_CPG_RST_CA55_UNIT8_RSTB_Pos                    (8UL)
#define R_CPG_CPG_RST_CA55_UNIT9_RSTB_Msk                    (0x00000200UL)
#define R_CPG_CPG_RST_CA55_UNIT9_RSTB_Pos                    (9UL)
#define R_CPG_CPG_RST_CA55_UNIT10_RSTB_Msk                   (0x00000400UL)
#define R_CPG_CPG_RST_CA55_UNIT10_RSTB_Pos                   (10UL)
#define R_CPG_CPG_RST_CA55_UNIT11_RSTB_Msk                   (0x00000800UL)
#define R_CPG_CPG_RST_CA55_UNIT11_RSTB_Pos                   (11UL)
#define R_CPG_CPG_RST_CA55_UNIT12_RSTB_Msk                   (0x00001000UL)
#define R_CPG_CPG_RST_CA55_UNIT12_RSTB_Pos                   (12UL)
#define R_CPG_CPG_RST_CA55_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_CA55_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_CA55_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_CA55_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_CA55_UNIT2_RSTWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_RST_CA55_UNIT2_RSTWEN_Pos                  (18UL)
#define R_CPG_CPG_RST_CA55_UNIT3_RSTWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_RST_CA55_UNIT3_RSTWEN_Pos                  (19UL)
#define R_CPG_CPG_RST_CA55_UNIT4_RSTWEN_Msk                  (0x00100000UL)
#define R_CPG_CPG_RST_CA55_UNIT4_RSTWEN_Pos                  (20UL)
#define R_CPG_CPG_RST_CA55_UNIT5_RSTWEN_Msk                  (0x00200000UL)
#define R_CPG_CPG_RST_CA55_UNIT5_RSTWEN_Pos                  (21UL)
#define R_CPG_CPG_RST_CA55_UNIT6_RSTWEN_Msk                  (0x00400000UL)
#define R_CPG_CPG_RST_CA55_UNIT6_RSTWEN_Pos                  (22UL)
#define R_CPG_CPG_RST_CA55_UNIT7_RSTWEN_Msk                  (0x00800000UL)
#define R_CPG_CPG_RST_CA55_UNIT7_RSTWEN_Pos                  (23UL)
#define R_CPG_CPG_RST_CA55_UNIT8_RSTWEN_Msk                  (0x01000000UL)
#define R_CPG_CPG_RST_CA55_UNIT8_RSTWEN_Pos                  (24UL)
#define R_CPG_CPG_RST_CA55_UNIT9_RSTWEN_Msk                  (0x02000000UL)
#define R_CPG_CPG_RST_CA55_UNIT9_RSTWEN_Pos                  (25UL)
#define R_CPG_CPG_RST_CA55_UNIT10_RSTWEN_Msk                 (0x04000000UL)
#define R_CPG_CPG_RST_CA55_UNIT10_RSTWEN_Pos                 (26UL)
#define R_CPG_CPG_RST_CA55_UNIT11_RSTWEN_Msk                 (0x08000000UL)
#define R_CPG_CPG_RST_CA55_UNIT11_RSTWEN_Pos                 (27UL)
#define R_CPG_CPG_RST_CA55_UNIT12_RSTWEN_Msk                 (0x10000000UL)
#define R_CPG_CPG_RST_CA55_UNIT12_RSTWEN_Pos                 (28UL)
#define R_CPG_CPG_RST_SRAM_ACPU_UNIT0_RSTB_Msk               (0x00000001UL)
#define R_CPG_CPG_RST_SRAM_ACPU_UNIT0_RSTB_Pos               (0UL)
#define R_CPG_CPG_RST_SRAM_ACPU_UNIT0_RSTWEN_Msk             (0x00010000UL)
#define R_CPG_CPG_RST_SRAM_ACPU_UNIT0_RSTWEN_Pos             (16UL)
#define R_CPG_CPG_RST_SRAM_MCPU_UNIT0_RSTB_Msk               (0x00000001UL)
#define R_CPG_CPG_RST_SRAM_MCPU_UNIT0_RSTB_Pos               (0UL)
#define R_CPG_CPG_RST_SRAM_MCPU_UNIT0_RSTWEN_Msk             (0x00010000UL)
#define R_CPG_CPG_RST_SRAM_MCPU_UNIT0_RSTWEN_Pos             (16UL)
#define R_CPG_CPG_RST_GIC600_UNIT0_RSTB_Msk                  (0x00000001UL)
#define R_CPG_CPG_RST_GIC600_UNIT0_RSTB_Pos                  (0UL)
#define R_CPG_CPG_RST_GIC600_UNIT1_RSTB_Msk                  (0x00000002UL)
#define R_CPG_CPG_RST_GIC600_UNIT1_RSTB_Pos                  (1UL)
#define R_CPG_CPG_RST_GIC600_UNIT0_RSTWEN_Msk                (0x00010000UL)
#define R_CPG_CPG_RST_GIC600_UNIT0_RSTWEN_Pos                (16UL)
#define R_CPG_CPG_RST_GIC600_UNIT1_RSTWEN_Msk                (0x00020000UL)
#define R_CPG_CPG_RST_GIC600_UNIT1_RSTWEN_Pos                (17UL)
#define R_CPG_CPG_RST_IA55_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_IA55_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_IA55_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_IA55_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_SYC_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_SYC_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_SYC_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_SYC_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_DMAC_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_DMAC_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_DMAC_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_DMAC_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_DMAC_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_DMAC_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_DMAC_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_DMAC_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_GTM_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_GTM_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_GTM_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_GTM_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_GTM_UNIT2_RSTB_Msk                     (0x00000004UL)
#define R_CPG_CPG_RST_GTM_UNIT2_RSTB_Pos                     (2UL)
#define R_CPG_CPG_RST_GTM_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_GTM_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_GTM_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_GTM_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_GTM_UNIT2_RSTWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_RST_GTM_UNIT2_RSTWEN_Pos                   (18UL)
#define R_CPG_CPG_RST_MTU_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_MTU_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_MTU_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_MTU_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_POE3_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_POE3_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_POE3_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_POE3_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_WDT_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_WDT_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_WDT_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_WDT_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_DDR_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_DDR_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_DDR_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_DDR_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_DDR_UNIT2_RSTB_Msk                     (0x00000004UL)
#define R_CPG_CPG_RST_DDR_UNIT2_RSTB_Pos                     (2UL)
#define R_CPG_CPG_RST_DDR_UNIT3_RSTB_Msk                     (0x00000008UL)
#define R_CPG_CPG_RST_DDR_UNIT3_RSTB_Pos                     (3UL)
#define R_CPG_CPG_RST_DDR_UNIT4_RSTB_Msk                     (0x00000010UL)
#define R_CPG_CPG_RST_DDR_UNIT4_RSTB_Pos                     (4UL)
#define R_CPG_CPG_RST_DDR_UNIT5_RSTB_Msk                     (0x00000020UL)
#define R_CPG_CPG_RST_DDR_UNIT5_RSTB_Pos                     (5UL)
#define R_CPG_CPG_RST_DDR_UNIT6_RSTB_Msk                     (0x00000040UL)
#define R_CPG_CPG_RST_DDR_UNIT6_RSTB_Pos                     (6UL)
#define R_CPG_CPG_RST_DDR_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_DDR_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_DDR_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_DDR_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_DDR_UNIT2_RSTWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_RST_DDR_UNIT2_RSTWEN_Pos                   (18UL)
#define R_CPG_CPG_RST_DDR_UNIT3_RSTWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_RST_DDR_UNIT3_RSTWEN_Pos                   (19UL)
#define R_CPG_CPG_RST_DDR_UNIT4_RSTWEN_Msk                   (0x00100000UL)
#define R_CPG_CPG_RST_DDR_UNIT4_RSTWEN_Pos                   (20UL)
#define R_CPG_CPG_RST_DDR_UNIT5_RSTWEN_Msk                   (0x00200000UL)
#define R_CPG_CPG_RST_DDR_UNIT5_RSTWEN_Pos                   (21UL)
#define R_CPG_CPG_RST_DDR_UNIT6_RSTWEN_Msk                   (0x00400000UL)
#define R_CPG_CPG_RST_DDR_UNIT6_RSTWEN_Pos                   (22UL)
#define R_CPG_CPG_RST_SPI_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_SPI_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_SPI_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_SPI_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_SDHI_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_SDHI_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_SDHI_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_SDHI_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_SDHI_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_SDHI_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_SDHI_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_SDHI_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_ISU_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_ISU_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_ISU_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_ISU_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_ISU_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_ISU_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_ISU_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_ISU_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_CRU_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_CRU_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_CRU_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_CRU_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_CRU_UNIT2_RSTB_Msk                     (0x00000004UL)
#define R_CPG_CPG_RST_CRU_UNIT2_RSTB_Pos                     (2UL)
#define R_CPG_CPG_RST_CRU_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_CRU_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_CRU_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_CRU_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_CRU_UNIT2_RSTWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_RST_CRU_UNIT2_RSTWEN_Pos                   (18UL)
#define R_CPG_CPG_RST_LCDC_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_LCDC_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_LCDC_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_LCDC_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_SSIF_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_SSIF_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_SSIF_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_SSIF_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_SSIF_UNIT2_RSTB_Msk                    (0x00000004UL)
#define R_CPG_CPG_RST_SSIF_UNIT2_RSTB_Pos                    (2UL)
#define R_CPG_CPG_RST_SSIF_UNIT3_RSTB_Msk                    (0x00000008UL)
#define R_CPG_CPG_RST_SSIF_UNIT3_RSTB_Pos                    (3UL)
#define R_CPG_CPG_RST_SSIF_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_SSIF_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_SSIF_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_SSIF_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_SSIF_UNIT2_RSTWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_RST_SSIF_UNIT2_RSTWEN_Pos                  (18UL)
#define R_CPG_CPG_RST_SSIF_UNIT3_RSTWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_RST_SSIF_UNIT3_RSTWEN_Pos                  (19UL)
#define R_CPG_CPG_RST_USB_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_USB_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_USB_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_USB_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_USB_UNIT2_RSTB_Msk                     (0x00000004UL)
#define R_CPG_CPG_RST_USB_UNIT2_RSTB_Pos                     (2UL)
#define R_CPG_CPG_RST_USB_UNIT3_RSTB_Msk                     (0x00000008UL)
#define R_CPG_CPG_RST_USB_UNIT3_RSTB_Pos                     (3UL)
#define R_CPG_CPG_RST_USB_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_USB_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_USB_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_USB_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_USB_UNIT2_RSTWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_RST_USB_UNIT2_RSTWEN_Pos                   (18UL)
#define R_CPG_CPG_RST_USB_UNIT3_RSTWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_RST_USB_UNIT3_RSTWEN_Pos                   (19UL)
#define R_CPG_CPG_RST_ETH_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_ETH_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_ETH_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_ETH_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_ETH_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_ETH_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_ETH_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_ETH_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_I2C_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_I2C_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_I2C_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_I2C_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_I2C_UNIT2_RSTB_Msk                     (0x00000004UL)
#define R_CPG_CPG_RST_I2C_UNIT2_RSTB_Pos                     (2UL)
#define R_CPG_CPG_RST_I2C_UNIT3_RSTB_Msk                     (0x00000008UL)
#define R_CPG_CPG_RST_I2C_UNIT3_RSTB_Pos                     (3UL)
#define R_CPG_CPG_RST_I2C_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_I2C_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_I2C_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_I2C_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_I2C_UNIT2_RSTWEN_Msk                   (0x00040000UL)
#define R_CPG_CPG_RST_I2C_UNIT2_RSTWEN_Pos                   (18UL)
#define R_CPG_CPG_RST_I2C_UNIT3_RSTWEN_Msk                   (0x00080000UL)
#define R_CPG_CPG_RST_I2C_UNIT3_RSTWEN_Pos                   (19UL)
#define R_CPG_CPG_RST_SCIF_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_SCIF_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_SCIF_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_SCIF_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_SCIF_UNIT2_RSTB_Msk                    (0x00000004UL)
#define R_CPG_CPG_RST_SCIF_UNIT2_RSTB_Pos                    (2UL)
#define R_CPG_CPG_RST_SCIF_UNIT3_RSTB_Msk                    (0x00000008UL)
#define R_CPG_CPG_RST_SCIF_UNIT3_RSTB_Pos                    (3UL)
#define R_CPG_CPG_RST_SCIF_UNIT4_RSTB_Msk                    (0x00000010UL)
#define R_CPG_CPG_RST_SCIF_UNIT4_RSTB_Pos                    (4UL)
#define R_CPG_CPG_RST_SCIF_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_SCIF_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_SCIF_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_SCIF_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_SCIF_UNIT2_RSTWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_RST_SCIF_UNIT2_RSTWEN_Pos                  (18UL)
#define R_CPG_CPG_RST_SCIF_UNIT3_RSTWEN_Msk                  (0x00080000UL)
#define R_CPG_CPG_RST_SCIF_UNIT3_RSTWEN_Pos                  (19UL)
#define R_CPG_CPG_RST_SCIF_UNIT4_RSTWEN_Msk                  (0x00100000UL)
#define R_CPG_CPG_RST_SCIF_UNIT4_RSTWEN_Pos                  (20UL)
#define R_CPG_CPG_RST_SCI_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_SCI_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_SCI_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_SCI_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_SCI_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_SCI_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_SCI_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_SCI_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_IRDA_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_IRDA_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_IRDA_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_IRDA_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_RSPI_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_RSPI_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_RSPI_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_RSPI_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_RSPI_UNIT2_RSTB_Msk                    (0x00000004UL)
#define R_CPG_CPG_RST_RSPI_UNIT2_RSTB_Pos                    (2UL)
#define R_CPG_CPG_RST_RSPI_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_RSPI_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_RSPI_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_RSPI_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_RSPI_UNIT2_RSTWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_RST_RSPI_UNIT2_RSTWEN_Pos                  (18UL)
#define R_CPG_CPG_RST_CANFD_UNIT0_RSTB_Msk                   (0x00000001UL)
#define R_CPG_CPG_RST_CANFD_UNIT0_RSTB_Pos                   (0UL)
#define R_CPG_CPG_RST_CANFD_UNIT1_RSTB_Msk                   (0x00000002UL)
#define R_CPG_CPG_RST_CANFD_UNIT1_RSTB_Pos                   (1UL)
#define R_CPG_CPG_RST_CANFD_UNIT0_RSTWEN_Msk                 (0x00010000UL)
#define R_CPG_CPG_RST_CANFD_UNIT0_RSTWEN_Pos                 (16UL)
#define R_CPG_CPG_RST_CANFD_UNIT1_RSTWEN_Msk                 (0x00020000UL)
#define R_CPG_CPG_RST_CANFD_UNIT1_RSTWEN_Pos                 (17UL)
#define R_CPG_CPG_RST_GPIO_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_GPIO_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_GPIO_UNIT1_RSTB_Msk                    (0x00000002UL)
#define R_CPG_CPG_RST_GPIO_UNIT1_RSTB_Pos                    (1UL)
#define R_CPG_CPG_RST_GPIO_UNIT2_RSTB_Msk                    (0x00000004UL)
#define R_CPG_CPG_RST_GPIO_UNIT2_RSTB_Pos                    (2UL)
#define R_CPG_CPG_RST_GPIO_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_GPIO_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RST_GPIO_UNIT1_RSTWEN_Msk                  (0x00020000UL)
#define R_CPG_CPG_RST_GPIO_UNIT1_RSTWEN_Pos                  (17UL)
#define R_CPG_CPG_RST_GPIO_UNIT2_RSTWEN_Msk                  (0x00040000UL)
#define R_CPG_CPG_RST_GPIO_UNIT2_RSTWEN_Pos                  (18UL)
#define R_CPG_CPG_RST_ADC_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_ADC_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_ADC_UNIT1_RSTB_Msk                     (0x00000002UL)
#define R_CPG_CPG_RST_ADC_UNIT1_RSTB_Pos                     (1UL)
#define R_CPG_CPG_RST_ADC_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_ADC_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_ADC_UNIT1_RSTWEN_Msk                   (0x00020000UL)
#define R_CPG_CPG_RST_ADC_UNIT1_RSTWEN_Pos                   (17UL)
#define R_CPG_CPG_RST_TSU_UNIT0_RSTB_Msk                     (0x00000001UL)
#define R_CPG_CPG_RST_TSU_UNIT0_RSTB_Pos                     (0UL)
#define R_CPG_CPG_RST_TSU_UNIT0_RSTWEN_Msk                   (0x00010000UL)
#define R_CPG_CPG_RST_TSU_UNIT0_RSTWEN_Pos                   (16UL)
#define R_CPG_CPG_RST_OCTA_UNIT0_RSTB_Msk                    (0x00000001UL)
#define R_CPG_CPG_RST_OCTA_UNIT0_RSTB_Pos                    (0UL)
#define R_CPG_CPG_RST_OCTA_UNIT0_RSTWEN_Msk                  (0x00010000UL)
#define R_CPG_CPG_RST_OCTA_UNIT0_RSTWEN_Pos                  (16UL)
#define R_CPG_CPG_RSTMON_CA55_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_CA55_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_CA55_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_CA55_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_CA55_RST2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_RSTMON_CA55_RST2_MON_Pos                   (2UL)
#define R_CPG_CPG_RSTMON_CA55_RST3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_RSTMON_CA55_RST3_MON_Pos                   (3UL)
#define R_CPG_CPG_RSTMON_CA55_RST4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_RSTMON_CA55_RST4_MON_Pos                   (4UL)
#define R_CPG_CPG_RSTMON_CA55_RST5_MON_Msk                   (0x00000020UL)
#define R_CPG_CPG_RSTMON_CA55_RST5_MON_Pos                   (5UL)
#define R_CPG_CPG_RSTMON_CA55_RST6_MON_Msk                   (0x00000040UL)
#define R_CPG_CPG_RSTMON_CA55_RST6_MON_Pos                   (6UL)
#define R_CPG_CPG_RSTMON_CA55_RST7_MON_Msk                   (0x00000080UL)
#define R_CPG_CPG_RSTMON_CA55_RST7_MON_Pos                   (7UL)
#define R_CPG_CPG_RSTMON_CA55_RST8_MON_Msk                   (0x00000100UL)
#define R_CPG_CPG_RSTMON_CA55_RST8_MON_Pos                   (8UL)
#define R_CPG_CPG_RSTMON_CA55_RST9_MON_Msk                   (0x00000200UL)
#define R_CPG_CPG_RSTMON_CA55_RST9_MON_Pos                   (9UL)
#define R_CPG_CPG_RSTMON_CA55_RST10_MON_Msk                  (0x00000400UL)
#define R_CPG_CPG_RSTMON_CA55_RST10_MON_Pos                  (10UL)
#define R_CPG_CPG_RSTMON_CA55_RST11_MON_Msk                  (0x00000800UL)
#define R_CPG_CPG_RSTMON_CA55_RST11_MON_Pos                  (11UL)
#define R_CPG_CPG_RSTMON_CA55_RST12_MON_Msk                  (0x00001000UL)
#define R_CPG_CPG_RSTMON_CA55_RST12_MON_Pos                  (12UL)
#define R_CPG_CPG_RSTMON_SRAM_ACPU_RST0_MON_Msk              (0x00000001UL)
#define R_CPG_CPG_RSTMON_SRAM_ACPU_RST0_MON_Pos              (0UL)
#define R_CPG_CPG_RSTMON_SRAM_MCPU_RST0_MON_Msk              (0x00000001UL)
#define R_CPG_CPG_RSTMON_SRAM_MCPU_RST0_MON_Pos              (0UL)
#define R_CPG_CPG_RSTMON_GIC600_RST0_MON_Msk                 (0x00000001UL)
#define R_CPG_CPG_RSTMON_GIC600_RST0_MON_Pos                 (0UL)
#define R_CPG_CPG_RSTMON_GIC600_RST1_MON_Msk                 (0x00000002UL)
#define R_CPG_CPG_RSTMON_GIC600_RST1_MON_Pos                 (1UL)
#define R_CPG_CPG_RSTMON_IA55_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_IA55_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_SYC_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_SYC_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_DMAC_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_DMAC_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_DMAC_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_DMAC_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_GTM_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_GTM_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_GTM_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_GTM_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_GTM_RST2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_RSTMON_GTM_RST2_MON_Pos                    (2UL)
#define R_CPG_CPG_RSTMON_MTU_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_MTU_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_POE3_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_POE3_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_WDT_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_WDT_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_DDR_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_DDR_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_DDR_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_DDR_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_DDR_RST2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_RSTMON_DDR_RST2_MON_Pos                    (2UL)
#define R_CPG_CPG_RSTMON_DDR_RST3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_RSTMON_DDR_RST3_MON_Pos                    (3UL)
#define R_CPG_CPG_RSTMON_DDR_RST4_MON_Msk                    (0x00000010UL)
#define R_CPG_CPG_RSTMON_DDR_RST4_MON_Pos                    (4UL)
#define R_CPG_CPG_RSTMON_DDR_RST5_MON_Msk                    (0x00000020UL)
#define R_CPG_CPG_RSTMON_DDR_RST5_MON_Pos                    (5UL)
#define R_CPG_CPG_RSTMON_DDR_RST6_MON_Msk                    (0x00000040UL)
#define R_CPG_CPG_RSTMON_DDR_RST6_MON_Pos                    (6UL)
#define R_CPG_CPG_RSTMON_SPI_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_SPI_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_SDHI_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_SDHI_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_SDHI_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_SDHI_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_ISU_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_ISU_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_ISU_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_ISU_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_CRU_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_CRU_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_CRU_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_CRU_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_CRU_RST2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_RSTMON_CRU_RST2_MON_Pos                    (2UL)
#define R_CPG_CPG_RSTMON_LCDC_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_LCDC_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_SSIF_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_SSIF_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_SSIF_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_SSIF_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_SSIF_RST2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_RSTMON_SSIF_RST2_MON_Pos                   (2UL)
#define R_CPG_CPG_RSTMON_SSIF_RST3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_RSTMON_SSIF_RST3_MON_Pos                   (3UL)
#define R_CPG_CPG_RSTMON_USB_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_USB_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_USB_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_USB_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_USB_RST2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_RSTMON_USB_RST2_MON_Pos                    (2UL)
#define R_CPG_CPG_RSTMON_USB_RST3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_RSTMON_USB_RST3_MON_Pos                    (3UL)
#define R_CPG_CPG_RSTMON_ETH_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_ETH_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_ETH_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_ETH_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_I2C_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_I2C_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_I2C_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_I2C_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_I2C_RST2_MON_Msk                    (0x00000004UL)
#define R_CPG_CPG_RSTMON_I2C_RST2_MON_Pos                    (2UL)
#define R_CPG_CPG_RSTMON_I2C_RST3_MON_Msk                    (0x00000008UL)
#define R_CPG_CPG_RSTMON_I2C_RST3_MON_Pos                    (3UL)
#define R_CPG_CPG_RSTMON_SCIF_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_SCIF_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_SCIF_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_SCIF_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_SCIF_RST2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_RSTMON_SCIF_RST2_MON_Pos                   (2UL)
#define R_CPG_CPG_RSTMON_SCIF_RST3_MON_Msk                   (0x00000008UL)
#define R_CPG_CPG_RSTMON_SCIF_RST3_MON_Pos                   (3UL)
#define R_CPG_CPG_RSTMON_SCIF_RST4_MON_Msk                   (0x00000010UL)
#define R_CPG_CPG_RSTMON_SCIF_RST4_MON_Pos                   (4UL)
#define R_CPG_CPG_RSTMON_SCI_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_SCI_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_SCI_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_SCI_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_IRDA_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_IRDA_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_RSPI_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_RSPI_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_RSPI_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_RSPI_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_RSPI_RST2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_RSTMON_RSPI_RST2_MON_Pos                   (2UL)
#define R_CPG_CPG_RSTMON_CANFD_RST0_MON_Msk                  (0x00000001UL)
#define R_CPG_CPG_RSTMON_CANFD_RST0_MON_Pos                  (0UL)
#define R_CPG_CPG_RSTMON_CANFD_RST1_MON_Msk                  (0x00000002UL)
#define R_CPG_CPG_RSTMON_CANFD_RST1_MON_Pos                  (1UL)
#define R_CPG_CPG_RSTMON_GPIO_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_GPIO_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_RSTMON_GPIO_RST1_MON_Msk                   (0x00000002UL)
#define R_CPG_CPG_RSTMON_GPIO_RST1_MON_Pos                   (1UL)
#define R_CPG_CPG_RSTMON_GPIO_RST2_MON_Msk                   (0x00000004UL)
#define R_CPG_CPG_RSTMON_GPIO_RST2_MON_Pos                   (2UL)
#define R_CPG_CPG_RSTMON_ADC_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_ADC_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_ADC_RST1_MON_Msk                    (0x00000002UL)
#define R_CPG_CPG_RSTMON_ADC_RST1_MON_Pos                    (1UL)
#define R_CPG_CPG_RSTMON_TSU_RST0_MON_Msk                    (0x00000001UL)
#define R_CPG_CPG_RSTMON_TSU_RST0_MON_Pos                    (0UL)
#define R_CPG_CPG_RSTMON_OCTA_RST0_MON_Msk                   (0x00000001UL)
#define R_CPG_CPG_RSTMON_OCTA_RST0_MON_Pos                   (0UL)
#define R_CPG_CPG_WDTOVF_RST_WDTOVF0_Msk                     (0x00000001UL)
#define R_CPG_CPG_WDTOVF_RST_WDTOVF0_Pos                     (0UL)
#define R_CPG_CPG_WDTOVF_RST_WDTOVF0_WEN_Msk                 (0x00010000UL)
#define R_CPG_CPG_WDTOVF_RST_WDTOVF0_WEN_Pos                 (16UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL0_Msk                  (0x00000001UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL0_Pos                  (0UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL4_Msk                  (0x00000010UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL4_Pos                  (4UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL8_Msk                  (0x00000100UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL8_Pos                  (8UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL0_WEN_Msk              (0x00010000UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL0_WEN_Pos              (16UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL4_WEN_Msk              (0x00100000UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL4_WEN_Pos              (20UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL8_WEN_Msk              (0x01000000UL)
#define R_CPG_CPG_WDTRST_SEL_WDTRSTSEL8_WEN_Pos              (24UL)
#define R_CPG_CPG_BUS_ACPU_MSTOP_MSTOP0_ON_Msk               (0x00000001UL)
#define R_CPG_CPG_BUS_ACPU_MSTOP_MSTOP0_ON_Pos               (0UL)
#define R_CPG_CPG_BUS_ACPU_MSTOP_MSTOP0_ON_WEN_Msk           (0x00010000UL)
#define R_CPG_CPG_BUS_ACPU_MSTOP_MSTOP0_ON_WEN_Pos           (16UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP0_ON_Msk              (0x00000001UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP0_ON_Pos              (0UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP1_ON_Msk              (0x00000002UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP1_ON_Pos              (1UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP2_ON_Msk              (0x00000004UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP2_ON_Pos              (2UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP9_ON_Msk              (0x00000200UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP9_ON_Pos              (9UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP10_ON_Msk             (0x00000400UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP10_ON_Pos             (10UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP11_ON_Msk             (0x00000800UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP11_ON_Pos             (11UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP12_ON_Msk             (0x00001000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP12_ON_Pos             (12UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP13_ON_Msk             (0x00002000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP13_ON_Pos             (13UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP14_ON_Msk             (0x00004000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP14_ON_Pos             (14UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP15_ON_Msk             (0x00008000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP15_ON_Pos             (15UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP0_ON_WEN_Msk          (0x00010000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP0_ON_WEN_Pos          (16UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP1_ON_WEN_Msk          (0x00020000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP1_ON_WEN_Pos          (17UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP2_ON_WEN_Msk          (0x00040000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP2_ON_WEN_Pos          (18UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP9_ON_WEN_Msk          (0x02000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP9_ON_WEN_Pos          (25UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP10_ON_WEN_Msk         (0x04000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP10_ON_WEN_Pos         (26UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP11_ON_WEN_Msk         (0x08000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP11_ON_WEN_Pos         (27UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP12_ON_WEN_Msk         (0x10000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP12_ON_WEN_Pos         (28UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP13_ON_WEN_Msk         (0x20000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP13_ON_WEN_Pos         (29UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP14_ON_WEN_Msk         (0x40000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP14_ON_WEN_Pos         (30UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP15_ON_WEN_Msk         (0x80000000UL)
#define R_CPG_CPG_BUS_MCPU1_MSTOP_MSTOP15_ON_WEN_Pos         (31UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP0_ON_Msk              (0x00000001UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP0_ON_Pos              (0UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP1_ON_Msk              (0x00000002UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP1_ON_Pos              (1UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP2_ON_Msk              (0x00000004UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP2_ON_Pos              (2UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP3_ON_Msk              (0x00000008UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP3_ON_Pos              (3UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP4_ON_Msk              (0x00000010UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP4_ON_Pos              (4UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP5_ON_Msk              (0x00000020UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP5_ON_Pos              (5UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP6_ON_Msk              (0x00000040UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP6_ON_Pos              (6UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP7_ON_Msk              (0x00000080UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP7_ON_Pos              (7UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP8_ON_Msk              (0x00000100UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP8_ON_Pos              (8UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP9_ON_Msk              (0x00000200UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP9_ON_Pos              (9UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP10_ON_Msk             (0x00000400UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP10_ON_Pos             (10UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP11_ON_Msk             (0x00000800UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP11_ON_Pos             (11UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP12_ON_Msk             (0x00001000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP12_ON_Pos             (12UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP13_ON_Msk             (0x00002000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP13_ON_Pos             (13UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP14_ON_Msk             (0x00004000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP14_ON_Pos             (14UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP15_ON_Msk             (0x00008000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP15_ON_Pos             (15UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP0_ON_WEN_Msk          (0x00010000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP0_ON_WEN_Pos          (16UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP1_ON_WEN_Msk          (0x00020000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP1_ON_WEN_Pos          (17UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP2_ON_WEN_Msk          (0x00040000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP2_ON_WEN_Pos          (18UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP3_ON_WEN_Msk          (0x00080000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP3_ON_WEN_Pos          (19UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP4_ON_WEN_Msk          (0x00100000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP4_ON_WEN_Pos          (20UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP5_ON_WEN_Msk          (0x00200000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP5_ON_WEN_Pos          (21UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP6_ON_WEN_Msk          (0x00400000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP6_ON_WEN_Pos          (22UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP7_ON_WEN_Msk          (0x00800000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP7_ON_WEN_Pos          (23UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP8_ON_WEN_Msk          (0x01000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP8_ON_WEN_Pos          (24UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP9_ON_WEN_Msk          (0x02000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP9_ON_WEN_Pos          (25UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP10_ON_WEN_Msk         (0x04000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP10_ON_WEN_Pos         (26UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP11_ON_WEN_Msk         (0x08000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP11_ON_WEN_Pos         (27UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP12_ON_WEN_Msk         (0x10000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP12_ON_WEN_Pos         (28UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP13_ON_WEN_Msk         (0x20000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP13_ON_WEN_Pos         (29UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP14_ON_WEN_Msk         (0x40000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP14_ON_WEN_Pos         (30UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP15_ON_WEN_Msk         (0x80000000UL)
#define R_CPG_CPG_BUS_MCPU2_MSTOP_MSTOP15_ON_WEN_Pos         (31UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP0_ON_Msk           (0x00000001UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP0_ON_Pos           (0UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP1_ON_Msk           (0x00000002UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP1_ON_Pos           (1UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP2_ON_Msk           (0x00000004UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP2_ON_Pos           (2UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP3_ON_Msk           (0x00000008UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP3_ON_Pos           (3UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP4_ON_Msk           (0x00000010UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP4_ON_Pos           (4UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP8_ON_Msk           (0x00000100UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP8_ON_Pos           (8UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP0_ON_WEN_Msk       (0x00010000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP0_ON_WEN_Pos       (16UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP1_ON_WEN_Msk       (0x00020000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP1_ON_WEN_Pos       (17UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP2_ON_WEN_Msk       (0x00040000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP2_ON_WEN_Pos       (18UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP3_ON_WEN_Msk       (0x00080000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP3_ON_WEN_Pos       (19UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP4_ON_WEN_Msk       (0x00100000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP4_ON_WEN_Pos       (20UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP8_ON_WEN_Msk       (0x01000000UL)
#define R_CPG_CPG_BUS_PERI_COM_MSTOP_MSTOP8_ON_WEN_Pos       (24UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP0_ON_Msk           (0x00000001UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP0_ON_Pos           (0UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP1_ON_Msk           (0x00000002UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP1_ON_Pos           (1UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP2_ON_Msk           (0x00000004UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP2_ON_Pos           (2UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP3_ON_Msk           (0x00000008UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP3_ON_Pos           (3UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP4_ON_Msk           (0x00000010UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP4_ON_Pos           (4UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP6_ON_Msk           (0x00000040UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP6_ON_Pos           (6UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP11_ON_Msk          (0x00000800UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP11_ON_Pos          (11UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP12_ON_Msk          (0x00001000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP12_ON_Pos          (12UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP13_ON_Msk          (0x00002000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP13_ON_Pos          (13UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP15_ON_Msk          (0x00008000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP15_ON_Pos          (15UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP0_ON_WEN_Msk       (0x00010000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP0_ON_WEN_Pos       (16UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP1_ON_WEN_Msk       (0x00020000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP1_ON_WEN_Pos       (17UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP2_ON_WEN_Msk       (0x00040000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP2_ON_WEN_Pos       (18UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP3_ON_WEN_Msk       (0x00080000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP3_ON_WEN_Pos       (19UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP4_ON_WEN_Msk       (0x00100000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP4_ON_WEN_Pos       (20UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP6_ON_WEN_Msk       (0x00400000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP6_ON_WEN_Pos       (22UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP11_ON_WEN_Msk      (0x08000000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP11_ON_WEN_Pos      (27UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP12_ON_WEN_Msk      (0x10000000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP12_ON_WEN_Pos      (28UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP13_ON_WEN_Msk      (0x20000000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP13_ON_WEN_Pos      (29UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP15_ON_WEN_Msk      (0x80000000UL)
#define R_CPG_CPG_BUS_PERI_CPU_MSTOP_MSTOP15_ON_WEN_Pos      (31UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP0_ON_Msk           (0x00000001UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP0_ON_Pos           (0UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP1_ON_Msk           (0x00000002UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP1_ON_Pos           (1UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP0_ON_WEN_Msk       (0x00010000UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP0_ON_WEN_Pos       (16UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP1_ON_WEN_Msk       (0x00020000UL)
#define R_CPG_CPG_BUS_PERI_DDR_MSTOP_MSTOP1_ON_WEN_Pos       (17UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP3_ON_Msk         (0x00000008UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP3_ON_Pos         (3UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP4_ON_Msk         (0x00000010UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP4_ON_Pos         (4UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP7_ON_Msk         (0x00000080UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP7_ON_Pos         (7UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP8_ON_Msk         (0x00000100UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP8_ON_Pos         (8UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP9_ON_Msk         (0x00000200UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP9_ON_Pos         (9UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP10_ON_Msk        (0x00000400UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP10_ON_Pos        (10UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP3_ON_WEN_Msk     (0x00080000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP3_ON_WEN_Pos     (19UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP4_ON_WEN_Msk     (0x00100000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP4_ON_WEN_Pos     (20UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP7_ON_WEN_Msk     (0x00800000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP7_ON_WEN_Pos     (23UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP8_ON_WEN_Msk     (0x01000000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP8_ON_WEN_Pos     (24UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP9_ON_WEN_Msk     (0x02000000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP9_ON_WEN_Pos     (25UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP10_ON_WEN_Msk    (0x04000000UL)
#define R_CPG_CPG_BUS_PERI_VIDEO_MSTOP_MSTOP10_ON_WEN_Pos    (26UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP2_ON_Msk               (0x00000004UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP2_ON_Pos               (2UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP4_ON_Msk               (0x00000010UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP4_ON_Pos               (4UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP5_ON_Msk               (0x00000020UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP5_ON_Pos               (5UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP6_ON_Msk               (0x00000040UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP6_ON_Pos               (6UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP2_ON_WEN_Msk           (0x00040000UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP2_ON_WEN_Pos           (18UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP4_ON_WEN_Msk           (0x00100000UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP4_ON_WEN_Pos           (20UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP5_ON_WEN_Msk           (0x00200000UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP5_ON_WEN_Pos           (21UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP6_ON_WEN_Msk           (0x00400000UL)
#define R_CPG_CPG_BUS_REG0_MSTOP_MSTOP6_ON_WEN_Pos           (22UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP0_ON_Msk               (0x00000001UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP0_ON_Pos               (0UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP1_ON_Msk               (0x00000002UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP1_ON_Pos               (1UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP2_ON_Msk               (0x00000004UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP2_ON_Pos               (2UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP3_ON_Msk               (0x00000008UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP3_ON_Pos               (3UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP7_ON_Msk               (0x00000080UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP7_ON_Pos               (7UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP0_ON_WEN_Msk           (0x00010000UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP0_ON_WEN_Pos           (16UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP1_ON_WEN_Msk           (0x00020000UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP1_ON_WEN_Pos           (17UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP2_ON_WEN_Msk           (0x00040000UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP2_ON_WEN_Pos           (18UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP3_ON_WEN_Msk           (0x00080000UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP3_ON_WEN_Pos           (19UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP7_ON_WEN_Msk           (0x00800000UL)
#define R_CPG_CPG_BUS_REG1_MSTOP_MSTOP7_ON_WEN_Pos           (23UL)
#define R_CPG_CPG_BUS_MCPU3_MSTOP_MSTOP0_ON_Msk              (0x00000001UL)
#define R_CPG_CPG_BUS_MCPU3_MSTOP_MSTOP0_ON_Pos              (0UL)
#define R_CPG_CPG_BUS_MCPU3_MSTOP_MSTOP0_ON_WEN_Msk          (0x00010000UL)
#define R_CPG_CPG_BUS_MCPU3_MSTOP_MSTOP0_ON_WEN_Pos          (16UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES1_SET_Msk                (0x00000002UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES1_SET_Pos                (1UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES2_SET_Msk                (0x00000004UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES2_SET_Pos                (2UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES3_SET_Msk                (0x00000008UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES3_SET_Pos                (3UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES4_SET_Msk                (0x00000010UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES4_SET_Pos                (4UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES5_SET_Msk                (0x00000020UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES5_SET_Pos                (5UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES6_SET_Msk                (0x00000040UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES6_SET_Pos                (6UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES7_SET_Msk                (0x00000080UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES7_SET_Pos                (7UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES8_SET_Msk                (0x00000100UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES8_SET_Pos                (8UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES9_SET_Msk                (0x00000200UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES9_SET_Pos                (9UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES10_SET_Msk               (0x00000400UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES10_SET_Pos               (10UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES11_SET_Msk               (0x00000800UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES11_SET_Pos               (11UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES12_SET_Msk               (0x00001000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES12_SET_Pos               (12UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES13_SET_Msk               (0x00002000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES13_SET_Pos               (13UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES14_SET_Msk               (0x00004000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES14_SET_Pos               (14UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES15_SET_Msk               (0x00008000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES15_SET_Pos               (15UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES1_ON_WEN_Msk             (0x00020000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES1_ON_WEN_Pos             (17UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES2_ON_WEN_Msk             (0x00040000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES2_ON_WEN_Pos             (18UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES3_ON_WEN_Msk             (0x00080000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES3_ON_WEN_Pos             (19UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES4_ON_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES4_ON_WEN_Pos             (20UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES5_ON_WEN_Msk             (0x00200000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES5_ON_WEN_Pos             (21UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES6_ON_WEN_Msk             (0x00400000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES6_ON_WEN_Pos             (22UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES7_ON_WEN_Msk             (0x00800000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES7_ON_WEN_Pos             (23UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES8_ON_WEN_Msk             (0x01000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES8_ON_WEN_Pos             (24UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES9_ON_WEN_Msk             (0x02000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES9_ON_WEN_Pos             (25UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES10_ON_WEN_Msk            (0x04000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES10_ON_WEN_Pos            (26UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES11_ON_WEN_Msk            (0x08000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES11_ON_WEN_Pos            (27UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES12_ON_WEN_Msk            (0x10000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES12_ON_WEN_Pos            (28UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES13_ON_WEN_Msk            (0x20000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES13_ON_WEN_Pos            (29UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES14_ON_WEN_Msk            (0x40000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES14_ON_WEN_Pos            (30UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES15_ON_WEN_Msk            (0x80000000UL)
#define R_CPG_CPG_OTHERFUNC1_REG_RES15_ON_WEN_Pos            (31UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES0_SET_Msk                (0x00000001UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES0_SET_Pos                (0UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES1_SET_Msk                (0x00000002UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES1_SET_Pos                (1UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES2_SET_Msk                (0x00000004UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES2_SET_Pos                (2UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES3_SET_Msk                (0x00000008UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES3_SET_Pos                (3UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES4_SET_Msk                (0x00000010UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES4_SET_Pos                (4UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES5_SET_Msk                (0x00000020UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES5_SET_Pos                (5UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES6_SET_Msk                (0x00000040UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES6_SET_Pos                (6UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES7_SET_Msk                (0x00000080UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES7_SET_Pos                (7UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES8_SET_Msk                (0x00000100UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES8_SET_Pos                (8UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES9_SET_Msk                (0x00000200UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES9_SET_Pos                (9UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES10_SET_Msk               (0x00000400UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES10_SET_Pos               (10UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES11_SET_Msk               (0x00000800UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES11_SET_Pos               (11UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES12_SET_Msk               (0x00001000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES12_SET_Pos               (12UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES13_SET_Msk               (0x00002000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES13_SET_Pos               (13UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES14_SET_Msk               (0x00004000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES14_SET_Pos               (14UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES15_SET_Msk               (0x00008000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES15_SET_Pos               (15UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES0_ON_WEN_Msk             (0x00010000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES0_ON_WEN_Pos             (16UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES1_ON_WEN_Msk             (0x00020000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES1_ON_WEN_Pos             (17UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES2_ON_WEN_Msk             (0x00040000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES2_ON_WEN_Pos             (18UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES3_ON_WEN_Msk             (0x00080000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES3_ON_WEN_Pos             (19UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES4_ON_WEN_Msk             (0x00100000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES4_ON_WEN_Pos             (20UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES5_ON_WEN_Msk             (0x00200000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES5_ON_WEN_Pos             (21UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES6_ON_WEN_Msk             (0x00400000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES6_ON_WEN_Pos             (22UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES7_ON_WEN_Msk             (0x00800000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES7_ON_WEN_Pos             (23UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES8_ON_WEN_Msk             (0x01000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES8_ON_WEN_Pos             (24UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES9_ON_WEN_Msk             (0x02000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES9_ON_WEN_Pos             (25UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES10_ON_WEN_Msk            (0x04000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES10_ON_WEN_Pos            (26UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES11_ON_WEN_Msk            (0x08000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES11_ON_WEN_Pos            (27UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES12_ON_WEN_Msk            (0x10000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES12_ON_WEN_Pos            (28UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES13_ON_WEN_Msk            (0x20000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES13_ON_WEN_Pos            (29UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES14_ON_WEN_Msk            (0x40000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES14_ON_WEN_Pos            (30UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES15_ON_WEN_Msk            (0x80000000UL)
#define R_CPG_CPG_OTHERFUNC2_REG_RES15_ON_WEN_Pos            (31UL)

#endif
