/***********************************************************************************************************************
 * Copyright [2020-2022] Renesas Electronics Corporation and/or its affiliates.  All Rights Reserved.
 *
 * This software and documentation are supplied by Renesas Electronics Corporation and/or its affiliates and may only
 * be used with products of Renesas Electronics Corp. and its affiliates ("Renesas").  No other uses are authorized.
 * Renesas products are sold pursuant to Renesas terms and conditions of sale.  Purchasers are solely responsible for
 * the selection and use of Renesas products and Renesas assumes no liability.  No license, express or implied, to any
 * intellectual property right is granted by Renesas.  This software is protected under all applicable laws, including
 * copyright laws. Renesas reserves the right to change or discontinue this software and/or this documentation.
 * THE SOFTWARE AND DOCUMENTATION IS DELIVERED TO YOU "AS IS," AND RENESAS MAKES NO REPRESENTATIONS OR WARRANTIES, AND
 * TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, DISCLAIMS ALL WARRANTIES, WHETHER EXPLICITLY OR IMPLICITLY,
 * INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT, WITH RESPECT TO THE
 * SOFTWARE OR DOCUMENTATION.  RENESAS SHALL HAVE NO LIABILITY ARISING OUT OF ANY SECURITY VULNERABILITY OR BREACH.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT WILL RENESAS BE LIABLE TO YOU IN CONNECTION WITH THE SOFTWARE OR
 * DOCUMENTATION (OR ANY PERSON OR ENTITY CLAIMING RIGHTS DERIVED FROM YOU) FOR ANY LOSS, DAMAGES, OR CLAIMS WHATSOEVER,
 * INCLUDING, WITHOUT LIMITATION, ANY DIRECT, CONSEQUENTIAL, SPECIAL, INDIRECT, PUNITIVE, OR INCIDENTAL DAMAGES; ANY
 * LOST PROFITS, OTHER ECONOMIC DAMAGE, PROPERTY DAMAGE, OR PERSONAL INJURY; AND EVEN IF RENESAS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH LOSS, DAMAGES, CLAIMS OR COSTS.
 **********************************************************************************************************************/

/**********************************************************************************************************************
 * File Name    : intc_gic_iobitmask.h
 * Version      : 1.00
 * Description  : IO bit mask file for GIC.
 *********************************************************************************************************************/

#ifndef INTC_GIC_IOBITMASK_H
#define INTC_GIC_IOBITMASK_H

#define R_INTC_GIC_GICD_CTLR_EnableGrp0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_CTLR_EnableGrp0_Pos                            (0UL)
#define R_INTC_GIC_GICD_CTLR_EnableGrp1NS_Msk                          (0x00000002UL)
#define R_INTC_GIC_GICD_CTLR_EnableGrp1NS_Pos                          (1UL)
#define R_INTC_GIC_GICD_CTLR_EnableGrp1S_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_CTLR_EnableGrp1S_Pos                           (2UL)
#define R_INTC_GIC_GICD_CTLR_ARE_S_Msk                                 (0x00000010UL)
#define R_INTC_GIC_GICD_CTLR_ARE_S_Pos                                 (4UL)
#define R_INTC_GIC_GICD_CTLR_ARE_NS_Msk                                (0x00000020UL)
#define R_INTC_GIC_GICD_CTLR_ARE_NS_Pos                                (5UL)
#define R_INTC_GIC_GICD_CTLR_DS_Msk                                    (0x00000040UL)
#define R_INTC_GIC_GICD_CTLR_DS_Pos                                    (6UL)
#define R_INTC_GIC_GICD_CTLR_E1NWF_Msk                                 (0x00000080UL)
#define R_INTC_GIC_GICD_CTLR_E1NWF_Pos                                 (7UL)
#define R_INTC_GIC_GICD_CTLR_RWP_Msk                                   (0x80000000UL)
#define R_INTC_GIC_GICD_CTLR_RWP_Pos                                   (31UL)
#define R_INTC_GIC_GICD_TYPER_ITLineNumber_Msk                         (0x0000001FUL)
#define R_INTC_GIC_GICD_TYPER_ITLineNumber_Pos                         (0UL)
#define R_INTC_GIC_GICD_TYPER_CPUNujmber_Msk                           (0x000000E0UL)
#define R_INTC_GIC_GICD_TYPER_CPUNujmber_Pos                           (5UL)
#define R_INTC_GIC_GICD_TYPER_ESPI_Msk                                 (0x00000100UL)
#define R_INTC_GIC_GICD_TYPER_ESPI_Pos                                 (8UL)
#define R_INTC_GIC_GICD_TYPER_SecurityExtn_Msk                         (0x00000400UL)
#define R_INTC_GIC_GICD_TYPER_SecurityExtn_Pos                         (10UL)
#define R_INTC_GIC_GICD_TYPER_num_LPIs_Msk                             (0x0000F800UL)
#define R_INTC_GIC_GICD_TYPER_num_LPIs_Pos                             (11UL)
#define R_INTC_GIC_GICD_TYPER_MBIS_Msk                                 (0x00010000UL)
#define R_INTC_GIC_GICD_TYPER_MBIS_Pos                                 (16UL)
#define R_INTC_GIC_GICD_TYPER_LPIS_Msk                                 (0x00020000UL)
#define R_INTC_GIC_GICD_TYPER_LPIS_Pos                                 (17UL)
#define R_INTC_GIC_GICD_TYPER_DVIS_Msk                                 (0x00040000UL)
#define R_INTC_GIC_GICD_TYPER_DVIS_Pos                                 (18UL)
#define R_INTC_GIC_GICD_TYPER_IDbits_Msk                               (0x00F80000UL)
#define R_INTC_GIC_GICD_TYPER_IDbits_Pos                               (19UL)
#define R_INTC_GIC_GICD_TYPER_A3V_Msk                                  (0x01000000UL)
#define R_INTC_GIC_GICD_TYPER_A3V_Pos                                  (24UL)
#define R_INTC_GIC_GICD_TYPER_No1N_Msk                                 (0x02000000UL)
#define R_INTC_GIC_GICD_TYPER_No1N_Pos                                 (25UL)
#define R_INTC_GIC_GICD_TYPER_RSS_Msk                                  (0x04000000UL)
#define R_INTC_GIC_GICD_TYPER_RSS_Pos                                  (26UL)
#define R_INTC_GIC_GICD_TYPER_ESPI_range_Msk                           (0xF8000000UL)
#define R_INTC_GIC_GICD_TYPER_ESPI_range_Pos                           (27UL)
#define R_INTC_GIC_GICD_IIDR_Implementer_Msk                           (0x00000FFFUL)
#define R_INTC_GIC_GICD_IIDR_Implementer_Pos                           (0UL)
#define R_INTC_GIC_GICD_IIDR_Revision_Msk                              (0x0000F000UL)
#define R_INTC_GIC_GICD_IIDR_Revision_Pos                              (12UL)
#define R_INTC_GIC_GICD_IIDR_Variant_Msk                               (0x000F0000UL)
#define R_INTC_GIC_GICD_IIDR_Variant_Pos                               (16UL)
#define R_INTC_GIC_GICD_IIDR_ProductID_Msk                             (0xFF000000UL)
#define R_INTC_GIC_GICD_IIDR_ProductID_Pos                             (24UL)
#define R_INTC_GIC_GICD_FCTLR_SIP_Msk                                  (0x00000001UL)
#define R_INTC_GIC_GICD_FCTLR_SIP_Pos                                  (0UL)
#define R_INTC_GIC_GICD_FCTLR_CGO_Msk                                  (0x00003FF0UL)
#define R_INTC_GIC_GICD_FCTLR_CGO_Pos                                  (4UL)
#define R_INTC_GIC_GICD_FCTLR_NSACR_Msk                                (0x00030000UL)
#define R_INTC_GIC_GICD_FCTLR_NSACR_Pos                                (16UL)
#define R_INTC_GIC_GICD_FCTLR_DCC_Msk                                  (0x00200000UL)
#define R_INTC_GIC_GICD_FCTLR_DCC_Pos                                  (21UL)
#define R_INTC_GIC_GICD_FCTLR_QDENY_Msk                                (0x02000000UL)
#define R_INTC_GIC_GICD_FCTLR_QDENY_Pos                                (25UL)
#define R_INTC_GIC_GICD_FCTLR_POS_Msk                                  (0x04000000UL)
#define R_INTC_GIC_GICD_FCTLR_POS_Pos                                  (26UL)
#define R_INTC_GIC_GICD_SAC_DSL_Msk                                    (0x00000001UL)
#define R_INTC_GIC_GICD_SAC_DSL_Pos                                    (0UL)
#define R_INTC_GIC_GICD_SAC_GICTNS_Msk                                 (0x00000002UL)
#define R_INTC_GIC_GICD_SAC_GICTNS_Pos                                 (1UL)
#define R_INTC_GIC_GICD_SAC_GICPNS_Msk                                 (0x00000004UL)
#define R_INTC_GIC_GICD_SAC_GICPNS_Pos                                 (2UL)
#define R_INTC_GIC_GICD_SETSPI_NSR_INTID_Msk                           (0x00001FFFUL)
#define R_INTC_GIC_GICD_SETSPI_NSR_INTID_Pos                           (0UL)
#define R_INTC_GIC_GICD_CLRSPI_NSR_INTID_Msk                           (0x00001FFFUL)
#define R_INTC_GIC_GICD_CLRSPI_NSR_INTID_Pos                           (0UL)
#define R_INTC_GIC_GICD_SETSPI_SR_INTID_Msk                            (0x00001FFFUL)
#define R_INTC_GIC_GICD_SETSPI_SR_INTID_Pos                            (0UL)
#define R_INTC_GIC_GICD_CLRSPI_SR_INTID_Msk                            (0x00001FFFUL)
#define R_INTC_GIC_GICD_CLRSPI_SR_INTID_Pos                            (0UL)
#define R_INTC_GIC_GICD_IGROUPR0_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR0_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR1_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR1_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR2_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR2_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR3_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR3_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR4_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR4_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR5_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR5_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR6_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR6_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR7_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR7_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR8_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR8_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR9_Group_status_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR9_Group_status_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_IGROUPR10_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR10_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR11_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR11_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR12_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR12_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR13_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR13_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR14_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR14_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR15_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR15_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR16_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR16_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR17_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR17_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR18_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR18_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR19_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR19_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR20_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR20_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR21_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR21_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR22_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR22_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR23_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR23_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR24_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR24_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR25_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR25_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR26_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR26_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR27_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR27_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR28_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR28_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR29_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR29_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR30_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR30_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_IGROUPR31_Group_status_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGROUPR31_Group_status_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER0_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER0_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER1_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER1_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER2_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER2_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER3_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER3_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER4_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER4_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER5_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER5_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER6_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER6_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER7_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER7_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER8_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER8_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER9_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER9_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISENABLER10_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER10_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER11_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER11_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER12_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER12_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER13_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER13_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER14_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER14_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER15_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER15_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER16_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER16_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER17_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER17_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER18_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER18_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER19_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER19_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER20_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER20_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER21_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER21_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER22_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER22_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER23_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER23_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER24_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER24_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER25_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER25_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER26_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER26_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER27_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER27_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER28_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER28_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER29_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER29_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER30_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER30_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISENABLER31_Set_enable_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISENABLER31_Set_enable_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICENABLER0_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER0_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER1_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER1_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER2_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER2_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER3_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER3_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER4_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER4_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER5_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER5_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER6_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER6_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER7_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER7_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER8_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER8_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER9_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER9_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICENABLER10_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER10_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER11_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER11_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER12_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER12_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER13_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER13_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER14_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER14_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER15_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER15_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER16_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER16_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER17_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER17_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER18_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER18_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER19_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER19_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER20_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER20_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER21_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER21_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER22_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER22_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER23_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER23_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER24_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER24_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER25_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER25_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER26_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER26_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER27_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER27_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER28_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER28_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER29_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER29_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER30_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER30_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICENABLER31_Clear_enable_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICENABLER31_Clear_enable_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ISPENDR0_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR0_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR1_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR1_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR2_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR2_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR3_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR3_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR4_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR4_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR5_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR5_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR6_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR6_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR7_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR7_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR8_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR8_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR9_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR9_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICD_ISPENDR10_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR10_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR11_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR11_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR12_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR12_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR13_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR13_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR14_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR14_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR15_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR15_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR16_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR16_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR17_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR17_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR18_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR18_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR19_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR19_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR20_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR20_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR21_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR21_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR22_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR22_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR23_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR23_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR24_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR24_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR25_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR25_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR26_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR26_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR27_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR27_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR28_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR28_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR29_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR29_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR30_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR30_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISPENDR31_Set_pending_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISPENDR31_Set_pending_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ICPENDR0_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR0_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR1_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR1_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR2_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR2_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR3_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR3_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR4_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR4_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR5_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR5_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR6_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR6_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR7_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR7_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR8_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR8_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR9_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR9_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICPENDR10_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR10_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR11_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR11_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR12_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR12_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR13_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR13_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR14_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR14_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR15_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR15_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR16_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR16_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR17_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR17_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR18_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR18_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR19_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR19_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR20_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR20_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR21_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR21_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR22_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR22_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR23_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR23_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR24_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR24_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR25_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR25_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR26_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR26_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR27_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR27_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR28_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR28_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR29_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR29_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR30_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR30_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICPENDR31_Clear_pending_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICPENDR31_Clear_pending_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ISACTIVER0_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER0_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER1_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER1_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER2_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER2_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER3_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER3_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER4_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER4_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER5_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER5_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER6_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER6_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER7_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER7_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER8_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER8_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER9_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER9_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICD_ISACTIVER10_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER10_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER11_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER11_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER12_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER12_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER13_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER13_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER14_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER14_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER15_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER15_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER16_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER16_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER17_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER17_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER18_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER18_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER19_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER19_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER20_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER20_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER21_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER21_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER22_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER22_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER23_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER23_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER24_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER24_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER25_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER25_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER26_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER26_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER27_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER27_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER28_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER28_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER29_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER29_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER30_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER30_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ISACTIVER31_Set_active_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ISACTIVER31_Set_active_bit_Pos                 (0UL)
#define R_INTC_GIC_GICD_ICACTIVER0_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER0_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER1_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER1_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER2_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER2_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER3_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER3_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER4_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER4_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER5_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER5_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER6_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER6_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER7_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER7_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER8_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER8_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER9_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER9_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICD_ICACTIVER10_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER10_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER11_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER11_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER12_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER12_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER13_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER13_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER14_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER14_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER15_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER15_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER16_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER16_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER17_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER17_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER18_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER18_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER19_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER19_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER20_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER20_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER21_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER21_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER22_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER22_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER23_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER23_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER24_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER24_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER25_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER25_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER26_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER26_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER27_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER27_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER28_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER28_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER29_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER29_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER30_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER30_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_ICACTIVER31_Clear_active_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_ICACTIVER31_Clear_active_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR0_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR1_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR2_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR3_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR4_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR5_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR6_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR7_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR8_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR9_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR10_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR11_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR12_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR13_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR14_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR15_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR16_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR17_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR18_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR19_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR20_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR21_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR22_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR23_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR24_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR25_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR26_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR27_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR28_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR29_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR30_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR31_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR32_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR33_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR34_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR35_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR36_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR37_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR38_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR39_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR40_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR41_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR42_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR43_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR44_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR45_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR46_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR47_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR48_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR49_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR50_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR51_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR52_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR53_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR54_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR55_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR56_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR57_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR58_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR59_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR60_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR61_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR62_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR63_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR64_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR65_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR66_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR67_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR68_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR69_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR70_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR71_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR72_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR73_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR74_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR75_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR76_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR77_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR78_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR79_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR80_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR81_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR82_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR83_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR84_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR85_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR86_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR87_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR88_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR89_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR90_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR91_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR92_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR93_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR94_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR95_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR96_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR97_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR98_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset0B_Msk             (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset0B_Pos             (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset1B_Msk             (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset1B_Pos             (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset2B_Msk             (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset2B_Pos             (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset3B_Msk             (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR99_Priority_offset3B_Pos             (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR100_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR101_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR102_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR103_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR104_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR105_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR106_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR107_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR108_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR109_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR110_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR111_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR112_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR113_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR114_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR115_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR116_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR117_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR118_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR119_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR120_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR121_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR122_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR123_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR124_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR125_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR126_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR127_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR128_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR129_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR130_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR131_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR132_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR133_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR134_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR135_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR136_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR137_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR138_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR139_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR140_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR141_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR142_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR143_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR144_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR145_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR146_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR147_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR148_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR149_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR150_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR151_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR152_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR153_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR154_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR155_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR156_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR157_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR158_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR159_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR160_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR161_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR162_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR163_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR164_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR165_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR166_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR167_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR168_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR169_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR170_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR171_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR172_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR173_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR174_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR175_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR176_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR177_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR178_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR179_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR180_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR181_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR182_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR183_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR184_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR185_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR186_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR187_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR188_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR189_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR190_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR191_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR192_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR193_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR194_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR195_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR196_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR197_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR198_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR199_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR200_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR201_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR202_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR203_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR204_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR205_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR206_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR207_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR208_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR209_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR210_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR211_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR212_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR213_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR214_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR215_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR216_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR217_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR218_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR219_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR220_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR221_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR222_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR223_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR224_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR225_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR226_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR227_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR228_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR229_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR230_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR231_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR232_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR233_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR234_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR235_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR236_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR237_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR238_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR239_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR240_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR241_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR242_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR243_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR244_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR245_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR246_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR247_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR248_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR249_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR250_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR251_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR252_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR253_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR254_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset0B_Msk            (0x000000FFUL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset0B_Pos            (0UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset1B_Msk            (0x0000FF00UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset1B_Pos            (8UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset2B_Msk            (0x00FF0000UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset2B_Pos            (16UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset3B_Msk            (0xFF000000UL)
#define R_INTC_GIC_GICD_IPRIORITYR255_Priority_offset3B_Pos            (24UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR0_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR1_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR2_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR3_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR4_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR5_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR6_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR7_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR8_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR9_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR10_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR11_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR12_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR13_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR14_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR15_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR16_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR17_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR18_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR19_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR20_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR21_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR22_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR23_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR24_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR25_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR26_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR27_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR28_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR29_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR30_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR31_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR32_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR33_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR34_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR35_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR36_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR37_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR38_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR39_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR40_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR41_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR42_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR43_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR44_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR45_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR46_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR47_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR48_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR49_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR50_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR51_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR52_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR53_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR54_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR55_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR56_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR57_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR58_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR59_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR60_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR61_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR62_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config0_Msk                        (0x00000003UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config0_Pos                        (0UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config1_Msk                        (0x0000000CUL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config1_Pos                        (2UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config2_Msk                        (0x00000030UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config2_Pos                        (4UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config3_Msk                        (0x000000C0UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config3_Pos                        (6UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config4_Msk                        (0x00000300UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config4_Pos                        (8UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config5_Msk                        (0x00000C00UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config5_Pos                        (10UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config6_Msk                        (0x00003000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config6_Pos                        (12UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config7_Msk                        (0x0000C000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config7_Pos                        (14UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config8_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config8_Pos                        (16UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config9_Msk                        (0x000C0000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config9_Pos                        (18UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config10_Msk                       (0x00300000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config10_Pos                       (20UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config11_Msk                       (0x00C00000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config11_Pos                       (22UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config12_Msk                       (0x03000000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config12_Pos                       (24UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config13_Msk                       (0x0C000000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config13_Pos                       (26UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config14_Msk                       (0x30000000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config14_Pos                       (28UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config15_Msk                       (0xC0000000UL)
#define R_INTC_GIC_GICD_ICFGR63_Int_config15_Pos                       (30UL)
#define R_INTC_GIC_GICD_IGRPMODR0_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR0_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR1_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR1_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR2_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR2_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR3_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR3_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR4_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR4_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR5_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR5_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR6_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR6_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR7_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR7_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR8_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR8_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR9_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR9_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICD_IGRPMODR10_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR10_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR11_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR11_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR12_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR12_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR13_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR13_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR14_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR14_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR15_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR15_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR16_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR16_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR17_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR17_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR18_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR18_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR19_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR19_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR20_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR20_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR21_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR21_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR22_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR22_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR23_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR23_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR24_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR24_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR25_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR25_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR26_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR26_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR27_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR27_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR28_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR28_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR29_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR29_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR30_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR30_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_IGRPMODR31_Group_modifier_bit_Msk              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IGRPMODR31_Group_modifier_bit_Pos              (0UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR0_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR0_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR1_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR1_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR2_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR2_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR3_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR3_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR4_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR4_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR5_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR5_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR6_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR6_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR7_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR7_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR8_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR8_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access0_Msk                          (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access0_Pos                          (0UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access1_Msk                          (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR9_NS_access1_Pos                          (2UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access2_Msk                          (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access2_Pos                          (4UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access3_Msk                          (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access3_Pos                          (6UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access4_Msk                          (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access4_Pos                          (8UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access5_Msk                          (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access5_Pos                          (10UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access6_Msk                          (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access6_Pos                          (12UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access7_Msk                          (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access7_Pos                          (14UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access8_Msk                          (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access8_Pos                          (16UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access9_Msk                          (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access9_Pos                          (18UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access10_Msk                         (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access10_Pos                         (20UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access11_Msk                         (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access11_Pos                         (22UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access12_Msk                         (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access12_Pos                         (24UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access13_Msk                         (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access13_Pos                         (26UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access14_Msk                         (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access14_Pos                         (28UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access15_Msk                         (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR9_NS_access15_Pos                         (30UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR10_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR10_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR11_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR11_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR12_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR12_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR13_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR13_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR14_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR14_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR15_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR15_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR16_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR16_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR17_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR17_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR18_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR18_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR19_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR19_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR20_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR20_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR21_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR21_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR22_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR22_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR23_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR23_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR24_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR24_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR25_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR25_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR26_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR26_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR27_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR27_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR28_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR28_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR29_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR29_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR30_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR30_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR31_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR31_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR32_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR32_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR33_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR33_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR34_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR34_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR35_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR35_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR36_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR36_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR37_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR37_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR38_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR38_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR39_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR39_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR40_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR40_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR41_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR41_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR42_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR42_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR43_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR43_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR44_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR44_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR45_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR45_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR46_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR46_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR47_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR47_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR48_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR48_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR49_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR49_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR50_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR50_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR51_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR51_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR52_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR52_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR53_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR53_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR54_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR54_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR55_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR55_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR56_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR56_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR57_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR57_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR58_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR58_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR59_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR59_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR60_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR60_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR61_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR61_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR62_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR62_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access0_Pos                         (0UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICD_NSACR63_NS_access1_Pos                         (2UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access2_Pos                         (4UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access3_Pos                         (6UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access4_Pos                         (8UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access5_Pos                         (10UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access6_Pos                         (12UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access7_Pos                         (14UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access8_Pos                         (16UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access9_Pos                         (18UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access10_Pos                        (20UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access11_Pos                        (22UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access12_Pos                        (24UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access13_Pos                        (26UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access14_Pos                        (28UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICD_NSACR63_NS_access15_Pos                        (30UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER32_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER32_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER32_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER32_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER33_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER33_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER33_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER33_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER34_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER34_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER34_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER34_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER35_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER35_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER35_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER35_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER36_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER36_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER36_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER36_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER37_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER37_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER37_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER37_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER38_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER38_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER38_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER38_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER39_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER39_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER39_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER39_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER40_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER40_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER40_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER40_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER41_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER41_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER41_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER41_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER42_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER42_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER42_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER42_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER43_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER43_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER43_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER43_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER44_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER44_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER44_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER44_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER45_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER45_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER45_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER45_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER46_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER46_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER46_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER46_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER47_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER47_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER47_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER47_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER48_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER48_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER48_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER48_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER49_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER49_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER49_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER49_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER50_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER50_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER50_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER50_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER51_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER51_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER51_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER51_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER52_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER52_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER52_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER52_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER53_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER53_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER53_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER53_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER54_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER54_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER54_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER54_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER55_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER55_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER55_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER55_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER56_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER56_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER56_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER56_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER57_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER57_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER57_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER57_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER58_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER58_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER58_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER58_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER59_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER59_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER59_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER59_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER60_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER60_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER60_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER60_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER61_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER61_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER61_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER61_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER62_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER62_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER62_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER62_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER63_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER63_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER63_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER63_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER64_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER64_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER64_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER64_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER65_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER65_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER65_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER65_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER66_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER66_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER66_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER66_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER67_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER67_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER67_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER67_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER68_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER68_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER68_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER68_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER69_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER69_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER69_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER69_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER70_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER70_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER70_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER70_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER71_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER71_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER71_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER71_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER72_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER72_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER72_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER72_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER73_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER73_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER73_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER73_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER74_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER74_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER74_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER74_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER75_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER75_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER75_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER75_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER76_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER76_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER76_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER76_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER77_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER77_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER77_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER77_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER78_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER78_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER78_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER78_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER79_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER79_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER79_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER79_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER80_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER80_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER80_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER80_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER81_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER81_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER81_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER81_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER82_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER82_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER82_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER82_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER83_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER83_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER83_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER83_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER84_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER84_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER84_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER84_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER85_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER85_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER85_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER85_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER86_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER86_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER86_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER86_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER87_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER87_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER87_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER87_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER88_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER88_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER88_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER88_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER89_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER89_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER89_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER89_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER90_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER90_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER90_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER90_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER91_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER91_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER91_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER91_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER92_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER92_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER92_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER92_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER93_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER93_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER93_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER93_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER94_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER94_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER94_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER94_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER95_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER95_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER95_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER95_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER96_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER96_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER96_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER96_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER97_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER97_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER97_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER97_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER98_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER98_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER98_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER98_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff0_Msk                             (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER99_Aff0_Pos                             (0UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff1_Msk                             (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff1_Pos                             (8UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff2_Msk                             (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff2_Pos                             (16UL)
#define R_INTC_GIC_GICD_IROUTER99_Interrupt_Routing_Mode_Msk           (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER99_Interrupt_Routing_Mode_Pos           (31UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff3_Msk                             (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER99_Aff3_Pos                             (32UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER100_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER100_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER100_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER100_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER101_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER101_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER101_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER101_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER102_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER102_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER102_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER102_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER103_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER103_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER103_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER103_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER104_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER104_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER104_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER104_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER105_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER105_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER105_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER105_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER106_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER106_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER106_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER106_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER107_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER107_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER107_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER107_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER108_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER108_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER108_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER108_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER109_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER109_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER109_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER109_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER110_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER110_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER110_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER110_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER111_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER111_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER111_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER111_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER112_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER112_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER112_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER112_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER113_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER113_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER113_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER113_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER114_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER114_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER114_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER114_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER115_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER115_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER115_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER115_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER116_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER116_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER116_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER116_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER117_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER117_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER117_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER117_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER118_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER118_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER118_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER118_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER119_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER119_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER119_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER119_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER120_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER120_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER120_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER120_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER121_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER121_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER121_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER121_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER122_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER122_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER122_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER122_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER123_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER123_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER123_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER123_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER124_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER124_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER124_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER124_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER125_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER125_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER125_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER125_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER126_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER126_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER126_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER126_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER127_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER127_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER127_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER127_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER128_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER128_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER128_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER128_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER129_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER129_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER129_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER129_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER130_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER130_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER130_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER130_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER131_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER131_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER131_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER131_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER132_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER132_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER132_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER132_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER133_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER133_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER133_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER133_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER134_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER134_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER134_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER134_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER135_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER135_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER135_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER135_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER136_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER136_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER136_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER136_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER137_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER137_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER137_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER137_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER138_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER138_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER138_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER138_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER139_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER139_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER139_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER139_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER140_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER140_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER140_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER140_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER141_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER141_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER141_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER141_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER142_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER142_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER142_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER142_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER143_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER143_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER143_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER143_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER144_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER144_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER144_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER144_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER145_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER145_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER145_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER145_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER146_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER146_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER146_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER146_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER147_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER147_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER147_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER147_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER148_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER148_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER148_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER148_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER149_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER149_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER149_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER149_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER150_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER150_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER150_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER150_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER151_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER151_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER151_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER151_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER152_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER152_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER152_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER152_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER153_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER153_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER153_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER153_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER154_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER154_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER154_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER154_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER155_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER155_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER155_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER155_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER156_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER156_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER156_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER156_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER157_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER157_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER157_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER157_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER158_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER158_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER158_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER158_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER159_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER159_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER159_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER159_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER160_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER160_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER160_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER160_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER161_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER161_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER161_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER161_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER162_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER162_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER162_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER162_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER163_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER163_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER163_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER163_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER164_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER164_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER164_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER164_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER165_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER165_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER165_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER165_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER166_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER166_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER166_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER166_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER167_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER167_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER167_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER167_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER168_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER168_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER168_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER168_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER169_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER169_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER169_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER169_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER170_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER170_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER170_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER170_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER171_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER171_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER171_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER171_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER172_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER172_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER172_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER172_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER173_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER173_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER173_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER173_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER174_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER174_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER174_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER174_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER175_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER175_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER175_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER175_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER176_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER176_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER176_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER176_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER177_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER177_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER177_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER177_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER178_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER178_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER178_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER178_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER179_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER179_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER179_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER179_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER180_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER180_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER180_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER180_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER181_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER181_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER181_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER181_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER182_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER182_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER182_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER182_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER183_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER183_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER183_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER183_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER184_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER184_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER184_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER184_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER185_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER185_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER185_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER185_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER186_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER186_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER186_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER186_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER187_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER187_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER187_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER187_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER188_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER188_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER188_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER188_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER189_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER189_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER189_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER189_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER190_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER190_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER190_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER190_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER191_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER191_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER191_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER191_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER192_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER192_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER192_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER192_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER193_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER193_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER193_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER193_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER194_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER194_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER194_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER194_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER195_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER195_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER195_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER195_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER196_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER196_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER196_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER196_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER197_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER197_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER197_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER197_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER198_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER198_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER198_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER198_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER199_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER199_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER199_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER199_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER200_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER200_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER200_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER200_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER201_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER201_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER201_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER201_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER202_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER202_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER202_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER202_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER203_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER203_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER203_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER203_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER204_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER204_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER204_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER204_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER205_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER205_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER205_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER205_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER206_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER206_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER206_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER206_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER207_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER207_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER207_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER207_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER208_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER208_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER208_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER208_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER209_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER209_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER209_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER209_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER210_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER210_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER210_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER210_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER211_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER211_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER211_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER211_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER212_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER212_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER212_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER212_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER213_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER213_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER213_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER213_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER214_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER214_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER214_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER214_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER215_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER215_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER215_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER215_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER216_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER216_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER216_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER216_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER217_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER217_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER217_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER217_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER218_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER218_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER218_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER218_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER219_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER219_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER219_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER219_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER220_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER220_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER220_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER220_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER221_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER221_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER221_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER221_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER222_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER222_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER222_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER222_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER223_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER223_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER223_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER223_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER224_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER224_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER224_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER224_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER225_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER225_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER225_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER225_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER226_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER226_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER226_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER226_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER227_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER227_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER227_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER227_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER228_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER228_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER228_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER228_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER229_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER229_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER229_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER229_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER230_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER230_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER230_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER230_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER231_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER231_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER231_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER231_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER232_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER232_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER232_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER232_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER233_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER233_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER233_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER233_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER234_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER234_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER234_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER234_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER235_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER235_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER235_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER235_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER236_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER236_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER236_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER236_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER237_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER237_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER237_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER237_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER238_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER238_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER238_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER238_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER239_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER239_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER239_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER239_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER240_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER240_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER240_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER240_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER241_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER241_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER241_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER241_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER242_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER242_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER242_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER242_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER243_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER243_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER243_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER243_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER244_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER244_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER244_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER244_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER245_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER245_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER245_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER245_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER246_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER246_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER246_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER246_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER247_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER247_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER247_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER247_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER248_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER248_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER248_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER248_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER249_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER249_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER249_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER249_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER250_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER250_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER250_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER250_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER251_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER251_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER251_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER251_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER252_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER252_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER252_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER252_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER253_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER253_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER253_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER253_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER254_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER254_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER254_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER254_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER255_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER255_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER255_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER255_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER256_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER256_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER256_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER256_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER257_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER257_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER257_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER257_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER258_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER258_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER258_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER258_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER259_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER259_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER259_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER259_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER260_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER260_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER260_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER260_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER261_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER261_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER261_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER261_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER262_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER262_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER262_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER262_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER263_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER263_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER263_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER263_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER264_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER264_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER264_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER264_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER265_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER265_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER265_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER265_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER266_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER266_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER266_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER266_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER267_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER267_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER267_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER267_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER268_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER268_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER268_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER268_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER269_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER269_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER269_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER269_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER270_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER270_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER270_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER270_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER271_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER271_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER271_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER271_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER272_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER272_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER272_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER272_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER273_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER273_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER273_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER273_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER274_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER274_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER274_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER274_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER275_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER275_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER275_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER275_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER276_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER276_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER276_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER276_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER277_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER277_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER277_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER277_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER278_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER278_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER278_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER278_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER279_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER279_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER279_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER279_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER280_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER280_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER280_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER280_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER281_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER281_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER281_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER281_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER282_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER282_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER282_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER282_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER283_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER283_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER283_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER283_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER284_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER284_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER284_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER284_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER285_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER285_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER285_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER285_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER286_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER286_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER286_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER286_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER287_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER287_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER287_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER287_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER288_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER288_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER288_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER288_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER289_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER289_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER289_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER289_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER290_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER290_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER290_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER290_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER291_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER291_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER291_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER291_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER292_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER292_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER292_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER292_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER293_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER293_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER293_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER293_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER294_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER294_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER294_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER294_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER295_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER295_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER295_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER295_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER296_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER296_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER296_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER296_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER297_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER297_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER297_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER297_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER298_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER298_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER298_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER298_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER299_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER299_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER299_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER299_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER300_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER300_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER300_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER300_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER301_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER301_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER301_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER301_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER302_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER302_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER302_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER302_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER303_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER303_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER303_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER303_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER304_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER304_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER304_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER304_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER305_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER305_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER305_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER305_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER306_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER306_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER306_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER306_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER307_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER307_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER307_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER307_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER308_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER308_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER308_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER308_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER309_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER309_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER309_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER309_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER310_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER310_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER310_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER310_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER311_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER311_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER311_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER311_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER312_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER312_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER312_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER312_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER313_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER313_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER313_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER313_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER314_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER314_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER314_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER314_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER315_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER315_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER315_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER315_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER316_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER316_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER316_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER316_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER317_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER317_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER317_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER317_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER318_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER318_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER318_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER318_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER319_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER319_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER319_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER319_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER320_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER320_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER320_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER320_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER321_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER321_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER321_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER321_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER322_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER322_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER322_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER322_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER323_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER323_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER323_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER323_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER324_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER324_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER324_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER324_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER325_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER325_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER325_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER325_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER326_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER326_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER326_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER326_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER327_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER327_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER327_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER327_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER328_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER328_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER328_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER328_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER329_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER329_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER329_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER329_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER330_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER330_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER330_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER330_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER331_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER331_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER331_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER331_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER332_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER332_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER332_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER332_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER333_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER333_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER333_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER333_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER334_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER334_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER334_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER334_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER335_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER335_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER335_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER335_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER336_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER336_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER336_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER336_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER337_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER337_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER337_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER337_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER338_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER338_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER338_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER338_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER339_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER339_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER339_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER339_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER340_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER340_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER340_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER340_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER341_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER341_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER341_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER341_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER342_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER342_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER342_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER342_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER343_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER343_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER343_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER343_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER344_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER344_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER344_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER344_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER345_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER345_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER345_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER345_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER346_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER346_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER346_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER346_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER347_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER347_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER347_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER347_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER348_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER348_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER348_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER348_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER349_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER349_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER349_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER349_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER350_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER350_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER350_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER350_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER351_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER351_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER351_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER351_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER352_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER352_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER352_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER352_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER353_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER353_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER353_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER353_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER354_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER354_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER354_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER354_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER355_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER355_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER355_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER355_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER356_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER356_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER356_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER356_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER357_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER357_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER357_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER357_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER358_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER358_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER358_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER358_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER359_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER359_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER359_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER359_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER360_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER360_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER360_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER360_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER361_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER361_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER361_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER361_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER362_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER362_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER362_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER362_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER363_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER363_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER363_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER363_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER364_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER364_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER364_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER364_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER365_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER365_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER365_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER365_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER366_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER366_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER366_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER366_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER367_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER367_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER367_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER367_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER368_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER368_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER368_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER368_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER369_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER369_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER369_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER369_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER370_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER370_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER370_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER370_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER371_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER371_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER371_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER371_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER372_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER372_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER372_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER372_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER373_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER373_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER373_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER373_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER374_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER374_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER374_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER374_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER375_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER375_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER375_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER375_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER376_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER376_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER376_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER376_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER377_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER377_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER377_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER377_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER378_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER378_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER378_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER378_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER379_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER379_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER379_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER379_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER380_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER380_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER380_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER380_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER381_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER381_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER381_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER381_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER382_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER382_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER382_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER382_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER383_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER383_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER383_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER383_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER384_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER384_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER384_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER384_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER385_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER385_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER385_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER385_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER386_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER386_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER386_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER386_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER387_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER387_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER387_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER387_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER388_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER388_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER388_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER388_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER389_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER389_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER389_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER389_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER390_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER390_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER390_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER390_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER391_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER391_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER391_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER391_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER392_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER392_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER392_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER392_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER393_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER393_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER393_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER393_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER394_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER394_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER394_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER394_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER395_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER395_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER395_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER395_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER396_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER396_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER396_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER396_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER397_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER397_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER397_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER397_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER398_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER398_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER398_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER398_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER399_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER399_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER399_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER399_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER400_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER400_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER400_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER400_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER401_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER401_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER401_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER401_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER402_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER402_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER402_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER402_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER403_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER403_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER403_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER403_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER404_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER404_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER404_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER404_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER405_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER405_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER405_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER405_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER406_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER406_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER406_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER406_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER407_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER407_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER407_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER407_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER408_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER408_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER408_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER408_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER409_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER409_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER409_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER409_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER410_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER410_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER410_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER410_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER411_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER411_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER411_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER411_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER412_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER412_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER412_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER412_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER413_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER413_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER413_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER413_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER414_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER414_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER414_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER414_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER415_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER415_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER415_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER415_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER416_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER416_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER416_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER416_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER417_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER417_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER417_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER417_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER418_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER418_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER418_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER418_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER419_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER419_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER419_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER419_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER420_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER420_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER420_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER420_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER421_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER421_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER421_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER421_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER422_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER422_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER422_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER422_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER423_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER423_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER423_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER423_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER424_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER424_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER424_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER424_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER425_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER425_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER425_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER425_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER426_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER426_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER426_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER426_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER427_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER427_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER427_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER427_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER428_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER428_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER428_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER428_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER429_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER429_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER429_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER429_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER430_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER430_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER430_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER430_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER431_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER431_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER431_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER431_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER432_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER432_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER432_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER432_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER433_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER433_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER433_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER433_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER434_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER434_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER434_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER434_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER435_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER435_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER435_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER435_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER436_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER436_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER436_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER436_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER437_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER437_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER437_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER437_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER438_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER438_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER438_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER438_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER439_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER439_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER439_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER439_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER440_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER440_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER440_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER440_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER441_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER441_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER441_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER441_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER442_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER442_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER442_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER442_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER443_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER443_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER443_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER443_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER444_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER444_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER444_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER444_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER445_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER445_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER445_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER445_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER446_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER446_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER446_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER446_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER447_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER447_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER447_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER447_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER448_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER448_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER448_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER448_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER449_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER449_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER449_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER449_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER450_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER450_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER450_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER450_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER451_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER451_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER451_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER451_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER452_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER452_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER452_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER452_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER453_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER453_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER453_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER453_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER454_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER454_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER454_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER454_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER455_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER455_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER455_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER455_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER456_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER456_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER456_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER456_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER457_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER457_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER457_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER457_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER458_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER458_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER458_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER458_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER459_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER459_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER459_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER459_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER460_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER460_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER460_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER460_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER461_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER461_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER461_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER461_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER462_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER462_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER462_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER462_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER463_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER463_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER463_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER463_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER464_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER464_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER464_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER464_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER465_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER465_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER465_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER465_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER466_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER466_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER466_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER466_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER467_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER467_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER467_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER467_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER468_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER468_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER468_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER468_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER469_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER469_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER469_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER469_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER470_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER470_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER470_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER470_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER471_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER471_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER471_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER471_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER472_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER472_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER472_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER472_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER473_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER473_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER473_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER473_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER474_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER474_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER474_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER474_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER475_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER475_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER475_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER475_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER476_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER476_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER476_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER476_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER477_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER477_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER477_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER477_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER478_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER478_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER478_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER478_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER479_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER479_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER479_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER479_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER480_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER480_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER480_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER480_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER481_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER481_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER481_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER481_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER482_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER482_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER482_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER482_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER483_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER483_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER483_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER483_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER484_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER484_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER484_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER484_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER485_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER485_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER485_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER485_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER486_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER486_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER486_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER486_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER487_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER487_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER487_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER487_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER488_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER488_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER488_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER488_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER489_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER489_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER489_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER489_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER490_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER490_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER490_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER490_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER491_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER491_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER491_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER491_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER492_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER492_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER492_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER492_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER493_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER493_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER493_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER493_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER494_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER494_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER494_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER494_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER495_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER495_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER495_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER495_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER496_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER496_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER496_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER496_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER497_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER497_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER497_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER497_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER498_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER498_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER498_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER498_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER499_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER499_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER499_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER499_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER500_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER500_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER500_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER500_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER501_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER501_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER501_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER501_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER502_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER502_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER502_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER502_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER503_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER503_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER503_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER503_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER504_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER504_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER504_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER504_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER505_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER505_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER505_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER505_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER506_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER506_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER506_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER506_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER507_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER507_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER507_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER507_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER508_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER508_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER508_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER508_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER509_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER509_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER509_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER509_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER510_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER510_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER510_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER510_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER511_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER511_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER511_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER511_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER512_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER512_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER512_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER512_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER513_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER513_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER513_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER513_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER514_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER514_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER514_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER514_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER515_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER515_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER515_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER515_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER516_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER516_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER516_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER516_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER517_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER517_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER517_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER517_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER518_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER518_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER518_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER518_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER519_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER519_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER519_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER519_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER520_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER520_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER520_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER520_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER521_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER521_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER521_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER521_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER522_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER522_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER522_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER522_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER523_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER523_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER523_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER523_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER524_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER524_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER524_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER524_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER525_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER525_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER525_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER525_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER526_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER526_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER526_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER526_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER527_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER527_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER527_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER527_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER528_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER528_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER528_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER528_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER529_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER529_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER529_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER529_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER530_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER530_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER530_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER530_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER531_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER531_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER531_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER531_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER532_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER532_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER532_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER532_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER533_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER533_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER533_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER533_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER534_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER534_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER534_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER534_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER535_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER535_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER535_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER535_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER536_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER536_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER536_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER536_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER537_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER537_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER537_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER537_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER538_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER538_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER538_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER538_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER539_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER539_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER539_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER539_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER540_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER540_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER540_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER540_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER541_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER541_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER541_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER541_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER542_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER542_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER542_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER542_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER543_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER543_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER543_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER543_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER544_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER544_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER544_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER544_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER545_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER545_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER545_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER545_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER546_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER546_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER546_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER546_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER547_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER547_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER547_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER547_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER548_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER548_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER548_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER548_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER549_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER549_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER549_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER549_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER550_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER550_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER550_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER550_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER551_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER551_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER551_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER551_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER552_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER552_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER552_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER552_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER553_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER553_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER553_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER553_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER554_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER554_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER554_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER554_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER555_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER555_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER555_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER555_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER556_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER556_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER556_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER556_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER557_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER557_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER557_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER557_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER558_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER558_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER558_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER558_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER559_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER559_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER559_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER559_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER560_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER560_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER560_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER560_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER561_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER561_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER561_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER561_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER562_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER562_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER562_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER562_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER563_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER563_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER563_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER563_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER564_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER564_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER564_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER564_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER565_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER565_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER565_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER565_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER566_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER566_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER566_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER566_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER567_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER567_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER567_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER567_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER568_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER568_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER568_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER568_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER569_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER569_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER569_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER569_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER570_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER570_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER570_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER570_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER571_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER571_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER571_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER571_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER572_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER572_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER572_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER572_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER573_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER573_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER573_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER573_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER574_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER574_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER574_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER574_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER575_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER575_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER575_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER575_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER576_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER576_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER576_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER576_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER577_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER577_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER577_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER577_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER578_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER578_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER578_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER578_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER579_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER579_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER579_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER579_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER580_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER580_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER580_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER580_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER581_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER581_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER581_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER581_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER582_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER582_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER582_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER582_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER583_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER583_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER583_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER583_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER584_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER584_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER584_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER584_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER585_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER585_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER585_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER585_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER586_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER586_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER586_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER586_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER587_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER587_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER587_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER587_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER588_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER588_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER588_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER588_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER589_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER589_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER589_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER589_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER590_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER590_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER590_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER590_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER591_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER591_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER591_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER591_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER592_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER592_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER592_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER592_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER593_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER593_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER593_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER593_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER594_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER594_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER594_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER594_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER595_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER595_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER595_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER595_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER596_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER596_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER596_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER596_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER597_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER597_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER597_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER597_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER598_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER598_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER598_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER598_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER599_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER599_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER599_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER599_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER600_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER600_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER600_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER600_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER601_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER601_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER601_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER601_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER602_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER602_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER602_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER602_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER603_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER603_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER603_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER603_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER604_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER604_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER604_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER604_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER605_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER605_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER605_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER605_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER606_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER606_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER606_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER606_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER607_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER607_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER607_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER607_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER608_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER608_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER608_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER608_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER609_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER609_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER609_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER609_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER610_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER610_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER610_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER610_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER611_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER611_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER611_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER611_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER612_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER612_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER612_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER612_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER613_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER613_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER613_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER613_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER614_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER614_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER614_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER614_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER615_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER615_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER615_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER615_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER616_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER616_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER616_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER616_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER617_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER617_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER617_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER617_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER618_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER618_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER618_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER618_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER619_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER619_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER619_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER619_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER620_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER620_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER620_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER620_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER621_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER621_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER621_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER621_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER622_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER622_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER622_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER622_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER623_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER623_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER623_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER623_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER624_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER624_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER624_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER624_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER625_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER625_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER625_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER625_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER626_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER626_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER626_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER626_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER627_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER627_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER627_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER627_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER628_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER628_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER628_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER628_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER629_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER629_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER629_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER629_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER630_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER630_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER630_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER630_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER631_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER631_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER631_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER631_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER632_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER632_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER632_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER632_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER633_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER633_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER633_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER633_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER634_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER634_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER634_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER634_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER635_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER635_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER635_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER635_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER636_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER636_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER636_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER636_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER637_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER637_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER637_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER637_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER638_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER638_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER638_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER638_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER639_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER639_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER639_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER639_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER640_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER640_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER640_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER640_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER641_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER641_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER641_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER641_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER642_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER642_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER642_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER642_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER643_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER643_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER643_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER643_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER644_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER644_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER644_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER644_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER645_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER645_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER645_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER645_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER646_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER646_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER646_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER646_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER647_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER647_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER647_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER647_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER648_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER648_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER648_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER648_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER649_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER649_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER649_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER649_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER650_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER650_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER650_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER650_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER651_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER651_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER651_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER651_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER652_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER652_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER652_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER652_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER653_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER653_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER653_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER653_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER654_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER654_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER654_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER654_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER655_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER655_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER655_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER655_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER656_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER656_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER656_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER656_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER657_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER657_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER657_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER657_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER658_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER658_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER658_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER658_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER659_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER659_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER659_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER659_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER660_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER660_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER660_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER660_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER661_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER661_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER661_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER661_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER662_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER662_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER662_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER662_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER663_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER663_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER663_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER663_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER664_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER664_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER664_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER664_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER665_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER665_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER665_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER665_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER666_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER666_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER666_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER666_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER667_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER667_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER667_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER667_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER668_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER668_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER668_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER668_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER669_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER669_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER669_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER669_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER670_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER670_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER670_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER670_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER671_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER671_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER671_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER671_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER672_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER672_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER672_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER672_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER673_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER673_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER673_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER673_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER674_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER674_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER674_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER674_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER675_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER675_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER675_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER675_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER676_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER676_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER676_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER676_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER677_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER677_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER677_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER677_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER678_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER678_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER678_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER678_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER679_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER679_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER679_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER679_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER680_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER680_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER680_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER680_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER681_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER681_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER681_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER681_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER682_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER682_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER682_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER682_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER683_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER683_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER683_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER683_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER684_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER684_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER684_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER684_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER685_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER685_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER685_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER685_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER686_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER686_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER686_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER686_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER687_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER687_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER687_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER687_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER688_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER688_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER688_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER688_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER689_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER689_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER689_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER689_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER690_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER690_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER690_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER690_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER691_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER691_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER691_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER691_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER692_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER692_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER692_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER692_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER693_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER693_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER693_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER693_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER694_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER694_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER694_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER694_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER695_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER695_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER695_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER695_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER696_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER696_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER696_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER696_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER697_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER697_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER697_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER697_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER698_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER698_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER698_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER698_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER699_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER699_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER699_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER699_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER700_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER700_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER700_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER700_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER701_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER701_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER701_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER701_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER702_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER702_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER702_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER702_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER703_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER703_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER703_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER703_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER704_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER704_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER704_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER704_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER705_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER705_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER705_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER705_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER706_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER706_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER706_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER706_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER707_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER707_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER707_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER707_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER708_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER708_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER708_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER708_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER709_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER709_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER709_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER709_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER710_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER710_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER710_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER710_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER711_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER711_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER711_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER711_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER712_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER712_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER712_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER712_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER713_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER713_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER713_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER713_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER714_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER714_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER714_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER714_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER715_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER715_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER715_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER715_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER716_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER716_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER716_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER716_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER717_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER717_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER717_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER717_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER718_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER718_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER718_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER718_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER719_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER719_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER719_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER719_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER720_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER720_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER720_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER720_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER721_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER721_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER721_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER721_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER722_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER722_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER722_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER722_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER723_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER723_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER723_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER723_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER724_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER724_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER724_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER724_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER725_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER725_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER725_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER725_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER726_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER726_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER726_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER726_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER727_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER727_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER727_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER727_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER728_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER728_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER728_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER728_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER729_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER729_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER729_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER729_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER730_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER730_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER730_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER730_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER731_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER731_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER731_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER731_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER732_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER732_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER732_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER732_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER733_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER733_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER733_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER733_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER734_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER734_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER734_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER734_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER735_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER735_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER735_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER735_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER736_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER736_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER736_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER736_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER737_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER737_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER737_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER737_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER738_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER738_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER738_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER738_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER739_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER739_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER739_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER739_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER740_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER740_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER740_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER740_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER741_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER741_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER741_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER741_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER742_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER742_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER742_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER742_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER743_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER743_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER743_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER743_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER744_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER744_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER744_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER744_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER745_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER745_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER745_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER745_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER746_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER746_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER746_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER746_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER747_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER747_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER747_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER747_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER748_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER748_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER748_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER748_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER749_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER749_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER749_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER749_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER750_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER750_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER750_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER750_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER751_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER751_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER751_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER751_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER752_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER752_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER752_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER752_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER753_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER753_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER753_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER753_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER754_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER754_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER754_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER754_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER755_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER755_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER755_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER755_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER756_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER756_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER756_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER756_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER757_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER757_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER757_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER757_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER758_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER758_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER758_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER758_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER759_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER759_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER759_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER759_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER760_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER760_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER760_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER760_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER761_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER761_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER761_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER761_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER762_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER762_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER762_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER762_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER763_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER763_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER763_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER763_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER764_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER764_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER764_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER764_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER765_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER765_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER765_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER765_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER766_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER766_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER766_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER766_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER767_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER767_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER767_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER767_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER768_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER768_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER768_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER768_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER769_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER769_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER769_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER769_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER770_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER770_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER770_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER770_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER771_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER771_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER771_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER771_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER772_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER772_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER772_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER772_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER773_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER773_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER773_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER773_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER774_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER774_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER774_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER774_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER775_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER775_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER775_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER775_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER776_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER776_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER776_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER776_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER777_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER777_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER777_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER777_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER778_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER778_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER778_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER778_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER779_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER779_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER779_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER779_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER780_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER780_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER780_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER780_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER781_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER781_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER781_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER781_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER782_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER782_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER782_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER782_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER783_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER783_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER783_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER783_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER784_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER784_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER784_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER784_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER785_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER785_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER785_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER785_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER786_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER786_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER786_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER786_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER787_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER787_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER787_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER787_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER788_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER788_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER788_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER788_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER789_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER789_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER789_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER789_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER790_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER790_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER790_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER790_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER791_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER791_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER791_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER791_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER792_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER792_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER792_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER792_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER793_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER793_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER793_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER793_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER794_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER794_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER794_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER794_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER795_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER795_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER795_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER795_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER796_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER796_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER796_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER796_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER797_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER797_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER797_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER797_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER798_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER798_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER798_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER798_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER799_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER799_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER799_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER799_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER800_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER800_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER800_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER800_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER801_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER801_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER801_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER801_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER802_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER802_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER802_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER802_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER803_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER803_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER803_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER803_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER804_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER804_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER804_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER804_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER805_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER805_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER805_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER805_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER806_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER806_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER806_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER806_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER807_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER807_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER807_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER807_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER808_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER808_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER808_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER808_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER809_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER809_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER809_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER809_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER810_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER810_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER810_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER810_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER811_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER811_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER811_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER811_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER812_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER812_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER812_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER812_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER813_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER813_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER813_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER813_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER814_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER814_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER814_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER814_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER815_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER815_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER815_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER815_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER816_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER816_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER816_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER816_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER817_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER817_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER817_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER817_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER818_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER818_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER818_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER818_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER819_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER819_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER819_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER819_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER820_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER820_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER820_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER820_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER821_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER821_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER821_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER821_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER822_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER822_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER822_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER822_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER823_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER823_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER823_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER823_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER824_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER824_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER824_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER824_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER825_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER825_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER825_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER825_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER826_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER826_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER826_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER826_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER827_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER827_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER827_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER827_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER828_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER828_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER828_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER828_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER829_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER829_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER829_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER829_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER830_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER830_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER830_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER830_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER831_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER831_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER831_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER831_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER832_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER832_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER832_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER832_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER833_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER833_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER833_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER833_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER834_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER834_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER834_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER834_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER835_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER835_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER835_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER835_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER836_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER836_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER836_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER836_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER837_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER837_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER837_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER837_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER838_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER838_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER838_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER838_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER839_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER839_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER839_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER839_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER840_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER840_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER840_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER840_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER841_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER841_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER841_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER841_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER842_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER842_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER842_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER842_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER843_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER843_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER843_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER843_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER844_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER844_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER844_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER844_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER845_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER845_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER845_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER845_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER846_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER846_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER846_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER846_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER847_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER847_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER847_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER847_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER848_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER848_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER848_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER848_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER849_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER849_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER849_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER849_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER850_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER850_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER850_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER850_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER851_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER851_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER851_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER851_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER852_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER852_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER852_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER852_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER853_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER853_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER853_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER853_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER854_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER854_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER854_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER854_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER855_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER855_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER855_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER855_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER856_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER856_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER856_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER856_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER857_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER857_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER857_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER857_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER858_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER858_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER858_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER858_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER859_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER859_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER859_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER859_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER860_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER860_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER860_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER860_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER861_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER861_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER861_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER861_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER862_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER862_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER862_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER862_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER863_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER863_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER863_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER863_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER864_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER864_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER864_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER864_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER865_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER865_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER865_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER865_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER866_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER866_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER866_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER866_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER867_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER867_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER867_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER867_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER868_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER868_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER868_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER868_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER869_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER869_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER869_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER869_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER870_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER870_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER870_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER870_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER871_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER871_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER871_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER871_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER872_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER872_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER872_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER872_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER873_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER873_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER873_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER873_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER874_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER874_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER874_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER874_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER875_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER875_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER875_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER875_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER876_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER876_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER876_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER876_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER877_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER877_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER877_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER877_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER878_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER878_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER878_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER878_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER879_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER879_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER879_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER879_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER880_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER880_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER880_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER880_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER881_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER881_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER881_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER881_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER882_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER882_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER882_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER882_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER883_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER883_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER883_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER883_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER884_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER884_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER884_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER884_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER885_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER885_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER885_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER885_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER886_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER886_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER886_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER886_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER887_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER887_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER887_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER887_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER888_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER888_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER888_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER888_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER889_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER889_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER889_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER889_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER890_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER890_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER890_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER890_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER891_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER891_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER891_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER891_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER892_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER892_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER892_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER892_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER893_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER893_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER893_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER893_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER894_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER894_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER894_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER894_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER895_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER895_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER895_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER895_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER896_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER896_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER896_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER896_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER897_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER897_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER897_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER897_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER898_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER898_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER898_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER898_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER899_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER899_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER899_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER899_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER900_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER900_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER900_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER900_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER901_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER901_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER901_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER901_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER902_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER902_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER902_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER902_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER903_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER903_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER903_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER903_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER904_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER904_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER904_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER904_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER905_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER905_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER905_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER905_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER906_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER906_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER906_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER906_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER907_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER907_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER907_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER907_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER908_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER908_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER908_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER908_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER909_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER909_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER909_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER909_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER910_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER910_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER910_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER910_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER911_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER911_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER911_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER911_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER912_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER912_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER912_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER912_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER913_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER913_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER913_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER913_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER914_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER914_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER914_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER914_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER915_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER915_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER915_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER915_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER916_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER916_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER916_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER916_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER917_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER917_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER917_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER917_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER918_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER918_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER918_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER918_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER919_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER919_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER919_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER919_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER920_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER920_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER920_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER920_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER921_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER921_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER921_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER921_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER922_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER922_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER922_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER922_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER923_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER923_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER923_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER923_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER924_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER924_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER924_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER924_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER925_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER925_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER925_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER925_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER926_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER926_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER926_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER926_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER927_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER927_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER927_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER927_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER928_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER928_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER928_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER928_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER929_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER929_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER929_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER929_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER930_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER930_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER930_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER930_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER931_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER931_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER931_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER931_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER932_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER932_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER932_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER932_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER933_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER933_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER933_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER933_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER934_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER934_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER934_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER934_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER935_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER935_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER935_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER935_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER936_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER936_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER936_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER936_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER937_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER937_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER937_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER937_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER938_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER938_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER938_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER938_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER939_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER939_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER939_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER939_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER940_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER940_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER940_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER940_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER941_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER941_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER941_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER941_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER942_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER942_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER942_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER942_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER943_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER943_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER943_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER943_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER944_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER944_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER944_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER944_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER945_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER945_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER945_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER945_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER946_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER946_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER946_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER946_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER947_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER947_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER947_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER947_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER948_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER948_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER948_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER948_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER949_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER949_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER949_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER949_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER950_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER950_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER950_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER950_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER951_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER951_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER951_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER951_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER952_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER952_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER952_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER952_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER953_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER953_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER953_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER953_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER954_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER954_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER954_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER954_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER955_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER955_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER955_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER955_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER956_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER956_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER956_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER956_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER957_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER957_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER957_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER957_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER958_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER958_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER958_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER958_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER959_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER959_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER959_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER959_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER960_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER960_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER960_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER960_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER961_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER961_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER961_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER961_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER962_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER962_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER962_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER962_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER963_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER963_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER963_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER963_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER964_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER964_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER964_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER964_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER965_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER965_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER965_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER965_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER966_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER966_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER966_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER966_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER967_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER967_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER967_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER967_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER968_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER968_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER968_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER968_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER969_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER969_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER969_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER969_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER970_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER970_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER970_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER970_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER971_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER971_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER971_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER971_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER972_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER972_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER972_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER972_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER973_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER973_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER973_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER973_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER974_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER974_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER974_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER974_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER975_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER975_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER975_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER975_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER976_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER976_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER976_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER976_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER977_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER977_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER977_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER977_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER978_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER978_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER978_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER978_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER979_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER979_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER979_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER979_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER980_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER980_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER980_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER980_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER981_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER981_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER981_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER981_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER982_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER982_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER982_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER982_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER983_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER983_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER983_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER983_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER984_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER984_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER984_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER984_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER985_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER985_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER985_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER985_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER986_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER986_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER986_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER986_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER987_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER987_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER987_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER987_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER988_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER988_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER988_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER988_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER989_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER989_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER989_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER989_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER990_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER990_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER990_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER990_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER991_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER991_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER991_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER991_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER992_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER992_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER992_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER992_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER993_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER993_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER993_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER993_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER994_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER994_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER994_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER994_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER995_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER995_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER995_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER995_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER996_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER996_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER996_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER996_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER997_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER997_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER997_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER997_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER998_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER998_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER998_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER998_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff0_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER999_Aff0_Pos                            (0UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff1_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff1_Pos                            (8UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff2_Msk                            (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff2_Pos                            (16UL)
#define R_INTC_GIC_GICD_IROUTER999_Interrupt_Routing_Mode_Msk          (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER999_Interrupt_Routing_Mode_Pos          (31UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff3_Msk                            (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER999_Aff3_Pos                            (32UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1000_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1000_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1000_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1001_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1001_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1001_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1002_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1002_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1002_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1003_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1003_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1003_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1004_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1004_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1004_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1005_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1005_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1005_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1006_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1006_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1006_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1007_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1007_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1007_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1008_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1008_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1008_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1009_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1009_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1009_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1010_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1010_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1010_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1011_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1011_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1011_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1012_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1012_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1012_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1013_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1013_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1013_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1014_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1014_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1014_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1015_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1015_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1015_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1016_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1016_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1016_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1017_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1017_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1017_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1018_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1018_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1018_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff0_Msk                           (0x00000000000000FFUL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff0_Pos                           (0UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff1_Msk                           (0x000000000000FF00UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff1_Pos                           (8UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff2_Msk                           (0x0000000000FF0000UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff2_Pos                           (16UL)
#define R_INTC_GIC_GICD_IROUTER1019_Interrupt_Routing_Mode_Msk         (0x0000000080000000UL)
#define R_INTC_GIC_GICD_IROUTER1019_Interrupt_Routing_Mode_Pos         (31UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff3_Msk                           (0x000000FF00000000UL)
#define R_INTC_GIC_GICD_IROUTER1019_Aff3_Pos                           (32UL)
#define R_INTC_GIC_GICD_CHIPSR_GTR_Msk                                 (0x00000001UL)
#define R_INTC_GIC_GICD_CHIPSR_GTR_Pos                                 (0UL)
#define R_INTC_GIC_GICD_CHIPSR_GTS_Msk                                 (0x00000002UL)
#define R_INTC_GIC_GICD_CHIPSR_GTS_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPSR_GTO_Msk                                 (0x00000004UL)
#define R_INTC_GIC_GICD_CHIPSR_GTO_Pos                                 (2UL)
#define R_INTC_GIC_GICD_CHIPSR_RTS_Msk                                 (0x00000030UL)
#define R_INTC_GIC_GICD_CHIPSR_RTS_Pos                                 (4UL)
#define R_INTC_GIC_GICD_DCHIPR_RUP_Msk                                 (0x00000001UL)
#define R_INTC_GIC_GICD_DCHIPR_RUP_Pos                                 (0UL)
#define R_INTC_GIC_GICD_DCHIPR_rt_owner_Msk                            (0x000000F0UL)
#define R_INTC_GIC_GICD_DCHIPR_rt_owner_Pos                            (4UL)
#define R_INTC_GIC_GICD_CHIPR0_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR0_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR0_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR0_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR0_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR0_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR0_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR0_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR0_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR0_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR1_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR1_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR1_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR1_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR1_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR1_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR1_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR1_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR1_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR1_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR2_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR2_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR2_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR2_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR2_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR2_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR2_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR2_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR2_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR2_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR3_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR3_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR3_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR3_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR3_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR3_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR3_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR3_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR3_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR3_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR4_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR4_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR4_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR4_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR4_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR4_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR4_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR4_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR4_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR4_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR5_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR5_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR5_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR5_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR5_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR5_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR5_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR5_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR5_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR5_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR6_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR6_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR6_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR6_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR6_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR6_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR6_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR6_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR6_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR6_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR7_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR7_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR7_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR7_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR7_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR7_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR7_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR7_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR7_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR7_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR8_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR8_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR8_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR8_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR8_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR8_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR8_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR8_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR8_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR8_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR9_SocketState_Msk                         (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR9_SocketState_Pos                         (0UL)
#define R_INTC_GIC_GICD_CHIPR9_RUP_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR9_RUP_Pos                                 (1UL)
#define R_INTC_GIC_GICD_CHIPR9_SPI_BLOCKS_Msk                          (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR9_SPI_BLOCKS_Pos                          (5UL)
#define R_INTC_GIC_GICD_CHIPR9_SPI_BLOCK_MIN_Msk                       (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR9_SPI_BLOCK_MIN_Pos                       (10UL)
#define R_INTC_GIC_GICD_CHIPR9_ADDR_Msk                                (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR9_ADDR_Pos                                (16UL)
#define R_INTC_GIC_GICD_CHIPR10_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR10_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR10_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR10_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR10_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR10_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR10_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR10_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR10_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR10_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_CHIPR11_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR11_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR11_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR11_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR11_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR11_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR11_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR11_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR11_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR11_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_CHIPR12_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR12_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR12_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR12_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR12_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR12_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR12_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR12_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR12_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR12_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_CHIPR13_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR13_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR13_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR13_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR13_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR13_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR13_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR13_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR13_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR13_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_CHIPR14_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR14_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR14_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR14_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR14_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR14_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR14_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR14_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR14_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR14_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_CHIPR15_SocketState_Msk                        (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CHIPR15_SocketState_Pos                        (0UL)
#define R_INTC_GIC_GICD_CHIPR15_RUP_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICD_CHIPR15_RUP_Pos                                (1UL)
#define R_INTC_GIC_GICD_CHIPR15_SPI_BLOCKS_Msk                         (0x00000000000003E0UL)
#define R_INTC_GIC_GICD_CHIPR15_SPI_BLOCKS_Pos                         (5UL)
#define R_INTC_GIC_GICD_CHIPR15_SPI_BLOCK_MIN_Msk                      (0x000000000000FC00UL)
#define R_INTC_GIC_GICD_CHIPR15_SPI_BLOCK_MIN_Pos                      (10UL)
#define R_INTC_GIC_GICD_CHIPR15_ADDR_Msk                               (0x0000FFFFFFFF0000UL)
#define R_INTC_GIC_GICD_CHIPR15_ADDR_Pos                               (16UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR2_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR3_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR4_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR5_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR6_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR7_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR8_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_0_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_0_Pos                            (0UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_0_Msk                            (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_0_Pos                            (1UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_1_Msk                            (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_1_Pos                            (2UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_1_Msk                            (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_1_Pos                            (3UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_2_Msk                            (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_2_Pos                            (4UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_2_Msk                            (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_2_Pos                            (5UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_3_Msk                            (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_3_Pos                            (6UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_3_Msk                            (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_3_Pos                            (7UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_4_Msk                            (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_4_Pos                            (8UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_4_Msk                            (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_4_Pos                            (9UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_5_Msk                            (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_5_Pos                            (10UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_5_Msk                            (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_5_Pos                            (11UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_6_Msk                            (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_6_Pos                            (12UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_6_Msk                            (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_6_Pos                            (13UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_7_Msk                            (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_7_Pos                            (14UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_7_Msk                            (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_7_Pos                            (15UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_8_Msk                            (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_8_Pos                            (16UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_8_Msk                            (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_8_Pos                            (17UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_9_Msk                            (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_9_Pos                            (18UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_9_Msk                            (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_9_Pos                            (19UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_10_Msk                           (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_10_Pos                           (20UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_10_Msk                           (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_10_Pos                           (21UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_11_Msk                           (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_11_Pos                           (22UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_11_Msk                           (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_11_Pos                           (23UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_12_Msk                           (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_12_Pos                           (24UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_12_Msk                           (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_12_Pos                           (25UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_13_Msk                           (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_13_Pos                           (26UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_13_Msk                           (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_13_Pos                           (27UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_14_Msk                           (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_14_Pos                           (28UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_14_Msk                           (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_14_Pos                           (29UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_15_Msk                           (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class0_15_Pos                           (30UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_15_Msk                           (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR9_Class1_15_Pos                           (31UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR10_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR11_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR12_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR13_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR14_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR15_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR16_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR17_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR18_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR19_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR20_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR21_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR22_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR23_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR24_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR25_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR26_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR27_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR28_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR29_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR30_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR31_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR32_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR33_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR34_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR35_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR36_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR37_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR38_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR39_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR40_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR41_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR42_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR43_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR44_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR45_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR46_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR47_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR48_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR49_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR50_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR51_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR52_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR53_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR54_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR55_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR56_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR57_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR58_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR59_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR60_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_0_Msk                           (0x00000001UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_0_Pos                           (0UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_0_Msk                           (0x00000002UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_0_Pos                           (1UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_1_Msk                           (0x00000004UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_1_Pos                           (2UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_1_Msk                           (0x00000008UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_1_Pos                           (3UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_2_Msk                           (0x00000010UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_2_Pos                           (4UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_2_Msk                           (0x00000020UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_2_Pos                           (5UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_3_Msk                           (0x00000040UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_3_Pos                           (6UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_3_Msk                           (0x00000080UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_3_Pos                           (7UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_4_Msk                           (0x00000100UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_4_Pos                           (8UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_4_Msk                           (0x00000200UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_4_Pos                           (9UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_5_Msk                           (0x00000400UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_5_Pos                           (10UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_5_Msk                           (0x00000800UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_5_Pos                           (11UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_6_Msk                           (0x00001000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_6_Pos                           (12UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_6_Msk                           (0x00002000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_6_Pos                           (13UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_7_Msk                           (0x00004000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_7_Pos                           (14UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_7_Msk                           (0x00008000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_7_Pos                           (15UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_8_Msk                           (0x00010000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_8_Pos                           (16UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_8_Msk                           (0x00020000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_8_Pos                           (17UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_9_Msk                           (0x00040000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_9_Pos                           (18UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_9_Msk                           (0x00080000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_9_Pos                           (19UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_10_Msk                          (0x00100000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_10_Pos                          (20UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_10_Msk                          (0x00200000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_10_Pos                          (21UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_11_Msk                          (0x00400000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_11_Pos                          (22UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_11_Msk                          (0x00800000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_11_Pos                          (23UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_12_Msk                          (0x01000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_12_Pos                          (24UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_12_Msk                          (0x02000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_12_Pos                          (25UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_13_Msk                          (0x04000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_13_Pos                          (26UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_13_Msk                          (0x08000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_13_Pos                          (27UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_14_Msk                          (0x10000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_14_Pos                          (28UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_14_Msk                          (0x20000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_14_Pos                          (29UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_15_Msk                          (0x40000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class0_15_Pos                          (30UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_15_Msk                          (0x80000000UL)
#define R_INTC_GIC_GICD_ICLAR61_Class1_15_Pos                          (31UL)
#define R_INTC_GIC_GICD_IERRR1_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR1_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR2_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR2_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR3_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR3_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR4_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR4_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR5_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR5_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR6_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR6_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR7_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR7_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR8_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR8_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR9_Status_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR9_Status_Pos                              (0UL)
#define R_INTC_GIC_GICD_IERRR10_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR10_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR11_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR11_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR12_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR12_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR13_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR13_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR14_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR14_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR15_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR15_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR16_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR16_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR17_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR17_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR18_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR18_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR19_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR19_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR20_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR20_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR21_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR21_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR22_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR22_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR23_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR23_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR24_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR24_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR25_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR25_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR26_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR26_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR27_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR27_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR28_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR28_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR29_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR29_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_IERRR30_Status_Msk                             (0xFFFFFFFFUL)
#define R_INTC_GIC_GICD_IERRR30_Status_Pos                             (0UL)
#define R_INTC_GIC_GICD_CFGID_SO_Msk                                   (0x0000000000000001UL)
#define R_INTC_GIC_GICD_CFGID_SO_Pos                                   (0UL)
#define R_INTC_GIC_GICD_CFGID_SNUM_Msk                                 (0x00000000000000F0UL)
#define R_INTC_GIC_GICD_CFGID_SNUM_Pos                                 (4UL)
#define R_INTC_GIC_GICD_CFGID_AFSL_Msk                                 (0x0000000000001000UL)
#define R_INTC_GIC_GICD_CFGID_AFSL_Pos                                 (12UL)
#define R_INTC_GIC_GICD_CFGID_DLPI_Msk                                 (0x0000000000002000UL)
#define R_INTC_GIC_GICD_CFGID_DLPI_Pos                                 (13UL)
#define R_INTC_GIC_GICD_CFGID_LPIS_Msk                                 (0x0000000000004000UL)
#define R_INTC_GIC_GICD_CFGID_LPIS_Pos                                 (14UL)
#define R_INTC_GIC_GICD_CFGID_SPIS_Msk                                 (0x00000000001F8000UL)
#define R_INTC_GIC_GICD_CFGID_SPIS_Pos                                 (15UL)
#define R_INTC_GIC_GICD_CFGID_Aff0_Msk                                 (0x0000000F00000000UL)
#define R_INTC_GIC_GICD_CFGID_Aff0_Pos                                 (32UL)
#define R_INTC_GIC_GICD_CFGID_Aff1_Msk                                 (0x000000F000000000UL)
#define R_INTC_GIC_GICD_CFGID_Aff1_Pos                                 (36UL)
#define R_INTC_GIC_GICD_CFGID_Aff2_Msk                                 (0x00000F0000000000UL)
#define R_INTC_GIC_GICD_CFGID_Aff2_Pos                                 (40UL)
#define R_INTC_GIC_GICD_CFGID_Aff3_Msk                                 (0x0000F00000000000UL)
#define R_INTC_GIC_GICD_CFGID_Aff3_Pos                                 (44UL)
#define R_INTC_GIC_GICD_CFGID_PEW_Msk                                  (0x001F000000000000UL)
#define R_INTC_GIC_GICD_CFGID_PEW_Pos                                  (48UL)
#define R_INTC_GIC_GICD_PIDR4_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR4_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICD_PIDR4_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR4_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICD_PIDR5_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR5_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICD_PIDR5_SIZE_Msk                                 (0x00000070UL)
#define R_INTC_GIC_GICD_PIDR5_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICD_PIDR6_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR6_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICD_PIDR6_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR6_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICD_PIDR7_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR7_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICD_PIDR7_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR7_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICD_PIDR0_PART_0_Msk                               (0x000000FFUL)
#define R_INTC_GIC_GICD_PIDR0_PART_0_Pos                               (0UL)
#define R_INTC_GIC_GICD_PIDR1_PART_1_Msk                               (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR1_PART_1_Pos                               (0UL)
#define R_INTC_GIC_GICD_PIDR1_DES_0_Msk                                (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR1_DES_0_Pos                                (4UL)
#define R_INTC_GIC_GICD_PIDR2_DES_1_Msk                                (0x00000007UL)
#define R_INTC_GIC_GICD_PIDR2_DES_1_Pos                                (0UL)
#define R_INTC_GIC_GICD_PIDR2_JEDEC_Msk                                (0x00000008UL)
#define R_INTC_GIC_GICD_PIDR2_JEDEC_Pos                                (3UL)
#define R_INTC_GIC_GICD_PIDR2_ArchRev_Msk                              (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR2_ArchRev_Pos                              (4UL)
#define R_INTC_GIC_GICD_PIDR3_CMOD_Msk                                 (0x0000000FUL)
#define R_INTC_GIC_GICD_PIDR3_CMOD_Pos                                 (0UL)
#define R_INTC_GIC_GICD_PIDR3_REVAND_Msk                               (0x000000F0UL)
#define R_INTC_GIC_GICD_PIDR3_REVAND_Pos                               (4UL)
#define R_INTC_GIC_GICA_SETSPI_NSR_INTID_Msk                           (0x00001FFFUL)
#define R_INTC_GIC_GICA_SETSPI_NSR_INTID_Pos                           (0UL)
#define R_INTC_GIC_GICA_CLRSPI_NSR_INTID_Msk                           (0x00001FFFUL)
#define R_INTC_GIC_GICA_CLRSPI_NSR_INTID_Pos                           (0UL)
#define R_INTC_GIC_GICA_SETSPI_SR_INTID_Msk                            (0x00001FFFUL)
#define R_INTC_GIC_GICA_SETSPI_SR_INTID_Pos                            (0UL)
#define R_INTC_GIC_GICA_CLRSPI_SR_INTID_Msk                            (0x00001FFFUL)
#define R_INTC_GIC_GICA_CLRSPI_SR_INTID_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR0FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR0FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR0FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR0FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR0FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR0FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR0FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR0FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR0FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR0FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR0FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR0FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR0FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR0FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR0FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR0FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR0CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR0CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR0CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR0CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR0CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR0CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR0CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR0CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR0CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR0CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR0STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR0STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR0STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR0STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR0STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR0STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR0STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR0STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR0STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR0STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR0STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR0STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR0STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR0ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR0ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR0ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR0ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR0MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR0MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR0MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR0MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR0MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR0MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR0MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR0MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR1FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR1FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR1FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR1FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR1FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR1FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR1FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR1FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR1FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR1FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR1FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR1FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR1FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR1FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR1FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR1FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR1CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR1CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR1CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR1CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR1CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR1CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR1CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR1CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR1CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR1CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR1STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR1STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR1STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR1STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR1STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR1STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR1STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR1STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR1STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR1STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR1STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR1STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR1STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR1ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR1ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR1ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR1ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR1MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR1MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR1MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR1MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR1MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR1MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR1MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR1MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR2FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR2FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR2FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR2FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR2FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR2FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR2FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR2FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR2FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR2FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR2FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR2FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR2FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR2FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR2FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR2FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR2CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR2CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR2CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR2CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR2CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR2CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR2CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR2CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR2CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR2CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR2STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR2STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR2STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR2STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR2STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR2STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR2STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR2STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR2STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR2STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR2STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR2STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR2STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR2ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR2ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR2ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR2ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR2MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR2MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR2MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR2MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR2MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR2MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR2MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR2MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR3FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR3FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR3FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR3FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR3FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR3FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR3FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR3FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR3FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR3FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR3FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR3FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR3FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR3FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR3FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR3FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR3CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR3CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR3CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR3CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR3CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR3CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR3CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR3CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR3CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR3CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR3STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR3STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR3STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR3STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR3STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR3STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR3STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR3STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR3STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR3STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR3STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR3STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR3STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR3ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR3ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR3ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR3ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR3MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR3MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR3MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR3MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR3MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR3MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR3MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR3MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR4FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR4FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR4FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR4FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR4FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR4FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR4FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR4FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR4FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR4FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR4FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR4FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR4FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR4FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR4FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR4FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR4CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR4CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR4CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR4CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR4CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR4CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR4CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR4CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR4CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR4CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR4STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR4STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR4STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR4STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR4STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR4STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR4STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR4STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR4STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR4STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR4STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR4STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR4STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR4ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR4ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR4ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR4ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR4MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR4MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR4MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR4MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR4MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR4MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR4MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR4MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR7FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR7FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR7FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR7FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR7FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR7FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR7FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR7FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR7FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR7FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR7FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR7FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR7FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR7FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR7FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR7FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR7CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR7CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR7CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR7CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR7CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR7CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR7CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR7CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR7CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR7CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR7STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR7STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR7STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR7STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR7STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR7STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR7STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR7STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR7STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR7STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR7STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR7STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR7STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR7ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR7ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR7ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR7ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR7MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR7MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR7MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR7MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR7MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR7MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR7MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR7MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR8FR_ED_Msk                                  (0x0000000000000003UL)
#define R_INTC_GIC_GICT_ERR8FR_ED_Pos                                  (0UL)
#define R_INTC_GIC_GICT_ERR8FR_DE_Msk                                  (0x000000000000000CUL)
#define R_INTC_GIC_GICT_ERR8FR_DE_Pos                                  (2UL)
#define R_INTC_GIC_GICT_ERR8FR_UI_Msk                                  (0x0000000000000030UL)
#define R_INTC_GIC_GICT_ERR8FR_UI_Pos                                  (4UL)
#define R_INTC_GIC_GICT_ERR8FR_FI_Msk                                  (0x00000000000000C0UL)
#define R_INTC_GIC_GICT_ERR8FR_FI_Pos                                  (6UL)
#define R_INTC_GIC_GICT_ERR8FR_UE_Msk                                  (0x0000000000000300UL)
#define R_INTC_GIC_GICT_ERR8FR_UE_Pos                                  (8UL)
#define R_INTC_GIC_GICT_ERR8FR_CFI_Msk                                 (0x0000000000000C00UL)
#define R_INTC_GIC_GICT_ERR8FR_CFI_Pos                                 (10UL)
#define R_INTC_GIC_GICT_ERR8FR_CEC_Msk                                 (0x0000000000007000UL)
#define R_INTC_GIC_GICT_ERR8FR_CEC_Pos                                 (12UL)
#define R_INTC_GIC_GICT_ERR8FR_RP_Msk                                  (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR8FR_RP_Pos                                  (15UL)
#define R_INTC_GIC_GICT_ERR8CTLR_UI_Msk                                (0x0000000000000004UL)
#define R_INTC_GIC_GICT_ERR8CTLR_UI_Pos                                (2UL)
#define R_INTC_GIC_GICT_ERR8CTLR_FI_Msk                                (0x0000000000000008UL)
#define R_INTC_GIC_GICT_ERR8CTLR_FI_Pos                                (3UL)
#define R_INTC_GIC_GICT_ERR8CTLR_UE_Msk                                (0x0000000000000010UL)
#define R_INTC_GIC_GICT_ERR8CTLR_UE_Pos                                (4UL)
#define R_INTC_GIC_GICT_ERR8CTLR_CFI_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICT_ERR8CTLR_CFI_Pos                               (8UL)
#define R_INTC_GIC_GICT_ERR8CTLR_RP_Msk                                (0x0000000000008000UL)
#define R_INTC_GIC_GICT_ERR8CTLR_RP_Pos                                (15UL)
#define R_INTC_GIC_GICT_ERR8STATUS_SERR_Msk                            (0x00000000000000FFUL)
#define R_INTC_GIC_GICT_ERR8STATUS_SERR_Pos                            (0UL)
#define R_INTC_GIC_GICT_ERR8STATUS_IERR_Msk                            (0x000000000000FF00UL)
#define R_INTC_GIC_GICT_ERR8STATUS_IERR_Pos                            (8UL)
#define R_INTC_GIC_GICT_ERR8STATUS_UET_Msk                             (0x0000000000300000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_UET_Pos                             (20UL)
#define R_INTC_GIC_GICT_ERR8STATUS_CE_Msk                              (0x0000000003000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_CE_Pos                              (24UL)
#define R_INTC_GIC_GICT_ERR8STATUS_MV_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_MV_Pos                              (26UL)
#define R_INTC_GIC_GICT_ERR8STATUS_OF_Msk                              (0x0000000008000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_OF_Pos                              (27UL)
#define R_INTC_GIC_GICT_ERR8STATUS_ER_Msk                              (0x0000000010000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_ER_Pos                              (28UL)
#define R_INTC_GIC_GICT_ERR8STATUS_UE_Msk                              (0x0000000020000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_UE_Pos                              (29UL)
#define R_INTC_GIC_GICT_ERR8STATUS_V_Msk                               (0x0000000040000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_V_Pos                               (30UL)
#define R_INTC_GIC_GICT_ERR8STATUS_AV_Msk                              (0x0000000080000000UL)
#define R_INTC_GIC_GICT_ERR8STATUS_AV_Pos                              (31UL)
#define R_INTC_GIC_GICT_ERR8ADDR_PADDR_Msk                             (0x0000FFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR8ADDR_PADDR_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR8ADDR_NS_Msk                                (0x8000000000000000UL)
#define R_INTC_GIC_GICT_ERR8ADDR_NS_Pos                                (63UL)
#define R_INTC_GIC_GICT_ERR8MISC0_Data_Msk                             (0x00000000FFFFFFFFUL)
#define R_INTC_GIC_GICT_ERR8MISC0_Data_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERR8MISC0_Overflow_Msk                         (0x0000000100000000UL)
#define R_INTC_GIC_GICT_ERR8MISC0_Overflow_Pos                         (32UL)
#define R_INTC_GIC_GICT_ERR8MISC0_RE_Msk                               (0x0000000200000000UL)
#define R_INTC_GIC_GICT_ERR8MISC0_RE_Pos                               (33UL)
#define R_INTC_GIC_GICT_ERR8MISC1_INFO_Msk                             (0x00000000000001FFUL)
#define R_INTC_GIC_GICT_ERR8MISC1_INFO_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERRGSR_Status_Msk                              (0xFFFFFFFFFFFFFFFFUL)
#define R_INTC_GIC_GICT_ERRGSR_Status_Pos                              (0UL)
#define R_INTC_GIC_GICT_ERRIRQCR0_SPID_Msk                             (0x00000000000003FFUL)
#define R_INTC_GIC_GICT_ERRIRQCR0_SPID_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERRIRQCR1_SPID_Msk                             (0x00000000000003FFUL)
#define R_INTC_GIC_GICT_ERRIRQCR1_SPID_Pos                             (0UL)
#define R_INTC_GIC_GICT_ERRIDR_NUM_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICT_ERRIDR_NUM_Pos                                 (0UL)
#define R_INTC_GIC_GICT_PIDR4_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR4_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICT_PIDR4_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR4_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICT_PIDR5_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR5_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICT_PIDR5_SIZE_Msk                                 (0x00000070UL)
#define R_INTC_GIC_GICT_PIDR5_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICT_PIDR6_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR6_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICT_PIDR6_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR6_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICT_PIDR7_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR7_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICT_PIDR7_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR7_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICT_PIDR0_PART_0_Msk                               (0x000000FFUL)
#define R_INTC_GIC_GICT_PIDR0_PART_0_Pos                               (0UL)
#define R_INTC_GIC_GICT_PIDR1_PART_1_Msk                               (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR1_PART_1_Pos                               (0UL)
#define R_INTC_GIC_GICT_PIDR1_DES_0_Msk                                (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR1_DES_0_Pos                                (4UL)
#define R_INTC_GIC_GICT_PIDR2_DES_1_Msk                                (0x00000007UL)
#define R_INTC_GIC_GICT_PIDR2_DES_1_Pos                                (0UL)
#define R_INTC_GIC_GICT_PIDR2_JEDEC_Msk                                (0x00000008UL)
#define R_INTC_GIC_GICT_PIDR2_JEDEC_Pos                                (3UL)
#define R_INTC_GIC_GICT_PIDR2_ArchRev_Msk                              (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR2_ArchRev_Pos                              (4UL)
#define R_INTC_GIC_GICT_PIDR3_CMOD_Msk                                 (0x0000000FUL)
#define R_INTC_GIC_GICT_PIDR3_CMOD_Pos                                 (0UL)
#define R_INTC_GIC_GICT_PIDR3_REVAND_Msk                               (0x000000F0UL)
#define R_INTC_GIC_GICT_PIDR3_REVAND_Pos                               (4UL)
#define R_INTC_GIC_GICP_EVCNTR0_COUNT_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_EVCNTR0_COUNT_Pos                              (0UL)
#define R_INTC_GIC_GICP_EVCNTR1_COUNT_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_EVCNTR1_COUNT_Pos                              (0UL)
#define R_INTC_GIC_GICP_EVCNTR2_COUNT_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_EVCNTR2_COUNT_Pos                              (0UL)
#define R_INTC_GIC_GICP_EVCNTR3_COUNT_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_EVCNTR3_COUNT_Pos                              (0UL)
#define R_INTC_GIC_GICP_EVCNTR4_COUNT_Msk                              (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_EVCNTR4_COUNT_Pos                              (0UL)
#define R_INTC_GIC_GICP_EVTYPER0_EVENT_Msk                             (0x000000FFUL)
#define R_INTC_GIC_GICP_EVTYPER0_EVENT_Pos                             (0UL)
#define R_INTC_GIC_GICP_EVTYPER0_EVENT_TYPE_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICP_EVTYPER0_EVENT_TYPE_Pos                        (16UL)
#define R_INTC_GIC_GICP_EVTYPER0_OVFCAP_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICP_EVTYPER0_OVFCAP_Pos                            (31UL)
#define R_INTC_GIC_GICP_EVTYPER1_EVENT_Msk                             (0x000000FFUL)
#define R_INTC_GIC_GICP_EVTYPER1_EVENT_Pos                             (0UL)
#define R_INTC_GIC_GICP_EVTYPER1_EVENT_TYPE_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICP_EVTYPER1_EVENT_TYPE_Pos                        (16UL)
#define R_INTC_GIC_GICP_EVTYPER1_OVFCAP_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICP_EVTYPER1_OVFCAP_Pos                            (31UL)
#define R_INTC_GIC_GICP_EVTYPER2_EVENT_Msk                             (0x000000FFUL)
#define R_INTC_GIC_GICP_EVTYPER2_EVENT_Pos                             (0UL)
#define R_INTC_GIC_GICP_EVTYPER2_EVENT_TYPE_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICP_EVTYPER2_EVENT_TYPE_Pos                        (16UL)
#define R_INTC_GIC_GICP_EVTYPER2_OVFCAP_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICP_EVTYPER2_OVFCAP_Pos                            (31UL)
#define R_INTC_GIC_GICP_EVTYPER3_EVENT_Msk                             (0x000000FFUL)
#define R_INTC_GIC_GICP_EVTYPER3_EVENT_Pos                             (0UL)
#define R_INTC_GIC_GICP_EVTYPER3_EVENT_TYPE_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICP_EVTYPER3_EVENT_TYPE_Pos                        (16UL)
#define R_INTC_GIC_GICP_EVTYPER3_OVFCAP_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICP_EVTYPER3_OVFCAP_Pos                            (31UL)
#define R_INTC_GIC_GICP_EVTYPER4_EVENT_Msk                             (0x000000FFUL)
#define R_INTC_GIC_GICP_EVTYPER4_EVENT_Pos                             (0UL)
#define R_INTC_GIC_GICP_EVTYPER4_EVENT_TYPE_Msk                        (0x00030000UL)
#define R_INTC_GIC_GICP_EVTYPER4_EVENT_TYPE_Pos                        (16UL)
#define R_INTC_GIC_GICP_EVTYPER4_OVFCAP_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICP_EVTYPER4_OVFCAP_Pos                            (31UL)
#define R_INTC_GIC_GICP_SVR0_COUNT_Msk                                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_SVR0_COUNT_Pos                                 (0UL)
#define R_INTC_GIC_GICP_SVR1_COUNT_Msk                                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_SVR1_COUNT_Pos                                 (0UL)
#define R_INTC_GIC_GICP_SVR2_COUNT_Msk                                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_SVR2_COUNT_Pos                                 (0UL)
#define R_INTC_GIC_GICP_SVR3_COUNT_Msk                                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_SVR3_COUNT_Pos                                 (0UL)
#define R_INTC_GIC_GICP_SVR4_COUNT_Msk                                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICP_SVR4_COUNT_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR0_Filter_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICP_FR0_Filter_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR0_FilterEncoding_Msk                         (0x20000000UL)
#define R_INTC_GIC_GICP_FR0_FilterEncoding_Pos                         (29UL)
#define R_INTC_GIC_GICP_FR0_Filter_Type_Msk                            (0xC0000000UL)
#define R_INTC_GIC_GICP_FR0_Filter_Type_Pos                            (30UL)
#define R_INTC_GIC_GICP_FR1_Filter_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICP_FR1_Filter_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR1_FilterEncoding_Msk                         (0x20000000UL)
#define R_INTC_GIC_GICP_FR1_FilterEncoding_Pos                         (29UL)
#define R_INTC_GIC_GICP_FR1_Filter_Type_Msk                            (0xC0000000UL)
#define R_INTC_GIC_GICP_FR1_Filter_Type_Pos                            (30UL)
#define R_INTC_GIC_GICP_FR2_Filter_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICP_FR2_Filter_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR2_FilterEncoding_Msk                         (0x20000000UL)
#define R_INTC_GIC_GICP_FR2_FilterEncoding_Pos                         (29UL)
#define R_INTC_GIC_GICP_FR2_Filter_Type_Msk                            (0xC0000000UL)
#define R_INTC_GIC_GICP_FR2_Filter_Type_Pos                            (30UL)
#define R_INTC_GIC_GICP_FR3_Filter_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICP_FR3_Filter_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR3_FilterEncoding_Msk                         (0x20000000UL)
#define R_INTC_GIC_GICP_FR3_FilterEncoding_Pos                         (29UL)
#define R_INTC_GIC_GICP_FR3_Filter_Type_Msk                            (0xC0000000UL)
#define R_INTC_GIC_GICP_FR3_Filter_Type_Pos                            (30UL)
#define R_INTC_GIC_GICP_FR4_Filter_Msk                                 (0x0000FFFFUL)
#define R_INTC_GIC_GICP_FR4_Filter_Pos                                 (0UL)
#define R_INTC_GIC_GICP_FR4_FilterEncoding_Msk                         (0x20000000UL)
#define R_INTC_GIC_GICP_FR4_FilterEncoding_Pos                         (29UL)
#define R_INTC_GIC_GICP_FR4_Filter_Type_Msk                            (0xC0000000UL)
#define R_INTC_GIC_GICP_FR4_Filter_Type_Pos                            (30UL)
#define R_INTC_GIC_GICP_CNTENSET0_CNTEN_Msk                            (0x000000000000001FUL)
#define R_INTC_GIC_GICP_CNTENSET0_CNTEN_Pos                            (0UL)
#define R_INTC_GIC_GICP_CNTENCLR0_CNTEN_Msk                            (0x000000000000001FUL)
#define R_INTC_GIC_GICP_CNTENCLR0_CNTEN_Pos                            (0UL)
#define R_INTC_GIC_GICP_INTENSET0_INTEN_Msk                            (0x000000000000001FUL)
#define R_INTC_GIC_GICP_INTENSET0_INTEN_Pos                            (0UL)
#define R_INTC_GIC_GICP_INTENCLR0_INTEN_Msk                            (0x000000000000001FUL)
#define R_INTC_GIC_GICP_INTENCLR0_INTEN_Pos                            (0UL)
#define R_INTC_GIC_GICP_OVSCLR0_OVS_Msk                                (0x000000000000001FUL)
#define R_INTC_GIC_GICP_OVSCLR0_OVS_Pos                                (0UL)
#define R_INTC_GIC_GICP_OVSSET0_OVS_Msk                                (0x000000000000001FUL)
#define R_INTC_GIC_GICP_OVSSET0_OVS_Pos                                (0UL)
#define R_INTC_GIC_GICP_CAPR_CAPTURE_Msk                               (0x00000001UL)
#define R_INTC_GIC_GICP_CAPR_CAPTURE_Pos                               (0UL)
#define R_INTC_GIC_GICP_CFGR_NCTR_Msk                                  (0x0000003FUL)
#define R_INTC_GIC_GICP_CFGR_NCTR_Pos                                  (0UL)
#define R_INTC_GIC_GICP_CFGR_SIZE_Msk                                  (0x00003F00UL)
#define R_INTC_GIC_GICP_CFGR_SIZE_Pos                                  (8UL)
#define R_INTC_GIC_GICP_CFGR_CAPTURE_Msk                               (0x00400000UL)
#define R_INTC_GIC_GICP_CFGR_CAPTURE_Pos                               (22UL)
#define R_INTC_GIC_GICP_CR_E_Msk                                       (0x00000001UL)
#define R_INTC_GIC_GICP_CR_E_Pos                                       (0UL)
#define R_INTC_GIC_GICP_IRQCR_SPID_Msk                                 (0x000003FFUL)
#define R_INTC_GIC_GICP_IRQCR_SPID_Pos                                 (0UL)
#define R_INTC_GIC_GICP_PIDR4_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR4_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICP_PIDR4_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR4_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICP_PIDR5_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR5_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICP_PIDR5_SIZE_Msk                                 (0x00000070UL)
#define R_INTC_GIC_GICP_PIDR5_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICP_PIDR6_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR6_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICP_PIDR6_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR6_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICP_PIDR7_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR7_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICP_PIDR7_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR7_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICP_PIDR0_PART_0_Msk                               (0x000000FFUL)
#define R_INTC_GIC_GICP_PIDR0_PART_0_Pos                               (0UL)
#define R_INTC_GIC_GICP_PIDR1_PART_1_Msk                               (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR1_PART_1_Pos                               (0UL)
#define R_INTC_GIC_GICP_PIDR1_DES_0_Msk                                (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR1_DES_0_Pos                                (4UL)
#define R_INTC_GIC_GICP_PIDR2_DES_1_Msk                                (0x00000007UL)
#define R_INTC_GIC_GICP_PIDR2_DES_1_Pos                                (0UL)
#define R_INTC_GIC_GICP_PIDR2_JEDEC_Msk                                (0x00000008UL)
#define R_INTC_GIC_GICP_PIDR2_JEDEC_Pos                                (3UL)
#define R_INTC_GIC_GICP_PIDR2_ArchRev_Msk                              (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR2_ArchRev_Pos                              (4UL)
#define R_INTC_GIC_GICP_PIDR3_CMOD_Msk                                 (0x0000000FUL)
#define R_INTC_GIC_GICP_PIDR3_CMOD_Pos                                 (0UL)
#define R_INTC_GIC_GICP_PIDR3_REVAND_Msk                               (0x000000F0UL)
#define R_INTC_GIC_GICP_PIDR3_REVAND_Pos                               (4UL)
#define R_INTC_GIC_GICR_CTLR_EnableLPIs_Msk                            (0x00000001UL)
#define R_INTC_GIC_GICR_CTLR_EnableLPIs_Pos                            (0UL)
#define R_INTC_GIC_GICR_CTLR_CES_Msk                                   (0x00000002UL)
#define R_INTC_GIC_GICR_CTLR_CES_Pos                                   (1UL)
#define R_INTC_GIC_GICR_CTLR_IR_Msk                                    (0x00000004UL)
#define R_INTC_GIC_GICR_CTLR_IR_Pos                                    (2UL)
#define R_INTC_GIC_GICR_CTLR_RWP_Msk                                   (0x00000008UL)
#define R_INTC_GIC_GICR_CTLR_RWP_Pos                                   (3UL)
#define R_INTC_GIC_GICR_CTLR_DPG0_Msk                                  (0x01000000UL)
#define R_INTC_GIC_GICR_CTLR_DPG0_Pos                                  (24UL)
#define R_INTC_GIC_GICR_CTLR_DPG1NS_Msk                                (0x02000000UL)
#define R_INTC_GIC_GICR_CTLR_DPG1NS_Pos                                (25UL)
#define R_INTC_GIC_GICR_CTLR_DPG1S_Msk                                 (0x04000000UL)
#define R_INTC_GIC_GICR_CTLR_DPG1S_Pos                                 (26UL)
#define R_INTC_GIC_GICR_CTLR_UWP_Msk                                   (0x80000000UL)
#define R_INTC_GIC_GICR_CTLR_UWP_Pos                                   (31UL)
#define R_INTC_GIC_GICR_IIDR_Implementer_Msk                           (0x00000FFFUL)
#define R_INTC_GIC_GICR_IIDR_Implementer_Pos                           (0UL)
#define R_INTC_GIC_GICR_IIDR_Revision_Msk                              (0x0000F000UL)
#define R_INTC_GIC_GICR_IIDR_Revision_Pos                              (12UL)
#define R_INTC_GIC_GICR_IIDR_Variant_Msk                               (0x000F0000UL)
#define R_INTC_GIC_GICR_IIDR_Variant_Pos                               (16UL)
#define R_INTC_GIC_GICR_IIDR_ProductID_Msk                             (0xFF000000UL)
#define R_INTC_GIC_GICR_IIDR_ProductID_Pos                             (24UL)
#define R_INTC_GIC_GICR_TYPER_PLPIS_Msk                                (0x0000000000000001UL)
#define R_INTC_GIC_GICR_TYPER_PLPIS_Pos                                (0UL)
#define R_INTC_GIC_GICR_TYPER_VLPIS_Msk                                (0x0000000000000002UL)
#define R_INTC_GIC_GICR_TYPER_VLPIS_Pos                                (1UL)
#define R_INTC_GIC_GICR_TYPER_DirectLPI_Msk                            (0x0000000000000008UL)
#define R_INTC_GIC_GICR_TYPER_DirectLPI_Pos                            (3UL)
#define R_INTC_GIC_GICR_TYPER_Last_Msk                                 (0x0000000000000010UL)
#define R_INTC_GIC_GICR_TYPER_Last_Pos                                 (4UL)
#define R_INTC_GIC_GICR_TYPER_DPGA_Msk                                 (0x0000000000000020UL)
#define R_INTC_GIC_GICR_TYPER_DPGA_Pos                                 (5UL)
#define R_INTC_GIC_GICR_TYPER_ProcessorNumber_Msk                      (0x0000000000FFFF00UL)
#define R_INTC_GIC_GICR_TYPER_ProcessorNumber_Pos                      (8UL)
#define R_INTC_GIC_GICR_TYPER_CommonLPIAff_Msk                         (0x0000000003000000UL)
#define R_INTC_GIC_GICR_TYPER_CommonLPIAff_Pos                         (24UL)
#define R_INTC_GIC_GICR_TYPER_AffinityValue_Msk                        (0xFFFFFFFF00000000UL)
#define R_INTC_GIC_GICR_TYPER_AffinityValue_Pos                        (32UL)
#define R_INTC_GIC_GICR_WAKER_Sleep_Msk                                (0x00000001UL)
#define R_INTC_GIC_GICR_WAKER_Sleep_Pos                                (0UL)
#define R_INTC_GIC_GICR_WAKER_ProcessorSleep_Msk                       (0x00000002UL)
#define R_INTC_GIC_GICR_WAKER_ProcessorSleep_Pos                       (1UL)
#define R_INTC_GIC_GICR_WAKER_ChildrenAsleep_Msk                       (0x00000004UL)
#define R_INTC_GIC_GICR_WAKER_ChildrenAsleep_Pos                       (2UL)
#define R_INTC_GIC_GICR_WAKER_Quiescent_Msk                            (0x80000000UL)
#define R_INTC_GIC_GICR_WAKER_Quiescent_Pos                            (31UL)
#define R_INTC_GIC_GICR_FCTLR_SIP_Msk                                  (0x00000001UL)
#define R_INTC_GIC_GICR_FCTLR_SIP_Pos                                  (0UL)
#define R_INTC_GIC_GICR_FCTLR_CGO_Msk                                  (0x00000070UL)
#define R_INTC_GIC_GICR_FCTLR_CGO_Pos                                  (4UL)
#define R_INTC_GIC_GICR_FCTLR_QD_Msk                                   (0x80000000UL)
#define R_INTC_GIC_GICR_FCTLR_QD_Pos                                   (31UL)
#define R_INTC_GIC_GICR_PWRR_RDPG_Msk                                  (0x00000001UL)
#define R_INTC_GIC_GICR_PWRR_RDPG_Pos                                  (0UL)
#define R_INTC_GIC_GICR_PWRR_RDAG_Msk                                  (0x00000002UL)
#define R_INTC_GIC_GICR_PWRR_RDAG_Pos                                  (1UL)
#define R_INTC_GIC_GICR_PWRR_RGPD_Msk                                  (0x00000004UL)
#define R_INTC_GIC_GICR_PWRR_RGPD_Pos                                  (2UL)
#define R_INTC_GIC_GICR_PWRR_RGPO_Msk                                  (0x00000008UL)
#define R_INTC_GIC_GICR_PWRR_RGPO_Pos                                  (3UL)
#define R_INTC_GIC_GICR_PWRR_RDGO_Msk                                  (0x0000FF00UL)
#define R_INTC_GIC_GICR_PWRR_RDGO_Pos                                  (8UL)
#define R_INTC_GIC_GICR_PWRR_RDG_Msk                                   (0x00FF0000UL)
#define R_INTC_GIC_GICR_PWRR_RDG_Pos                                   (16UL)
#define R_INTC_GIC_GICR_CLASS_Class_Msk                                (0x00000001UL)
#define R_INTC_GIC_GICR_CLASS_Class_Pos                                (0UL)
#define R_INTC_GIC_GICR_PROPBASER_Idbits_Msk                           (0x000000000000001FUL)
#define R_INTC_GIC_GICR_PROPBASER_Idbits_Pos                           (0UL)
#define R_INTC_GIC_GICR_PROPBASER_InnerCache_Msk                       (0x0000000000000380UL)
#define R_INTC_GIC_GICR_PROPBASER_InnerCache_Pos                       (7UL)
#define R_INTC_GIC_GICR_PROPBASER_Shareability_Msk                     (0x0000000000000C00UL)
#define R_INTC_GIC_GICR_PROPBASER_Shareability_Pos                     (10UL)
#define R_INTC_GIC_GICR_PROPBASER_Physical_Address_Msk                 (0x000FFFFFFFFFF000UL)
#define R_INTC_GIC_GICR_PROPBASER_Physical_Address_Pos                 (12UL)
#define R_INTC_GIC_GICR_PROPBASER_OuterCache_Msk                       (0x0700000000000000UL)
#define R_INTC_GIC_GICR_PROPBASER_OuterCache_Pos                       (56UL)
#define R_INTC_GIC_GICR_PENDBASER_InnerCache_Msk                       (0x0000000000000380UL)
#define R_INTC_GIC_GICR_PENDBASER_InnerCache_Pos                       (7UL)
#define R_INTC_GIC_GICR_PENDBASER_Shareability_Msk                     (0x0000000000000C00UL)
#define R_INTC_GIC_GICR_PENDBASER_Shareability_Pos                     (10UL)
#define R_INTC_GIC_GICR_PENDBASER_Physical_Address_Msk                 (0x000FFFFFFFFF0000UL)
#define R_INTC_GIC_GICR_PENDBASER_Physical_Address_Pos                 (16UL)
#define R_INTC_GIC_GICR_PENDBASER_OuterCache_Msk                       (0x0700000000000000UL)
#define R_INTC_GIC_GICR_PENDBASER_OuterCache_Pos                       (56UL)
#define R_INTC_GIC_GICR_PENDBASER_PTZ_Msk                              (0x4000000000000000UL)
#define R_INTC_GIC_GICR_PENDBASER_PTZ_Pos                              (62UL)
#define R_INTC_GIC_GICR_PIDR4_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR4_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICR_PIDR4_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR4_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICR_PIDR5_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR5_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICR_PIDR5_SIZE_Msk                                 (0x00000070UL)
#define R_INTC_GIC_GICR_PIDR5_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICR_PIDR6_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR6_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICR_PIDR6_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR6_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICR_PIDR7_DES_2_Msk                                (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR7_DES_2_Pos                                (0UL)
#define R_INTC_GIC_GICR_PIDR7_SIZE_Msk                                 (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR7_SIZE_Pos                                 (4UL)
#define R_INTC_GIC_GICR_PIDR0_PART_0_Msk                               (0x000000FFUL)
#define R_INTC_GIC_GICR_PIDR0_PART_0_Pos                               (0UL)
#define R_INTC_GIC_GICR_PIDR1_PART_1_Msk                               (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR1_PART_1_Pos                               (0UL)
#define R_INTC_GIC_GICR_PIDR1_DES_0_Msk                                (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR1_DES_0_Pos                                (4UL)
#define R_INTC_GIC_GICR_PIDR2_DES_1_Msk                                (0x00000007UL)
#define R_INTC_GIC_GICR_PIDR2_DES_1_Pos                                (0UL)
#define R_INTC_GIC_GICR_PIDR2_JEDEC_Msk                                (0x00000008UL)
#define R_INTC_GIC_GICR_PIDR2_JEDEC_Pos                                (3UL)
#define R_INTC_GIC_GICR_PIDR2_ArchRev_Msk                              (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR2_ArchRev_Pos                              (4UL)
#define R_INTC_GIC_GICR_PIDR3_CMOD_Msk                                 (0x0000000FUL)
#define R_INTC_GIC_GICR_PIDR3_CMOD_Pos                                 (0UL)
#define R_INTC_GIC_GICR_PIDR3_REVAND_Msk                               (0x000000F0UL)
#define R_INTC_GIC_GICR_PIDR3_REVAND_Pos                               (4UL)
#define R_INTC_GIC_GICR_IGROUPR0_Redistributor_group_status_bit_Msk    (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_IGROUPR0_Redistributor_group_status_bit_Pos    (0UL)
#define R_INTC_GIC_GICR_ISENABLER0_Set_enable_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ISENABLER0_Set_enable_bit_Pos                  (0UL)
#define R_INTC_GIC_GICR_ICENABLER0_Clear_enable_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ICENABLER0_Clear_enable_bit_Pos                (0UL)
#define R_INTC_GIC_GICR_ISPENDR0_Set_pending_bit_Msk                   (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ISPENDR0_Set_pending_bit_Pos                   (0UL)
#define R_INTC_GIC_GICR_ICPENDR0_Clear_pending_bit_Msk                 (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ICPENDR0_Clear_pending_bit_Pos                 (0UL)
#define R_INTC_GIC_GICR_ISACTIVER0_Set_active_bit_Msk                  (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ISACTIVER0_Set_active_bit_Pos                  (0UL)
#define R_INTC_GIC_GICR_ICACTIVER0_Clear_active_bit_Msk                (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_ICACTIVER0_Clear_active_bit_Pos                (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR0_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR1_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR2_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR3_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR4_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR5_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR6_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset0B_Msk              (0x000000FFUL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset0B_Pos              (0UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset1B_Msk              (0x0000FF00UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset1B_Pos              (8UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset2B_Msk              (0x00FF0000UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset2B_Pos              (16UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset3B_Msk              (0xFF000000UL)
#define R_INTC_GIC_GICR_IPRIORITYR7_Priority_offset3B_Pos              (24UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICR_ICFGR0_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config0_Msk                         (0x00000003UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config0_Pos                         (0UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config1_Msk                         (0x0000000CUL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config1_Pos                         (2UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config2_Msk                         (0x00000030UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config2_Pos                         (4UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config3_Msk                         (0x000000C0UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config3_Pos                         (6UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config4_Msk                         (0x00000300UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config4_Pos                         (8UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config5_Msk                         (0x00000C00UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config5_Pos                         (10UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config6_Msk                         (0x00003000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config6_Pos                         (12UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config7_Msk                         (0x0000C000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config7_Pos                         (14UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config8_Msk                         (0x00030000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config8_Pos                         (16UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config9_Msk                         (0x000C0000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config9_Pos                         (18UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config10_Msk                        (0x00300000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config10_Pos                        (20UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config11_Msk                        (0x00C00000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config11_Pos                        (22UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config12_Msk                        (0x03000000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config12_Pos                        (24UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config13_Msk                        (0x0C000000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config13_Pos                        (26UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config14_Msk                        (0x30000000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config14_Pos                        (28UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config15_Msk                        (0xC0000000UL)
#define R_INTC_GIC_GICR_ICFGR1_Int_config15_Pos                        (30UL)
#define R_INTC_GIC_GICR_IGRPMODR0_Group_modifier_bit_Msk               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_IGRPMODR0_Group_modifier_bit_Pos               (0UL)
#define R_INTC_GIC_GICR_NSACR_NS_access0_Msk                           (0x00000003UL)
#define R_INTC_GIC_GICR_NSACR_NS_access0_Pos                           (0UL)
#define R_INTC_GIC_GICR_NSACR_NS_access1_Msk                           (0x0000000CUL)
#define R_INTC_GIC_GICR_NSACR_NS_access1_Pos                           (2UL)
#define R_INTC_GIC_GICR_NSACR_NS_access2_Msk                           (0x00000030UL)
#define R_INTC_GIC_GICR_NSACR_NS_access2_Pos                           (4UL)
#define R_INTC_GIC_GICR_NSACR_NS_access3_Msk                           (0x000000C0UL)
#define R_INTC_GIC_GICR_NSACR_NS_access3_Pos                           (6UL)
#define R_INTC_GIC_GICR_NSACR_NS_access4_Msk                           (0x00000300UL)
#define R_INTC_GIC_GICR_NSACR_NS_access4_Pos                           (8UL)
#define R_INTC_GIC_GICR_NSACR_NS_access5_Msk                           (0x00000C00UL)
#define R_INTC_GIC_GICR_NSACR_NS_access5_Pos                           (10UL)
#define R_INTC_GIC_GICR_NSACR_NS_access6_Msk                           (0x00003000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access6_Pos                           (12UL)
#define R_INTC_GIC_GICR_NSACR_NS_access7_Msk                           (0x0000C000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access7_Pos                           (14UL)
#define R_INTC_GIC_GICR_NSACR_NS_access8_Msk                           (0x00030000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access8_Pos                           (16UL)
#define R_INTC_GIC_GICR_NSACR_NS_access9_Msk                           (0x000C0000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access9_Pos                           (18UL)
#define R_INTC_GIC_GICR_NSACR_NS_access10_Msk                          (0x00300000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access10_Pos                          (20UL)
#define R_INTC_GIC_GICR_NSACR_NS_access11_Msk                          (0x00C00000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access11_Pos                          (22UL)
#define R_INTC_GIC_GICR_NSACR_NS_access12_Msk                          (0x03000000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access12_Pos                          (24UL)
#define R_INTC_GIC_GICR_NSACR_NS_access13_Msk                          (0x0C000000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access13_Pos                          (26UL)
#define R_INTC_GIC_GICR_NSACR_NS_access14_Msk                          (0x30000000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access14_Pos                          (28UL)
#define R_INTC_GIC_GICR_NSACR_NS_access15_Msk                          (0xC0000000UL)
#define R_INTC_GIC_GICR_NSACR_NS_access15_Pos                          (30UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp0_Msk                     (0x00000001UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp0_Pos                     (0UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp1NSecure_Msk              (0x00000002UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp1NSecure_Pos              (1UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp1Secure_Msk               (0x00000004UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_EnableGrp1Secure_Pos               (2UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_AccessType_Msk                     (0x00000010UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_AccessType_Pos                     (4UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_wake_request_Msk                   (0x40000000UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_wake_request_Pos                   (30UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_cpu_active_Msk                     (0x80000000UL)
#define R_INTC_GIC_GICR_MISCSTATUSR_cpu_active_Pos                     (31UL)
#define R_INTC_GIC_GICR_IERRVR_valid_Msk                               (0xFFFFFFFFUL)
#define R_INTC_GIC_GICR_IERRVR_valid_Pos                               (0UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR0_Msk                               (0x0000000000000001UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR0_Pos                               (0UL)
#define R_INTC_GIC_GICR_SGIDR_GRP0_Msk                                 (0x0000000000000002UL)
#define R_INTC_GIC_GICR_SGIDR_GRP0_Pos                                 (1UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD0_Msk                              (0x0000000000000004UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD0_Pos                              (2UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR1_Msk                               (0x0000000000000010UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR1_Pos                               (4UL)
#define R_INTC_GIC_GICR_SGIDR_GRP1_Msk                                 (0x0000000000000020UL)
#define R_INTC_GIC_GICR_SGIDR_GRP1_Pos                                 (5UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD1_Msk                              (0x0000000000000040UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD1_Pos                              (6UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR2_Msk                               (0x0000000000000100UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR2_Pos                               (8UL)
#define R_INTC_GIC_GICR_SGIDR_GRP2_Msk                                 (0x0000000000000200UL)
#define R_INTC_GIC_GICR_SGIDR_GRP2_Pos                                 (9UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD2_Msk                              (0x0000000000000400UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD2_Pos                              (10UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR3_Msk                               (0x0000000000001000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR3_Pos                               (12UL)
#define R_INTC_GIC_GICR_SGIDR_GRP3_Msk                                 (0x0000000000002000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP3_Pos                                 (13UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD3_Msk                              (0x0000000000004000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD3_Pos                              (14UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR4_Msk                               (0x0000000000010000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR4_Pos                               (16UL)
#define R_INTC_GIC_GICR_SGIDR_GRP4_Msk                                 (0x0000000000020000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP4_Pos                                 (17UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD4_Msk                              (0x0000000000040000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD4_Pos                              (18UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR5_Msk                               (0x0000000000100000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR5_Pos                               (20UL)
#define R_INTC_GIC_GICR_SGIDR_GRP5_Msk                                 (0x0000000000200000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP5_Pos                                 (21UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD5_Msk                              (0x0000000000400000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD5_Pos                              (22UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR6_Msk                               (0x0000000001000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR6_Pos                               (24UL)
#define R_INTC_GIC_GICR_SGIDR_GRP6_Msk                                 (0x0000000002000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP6_Pos                                 (25UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD6_Msk                              (0x0000000004000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD6_Pos                              (26UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR7_Msk                               (0x0000000010000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR7_Pos                               (28UL)
#define R_INTC_GIC_GICR_SGIDR_GRP7_Msk                                 (0x0000000020000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP7_Pos                                 (29UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD7_Msk                              (0x0000000040000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD7_Pos                              (30UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR8_Msk                               (0x0000000100000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR8_Pos                               (32UL)
#define R_INTC_GIC_GICR_SGIDR_GRP8_Msk                                 (0x0000000200000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP8_Pos                                 (33UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD8_Msk                              (0x0000000400000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD8_Pos                              (34UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR9_Msk                               (0x0000001000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR9_Pos                               (36UL)
#define R_INTC_GIC_GICR_SGIDR_GRP9_Msk                                 (0x0000002000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP9_Pos                                 (37UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD9_Msk                              (0x0000004000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD9_Pos                              (38UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR10_Msk                              (0x0000010000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR10_Pos                              (40UL)
#define R_INTC_GIC_GICR_SGIDR_GRP10_Msk                                (0x0000020000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP10_Pos                                (41UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD10_Msk                             (0x0000040000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD10_Pos                             (42UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR11_Msk                              (0x0000100000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR11_Pos                              (44UL)
#define R_INTC_GIC_GICR_SGIDR_GRP11_Msk                                (0x0000200000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP11_Pos                                (45UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD11_Msk                             (0x0000400000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD11_Pos                             (46UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR12_Msk                              (0x0001000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR12_Pos                              (48UL)
#define R_INTC_GIC_GICR_SGIDR_GRP12_Msk                                (0x0002000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP12_Pos                                (49UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD12_Msk                             (0x0004000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD12_Pos                             (50UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR13_Msk                              (0x0010000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR13_Pos                              (52UL)
#define R_INTC_GIC_GICR_SGIDR_GRP13_Msk                                (0x0020000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP13_Pos                                (53UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD13_Msk                             (0x0040000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD13_Pos                             (54UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR14_Msk                              (0x0100000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR14_Pos                              (56UL)
#define R_INTC_GIC_GICR_SGIDR_GRP14_Msk                                (0x0200000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP14_Pos                                (57UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD14_Msk                             (0x0400000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD14_Pos                             (58UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR15_Msk                              (0x1000000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_NSACR15_Pos                              (60UL)
#define R_INTC_GIC_GICR_SGIDR_GRP15_Msk                                (0x2000000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRP15_Pos                                (61UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD15_Msk                             (0x4000000000000000UL)
#define R_INTC_GIC_GICR_SGIDR_GRPMOD15_Pos                             (62UL)
#define R_INTC_GIC_GICR_CFGID0_PPINumber_Msk                           (0x000001FFUL)
#define R_INTC_GIC_GICR_CFGID0_PPINumber_Pos                           (0UL)
#define R_INTC_GIC_GICR_CFGID0_ECCSupport_Msk                          (0x00000800UL)
#define R_INTC_GIC_GICR_CFGID0_ECCSupport_Pos                          (11UL)
#define R_INTC_GIC_GICR_CFGID0_TGT0ListWidth_Msk                       (0x0000F000UL)
#define R_INTC_GIC_GICR_CFGID0_TGT0ListWidth_Pos                       (12UL)
#define R_INTC_GIC_GICR_CFGID0_Af0Width_Msk                            (0x000F0000UL)
#define R_INTC_GIC_GICR_CFGID0_Af0Width_Pos                            (16UL)
#define R_INTC_GIC_GICR_CFGID0_Af1Width_Msk                            (0x00F00000UL)
#define R_INTC_GIC_GICR_CFGID0_Af1Width_Pos                            (20UL)
#define R_INTC_GIC_GICR_CFGID0_Af2Width_Msk                            (0x0F000000UL)
#define R_INTC_GIC_GICR_CFGID0_Af2Width_Pos                            (24UL)
#define R_INTC_GIC_GICR_CFGID0_Af3Width_Msk                            (0xF0000000UL)
#define R_INTC_GIC_GICR_CFGID0_Af3Width_Pos                            (28UL)
#define R_INTC_GIC_GICR_CFGID1_NumCPUs_Msk                             (0x00000FF0UL)
#define R_INTC_GIC_GICR_CFGID1_NumCPUs_Pos                             (4UL)
#define R_INTC_GIC_GICR_CFGID1_DirectUpstream_Msk                      (0x00001000UL)
#define R_INTC_GIC_GICR_CFGID1_DirectUpstream_Pos                      (12UL)
#define R_INTC_GIC_GICR_CFGID1_PPIs_perProcessor_Msk                   (0x000F0000UL)
#define R_INTC_GIC_GICR_CFGID1_PPIs_perProcessor_Pos                   (16UL)
#define R_INTC_GIC_GICR_CFGID1_UserValue_Msk                           (0x0F000000UL)
#define R_INTC_GIC_GICR_CFGID1_UserValue_Pos                           (24UL)
#define R_INTC_GIC_GICR_CFGID1_Version_Msk                             (0xF0000000UL)
#define R_INTC_GIC_GICR_CFGID1_Version_Pos                             (28UL)

#endif
